!******************************************************************************!
!                                                                              !
!    fill_ctcouplings3.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings3.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-08-13 22:58             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings3
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl3()
      coupl(nGC_9645) = coupl(nGC_9207)*dZee_QED2 + coupl(nGC_9208)*dsw_QED2
      coupl(nGC_9644) = coupl(nGC_9074)*dZee_QED2 + coupl(nGC_9075)*dsw_QED2 + &
                        coupl(nGC_9076)*dcw_QED2
      coupl(nGC_9643) = coupl(nGC_9204)*dZee_QED2 + coupl(nGC_9205)*dsw_QED2
      coupl(nGC_9642) = coupl(nGC_9209)*dZee_QED2 + coupl(nGC_9210)*dsw_QED2
      coupl(nGC_16392) = coupl(nGC_4)*dZAZ_QED2/2d0 + coupl(nGC_80)*dZZ_QED2/  &
                         2d0 + coupl(nGC_80)*dZmuMinusR_QED2 + coupl(nGC_9744)
      coupl(nGC_15588) = coupl(nGC_123)*dZZA_QED2/2d0
      coupl(nGC_14119) = coupl(nGC_4)*dZA_QED2/2d0 + coupl(nGC_4)*             &
                         dZeMinusR_QED2 + coupl(nGC_80)*dZZA_QED2/2d0 + coupl( &
                         nGC_9655)
      coupl(nGC_9340) = cima*(-6d0*Nc*coupl(nGC_1)**2d0 - 6d0*Nc*coupl(nGC_2)**&
                        2d0 - coupl(nGC_3)**2d0 - coupl(nGC_330)**2d0 - 6d0*   &
                        coupl(nGC_4)**2d0)/(48d0*pi**2d0)
      coupl(nGC_9649) = coupl(nGC_9129)*dlam_QED4 + coupl(nGC_9130)*dvev_QED1
      coupl(nGC_14238) = coupl(nGC_125)*dZbL_QCD2/2d0 + coupl(nGC_125)*        &
                         dZbR_QCD2/2d0 + coupl(nGC_9678)
      coupl(nGC_9431) = (8d0*coupl(nGC_1)*coupl(nGC_139)*coupl(nGC_2) - coupl( &
                        nGC_127)*coupl(nGC_128)*coupl(nGC_141) - coupl(nGC_127 &
                        )*coupl(nGC_129)*coupl(nGC_140) + 8d0*coupl(nGC_139)*  &
                        coupl(nGC_78)*coupl(nGC_83))/(32d0*pi**2d0)
      coupl(nGC_9344) = cima*(coupl(nGC_3)*coupl(nGC_64) + coupl(nGC_330)*coupl&
                        (nGC_674))/(48d0*pi**2d0)
      coupl(nGC_9345) = (Nc*cMB**2d0*cima*coupl(nGC_1)*coupl(nGC_78) + Nc*cMB**&
                        2d0*cima*coupl(nGC_1)*coupl(nGC_82) + Nc*cMC**2d0*cima*&
                        coupl(nGC_2)*coupl(nGC_79) + Nc*cMC**2d0*cima*coupl(   &
                        nGC_2)*coupl(nGC_83) + Nc*cMD**2d0*cima*coupl(nGC_1)*  &
                        coupl(nGC_78) + Nc*cMD**2d0*cima*coupl(nGC_1)*coupl(   &
                        nGC_82) + Nc*cMS**2d0*cima*coupl(nGC_1)*coupl(nGC_78   &
                        ) + Nc*cMS**2d0*cima*coupl(nGC_1)*coupl(nGC_82) + Nc*  &
                        cMT**2d0*cima*coupl(nGC_2)*coupl(nGC_79) + Nc*cMT**2d0*&
                        cima*coupl(nGC_2)*coupl(nGC_83) + Nc*cMU**2d0*cima*    &
                        coupl(nGC_2)*coupl(nGC_79) + Nc*cMU**2d0*cima*coupl(   &
                        nGC_2)*coupl(nGC_83) + cME**2d0*cima*coupl(nGC_4)*coupl&
                        (nGC_80) + cME**2d0*cima*coupl(nGC_4)*coupl(nGC_85) +  &
                        cMM**2d0*cima*coupl(nGC_4)*coupl(nGC_80) + cMM**2d0*   &
                        cima*coupl(nGC_4)*coupl(nGC_85) + cMTA**2d0*cima*coupl(&
                        nGC_4)*coupl(nGC_80) + cMTA**2d0*cima*coupl(nGC_4)*    &
                        coupl(nGC_85) + cMW**2d0*cima*coupl(nGC_3)*coupl(nGC_64&
                        ) + cMW**2d0*cima*coupl(nGC_330)*coupl(nGC_674) - cMW**&
                        2d0*coupl(nGC_77))/(8d0*pi**2d0)
      coupl(nGC_14635) = -coupl(nGC_140)*dZsL_QED2/2d0 - coupl(nGC_140)*       &
                         dZsR_QED2/2d0 - coupl(nGC_9675)
      coupl(nGC_16411) = coupl(nGC_9754) + coupl(nGC_MC)*dZcL_QCD2/2d0 + coupl(&
                         nGC_MC)*dZcR_QCD2/2d0
      coupl(nGC_16410) = coupl(nGC_9753) + coupl(nGC_MC)*dZcL_QED2/2d0 + coupl(&
                         nGC_MC)*dZcR_QED2/2d0
      coupl(nGC_16148) = coupl(nGC_86)*dZZ_QED2/2d0 + coupl(nGC_86)*           &
                         dZnu_tauL_QED2 + coupl(nGC_9743)
      coupl(nGC_15889) = coupl(nGC_1)*dZA_QED2/2d0 + coupl(nGC_1)*dZbL_QED2 +  &
                         coupl(nGC_82)*dZZA_QED2/2d0 + coupl(nGC_9736)
      coupl(nGC_15888) = coupl(nGC_1)*dZA_QED2/2d0 + coupl(nGC_1)*dZbR_QED2 +  &
                         coupl(nGC_78)*dZZA_QED2/2d0 + coupl(nGC_9736)
      coupl(nGC_9462) = (-coupl(nGC_1274)**2d0*coupl(nGC_150) + 8d0*coupl(     &
                        nGC_1274)*coupl(nGC_2)**2d0 + 8d0*coupl(nGC_1274)*coupl&
                        (nGC_79)*coupl(nGC_83) - coupl(nGC_130)*coupl(nGC_131)*&
                        coupl(nGC_148) - coupl(nGC_149)**2d0*coupl(nGC_150))/( &
                        32d0*pi**2d0)
      coupl(nGC_9461) = (-coupl(nGC_146)*coupl(nGC_147)**2d0 - coupl(nGC_146)* &
                        coupl(nGC_484)**2d0 + 8d0*coupl(nGC_4)**2d0*coupl(     &
                        nGC_484) + 8d0*coupl(nGC_484)*coupl(nGC_80)*coupl(     &
                        nGC_85))/(32d0*pi**2d0)
      coupl(nGC_9460) = (-coupl(nGC_146)**2d0*coupl(nGC_484) + 8d0*coupl(      &
                        nGC_146)*coupl(nGC_4)**2d0 + 8d0*coupl(nGC_146)*coupl( &
                        nGC_80)*coupl(nGC_85) - coupl(nGC_147)**2d0*coupl(     &
                        nGC_484))/(32d0*pi**2d0)
      coupl(nGC_9466) = 3d0*(4d0*Nc*cMB*coupl(nGC_126)**3d0 + 4d0*Nc*cMC*coupl(&
                        nGC_128)**3d0 + 4d0*Nc*cMD*coupl(nGC_132)**3d0 + 4d0*Nc&
                        *cMS*coupl(nGC_141)**3d0 + 4d0*Nc*cMT*coupl(nGC_143)** &
                        3d0 + 4d0*Nc*cMU*coupl(nGC_149)**3d0 + 4d0*cME*coupl(  &
                        nGC_135)**3d0 + 4d0*cMM*coupl(nGC_138)**3d0 + 4d0*cMTA*&
                        coupl(nGC_147)**3d0 + 2d0*cima*coupl(nGC_107)*coupl(   &
                        nGC_47) + cima*coupl(nGC_123)*coupl(nGC_96))/(16d0*pi**&
                        2d0)
      coupl(nGC_9469) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_126) - coupl(nGC_124)*&
                        coupl(nGC_142)*coupl(nGC_143) - coupl(nGC_125)**2d0*   &
                        coupl(nGC_126) - coupl(nGC_126)**3d0 + 8d0*coupl(      &
                        nGC_126)*coupl(nGC_78)*coupl(nGC_82))/(32d0*pi**2d0)
      coupl(nGC_9468) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_126) - coupl(nGC_124)*&
                        coupl(nGC_142)*coupl(nGC_143) - coupl(nGC_126)**3d0 -  &
                        coupl(nGC_126)*coupl(nGC_760)**2d0 + 8d0*coupl(nGC_126 &
                        )*coupl(nGC_78)*coupl(nGC_82))/(32d0*pi**2d0)
      coupl(nGC_9548) = coupl(nGC_19)*sq2*(4d0*coupl(nGC_1)**2d0 + coupl(      &
                        nGC_139)**2d0 + coupl(nGC_140)*coupl(nGC_746) + coupl( &
                        nGC_141)**2d0 + 4d0*coupl(nGC_78)**2d0)/(64d0*pi**2d0)
      coupl(nGC_15041) = -coupl(nGC_131)*dZdL_QCD2/2d0 - coupl(nGC_131)*       &
                         dZdR_QCD2/2d0 - coupl(nGC_9674)
      coupl(nGC_9545) = coupl(nGC_19)*sq2*(-4d0*coupl(nGC_1)**2d0 - coupl(     &
                        nGC_139)**2d0 - coupl(nGC_140)*coupl(nGC_746) - coupl( &
                        nGC_141)**2d0 - 4d0*coupl(nGC_78)**2d0)/(64d0*pi**2d0* &
                        Nc)
      coupl(nGC_15043) = -coupl(nGC_131)*dZdL_QED2/2d0 - coupl(nGC_131)*       &
                         dZdR_QED2/2d0 - coupl(nGC_9673)
      coupl(nGC_15042) = coupl(nGC_131)*dZdL_QCD2/2d0 + coupl(nGC_131)*        &
                         dZdR_QCD2/2d0 + coupl(nGC_9674)
      coupl(nGC_15044) = coupl(nGC_131)*dZdL_QED2/2d0 + coupl(nGC_131)*        &
                         dZdR_QED2/2d0 + coupl(nGC_9673)
      coupl(nGC_9544) = coupl(nGC_19)*sq2*(-4d0*coupl(nGC_1)**2d0 - coupl(     &
                        nGC_127)**2d0 - coupl(nGC_140)*coupl(nGC_746) - coupl( &
                        nGC_141)**2d0 - 4d0*coupl(nGC_62)**2d0 - 4d0*coupl(    &
                        nGC_82)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_9459) = coupl(nGC_144)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_9547) = coupl(nGC_19)*sq2*(4d0*coupl(nGC_1)**2d0 + coupl(      &
                        nGC_127)**2d0 + coupl(nGC_140)*coupl(nGC_746) + coupl( &
                        nGC_141)**2d0 + 4d0*coupl(nGC_62)**2d0 + 4d0*coupl(    &
                        nGC_82)**2d0)/(64d0*pi**2d0)
      coupl(nGC_18438) = coupl(nGC_1)*dZA_QED2/2d0 + coupl(nGC_1)*dZsL_QED2 +  &
                         coupl(nGC_82)*dZZA_QED2/2d0 + coupl(nGC_9736)
      coupl(nGC_18437) = coupl(nGC_1)*dZA_QED2/2d0 + coupl(nGC_1)*dZsR_QED2 +  &
                         coupl(nGC_78)*dZZA_QED2/2d0 + coupl(nGC_9736)
      coupl(nGC_14522) = coupl(nGC_57)*dZWMinus_QED2 + coupl(nGC_9717)
      coupl(nGC_9450) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_746) - coupl(nGC_127)*&
                        coupl(nGC_129)*coupl(nGC_139) - coupl(nGC_140)*coupl(  &
                        nGC_141)**2d0 - coupl(nGC_140)*coupl(nGC_746)**2d0 +   &
                        8d0*coupl(nGC_746)*coupl(nGC_78)*coupl(nGC_82))/(32d0* &
                        pi**2d0)
      coupl(nGC_9451) = coupl(nGC_19)**2d0*coupl(nGC_746)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_14137) = coupl(nGC_13)*dZWMinus_QED2/2d0 + coupl(nGC_13)*      &
                         dZZ_QED2/2d0 + coupl(nGC_68)*dZAZ_QED2/2d0 + coupl(   &
                         nGC_9634)
      coupl(nGC_14891) = coupl(nGC_1)*dZAZ_QED2/2d0 + coupl(nGC_82)*dZZ_QED2/  &
                         2d0 + coupl(nGC_82)*dZdL_QED2 + coupl(nGC_9741)
      coupl(nGC_15631) = coupl(nGC_19)*dZcL_QED2
      coupl(nGC_9679) = coupl(nGC_9202)*dydo_QED3
      coupl(nGC_14097) = coupl(nGC_149)*dZuL_QCD2/2d0 + coupl(nGC_149)*        &
                         dZuR_QCD2/2d0 + coupl(nGC_9701)
      coupl(nGC_14096) = coupl(nGC_149)*dZH_QED2/2d0 + coupl(nGC_149)*dZuL_QED2&
                         /2d0 + coupl(nGC_149)*dZuR_QED2/2d0 + coupl(nGC_9700)
      coupl(nGC_15862) = coupl(nGC_9763) + coupl(nGC_MZ)*dZZ_QED2
      coupl(nGC_15861) = -coupl(nGC_MI)*dZZ_QED2
      coupl(nGC_14152) = coupl(nGC_47)*dZWMinus_QED2 + coupl(nGC_9715)
      coupl(nGC_13973) = coupl(nGC_16)*dZWMinus_QED2/2d0 + coupl(nGC_16)*      &
                         dZZ_QED2/2d0 + coupl(nGC_72)*dZAZ_QED2/2d0 + coupl(   &
                         nGC_9633)
      coupl(nGC_15310) = coupl(nGC_128)*dZcL_QCD2/2d0 + coupl(nGC_128)*        &
                         dZcR_QCD2/2d0 + coupl(nGC_9703)
      coupl(nGC_9766) = coupl(nGC_210)*dMW2_QED2
      coupl(nGC_9767) = coupl(nGC_214)*dMZ2_QED2
      coupl(nGC_15315) = coupl(nGC_61)*dZWMinus_QED2/2d0 + coupl(nGC_9710)
      coupl(nGC_13976) = coupl(nGC_10)*dZWMinus_QED2 + coupl(nGC_9652)
      coupl(nGC_15250) = coupl(nGC_17)*dZg_QCD2/2d0 + coupl(nGC_9660)
      coupl(nGC_9602) = cima*coupl(nGC_19)**2d0*coupl(nGC_62)**2d0*sq2**2d0/(  &
                        32d0*pi**2d0)
      coupl(nGC_9601) = -cima*coupl(nGC_19)**2d0*coupl(nGC_62)**2d0*sq2**2d0/( &
                        32d0*pi**2d0*Nc)
      coupl(nGC_9600) = (-8d0*Nc*cima*coupl(nGC_126)**2d0*coupl(nGC_78)**2d0 + &
                        10d0*Nc*cima*coupl(nGC_126)**2d0*coupl(nGC_78)*coupl(  &
                        nGC_82) - 8d0*Nc*cima*coupl(nGC_126)**2d0*coupl(nGC_82 &
                        )**2d0 - 8d0*Nc*cima*coupl(nGC_128)**2d0*coupl(nGC_79  &
                        )**2d0 + 10d0*Nc*cima*coupl(nGC_128)**2d0*coupl(nGC_79 &
                        )*coupl(nGC_83) - 8d0*Nc*cima*coupl(nGC_128)**2d0*coupl&
                        (nGC_83)**2d0 - 8d0*Nc*cima*coupl(nGC_132)**2d0*coupl( &
                        nGC_78)**2d0 + 10d0*Nc*cima*coupl(nGC_132)**2d0*coupl( &
                        nGC_78)*coupl(nGC_82) - 8d0*Nc*cima*coupl(nGC_132)**2d0&
                        *coupl(nGC_82)**2d0 - 8d0*Nc*cima*coupl(nGC_141)**2d0* &
                        coupl(nGC_78)**2d0 + 10d0*Nc*cima*coupl(nGC_141)**2d0* &
                        coupl(nGC_78)*coupl(nGC_82) - 8d0*Nc*cima*coupl(nGC_141&
                        )**2d0*coupl(nGC_82)**2d0 - 8d0*Nc*cima*coupl(nGC_143  &
                        )**2d0*coupl(nGC_79)**2d0 + 10d0*Nc*cima*coupl(nGC_143 &
                        )**2d0*coupl(nGC_79)*coupl(nGC_83) - 8d0*Nc*cima*coupl(&
                        nGC_143)**2d0*coupl(nGC_83)**2d0 - 8d0*Nc*cima*coupl(  &
                        nGC_149)**2d0*coupl(nGC_79)**2d0 + 10d0*Nc*cima*coupl( &
                        nGC_149)**2d0*coupl(nGC_79)*coupl(nGC_83) - 8d0*Nc*cima&
                        *coupl(nGC_149)**2d0*coupl(nGC_83)**2d0 - 8d0*cima*    &
                        coupl(nGC_135)**2d0*coupl(nGC_80)**2d0 + 10d0*cima*    &
                        coupl(nGC_135)**2d0*coupl(nGC_80)*coupl(nGC_85) - 8d0* &
                        cima*coupl(nGC_135)**2d0*coupl(nGC_85)**2d0 - 8d0*cima*&
                        coupl(nGC_138)**2d0*coupl(nGC_80)**2d0 + 10d0*cima*    &
                        coupl(nGC_138)**2d0*coupl(nGC_80)*coupl(nGC_85) - 8d0* &
                        cima*coupl(nGC_138)**2d0*coupl(nGC_85)**2d0 - 8d0*cima*&
                        coupl(nGC_147)**2d0*coupl(nGC_80)**2d0 + 10d0*cima*    &
                        coupl(nGC_147)**2d0*coupl(nGC_80)*coupl(nGC_85) - 8d0* &
                        cima*coupl(nGC_147)**2d0*coupl(nGC_85)**2d0 + 3d0*cima*&
                        coupl(nGC_47)*coupl(nGC_56) + 3d0*coupl(nGC_47)*coupl( &
                        nGC_64)**2d0 + 3d0*coupl(nGC_47)*coupl(nGC_674)**2d0)/(&
                        24d0*pi**2d0)
      coupl(nGC_9607) = cima*coupl(nGC_19)**2d0*sq2**2d0*(-coupl(nGC_125)*coupl&
                        (nGC_760) - coupl(nGC_1274)*coupl(nGC_150) - coupl(    &
                        nGC_129)*coupl(nGC_636) - coupl(nGC_131)*coupl(nGC_766 &
                        ) - coupl(nGC_140)*coupl(nGC_746) - coupl(nGC_144)*    &
                        coupl(nGC_4572))/(16d0*pi**2d0)
      coupl(nGC_9606) = cima*coupl(nGC_19)**2d0*sq2**2d0*(-coupl(nGC_1)*coupl( &
                        nGC_78) - coupl(nGC_1)*coupl(nGC_82) - coupl(nGC_2)*   &
                        coupl(nGC_79) - coupl(nGC_2)*coupl(nGC_83))/(32d0*pi** &
                        2d0*Nc)
      coupl(nGC_14794) = coupl(nGC_22)*dZH_QED2 + coupl(nGC_9639) + coupl(     &
                         nGC_HHGG)
      coupl(nGC_9604) = (-3d0*Nc*cima*coupl(nGC_62)**2d0*coupl(nGC_82)**2d0 +  &
                        9d0*Nc*cima*coupl(nGC_62)**2d0*coupl(nGC_82)*coupl(    &
                        nGC_83) - 3d0*Nc*cima*coupl(nGC_62)**2d0*coupl(nGC_83  &
                        )**2d0 - 4d0*cima*coupl(nGC_330)*coupl(nGC_4)*coupl(   &
                        nGC_64)**2d0 + 3d0*cima*coupl(nGC_426)**2d0 + 3d0*cima*&
                        coupl(nGC_55)**2d0 - 3d0*cima*coupl(nGC_62)**2d0*coupl(&
                        nGC_85)**2d0 + 9d0*cima*coupl(nGC_62)**2d0*coupl(nGC_85&
                        )*coupl(nGC_86) - 3d0*cima*coupl(nGC_62)**2d0*coupl(   &
                        nGC_86)**2d0 - 4d0*cima*coupl(nGC_63)*coupl(nGC_64)**  &
                        2d0*coupl(nGC_674) + 3d0*coupl(nGC_330)*coupl(nGC_426)*&
                        coupl(nGC_64) + 3d0*coupl(nGC_4)*coupl(nGC_426)*coupl( &
                        nGC_64) + 3d0*coupl(nGC_55)*coupl(nGC_63)*coupl(nGC_64 &
                        ) + 3d0*coupl(nGC_55)*coupl(nGC_64)*coupl(nGC_674))/(  &
                        24d0*pi**2d0)
      coupl(nGC_14079) = coupl(nGC_82)*dZsL_QCD2
      coupl(nGC_14985) = coupl(nGC_86)*dZZ_QED2/2d0 + coupl(nGC_86)*           &
                         dZnu_eL_QED2 + coupl(nGC_9743)
      coupl(nGC_14988) = coupl(nGC_136)*dZmuMinusR_QED2/2d0 + coupl(nGC_136)*  &
                         dZnu_muL_QED2/2d0 + coupl(nGC_9686)
      coupl(nGC_18269) = 3d0*coupl(nGC_102)*dZH_QED2/2d0 + coupl(nGC_9649) +   &
                         coupl(nGC_HHH)
      coupl(nGC_14385) = coupl(nGC_132)*dZH_QED2/2d0 + coupl(nGC_132)*dZdL_QED2&
                         /2d0 + coupl(nGC_132)*dZdR_QED2/2d0 + coupl(nGC_9679)
      coupl(nGC_14384) = coupl(nGC_132)*dZdL_QCD2/2d0 + coupl(nGC_132)*        &
                         dZdR_QCD2/2d0 + coupl(nGC_9680)
      coupl(nGC_14470) = coupl(nGC_4)*dZA_QED2/2d0 + coupl(nGC_4)*             &
                         dZtauMinusL_QED2 + coupl(nGC_85)*dZZA_QED2/2d0 + coupl&
                         (nGC_9655)
      coupl(nGC_14200) = coupl(nGC_143)*dZtL_QCD2/2d0 + coupl(nGC_143)*        &
                         dZtR_QCD2/2d0 + coupl(nGC_9705)
      coupl(nGC_9500) = coupl(nGC_62)*(-coupl(nGC_3)*coupl(nGC_4) - coupl(     &
                        nGC_64)*coupl(nGC_85) - coupl(nGC_674)*coupl(nGC_86) + &
                        2d0*coupl(nGC_85)*coupl(nGC_86))/(16d0*pi**2d0)
      coupl(nGC_9505) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_82) + coupl(nGC_125)* &
                        coupl(nGC_760)*coupl(nGC_78) + coupl(nGC_126)**2d0*    &
                        coupl(nGC_78) + coupl(nGC_142)**2d0*coupl(nGC_79) + 2d0&
                        *coupl(nGC_62)**2d0*coupl(nGC_674) + 4d0*coupl(nGC_62  &
                        )**2d0*coupl(nGC_83) + 4d0*coupl(nGC_82)**3d0)/(32d0*pi&
                        **2d0)
      coupl(nGC_9506) = coupl(nGC_19)**2d0*coupl(nGC_82)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_9507) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_78) + coupl(nGC_124)**&
                        2d0*coupl(nGC_83) + coupl(nGC_125)*coupl(nGC_760)*coupl&
                        (nGC_82) + coupl(nGC_126)**2d0*coupl(nGC_82) + 4d0*    &
                        coupl(nGC_78)**3d0)/(32d0*pi**2d0)
      coupl(nGC_9509) = (coupl(nGC_128)**2d0*coupl(nGC_79) + coupl(nGC_129)*   &
                        coupl(nGC_636)*coupl(nGC_79) + coupl(nGC_139)**2d0*    &
                        coupl(nGC_78) + 4d0*coupl(nGC_2)**2d0*coupl(nGC_83) +  &
                        2d0*coupl(nGC_62)**2d0*coupl(nGC_64) + 4d0*coupl(nGC_62&
                        )**2d0*coupl(nGC_82) + 4d0*coupl(nGC_83)**3d0)/(32d0*pi&
                        **2d0)
      coupl(nGC_15241) = coupl(nGC_93)*dZH_QED2 + coupl(nGC_9632)
      coupl(nGC_14781) = coupl(nGC_MI)*dZZA_QED2/2d0
      coupl(nGC_16770) = coupl(nGC_81)*dZZA_QED2/2d0
      coupl(nGC_9615) = cima*coupl(nGC_19)**2d0*sq2**2d0*(-coupl(nGC_78)**2d0  &
                         - coupl(nGC_79)**2d0 - coupl(nGC_82)**2d0 - coupl(    &
                        nGC_83)**2d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_9354) = cima*(-coupl(nGC_2)**2d0 - coupl(nGC_62)**2d0 - coupl( &
                        nGC_83)**2d0)/(16d0*pi**2d0)
      coupl(nGC_9348) = (Nc*cMB**2d0*cima*coupl(nGC_62)**2d0 + Nc*cMC**2d0*cima&
                        *coupl(nGC_62)**2d0 + Nc*cMD**2d0*cima*coupl(nGC_62)** &
                        2d0 + Nc*cMS**2d0*cima*coupl(nGC_62)**2d0 + Nc*cMT**2d0&
                        *cima*coupl(nGC_62)**2d0 + Nc*cMU**2d0*cima*coupl(     &
                        nGC_62)**2d0 + cME**2d0*cima*coupl(nGC_62)**2d0 + cMM**&
                        2d0*cima*coupl(nGC_62)**2d0 + cMTA**2d0*cima*coupl(    &
                        nGC_62)**2d0 + cMW**2d0*cima*coupl(nGC_244)*coupl(     &
                        nGC_64) + cMW**2d0*cima*coupl(nGC_3)*coupl(nGC_458) +  &
                        cMW**2d0*cima*coupl(nGC_330)*coupl(nGC_4) + cMW**2d0*  &
                        cima*coupl(nGC_63)*coupl(nGC_674) - 2d0*cMW**2d0*coupl(&
                        nGC_1976) + cMZ**2d0*cima*coupl(nGC_244)*coupl(nGC_64  &
                        ) + cMZ**2d0*cima*coupl(nGC_63)*coupl(nGC_674) - cMZ** &
                        2d0*coupl(nGC_56))/(16d0*pi**2d0)
      coupl(nGC_9349) = cima*(-3d0*Nc*coupl(nGC_78)**2d0 - 3d0*Nc*coupl(nGC_79 &
                        )**2d0 - 3d0*Nc*coupl(nGC_82)**2d0 - 3d0*Nc*coupl(     &
                        nGC_83)**2d0 - coupl(nGC_64)**2d0 - coupl(nGC_674)**2d0&
                         - 3d0*coupl(nGC_80)**2d0 - 3d0*coupl(nGC_85)**2d0 -   &
                        3d0*coupl(nGC_86)**2d0)/(48d0*pi**2d0)
      coupl(nGC_9438) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_125) - coupl(nGC_124)*&
                        coupl(nGC_142)*coupl(nGC_4572) - coupl(nGC_125)**2d0*  &
                        coupl(nGC_760) + 8d0*coupl(nGC_125)*coupl(nGC_78)*coupl&
                        (nGC_82) - coupl(nGC_126)**2d0*coupl(nGC_760))/(32d0*pi&
                        **2d0)
      coupl(nGC_14757) = coupl(nGC_138)*dZH_QED2/2d0 + coupl(nGC_138)*         &
                         dZmuMinusL_QED2/2d0 + coupl(nGC_138)*dZmuMinusR_QED2/ &
                         2d0 + coupl(nGC_9692)
      coupl(nGC_9434) = (2d0*Nc*cMB*coupl(nGC_125)**2d0*coupl(nGC_126) + 8d0*Nc&
                        *cMB*coupl(nGC_125)*coupl(nGC_126)*coupl(nGC_760) + 2d0&
                        *Nc*cMB*coupl(nGC_126)*coupl(nGC_760)**2d0 + 2d0*Nc*cMC&
                        *coupl(nGC_128)*coupl(nGC_129)**2d0 + 8d0*Nc*cMC*coupl(&
                        nGC_128)*coupl(nGC_129)*coupl(nGC_636) + 2d0*Nc*cMC*   &
                        coupl(nGC_128)*coupl(nGC_636)**2d0 + 2d0*Nc*cMD*coupl( &
                        nGC_131)**2d0*coupl(nGC_132) + 8d0*Nc*cMD*coupl(nGC_131&
                        )*coupl(nGC_132)*coupl(nGC_766) + 2d0*Nc*cMD*coupl(    &
                        nGC_132)*coupl(nGC_766)**2d0 + 2d0*Nc*cMS*coupl(nGC_140&
                        )**2d0*coupl(nGC_141) + 8d0*Nc*cMS*coupl(nGC_140)*coupl&
                        (nGC_141)*coupl(nGC_746) + 2d0*Nc*cMS*coupl(nGC_141)*  &
                        coupl(nGC_746)**2d0 + 2d0*Nc*cMT*coupl(nGC_143)*coupl( &
                        nGC_144)**2d0 + 8d0*Nc*cMT*coupl(nGC_143)*coupl(nGC_144&
                        )*coupl(nGC_4572) + 2d0*Nc*cMT*coupl(nGC_143)*coupl(   &
                        nGC_4572)**2d0 + 2d0*Nc*cMU*coupl(nGC_1274)**2d0*coupl(&
                        nGC_149) + 8d0*Nc*cMU*coupl(nGC_1274)*coupl(nGC_149)*  &
                        coupl(nGC_150) + 2d0*Nc*cMU*coupl(nGC_149)*coupl(      &
                        nGC_150)**2d0 + 2d0*cME*coupl(nGC_134)**2d0*coupl(     &
                        nGC_135) + 8d0*cME*coupl(nGC_134)*coupl(nGC_135)*coupl(&
                        nGC_568) + 2d0*cME*coupl(nGC_135)*coupl(nGC_568)**2d0  &
                         + 2d0*cMM*coupl(nGC_137)**2d0*coupl(nGC_138) + 8d0*cMM&
                        *coupl(nGC_137)*coupl(nGC_138)*coupl(nGC_358) + 2d0*cMM&
                        *coupl(nGC_138)*coupl(nGC_358)**2d0 + 2d0*cMTA*coupl(  &
                        nGC_146)**2d0*coupl(nGC_147) + 8d0*cMTA*coupl(nGC_146)*&
                        coupl(nGC_147)*coupl(nGC_484) + 2d0*cMTA*coupl(nGC_147 &
                        )*coupl(nGC_484)**2d0 + 2d0*cima*coupl(nGC_107)*coupl( &
                        nGC_47) + cima*coupl(nGC_123)*coupl(nGC_96))/(16d0*pi**&
                        2d0)
      coupl(nGC_9343) = cima*(-3d0*Nc*coupl(nGC_1)*coupl(nGC_78) - 3d0*Nc*coupl&
                        (nGC_1)*coupl(nGC_82) - 3d0*Nc*coupl(nGC_2)*coupl(     &
                        nGC_79) - 3d0*Nc*coupl(nGC_2)*coupl(nGC_83) - coupl(   &
                        nGC_3)*coupl(nGC_64) - coupl(nGC_330)*coupl(nGC_674) - &
                        3d0*coupl(nGC_4)*coupl(nGC_80) - 3d0*coupl(nGC_4)*coupl&
                        (nGC_85))/(48d0*pi**2d0)
      coupl(nGC_9436) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_760) - coupl(nGC_124)*&
                        coupl(nGC_142)*coupl(nGC_144) - coupl(nGC_125)*coupl(  &
                        nGC_126)**2d0 - coupl(nGC_125)*coupl(nGC_760)**2d0 +   &
                        8d0*coupl(nGC_760)*coupl(nGC_78)*coupl(nGC_82))/(32d0* &
                        pi**2d0)
      coupl(nGC_9341) = cima*(coupl(nGC_3)**2d0 + coupl(nGC_330)**2d0)/(48d0*pi&
                        **2d0)
      coupl(nGC_9430) = (8d0*coupl(nGC_1)*coupl(nGC_127)*coupl(nGC_2) + 8d0*   &
                        coupl(nGC_127)*coupl(nGC_79)*coupl(nGC_82) - coupl(    &
                        nGC_128)*coupl(nGC_139)*coupl(nGC_141) - coupl(nGC_139 &
                        )*coupl(nGC_636)*coupl(nGC_746))/(32d0*pi**2d0)
      coupl(nGC_18490) = coupl(nGC_9767) + coupl(nGC_MZ_GF)*dZZ_QED2/2d0
      coupl(nGC_9432) = (8d0*coupl(nGC_1)*coupl(nGC_130)*coupl(nGC_2) + 8d0*   &
                        coupl(nGC_130)*coupl(nGC_78)*coupl(nGC_83) - coupl(    &
                        nGC_131)*coupl(nGC_148)*coupl(nGC_150) - coupl(nGC_132 &
                        )*coupl(nGC_148)*coupl(nGC_149))/(32d0*pi**2d0)
      coupl(nGC_9433) = (8d0*coupl(nGC_1)*coupl(nGC_148)*coupl(nGC_2) - coupl( &
                        nGC_1274)*coupl(nGC_130)*coupl(nGC_766) - coupl(nGC_130&
                        )*coupl(nGC_132)*coupl(nGC_149) + 8d0*coupl(nGC_148)*  &
                        coupl(nGC_79)*coupl(nGC_82))/(32d0*pi**2d0)
      coupl(nGC_9339) = (-4d0*Nc*cMB**2d0*cima*coupl(nGC_125)*coupl(nGC_760) - &
                        4d0*Nc*cMC**2d0*cima*coupl(nGC_129)*coupl(nGC_636) -   &
                        4d0*Nc*cMD**2d0*cima*coupl(nGC_131)*coupl(nGC_766) -   &
                        4d0*Nc*cMS**2d0*cima*coupl(nGC_140)*coupl(nGC_746) -   &
                        4d0*Nc*cMT**2d0*cima*coupl(nGC_144)*coupl(nGC_4572) -  &
                        4d0*Nc*cMU**2d0*cima*coupl(nGC_1274)*coupl(nGC_150) -  &
                        4d0*cME**2d0*cima*coupl(nGC_134)*coupl(nGC_568) - 4d0* &
                        cMM**2d0*cima*coupl(nGC_137)*coupl(nGC_358) - 4d0*cMTA &
                        **2d0*cima*coupl(nGC_146)*coupl(nGC_484) - 2d0*cMW**2d0&
                        *coupl(nGC_47) - cMZ**2d0*coupl(nGC_96))/(16d0*pi**2d0)
      coupl(nGC_9458) = (-coupl(nGC_124)*coupl(nGC_142)*coupl(nGC_760) - coupl(&
                        nGC_143)**2d0*coupl(nGC_4572) - coupl(nGC_144)**2d0*   &
                        coupl(nGC_4572) + 8d0*coupl(nGC_144)*coupl(nGC_2)**2d0 &
                         + 8d0*coupl(nGC_144)*coupl(nGC_79)*coupl(nGC_83))/(   &
                        32d0*pi**2d0)
      coupl(nGC_9338) = cima*(Nc*coupl(nGC_125)*coupl(nGC_760) + Nc*coupl(     &
                        nGC_1274)*coupl(nGC_150) + Nc*coupl(nGC_129)*coupl(    &
                        nGC_636) + Nc*coupl(nGC_131)*coupl(nGC_766) + Nc*coupl(&
                        nGC_140)*coupl(nGC_746) + Nc*coupl(nGC_144)*coupl(     &
                        nGC_4572) + coupl(nGC_134)*coupl(nGC_568) + coupl(     &
                        nGC_137)*coupl(nGC_358) + coupl(nGC_146)*coupl(nGC_484 &
                        ))/(24d0*pi**2d0)
      coupl(nGC_9489) = coupl(nGC_143)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_14589) = coupl(nGC_60)*dZH_QED2/2d0 + coupl(nGC_60)*           &
                         dZWMinus_QED2/2d0 + coupl(nGC_9711)
      coupl(nGC_9488) = (-coupl(nGC_124)*coupl(nGC_126)*coupl(nGC_142) - coupl(&
                        nGC_143)**3d0 - coupl(nGC_143)*coupl(nGC_144)**2d0 +   &
                        8d0*coupl(nGC_143)*coupl(nGC_2)**2d0 + 8d0*coupl(      &
                        nGC_143)*coupl(nGC_79)*coupl(nGC_83))/(32d0*pi**2d0)
      coupl(nGC_9351) = (Nc*cMB**2d0*cima*coupl(nGC_78)**2d0 + Nc*cMB**2d0*cima&
                        *coupl(nGC_82)**2d0 + Nc*cMC**2d0*cima*coupl(nGC_79)** &
                        2d0 + Nc*cMC**2d0*cima*coupl(nGC_83)**2d0 + Nc*cMD**2d0&
                        *cima*coupl(nGC_78)**2d0 + Nc*cMD**2d0*cima*coupl(     &
                        nGC_82)**2d0 + Nc*cMS**2d0*cima*coupl(nGC_78)**2d0 + Nc&
                        *cMS**2d0*cima*coupl(nGC_82)**2d0 + Nc*cMT**2d0*cima*  &
                        coupl(nGC_79)**2d0 + Nc*cMT**2d0*cima*coupl(nGC_83)**  &
                        2d0 + Nc*cMU**2d0*cima*coupl(nGC_79)**2d0 + Nc*cMU**2d0&
                        *cima*coupl(nGC_83)**2d0 + cME**2d0*cima*coupl(nGC_80  &
                        )**2d0 + cME**2d0*cima*coupl(nGC_85)**2d0 + cMM**2d0*  &
                        cima*coupl(nGC_80)**2d0 + cMM**2d0*cima*coupl(nGC_85)**&
                        2d0 + cMTA**2d0*cima*coupl(nGC_80)**2d0 + cMTA**2d0*   &
                        cima*coupl(nGC_85)**2d0 + cMW**2d0*cima*coupl(nGC_64)**&
                        2d0 + cMW**2d0*cima*coupl(nGC_674)**2d0 - cMW**2d0*    &
                        coupl(nGC_56))/(8d0*pi**2d0)
      coupl(nGC_18197) = coupl(nGC_9766) + coupl(nGC_MMW_GF)*dZWMinus_QED2/2d0
      coupl(nGC_14619) = coupl(nGC_110)*dZA_QED2/2d0 + coupl(nGC_110)*         &
                         dZWMinus_QED2/2d0 + coupl(nGC_9709) + coupl(nGC_99)*  &
                         dZZA_QED2/2d0
      coupl(nGC_9729) = coupl(nGC_9243)*dZee_QED2 + coupl(nGC_9244)*dsw_QED2 + &
                        coupl(nGC_9245)*dcw_QED2
      coupl(nGC_9482) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_141) - coupl(nGC_127)*&
                        coupl(nGC_128)*coupl(nGC_139) - coupl(nGC_141)**3d0 -  &
                        coupl(nGC_141)*coupl(nGC_746)**2d0 + 8d0*coupl(nGC_141 &
                        )*coupl(nGC_78)*coupl(nGC_82))/(32d0*pi**2d0)
      coupl(nGC_9486) = coupl(nGC_19)**2d0*sq2**2d0*(cMB*coupl(nGC_126) + cMC* &
                        coupl(nGC_128) + cMD*coupl(nGC_132) + cMS*coupl(nGC_141&
                        ) + cMT*coupl(nGC_143) + cMU*coupl(nGC_149))/(16d0*pi**&
                        2d0*Nc)
      coupl(nGC_9720) = coupl(nGC_9301)*dZee_QED2
      coupl(nGC_9721) = coupl(nGC_9068)*dZee_QED2 + coupl(nGC_9069)*dsw_QED2 + &
                        coupl(nGC_9070)*dcw_QED2
      coupl(nGC_9722) = coupl(nGC_9175)*dZee_QED2 + coupl(nGC_9176)*dsw_QED2
      coupl(nGC_9723) = coupl(nGC_9071)*dZee_QED2 + coupl(nGC_9072)*dsw_QED2 + &
                        coupl(nGC_9073)*dcw_QED2
      coupl(nGC_9724) = coupl(nGC_9272)*dZee_QED2 + coupl(nGC_9273)*dsw_QED2 + &
                        coupl(nGC_9274)*dcw_QED2
      coupl(nGC_9725) = coupl(nGC_9086)*dZee_QED2 + coupl(nGC_9087)*dsw_QED2 + &
                        coupl(nGC_9088)*dcw_QED2
      coupl(nGC_9726) = coupl(nGC_9310)*dZee_QED2 + coupl(nGC_9311)*dcw_QED2
      coupl(nGC_9727) = coupl(nGC_9234)*dZee_QED2 + coupl(nGC_9235)*dsw_QED2 + &
                        coupl(nGC_9236)*dcw_QED2
      coupl(nGC_9391) = (coupl(nGC_134)*coupl(nGC_4)*coupl(nGC_568) + coupl(   &
                        nGC_135)**2d0*coupl(nGC_4) - 2d0*coupl(nGC_3)*coupl(   &
                        nGC_62)**2d0 + 4d0*coupl(nGC_4)**3d0 + 4d0*coupl(nGC_4 &
                        )*coupl(nGC_85)**2d0)/(32d0*pi**2d0)
      coupl(nGC_14036) = coupl(nGC_14)*dZZA_QED2/2d0 + coupl(nGC_69)*dZA_QED2/ &
                         2d0 + coupl(nGC_69)*dZH_QED2/2d0 + coupl(nGC_69)*     &
                         dZWMinus_QED2/2d0 + coupl(nGC_9708)
      coupl(nGC_14032) = coupl(nGC_54)*dZZA_QED2/2d0 + coupl(nGC_75)*dZA_QED2/ &
                         2d0 + coupl(nGC_75)*dZWMinus_QED2/2d0 + coupl(nGC_9707&
                         )
      coupl(nGC_9397) = (4d0*coupl(nGC_1)**3d0 + coupl(nGC_1)*coupl(nGC_140)*  &
                        coupl(nGC_746) + coupl(nGC_1)*coupl(nGC_141)**2d0 + 4d0&
                        *coupl(nGC_1)*coupl(nGC_82)**2d0 + coupl(nGC_127)**2d0*&
                        coupl(nGC_2) + 4d0*coupl(nGC_2)*coupl(nGC_62)**2d0 +   &
                        2d0*coupl(nGC_330)*coupl(nGC_62)**2d0)/(32d0*pi**2d0)
      coupl(nGC_9390) = coupl(nGC_4)*(coupl(nGC_134)*coupl(nGC_568) + coupl(   &
                        nGC_135)**2d0 + 4d0*coupl(nGC_4)**2d0 + 4d0*coupl(     &
                        nGC_80)**2d0)/(32d0*pi**2d0)
      coupl(nGC_9398) = (4d0*coupl(nGC_1)**3d0 + coupl(nGC_1)*coupl(nGC_140)*  &
                        coupl(nGC_746) + coupl(nGC_1)*coupl(nGC_141)**2d0 + 4d0&
                        *coupl(nGC_1)*coupl(nGC_78)**2d0 + coupl(nGC_139)**2d0*&
                        coupl(nGC_2))/(32d0*pi**2d0)
      coupl(nGC_14890) = coupl(nGC_1)*dZAZ_QED2/2d0 + coupl(nGC_78)*dZZ_QED2/  &
                         2d0 + coupl(nGC_78)*dZdR_QED2 + coupl(nGC_9742)
      coupl(nGC_9416) = (8d0*coupl(nGC_1)*coupl(nGC_139)*coupl(nGC_2) - coupl( &
                        nGC_127)*coupl(nGC_128)*coupl(nGC_141) - coupl(nGC_127 &
                        )*coupl(nGC_636)*coupl(nGC_746) + 8d0*coupl(nGC_139)*  &
                        coupl(nGC_78)*coupl(nGC_83))/(32d0*pi**2d0)
      coupl(nGC_9418) = (8d0*coupl(nGC_1)*coupl(nGC_130)*coupl(nGC_2) - coupl( &
                        nGC_1274)*coupl(nGC_148)*coupl(nGC_766) + 8d0*coupl(   &
                        nGC_130)*coupl(nGC_78)*coupl(nGC_83) - coupl(nGC_132)* &
                        coupl(nGC_148)*coupl(nGC_149))/(32d0*pi**2d0)
      coupl(nGC_9553) = coupl(nGC_19)*sq2*(coupl(nGC_142)**2d0 + coupl(nGC_143 &
                        )**2d0 + coupl(nGC_144)*coupl(nGC_4572) + 4d0*coupl(   &
                        nGC_2)**2d0 + 4d0*coupl(nGC_79)**2d0)/(64d0*pi**2d0)
      coupl(nGC_9550) = coupl(nGC_19)*sq2*(-coupl(nGC_124)**2d0 - coupl(nGC_143&
                        )**2d0 - coupl(nGC_144)*coupl(nGC_4572) - 4d0*coupl(   &
                        nGC_2)**2d0 - 4d0*coupl(nGC_62)**2d0 - 4d0*coupl(nGC_83&
                        )**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_17259) = coupl(nGC_86)*dZZ_QED2/2d0 + coupl(nGC_86)*           &
                         dZnu_muL_QED2 + coupl(nGC_9743)
      coupl(nGC_13982) = coupl(nGC_56)*dZZA_QED2/2d0 + coupl(nGC_77)*dZA_QED2/ &
                         2d0 + coupl(nGC_77)*dZWMinus_QED2 + coupl(nGC_77)*    &
                         dZZ_QED2/2d0 - coupl(nGC_8)*dZAZ_QED2 + coupl(nGC_9729&
                         )
      coupl(nGC_9497) = (3d0*Nc*coupl(nGC_62)**2d0*coupl(nGC_82) - 3d0*Nc*coupl&
                        (nGC_62)**2d0*coupl(nGC_83) - coupl(nGC_330)*coupl(    &
                        nGC_4)*coupl(nGC_64) + 3d0*coupl(nGC_62)**2d0*coupl(   &
                        nGC_85) - 3d0*coupl(nGC_62)**2d0*coupl(nGC_86) - coupl(&
                        nGC_63)*coupl(nGC_64)*coupl(nGC_674))/(24d0*pi**2d0)
      coupl(nGC_9495) = coupl(nGC_62)*(2d0*coupl(nGC_1)*coupl(nGC_2) + coupl(  &
                        nGC_1)*coupl(nGC_330) + coupl(nGC_2)*coupl(nGC_3) +    &
                        coupl(nGC_64)*coupl(nGC_83) + coupl(nGC_674)*coupl(    &
                        nGC_82) + 2d0*coupl(nGC_82)*coupl(nGC_83))/(16d0*pi**  &
                        2d0)
      coupl(nGC_13987) = coupl(nGC_7)*dZAZ_QED2/2d0 + coupl(nGC_75)*           &
                         dZWMinus_QED2/2d0 + coupl(nGC_75)*dZZ_QED2/2d0 + coupl&
                         (nGC_9707)
      coupl(nGC_9569) = (Nc*cima*coupl(nGC_1)*coupl(nGC_124)*coupl(nGC_62)*    &
                        coupl(nGC_760) - 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_127&
                        )*coupl(nGC_129)*coupl(nGC_62) + Nc*cima*coupl(nGC_1)* &
                        coupl(nGC_130)*coupl(nGC_62)*coupl(nGC_766) + Nc*cima* &
                        coupl(nGC_1)*coupl(nGC_139)*coupl(nGC_62)*coupl(nGC_746&
                        ) - 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_142)*coupl(     &
                        nGC_144)*coupl(nGC_62) - 4d0*Nc*cima*coupl(nGC_1)*coupl&
                        (nGC_148)*coupl(nGC_150)*coupl(nGC_62) - 4d0*Nc*cima*  &
                        coupl(nGC_124)*coupl(nGC_2)*coupl(nGC_62)*coupl(nGC_760&
                        ) + Nc*cima*coupl(nGC_127)*coupl(nGC_129)*coupl(nGC_2)*&
                        coupl(nGC_62) - 4d0*Nc*cima*coupl(nGC_130)*coupl(nGC_2 &
                        )*coupl(nGC_62)*coupl(nGC_766) - 4d0*Nc*cima*coupl(    &
                        nGC_139)*coupl(nGC_2)*coupl(nGC_62)*coupl(nGC_746) + Nc&
                        *cima*coupl(nGC_142)*coupl(nGC_144)*coupl(nGC_2)*coupl(&
                        nGC_62) + Nc*cima*coupl(nGC_148)*coupl(nGC_150)*coupl( &
                        nGC_2)*coupl(nGC_62) + cima*coupl(nGC_133)*coupl(nGC_4 &
                        )*coupl(nGC_568)*coupl(nGC_62) + cima*coupl(nGC_136)*  &
                        coupl(nGC_358)*coupl(nGC_4)*coupl(nGC_62) + cima*coupl(&
                        nGC_145)*coupl(nGC_4)*coupl(nGC_484)*coupl(nGC_62) +   &
                        6d0*cima*coupl(nGC_16)*coupl(nGC_74) + 6d0*cima*coupl( &
                        nGC_72)*coupl(nGC_724) + 6d0*coupl(nGC_16)*coupl(      &
                        nGC_330)*coupl(nGC_64) + 6d0*coupl(nGC_3)*coupl(nGC_330&
                        )*coupl(nGC_72))/(48d0*pi**2d0)
      coupl(nGC_9491) = coupl(nGC_147)*(-coupl(nGC_147)**2d0 + 8d0*coupl(nGC_4 &
                        )**2d0 - coupl(nGC_484)**2d0 + 8d0*coupl(nGC_80)*coupl(&
                        nGC_85))/(32d0*pi**2d0)
      coupl(nGC_14328) = coupl(nGC_62)*dZWMinus_QED2/2d0 + coupl(nGC_62)*      &
                         dZdL_QED2/2d0 + coupl(nGC_62)*dZuL_QED2/2d0 + coupl(  &
                         nGC_9738)
      coupl(nGC_9388) = (4d0*coupl(nGC_1)**3d0 + coupl(nGC_1)*coupl(nGC_131)*  &
                        coupl(nGC_766) + coupl(nGC_1)*coupl(nGC_132)**2d0 + 4d0&
                        *coupl(nGC_1)*coupl(nGC_82)**2d0 + coupl(nGC_148)**2d0*&
                        coupl(nGC_2) + 4d0*coupl(nGC_2)*coupl(nGC_62)**2d0 +   &
                        2d0*coupl(nGC_330)*coupl(nGC_62)**2d0)/(32d0*pi**2d0)
      coupl(nGC_9389) = (4d0*coupl(nGC_1)**3d0 + coupl(nGC_1)*coupl(nGC_131)*  &
                        coupl(nGC_766) + coupl(nGC_1)*coupl(nGC_132)**2d0 + 4d0&
                        *coupl(nGC_1)*coupl(nGC_78)**2d0 + coupl(nGC_130)**2d0*&
                        coupl(nGC_2))/(32d0*pi**2d0)
      coupl(nGC_9387) = (-Nc*cMB*coupl(nGC_1)*coupl(nGC_126)*coupl(nGC_78) - Nc&
                        *cMB*coupl(nGC_1)*coupl(nGC_126)*coupl(nGC_82) - Nc*cMC&
                        *coupl(nGC_128)*coupl(nGC_2)*coupl(nGC_79) - Nc*cMC*   &
                        coupl(nGC_128)*coupl(nGC_2)*coupl(nGC_83) - Nc*cMD*    &
                        coupl(nGC_1)*coupl(nGC_132)*coupl(nGC_78) - Nc*cMD*    &
                        coupl(nGC_1)*coupl(nGC_132)*coupl(nGC_82) - Nc*cMS*    &
                        coupl(nGC_1)*coupl(nGC_141)*coupl(nGC_78) - Nc*cMS*    &
                        coupl(nGC_1)*coupl(nGC_141)*coupl(nGC_82) - Nc*cMT*    &
                        coupl(nGC_143)*coupl(nGC_2)*coupl(nGC_79) - Nc*cMT*    &
                        coupl(nGC_143)*coupl(nGC_2)*coupl(nGC_83) - Nc*cMU*    &
                        coupl(nGC_149)*coupl(nGC_2)*coupl(nGC_79) - Nc*cMU*    &
                        coupl(nGC_149)*coupl(nGC_2)*coupl(nGC_83) - cME*coupl( &
                        nGC_135)*coupl(nGC_4)*coupl(nGC_80) - cME*coupl(nGC_135&
                        )*coupl(nGC_4)*coupl(nGC_85) - cMM*coupl(nGC_138)*coupl&
                        (nGC_4)*coupl(nGC_80) - cMM*coupl(nGC_138)*coupl(nGC_4 &
                        )*coupl(nGC_85) - cMTA*coupl(nGC_147)*coupl(nGC_4)*    &
                        coupl(nGC_80) - cMTA*coupl(nGC_147)*coupl(nGC_4)*coupl(&
                        nGC_85) + cima*coupl(nGC_107)*coupl(nGC_77) + coupl(   &
                        nGC_107)*coupl(nGC_3)*coupl(nGC_64) + coupl(nGC_107)*  &
                        coupl(nGC_330)*coupl(nGC_674))/(8d0*pi**2d0)
      coupl(nGC_9384) = (3d0*Nc*coupl(nGC_1)*coupl(nGC_62)**2d0 - 3d0*Nc*coupl(&
                        nGC_2)*coupl(nGC_62)**2d0 - coupl(nGC_3)*coupl(nGC_330 &
                        )*coupl(nGC_4) - coupl(nGC_3)*coupl(nGC_63)*coupl(     &
                        nGC_674) + 3d0*coupl(nGC_4)*coupl(nGC_62)**2d0)/(24d0* &
                        pi**2d0)
      coupl(nGC_9467) = (-2d0*Nc*cMB*coupl(nGC_126)*coupl(nGC_62)**2d0 - 2d0*Nc&
                        *cMC*coupl(nGC_128)*coupl(nGC_62)**2d0 - 2d0*Nc*cMD*   &
                        coupl(nGC_132)*coupl(nGC_62)**2d0 - 2d0*Nc*cMS*coupl(  &
                        nGC_141)*coupl(nGC_62)**2d0 - 2d0*Nc*cMT*coupl(nGC_143 &
                        )*coupl(nGC_62)**2d0 - 2d0*Nc*cMU*coupl(nGC_149)*coupl(&
                        nGC_62)**2d0 - 2d0*cME*coupl(nGC_135)*coupl(nGC_62)**  &
                        2d0 - 2d0*cMM*coupl(nGC_138)*coupl(nGC_62)**2d0 - 2d0* &
                        cMTA*coupl(nGC_147)*coupl(nGC_62)**2d0 + 2d0*cima*coupl&
                        (nGC_107)*coupl(nGC_1976) + cima*coupl(nGC_123)*coupl( &
                        nGC_56) + 2d0*coupl(nGC_107)*coupl(nGC_330)*coupl(nGC_4&
                        ) + 2d0*coupl(nGC_107)*coupl(nGC_63)*coupl(nGC_674) +  &
                        2d0*coupl(nGC_123)*coupl(nGC_244)*coupl(nGC_64))/(16d0*&
                        pi**2d0)
      coupl(nGC_9464) = (-coupl(nGC_1274)*coupl(nGC_149)**2d0 - coupl(nGC_1274 &
                        )*coupl(nGC_150)**2d0 - coupl(nGC_130)*coupl(nGC_148)* &
                        coupl(nGC_766) + 8d0*coupl(nGC_150)*coupl(nGC_2)**2d0  &
                         + 8d0*coupl(nGC_150)*coupl(nGC_79)*coupl(nGC_83))/(   &
                        32d0*pi**2d0)
      coupl(nGC_22929) = -coupl(nGC_9407)
      coupl(nGC_18236) = 2d0*coupl(nGC_24)*dZH_QED2 + coupl(nGC_9638) + coupl( &
                         nGC_HHHH)
      coupl(nGC_14634) = coupl(nGC_140)*dZsL_QCD2/2d0 + coupl(nGC_140)*        &
                         dZsR_QCD2/2d0 + coupl(nGC_9676)
      coupl(nGC_14636) = coupl(nGC_140)*dZsL_QED2/2d0 + coupl(nGC_140)*        &
                         dZsR_QED2/2d0 + coupl(nGC_9675)
      coupl(nGC_14482) = coupl(nGC_9638) + coupl(nGC_HHHH)
      coupl(nGC_14840) = -4d0*coupl(nGC_48)*dZWMinus_QED2 - 2d0*coupl(nGC_9722)
      coupl(nGC_14633) = -coupl(nGC_140)*dZsL_QCD2/2d0 - coupl(nGC_140)*       &
                         dZsR_QCD2/2d0 - coupl(nGC_9676)
      coupl(nGC_15233) = coupl(nGC_56)*dZWMinus_QED2 + coupl(nGC_56)*dZZ_QED2  &
                          + coupl(nGC_77)*dZAZ_QED2 + coupl(nGC_9734)
      coupl(nGC_9540) = -coupl(nGC_19)*sq2*(4d0*coupl(nGC_1)**2d0 + coupl(     &
                        nGC_131)*coupl(nGC_766) + coupl(nGC_132)**2d0 + coupl( &
                        nGC_148)**2d0 + 4d0*coupl(nGC_62)**2d0 + 4d0*coupl(    &
                        nGC_82)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_9541) = -coupl(nGC_19)*sq2*(4d0*coupl(nGC_1)**2d0 + coupl(     &
                        nGC_130)**2d0 + coupl(nGC_131)*coupl(nGC_766) + coupl( &
                        nGC_132)**2d0 + 4d0*coupl(nGC_78)**2d0)/(64d0*pi**2d0* &
                        Nc)
      coupl(nGC_9542) = -coupl(nGC_19)*sq2*(-4d0*coupl(nGC_1)**2d0 - coupl(    &
                        nGC_131)*coupl(nGC_766) - coupl(nGC_132)**2d0 - coupl( &
                        nGC_148)**2d0 - 4d0*coupl(nGC_62)**2d0 - 4d0*coupl(    &
                        nGC_82)**2d0)/(64d0*pi**2d0)
      coupl(nGC_21953) = -coupl(nGC_9426)
      coupl(nGC_21383) = -coupl(nGC_9384)
      coupl(nGC_13999) = coupl(nGC_146)*dZtauMinusL_QED2/2d0 + coupl(nGC_146)* &
                         dZtauMinusR_QED2/2d0 + coupl(nGC_9690)
      coupl(nGC_13998) = -coupl(nGC_146)*dZtauMinusL_QED2/2d0 - coupl(nGC_146)*&
                         dZtauMinusR_QED2/2d0 - coupl(nGC_9690)
      coupl(nGC_14130) = coupl(nGC_54)*dZWMinus_QED2/2d0 + coupl(nGC_54)*      &
                         dZZ_QED2/2d0 + coupl(nGC_75)*dZAZ_QED2/2d0 + coupl(   &
                         nGC_9727)
      coupl(nGC_13994) = coupl(nGC_14)*dZH_QED2/2d0 + coupl(nGC_14)*           &
                         dZWMinus_QED2/2d0 + coupl(nGC_14)*dZZ_QED2/2d0 + coupl&
                         (nGC_69)*dZAZ_QED2/2d0 + coupl(nGC_9726)
      coupl(nGC_14402) = coupl(nGC_62)*dZWMinus_QED2/2d0 + coupl(nGC_62)*      &
                         dZnu_tauL_QED2/2d0 + coupl(nGC_62)*dZtauMinusL_QED2/  &
                         2d0 + coupl(nGC_9738)
      coupl(nGC_9514) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_78) + coupl(nGC_130)**&
                        2d0*coupl(nGC_83) + coupl(nGC_131)*coupl(nGC_766)*coupl&
                        (nGC_82) + coupl(nGC_132)**2d0*coupl(nGC_82) + 4d0*    &
                        coupl(nGC_78)**3d0)/(32d0*pi**2d0)
      coupl(nGC_9471) = (-2d0*Nc*cMB*coupl(nGC_126)*coupl(nGC_78)**2d0 + 2d0*Nc&
                        *cMB*coupl(nGC_126)*coupl(nGC_78)*coupl(nGC_82) - 2d0* &
                        Nc*cMB*coupl(nGC_126)*coupl(nGC_82)**2d0 - 2d0*Nc*cMC* &
                        coupl(nGC_128)*coupl(nGC_79)**2d0 + 2d0*Nc*cMC*coupl(  &
                        nGC_128)*coupl(nGC_79)*coupl(nGC_83) - 2d0*Nc*cMC*coupl&
                        (nGC_128)*coupl(nGC_83)**2d0 - 2d0*Nc*cMD*coupl(nGC_132&
                        )*coupl(nGC_78)**2d0 + 2d0*Nc*cMD*coupl(nGC_132)*coupl(&
                        nGC_78)*coupl(nGC_82) - 2d0*Nc*cMD*coupl(nGC_132)*coupl&
                        (nGC_82)**2d0 - 2d0*Nc*cMS*coupl(nGC_141)*coupl(nGC_78 &
                        )**2d0 + 2d0*Nc*cMS*coupl(nGC_141)*coupl(nGC_78)*coupl(&
                        nGC_82) - 2d0*Nc*cMS*coupl(nGC_141)*coupl(nGC_82)**2d0 &
                         - 2d0*Nc*cMT*coupl(nGC_143)*coupl(nGC_79)**2d0 + 2d0* &
                        Nc*cMT*coupl(nGC_143)*coupl(nGC_79)*coupl(nGC_83) - 2d0&
                        *Nc*cMT*coupl(nGC_143)*coupl(nGC_83)**2d0 - 2d0*Nc*cMU*&
                        coupl(nGC_149)*coupl(nGC_79)**2d0 + 2d0*Nc*cMU*coupl(  &
                        nGC_149)*coupl(nGC_79)*coupl(nGC_83) - 2d0*Nc*cMU*coupl&
                        (nGC_149)*coupl(nGC_83)**2d0 - 2d0*cME*coupl(nGC_135)* &
                        coupl(nGC_80)**2d0 + 2d0*cME*coupl(nGC_135)*coupl(     &
                        nGC_80)*coupl(nGC_85) - 2d0*cME*coupl(nGC_135)*coupl(  &
                        nGC_85)**2d0 - 2d0*cMM*coupl(nGC_138)*coupl(nGC_80)**  &
                        2d0 + 2d0*cMM*coupl(nGC_138)*coupl(nGC_80)*coupl(nGC_85&
                        ) - 2d0*cMM*coupl(nGC_138)*coupl(nGC_85)**2d0 - 2d0*   &
                        cMTA*coupl(nGC_147)*coupl(nGC_80)**2d0 + 2d0*cMTA*coupl&
                        (nGC_147)*coupl(nGC_80)*coupl(nGC_85) - 2d0*cMTA*coupl(&
                        nGC_147)*coupl(nGC_85)**2d0 + cima*coupl(nGC_107)*coupl&
                        (nGC_56) + coupl(nGC_107)*coupl(nGC_64)**2d0 + coupl(  &
                        nGC_107)*coupl(nGC_674)**2d0)/(8d0*pi**2d0)
      coupl(nGC_9475) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_132) - coupl(nGC_130)*&
                        coupl(nGC_148)*coupl(nGC_149) - coupl(nGC_132)**3d0 -  &
                        coupl(nGC_132)*coupl(nGC_766)**2d0 + 8d0*coupl(nGC_132 &
                        )*coupl(nGC_78)*coupl(nGC_82))/(32d0*pi**2d0)
      coupl(nGC_9479) = coupl(nGC_135)*(-coupl(nGC_135)**2d0 + 8d0*coupl(nGC_4 &
                        )**2d0 - coupl(nGC_568)**2d0 + 8d0*coupl(nGC_80)*coupl(&
                        nGC_85))/(32d0*pi**2d0)
      coupl(nGC_9543) = -coupl(nGC_19)*sq2*(-4d0*coupl(nGC_1)**2d0 - coupl(    &
                        nGC_130)**2d0 - coupl(nGC_131)*coupl(nGC_766) - coupl( &
                        nGC_132)**2d0 - 4d0*coupl(nGC_78)**2d0)/(64d0*pi**2d0)
      coupl(nGC_9579) = (-Nc*cima*coupl(nGC_1)*coupl(nGC_126)**2d0*coupl(nGC_78&
                        ) - Nc*cima*coupl(nGC_1)*coupl(nGC_126)**2d0*coupl(    &
                        nGC_82) - Nc*cima*coupl(nGC_1)*coupl(nGC_132)**2d0*    &
                        coupl(nGC_78) - Nc*cima*coupl(nGC_1)*coupl(nGC_132)**  &
                        2d0*coupl(nGC_82) - Nc*cima*coupl(nGC_1)*coupl(nGC_141 &
                        )**2d0*coupl(nGC_78) - Nc*cima*coupl(nGC_1)*coupl(     &
                        nGC_141)**2d0*coupl(nGC_82) - Nc*cima*coupl(nGC_128)** &
                        2d0*coupl(nGC_2)*coupl(nGC_79) - Nc*cima*coupl(nGC_128 &
                        )**2d0*coupl(nGC_2)*coupl(nGC_83) - Nc*cima*coupl(     &
                        nGC_143)**2d0*coupl(nGC_2)*coupl(nGC_79) - Nc*cima*    &
                        coupl(nGC_143)**2d0*coupl(nGC_2)*coupl(nGC_83) - Nc*   &
                        cima*coupl(nGC_149)**2d0*coupl(nGC_2)*coupl(nGC_79) -  &
                        Nc*cima*coupl(nGC_149)**2d0*coupl(nGC_2)*coupl(nGC_83  &
                        ) - cima*coupl(nGC_135)**2d0*coupl(nGC_4)*coupl(nGC_80 &
                        ) - cima*coupl(nGC_135)**2d0*coupl(nGC_4)*coupl(nGC_85 &
                        ) - cima*coupl(nGC_138)**2d0*coupl(nGC_4)*coupl(nGC_80 &
                        ) - cima*coupl(nGC_138)**2d0*coupl(nGC_4)*coupl(nGC_85 &
                        ) - cima*coupl(nGC_147)**2d0*coupl(nGC_4)*coupl(nGC_80 &
                        ) - cima*coupl(nGC_147)**2d0*coupl(nGC_4)*coupl(nGC_85 &
                        ) + cima*coupl(nGC_47)*coupl(nGC_77) + coupl(nGC_3)*   &
                        coupl(nGC_47)*coupl(nGC_64) + coupl(nGC_330)*coupl(    &
                        nGC_47)*coupl(nGC_674))/(8d0*pi**2d0)
      coupl(nGC_9578) = (-6d0*Nc*cima*coupl(nGC_1)*coupl(nGC_62)**2d0*coupl(   &
                        nGC_82) + 9d0*Nc*cima*coupl(nGC_1)*coupl(nGC_62)**2d0* &
                        coupl(nGC_83) + 9d0*Nc*cima*coupl(nGC_2)*coupl(nGC_62  &
                        )**2d0*coupl(nGC_82) - 6d0*Nc*cima*coupl(nGC_2)*coupl( &
                        nGC_62)**2d0*coupl(nGC_83) - 8d0*cima*coupl(nGC_3)*    &
                        coupl(nGC_330)*coupl(nGC_4)*coupl(nGC_64) - 8d0*cima*  &
                        coupl(nGC_3)*coupl(nGC_63)*coupl(nGC_64)*coupl(nGC_674 &
                        ) - 6d0*cima*coupl(nGC_4)*coupl(nGC_62)**2d0*coupl(    &
                        nGC_85) + 9d0*cima*coupl(nGC_4)*coupl(nGC_62)**2d0*    &
                        coupl(nGC_86) + 6d0*cima*coupl(nGC_426)*coupl(nGC_724  &
                        ) + 6d0*cima*coupl(nGC_55)*coupl(nGC_74) + 6d0*coupl(  &
                        nGC_3)*coupl(nGC_4)*coupl(nGC_426) + 6d0*coupl(nGC_3)* &
                        coupl(nGC_55)*coupl(nGC_63) + 6d0*coupl(nGC_3)*coupl(  &
                        nGC_674)*coupl(nGC_724) + 6d0*coupl(nGC_64)*coupl(     &
                        nGC_674)*coupl(nGC_74))/(48d0*pi**2d0)
      coupl(nGC_9571) = (2d0*Nc*cima*coupl(nGC_1)**4d0 + 2d0*Nc*cima*coupl(    &
                        nGC_2)**4d0 - 2d0*cima*coupl(nGC_3)**4d0 - 2d0*cima*   &
                        coupl(nGC_330)**4d0 + 2d0*cima*coupl(nGC_4)**4d0 + cima&
                        *coupl(nGC_9)**2d0 + 2d0*coupl(nGC_3)**2d0*coupl(nGC_9 &
                        ) + 2d0*coupl(nGC_330)**2d0*coupl(nGC_9))/(8d0*pi**2d0)
      coupl(nGC_9570) = (Nc*cima*coupl(nGC_1)*coupl(nGC_124)*coupl(nGC_126)*   &
                        coupl(nGC_62) - 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_127 &
                        )*coupl(nGC_128)*coupl(nGC_62) + Nc*cima*coupl(nGC_1)* &
                        coupl(nGC_130)*coupl(nGC_132)*coupl(nGC_62) + Nc*cima* &
                        coupl(nGC_1)*coupl(nGC_139)*coupl(nGC_141)*coupl(nGC_62&
                        ) - 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_142)*coupl(     &
                        nGC_143)*coupl(nGC_62) - 4d0*Nc*cima*coupl(nGC_1)*coupl&
                        (nGC_148)*coupl(nGC_149)*coupl(nGC_62) - 4d0*Nc*cima*  &
                        coupl(nGC_124)*coupl(nGC_126)*coupl(nGC_2)*coupl(nGC_62&
                        ) + Nc*cima*coupl(nGC_127)*coupl(nGC_128)*coupl(nGC_2)*&
                        coupl(nGC_62) - 4d0*Nc*cima*coupl(nGC_130)*coupl(      &
                        nGC_132)*coupl(nGC_2)*coupl(nGC_62) - 4d0*Nc*cima*coupl&
                        (nGC_139)*coupl(nGC_141)*coupl(nGC_2)*coupl(nGC_62) +  &
                        Nc*cima*coupl(nGC_142)*coupl(nGC_143)*coupl(nGC_2)*    &
                        coupl(nGC_62) + Nc*cima*coupl(nGC_148)*coupl(nGC_149)* &
                        coupl(nGC_2)*coupl(nGC_62) + cima*coupl(nGC_133)*coupl(&
                        nGC_135)*coupl(nGC_4)*coupl(nGC_62) + cima*coupl(      &
                        nGC_136)*coupl(nGC_138)*coupl(nGC_4)*coupl(nGC_62) +   &
                        6d0*cima*coupl(nGC_14)*coupl(nGC_74) + cima*coupl(     &
                        nGC_145)*coupl(nGC_147)*coupl(nGC_4)*coupl(nGC_62) +   &
                        6d0*cima*coupl(nGC_69)*coupl(nGC_724) + 6d0*coupl(     &
                        nGC_14)*coupl(nGC_330)*coupl(nGC_64) + 6d0*coupl(nGC_3 &
                        )*coupl(nGC_330)*coupl(nGC_69))/(48d0*pi**2d0)
      coupl(nGC_9573) = (Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_78)**2d0 + Nc*cima&
                        *coupl(nGC_1)**2d0*coupl(nGC_82)**2d0 + Nc*cima*coupl( &
                        nGC_2)**2d0*coupl(nGC_79)**2d0 + Nc*cima*coupl(nGC_2)**&
                        2d0*coupl(nGC_83)**2d0 - 2d0*cima*coupl(nGC_3)**2d0*   &
                        coupl(nGC_64)**2d0 - 2d0*cima*coupl(nGC_330)**2d0*coupl&
                        (nGC_674)**2d0 + cima*coupl(nGC_4)**2d0*coupl(nGC_80)**&
                        2d0 + cima*coupl(nGC_4)**2d0*coupl(nGC_85)**2d0 + cima*&
                        coupl(nGC_77)**2d0 + 2d0*coupl(nGC_3)*coupl(nGC_64)*   &
                        coupl(nGC_77) + 2d0*coupl(nGC_330)*coupl(nGC_674)*coupl&
                        (nGC_77))/(8d0*pi**2d0)
      coupl(nGC_9572) = (Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_78)**2d0 + Nc*cima&
                        *coupl(nGC_1)**2d0*coupl(nGC_82)**2d0 + Nc*cima*coupl( &
                        nGC_2)**2d0*coupl(nGC_79)**2d0 + Nc*cima*coupl(nGC_2)**&
                        2d0*coupl(nGC_83)**2d0 - 2d0*cima*coupl(nGC_3)**2d0*   &
                        coupl(nGC_64)**2d0 - 2d0*cima*coupl(nGC_330)**2d0*coupl&
                        (nGC_674)**2d0 + cima*coupl(nGC_4)**2d0*coupl(nGC_80)**&
                        2d0 + cima*coupl(nGC_4)**2d0*coupl(nGC_85)**2d0 + cima*&
                        coupl(nGC_56)*coupl(nGC_9) + coupl(nGC_3)**2d0*coupl(  &
                        nGC_56) + coupl(nGC_330)**2d0*coupl(nGC_56) + coupl(   &
                        nGC_64)**2d0*coupl(nGC_9) + coupl(nGC_674)**2d0*coupl( &
                        nGC_9))/(8d0*pi**2d0)
      coupl(nGC_9575) = (-Nc*cima*coupl(nGC_1)*coupl(nGC_125)*coupl(nGC_760)*  &
                        coupl(nGC_78) - Nc*cima*coupl(nGC_1)*coupl(nGC_125)*   &
                        coupl(nGC_760)*coupl(nGC_82) - Nc*cima*coupl(nGC_1)*   &
                        coupl(nGC_131)*coupl(nGC_766)*coupl(nGC_78) - Nc*cima* &
                        coupl(nGC_1)*coupl(nGC_131)*coupl(nGC_766)*coupl(nGC_82&
                        ) - Nc*cima*coupl(nGC_1)*coupl(nGC_140)*coupl(nGC_746)*&
                        coupl(nGC_78) - Nc*cima*coupl(nGC_1)*coupl(nGC_140)*   &
                        coupl(nGC_746)*coupl(nGC_82) - Nc*cima*coupl(nGC_1274)*&
                        coupl(nGC_150)*coupl(nGC_2)*coupl(nGC_79) - Nc*cima*   &
                        coupl(nGC_1274)*coupl(nGC_150)*coupl(nGC_2)*coupl(     &
                        nGC_83) - Nc*cima*coupl(nGC_129)*coupl(nGC_2)*coupl(   &
                        nGC_636)*coupl(nGC_79) - Nc*cima*coupl(nGC_129)*coupl( &
                        nGC_2)*coupl(nGC_636)*coupl(nGC_83) - Nc*cima*coupl(   &
                        nGC_144)*coupl(nGC_2)*coupl(nGC_4572)*coupl(nGC_79) -  &
                        Nc*cima*coupl(nGC_144)*coupl(nGC_2)*coupl(nGC_4572)*   &
                        coupl(nGC_83) - cima*coupl(nGC_134)*coupl(nGC_4)*coupl(&
                        nGC_568)*coupl(nGC_80) - cima*coupl(nGC_134)*coupl(    &
                        nGC_4)*coupl(nGC_568)*coupl(nGC_85) - cima*coupl(      &
                        nGC_137)*coupl(nGC_358)*coupl(nGC_4)*coupl(nGC_80) -   &
                        cima*coupl(nGC_137)*coupl(nGC_358)*coupl(nGC_4)*coupl( &
                        nGC_85) - cima*coupl(nGC_146)*coupl(nGC_4)*coupl(      &
                        nGC_484)*coupl(nGC_80) - cima*coupl(nGC_146)*coupl(    &
                        nGC_4)*coupl(nGC_484)*coupl(nGC_85) + cima*coupl(nGC_47&
                        )*coupl(nGC_77) + coupl(nGC_3)*coupl(nGC_47)*coupl(    &
                        nGC_64) + coupl(nGC_330)*coupl(nGC_47)*coupl(nGC_674   &
                        ))/(8d0*pi**2d0)
      coupl(nGC_9574) = (Nc*cima*coupl(nGC_1)**3d0*coupl(nGC_78) + Nc*cima*    &
                        coupl(nGC_1)**3d0*coupl(nGC_82) + Nc*cima*coupl(nGC_2  &
                        )**3d0*coupl(nGC_79) + Nc*cima*coupl(nGC_2)**3d0*coupl(&
                        nGC_83) - 2d0*cima*coupl(nGC_3)**3d0*coupl(nGC_64) -   &
                        2d0*cima*coupl(nGC_330)**3d0*coupl(nGC_674) + cima*    &
                        coupl(nGC_4)**3d0*coupl(nGC_80) + cima*coupl(nGC_4)**  &
                        3d0*coupl(nGC_85) + cima*coupl(nGC_77)*coupl(nGC_9) +  &
                        coupl(nGC_3)**2d0*coupl(nGC_77) + coupl(nGC_3)*coupl(  &
                        nGC_64)*coupl(nGC_9) + coupl(nGC_330)**2d0*coupl(nGC_77&
                        ) + coupl(nGC_330)*coupl(nGC_674)*coupl(nGC_9))/(8d0*pi&
                        **2d0)
      coupl(nGC_9577) = (-6d0*Nc*cima*coupl(nGC_1)*coupl(nGC_62)**2d0*coupl(   &
                        nGC_82) + 9d0*Nc*cima*coupl(nGC_1)*coupl(nGC_62)**2d0* &
                        coupl(nGC_83) + 9d0*Nc*cima*coupl(nGC_2)*coupl(nGC_62  &
                        )**2d0*coupl(nGC_82) - 6d0*Nc*cima*coupl(nGC_2)*coupl( &
                        nGC_62)**2d0*coupl(nGC_83) - 8d0*cima*coupl(nGC_3)*    &
                        coupl(nGC_330)*coupl(nGC_4)*coupl(nGC_64) - 8d0*cima*  &
                        coupl(nGC_3)*coupl(nGC_63)*coupl(nGC_64)*coupl(nGC_674 &
                        ) - 6d0*cima*coupl(nGC_4)*coupl(nGC_62)**2d0*coupl(    &
                        nGC_85) + 9d0*cima*coupl(nGC_4)*coupl(nGC_62)**2d0*    &
                        coupl(nGC_86) + 6d0*cima*coupl(nGC_426)*coupl(nGC_724  &
                        ) + 6d0*cima*coupl(nGC_55)*coupl(nGC_74) + 6d0*coupl(  &
                        nGC_3)*coupl(nGC_330)*coupl(nGC_426) + 6d0*coupl(nGC_3 &
                        )*coupl(nGC_55)*coupl(nGC_674) + 6d0*coupl(nGC_4)*coupl&
                        (nGC_64)*coupl(nGC_724) + 6d0*coupl(nGC_63)*coupl(     &
                        nGC_64)*coupl(nGC_74))/(48d0*pi**2d0)
      coupl(nGC_9576) = (18d0*Nc*cima*coupl(nGC_1)*coupl(nGC_62)**2d0*coupl(   &
                        nGC_82) - 15d0*Nc*cima*coupl(nGC_1)*coupl(nGC_62)**2d0*&
                        coupl(nGC_83) - 15d0*Nc*cima*coupl(nGC_2)*coupl(nGC_62 &
                        )**2d0*coupl(nGC_82) + 18d0*Nc*cima*coupl(nGC_2)*coupl(&
                        nGC_62)**2d0*coupl(nGC_83) + 6d0*cima*coupl(nGC_1976)* &
                        coupl(nGC_77) - 8d0*cima*coupl(nGC_3)*coupl(nGC_330)*  &
                        coupl(nGC_4)*coupl(nGC_64) - 8d0*cima*coupl(nGC_3)*    &
                        coupl(nGC_63)*coupl(nGC_64)*coupl(nGC_674) + 18d0*cima*&
                        coupl(nGC_4)*coupl(nGC_62)**2d0*coupl(nGC_85) - 15d0*  &
                        cima*coupl(nGC_4)*coupl(nGC_62)**2d0*coupl(nGC_86) +   &
                        6d0*coupl(nGC_1976)*coupl(nGC_3)*coupl(nGC_64) + 6d0*  &
                        coupl(nGC_1976)*coupl(nGC_330)*coupl(nGC_674) + 6d0*   &
                        coupl(nGC_330)*coupl(nGC_4)*coupl(nGC_77) + 6d0*coupl( &
                        nGC_63)*coupl(nGC_674)*coupl(nGC_77))/(48d0*pi**2d0)
      coupl(nGC_14644) = coupl(nGC_62)*dZWMinus_QED2/2d0 + coupl(nGC_62)*      &
                         dZbL_QED2/2d0 + coupl(nGC_62)*dZtL_QED2/2d0 + coupl(  &
                         nGC_9738)
      coupl(nGC_14419) = -coupl(nGC_77)*dZZA_QED2/2d0 + coupl(nGC_8)*dZA_QED2  &
                          + coupl(nGC_8)*dZWMinus_QED2 + coupl(nGC_9720)
      coupl(nGC_14418) = coupl(nGC_77)*dZZA_QED2 - 2d0*coupl(nGC_8)*dZA_QED2 - &
                         2d0*coupl(nGC_8)*dZWMinus_QED2 - 2d0*coupl(nGC_9720)
      coupl(nGC_16284) = coupl(nGC_2)*dZAZ_QED2/2d0 + coupl(nGC_79)*dZZ_QED2/  &
                         2d0 + coupl(nGC_79)*dZcR_QED2 + coupl(nGC_9739)
      coupl(nGC_16285) = coupl(nGC_2)*dZAZ_QED2/2d0 + coupl(nGC_83)*dZZ_QED2/  &
                         2d0 + coupl(nGC_83)*dZcL_QED2 + coupl(nGC_9740)
      coupl(nGC_15981) = coupl(nGC_62)*dZWMinus_QED2/2d0 + coupl(nGC_62)*      &
                         dZmuMinusL_QED2/2d0 + coupl(nGC_62)*dZnu_muL_QED2/2d0 &
                          + coupl(nGC_9738)
      coupl(nGC_9566) = (-8d0*Nc*cima*coupl(nGC_1)*coupl(nGC_124)**2d0*coupl(  &
                        nGC_78) + 5d0*Nc*cima*coupl(nGC_1)*coupl(nGC_124)**2d0*&
                        coupl(nGC_83) + 5d0*Nc*cima*coupl(nGC_1)*coupl(nGC_127 &
                        )**2d0*coupl(nGC_79) - 8d0*Nc*cima*coupl(nGC_1)*coupl( &
                        nGC_127)**2d0*coupl(nGC_82) - 8d0*Nc*cima*coupl(nGC_1)*&
                        coupl(nGC_130)**2d0*coupl(nGC_78) + 5d0*Nc*cima*coupl( &
                        nGC_1)*coupl(nGC_130)**2d0*coupl(nGC_83) - 8d0*Nc*cima*&
                        coupl(nGC_1)*coupl(nGC_139)**2d0*coupl(nGC_78) + 5d0*Nc&
                        *cima*coupl(nGC_1)*coupl(nGC_139)**2d0*coupl(nGC_83) + &
                        5d0*Nc*cima*coupl(nGC_1)*coupl(nGC_142)**2d0*coupl(    &
                        nGC_79) - 8d0*Nc*cima*coupl(nGC_1)*coupl(nGC_142)**2d0*&
                        coupl(nGC_82) + 5d0*Nc*cima*coupl(nGC_1)*coupl(nGC_148 &
                        )**2d0*coupl(nGC_79) - 8d0*Nc*cima*coupl(nGC_1)*coupl( &
                        nGC_148)**2d0*coupl(nGC_82) + 5d0*Nc*cima*coupl(nGC_124&
                        )**2d0*coupl(nGC_2)*coupl(nGC_78) - 8d0*Nc*cima*coupl( &
                        nGC_124)**2d0*coupl(nGC_2)*coupl(nGC_83) - 8d0*Nc*cima*&
                        coupl(nGC_127)**2d0*coupl(nGC_2)*coupl(nGC_79) + 5d0*Nc&
                        *cima*coupl(nGC_127)**2d0*coupl(nGC_2)*coupl(nGC_82) + &
                        5d0*Nc*cima*coupl(nGC_130)**2d0*coupl(nGC_2)*coupl(    &
                        nGC_78) - 8d0*Nc*cima*coupl(nGC_130)**2d0*coupl(nGC_2)*&
                        coupl(nGC_83) + 5d0*Nc*cima*coupl(nGC_139)**2d0*coupl( &
                        nGC_2)*coupl(nGC_78) - 8d0*Nc*cima*coupl(nGC_139)**2d0*&
                        coupl(nGC_2)*coupl(nGC_83) - 8d0*Nc*cima*coupl(nGC_142 &
                        )**2d0*coupl(nGC_2)*coupl(nGC_79) + 5d0*Nc*cima*coupl( &
                        nGC_142)**2d0*coupl(nGC_2)*coupl(nGC_82) - 8d0*Nc*cima*&
                        coupl(nGC_148)**2d0*coupl(nGC_2)*coupl(nGC_79) + 5d0*Nc&
                        *cima*coupl(nGC_148)**2d0*coupl(nGC_2)*coupl(nGC_82) - &
                        8d0*cima*coupl(nGC_133)**2d0*coupl(nGC_4)*coupl(nGC_80 &
                        ) + 5d0*cima*coupl(nGC_133)**2d0*coupl(nGC_4)*coupl(   &
                        nGC_86) - 8d0*cima*coupl(nGC_136)**2d0*coupl(nGC_4)*   &
                        coupl(nGC_80) + 5d0*cima*coupl(nGC_136)**2d0*coupl(    &
                        nGC_4)*coupl(nGC_86) - 8d0*cima*coupl(nGC_145)**2d0*   &
                        coupl(nGC_4)*coupl(nGC_80) + 5d0*cima*coupl(nGC_145)** &
                        2d0*coupl(nGC_4)*coupl(nGC_86) + 6d0*cima*coupl(nGC_47 &
                        )*coupl(nGC_77) + 6d0*coupl(nGC_3)*coupl(nGC_47)*coupl(&
                        nGC_64) + 6d0*coupl(nGC_330)*coupl(nGC_47)*coupl(      &
                        nGC_674))/(48d0*pi**2d0)
      coupl(nGC_9567) = (Nc*cima*coupl(nGC_1)*coupl(nGC_124)*coupl(nGC_125)*   &
                        coupl(nGC_62) - 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_127 &
                        )*coupl(nGC_62)*coupl(nGC_636) - 4d0*Nc*cima*coupl(    &
                        nGC_1)*coupl(nGC_1274)*coupl(nGC_148)*coupl(nGC_62) +  &
                        Nc*cima*coupl(nGC_1)*coupl(nGC_130)*coupl(nGC_131)*    &
                        coupl(nGC_62) + Nc*cima*coupl(nGC_1)*coupl(nGC_139)*   &
                        coupl(nGC_140)*coupl(nGC_62) - 4d0*Nc*cima*coupl(nGC_1 &
                        )*coupl(nGC_142)*coupl(nGC_4572)*coupl(nGC_62) - 4d0*Nc&
                        *cima*coupl(nGC_124)*coupl(nGC_125)*coupl(nGC_2)*coupl(&
                        nGC_62) + Nc*cima*coupl(nGC_127)*coupl(nGC_2)*coupl(   &
                        nGC_62)*coupl(nGC_636) + Nc*cima*coupl(nGC_1274)*coupl(&
                        nGC_148)*coupl(nGC_2)*coupl(nGC_62) - 4d0*Nc*cima*coupl&
                        (nGC_130)*coupl(nGC_131)*coupl(nGC_2)*coupl(nGC_62) -  &
                        4d0*Nc*cima*coupl(nGC_139)*coupl(nGC_140)*coupl(nGC_2)*&
                        coupl(nGC_62) + Nc*cima*coupl(nGC_142)*coupl(nGC_2)*   &
                        coupl(nGC_4572)*coupl(nGC_62) + 6d0*cima*coupl(nGC_13)*&
                        coupl(nGC_74) + cima*coupl(nGC_133)*coupl(nGC_134)*    &
                        coupl(nGC_4)*coupl(nGC_62) + cima*coupl(nGC_136)*coupl(&
                        nGC_137)*coupl(nGC_4)*coupl(nGC_62) + cima*coupl(      &
                        nGC_145)*coupl(nGC_146)*coupl(nGC_4)*coupl(nGC_62) +   &
                        6d0*cima*coupl(nGC_68)*coupl(nGC_724) + 6d0*coupl(     &
                        nGC_13)*coupl(nGC_3)*coupl(nGC_63) + 6d0*coupl(nGC_3)* &
                        coupl(nGC_4)*coupl(nGC_68))/(48d0*pi**2d0)
      coupl(nGC_9564) = (-2d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_125)*coupl(  &
                        nGC_760) - 2d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_131 &
                        )*coupl(nGC_766) - 2d0*Nc*cima*coupl(nGC_1)**2d0*coupl(&
                        nGC_140)*coupl(nGC_746) - 2d0*Nc*cima*coupl(nGC_1274)* &
                        coupl(nGC_150)*coupl(nGC_2)**2d0 - 2d0*Nc*cima*coupl(  &
                        nGC_129)*coupl(nGC_2)**2d0*coupl(nGC_636) - 2d0*Nc*cima&
                        *coupl(nGC_144)*coupl(nGC_2)**2d0*coupl(nGC_4572) - 2d0&
                        *cima*coupl(nGC_134)*coupl(nGC_4)**2d0*coupl(nGC_568   &
                        ) - 2d0*cima*coupl(nGC_137)*coupl(nGC_358)*coupl(nGC_4 &
                        )**2d0 - 2d0*cima*coupl(nGC_146)*coupl(nGC_4)**2d0*    &
                        coupl(nGC_484) + cima*coupl(nGC_47)*coupl(nGC_9) +     &
                        coupl(nGC_3)**2d0*coupl(nGC_47) + coupl(nGC_330)**2d0* &
                        coupl(nGC_47))/(8d0*pi**2d0)
      coupl(nGC_9562) = (9d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_62)**2d0 -    &
                        15d0*Nc*cima*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_62)** &
                        2d0 + 9d0*Nc*cima*coupl(nGC_2)**2d0*coupl(nGC_62)**2d0 &
                         + 3d0*cima*coupl(nGC_1976)*coupl(nGC_9) - 2d0*cima*   &
                        coupl(nGC_244)*coupl(nGC_330)**2d0*coupl(nGC_64) - 2d0*&
                        cima*coupl(nGC_3)**2d0*coupl(nGC_330)*coupl(nGC_4) -   &
                        2d0*cima*coupl(nGC_3)**2d0*coupl(nGC_63)*coupl(nGC_674 &
                        ) - 2d0*cima*coupl(nGC_3)*coupl(nGC_330)**2d0*coupl(   &
                        nGC_458) + 9d0*cima*coupl(nGC_4)**2d0*coupl(nGC_62)**  &
                        2d0 + 3d0*coupl(nGC_1976)*coupl(nGC_3)**2d0 + 3d0*coupl&
                        (nGC_1976)*coupl(nGC_330)**2d0 + 3d0*coupl(nGC_330)*   &
                        coupl(nGC_4)*coupl(nGC_9) + 3d0*coupl(nGC_63)*coupl(   &
                        nGC_674)*coupl(nGC_9))/(24d0*pi**2d0)
      coupl(nGC_9448) = (-coupl(nGC_134)**2d0*coupl(nGC_568) + 8d0*coupl(      &
                        nGC_134)*coupl(nGC_4)**2d0 + 8d0*coupl(nGC_134)*coupl( &
                        nGC_80)*coupl(nGC_85) - coupl(nGC_135)**2d0*coupl(     &
                        nGC_568))/(32d0*pi**2d0)
      coupl(nGC_9561) = (-3d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_62)**2d0 +   &
                        9d0*Nc*cima*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_62)**  &
                        2d0 - 3d0*Nc*cima*coupl(nGC_2)**2d0*coupl(nGC_62)**2d0 &
                         - 2d0*cima*coupl(nGC_244)*coupl(nGC_330)**2d0*coupl(  &
                        nGC_64) - 2d0*cima*coupl(nGC_3)**2d0*coupl(nGC_330)*   &
                        coupl(nGC_4) - 2d0*cima*coupl(nGC_3)**2d0*coupl(nGC_63 &
                        )*coupl(nGC_674) - 2d0*cima*coupl(nGC_3)*coupl(nGC_330 &
                        )**2d0*coupl(nGC_458) - 3d0*cima*coupl(nGC_4)**2d0*    &
                        coupl(nGC_62)**2d0 + 3d0*cima*coupl(nGC_724)**2d0 + 3d0&
                        *cima*coupl(nGC_74)**2d0 + 3d0*coupl(nGC_3)*coupl(     &
                        nGC_330)*coupl(nGC_724) + 3d0*coupl(nGC_3)*coupl(nGC_4 &
                        )*coupl(nGC_724) + 3d0*coupl(nGC_3)*coupl(nGC_63)*coupl&
                        (nGC_74) + 3d0*coupl(nGC_3)*coupl(nGC_674)*coupl(nGC_74&
                        ))/(24d0*pi**2d0)
      coupl(nGC_9445) = coupl(nGC_19)**2d0*coupl(nGC_766)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_9444) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_766) - coupl(nGC_130)*&
                        coupl(nGC_148)*coupl(nGC_150) - coupl(nGC_131)*coupl(  &
                        nGC_132)**2d0 - coupl(nGC_131)*coupl(nGC_766)**2d0 +   &
                        8d0*coupl(nGC_766)*coupl(nGC_78)*coupl(nGC_82))/(32d0* &
                        pi**2d0)
      coupl(nGC_9446) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_131) - coupl(nGC_1274 &
                        )*coupl(nGC_130)*coupl(nGC_148) - coupl(nGC_131)**2d0* &
                        coupl(nGC_766) + 8d0*coupl(nGC_131)*coupl(nGC_78)*coupl&
                        (nGC_82) - coupl(nGC_132)**2d0*coupl(nGC_766))/(32d0*pi&
                        **2d0)
      coupl(nGC_9442) = (-coupl(nGC_127)*coupl(nGC_139)*coupl(nGC_746) - coupl(&
                        nGC_128)**2d0*coupl(nGC_636) - coupl(nGC_129)**2d0*    &
                        coupl(nGC_636) + 8d0*coupl(nGC_129)*coupl(nGC_2)**2d0  &
                         + 8d0*coupl(nGC_129)*coupl(nGC_79)*coupl(nGC_83))/(   &
                        32d0*pi**2d0)
      coupl(nGC_9377) = (4d0*coupl(nGC_1)**3d0 + coupl(nGC_1)*coupl(nGC_125)*  &
                        coupl(nGC_760) + coupl(nGC_1)*coupl(nGC_126)**2d0 + 4d0&
                        *coupl(nGC_1)*coupl(nGC_82)**2d0 + coupl(nGC_142)**2d0*&
                        coupl(nGC_2) + 4d0*coupl(nGC_2)*coupl(nGC_62)**2d0 +   &
                        2d0*coupl(nGC_330)*coupl(nGC_62)**2d0)/(32d0*pi**2d0)
      coupl(nGC_9608) = cima*coupl(nGC_19)**2d0*sq2**2d0*(coupl(nGC_125)*coupl(&
                        nGC_760) + coupl(nGC_1274)*coupl(nGC_150) + coupl(     &
                        nGC_129)*coupl(nGC_636) + coupl(nGC_131)*coupl(nGC_766 &
                        ) + coupl(nGC_140)*coupl(nGC_746) + coupl(nGC_144)*    &
                        coupl(nGC_4572))/(16d0*pi**2d0*Nc)
      coupl(nGC_9603) = (9d0*Nc*cima*coupl(nGC_62)**2d0*coupl(nGC_82)**2d0 -   &
                        15d0*Nc*cima*coupl(nGC_62)**2d0*coupl(nGC_82)*coupl(   &
                        nGC_83) + 9d0*Nc*cima*coupl(nGC_62)**2d0*coupl(nGC_83  &
                        )**2d0 + 3d0*cima*coupl(nGC_1976)*coupl(nGC_56) - 4d0* &
                        cima*coupl(nGC_330)*coupl(nGC_4)*coupl(nGC_64)**2d0 +  &
                        9d0*cima*coupl(nGC_62)**2d0*coupl(nGC_85)**2d0 - 15d0* &
                        cima*coupl(nGC_62)**2d0*coupl(nGC_85)*coupl(nGC_86) +  &
                        9d0*cima*coupl(nGC_62)**2d0*coupl(nGC_86)**2d0 - 4d0*  &
                        cima*coupl(nGC_63)*coupl(nGC_64)**2d0*coupl(nGC_674) + &
                        3d0*coupl(nGC_1976)*coupl(nGC_64)**2d0 + 3d0*coupl(    &
                        nGC_1976)*coupl(nGC_674)**2d0 + 3d0*coupl(nGC_330)*    &
                        coupl(nGC_4)*coupl(nGC_56) + 3d0*coupl(nGC_56)*coupl(  &
                        nGC_63)*coupl(nGC_674))/(24d0*pi**2d0)
      coupl(nGC_14017) = coupl(nGC_15)*dZH_QED2/2d0 + coupl(nGC_9637)
      coupl(nGC_14540) = coupl(nGC_62)*dZWMinus_QED2/2d0 + coupl(nGC_62)*      &
                         dZeMinusL_QED2/2d0 + coupl(nGC_62)*dZnu_eL_QED2/2d0 + &
                         coupl(nGC_9738)
      coupl(nGC_9563) = (-3d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_62)**2d0 +   &
                        9d0*Nc*cima*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_62)**  &
                        2d0 - 3d0*Nc*cima*coupl(nGC_2)**2d0*coupl(nGC_62)**2d0 &
                         - 2d0*cima*coupl(nGC_244)*coupl(nGC_330)**2d0*coupl(  &
                        nGC_64) - 2d0*cima*coupl(nGC_3)**2d0*coupl(nGC_330)*   &
                        coupl(nGC_4) - 2d0*cima*coupl(nGC_3)**2d0*coupl(nGC_63 &
                        )*coupl(nGC_674) - 2d0*cima*coupl(nGC_3)*coupl(nGC_330 &
                        )**2d0*coupl(nGC_458) - 3d0*cima*coupl(nGC_4)**2d0*    &
                        coupl(nGC_62)**2d0 + 3d0*cima*coupl(nGC_724)**2d0 + 3d0&
                        *cima*coupl(nGC_74)**2d0 + 3d0*coupl(nGC_244)*coupl(   &
                        nGC_330)*coupl(nGC_74) + 3d0*coupl(nGC_3)*coupl(nGC_330&
                        )*coupl(nGC_724) + 3d0*coupl(nGC_330)*coupl(nGC_458)*  &
                        coupl(nGC_724) + 3d0*coupl(nGC_330)*coupl(nGC_64)*coupl&
                        (nGC_74))/(24d0*pi**2d0)
      coupl(nGC_15768) = coupl(nGC_129)*dZcL_QCD2/2d0 + coupl(nGC_129)*        &
                         dZcR_QCD2/2d0 + coupl(nGC_9697)
      coupl(nGC_15769) = -coupl(nGC_129)*dZcL_QED2/2d0 - coupl(nGC_129)*       &
                         dZcR_QED2/2d0 - coupl(nGC_9696)
      coupl(nGC_14878) = coupl(nGC_123)*dZH_QED2/2d0 + coupl(nGC_123)*dZZ_QED2 &
                          + coupl(nGC_9732)
      coupl(nGC_15767) = -coupl(nGC_129)*dZcL_QCD2/2d0 - coupl(nGC_129)*       &
                         dZcR_QCD2/2d0 - coupl(nGC_9697)
      coupl(nGC_9513) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_82) + coupl(nGC_131)* &
                        coupl(nGC_766)*coupl(nGC_78) + coupl(nGC_132)**2d0*    &
                        coupl(nGC_78) + coupl(nGC_148)**2d0*coupl(nGC_79) + 2d0&
                        *coupl(nGC_62)**2d0*coupl(nGC_674) + 4d0*coupl(nGC_62  &
                        )**2d0*coupl(nGC_83) + 4d0*coupl(nGC_82)**3d0)/(32d0*pi&
                        **2d0)
      coupl(nGC_18144) = -coupl(nGC_81)*dZH_QED2/2d0 - coupl(nGC_81)*dZZ_QED2/ &
                         2d0 - coupl(nGC_9724)
      coupl(nGC_9452) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_140) - coupl(nGC_127)*&
                        coupl(nGC_139)*coupl(nGC_636) - coupl(nGC_140)**2d0*   &
                        coupl(nGC_746) + 8d0*coupl(nGC_140)*coupl(nGC_78)*coupl&
                        (nGC_82) - coupl(nGC_141)**2d0*coupl(nGC_746))/(32d0*pi&
                        **2d0)
      coupl(nGC_15913) = -coupl(nGC_59)*dZH_QED2/2d0 - coupl(nGC_59)*          &
                         dZWMinus_QED2/2d0 - coupl(nGC_9714)
      coupl(nGC_14875) = coupl(nGC_62)*dZWMinus_QED2/2d0 + coupl(nGC_62)*      &
                         dZcL_QED2/2d0 + coupl(nGC_62)*dZsL_QED2/2d0 + coupl(  &
                         nGC_9738)
      coupl(nGC_14144) = -coupl(nGC_4)*dZAZ_QED2/2d0 - coupl(nGC_85)*dZZ_QED2/ &
                         2d0 - coupl(nGC_9725)
      coupl(nGC_14140) = -coupl(nGC_60)*dZH_QED2/2d0 - coupl(nGC_60)*          &
                         dZWMinus_QED2/2d0 - coupl(nGC_9711)
      coupl(nGC_9599) = (-8d0*Nc*cima*coupl(nGC_125)*coupl(nGC_760)*coupl(     &
                        nGC_78)**2d0 + 10d0*Nc*cima*coupl(nGC_125)*coupl(      &
                        nGC_760)*coupl(nGC_78)*coupl(nGC_82) - 8d0*Nc*cima*    &
                        coupl(nGC_125)*coupl(nGC_760)*coupl(nGC_82)**2d0 - 8d0*&
                        Nc*cima*coupl(nGC_1274)*coupl(nGC_150)*coupl(nGC_79)** &
                        2d0 + 10d0*Nc*cima*coupl(nGC_1274)*coupl(nGC_150)*coupl&
                        (nGC_79)*coupl(nGC_83) - 8d0*Nc*cima*coupl(nGC_1274)*  &
                        coupl(nGC_150)*coupl(nGC_83)**2d0 - 8d0*Nc*cima*coupl( &
                        nGC_129)*coupl(nGC_636)*coupl(nGC_79)**2d0 + 10d0*Nc*  &
                        cima*coupl(nGC_129)*coupl(nGC_636)*coupl(nGC_79)*coupl(&
                        nGC_83) - 8d0*Nc*cima*coupl(nGC_129)*coupl(nGC_636)*   &
                        coupl(nGC_83)**2d0 - 8d0*Nc*cima*coupl(nGC_131)*coupl( &
                        nGC_766)*coupl(nGC_78)**2d0 + 10d0*Nc*cima*coupl(      &
                        nGC_131)*coupl(nGC_766)*coupl(nGC_78)*coupl(nGC_82) -  &
                        8d0*Nc*cima*coupl(nGC_131)*coupl(nGC_766)*coupl(nGC_82 &
                        )**2d0 - 8d0*Nc*cima*coupl(nGC_140)*coupl(nGC_746)*    &
                        coupl(nGC_78)**2d0 + 10d0*Nc*cima*coupl(nGC_140)*coupl(&
                        nGC_746)*coupl(nGC_78)*coupl(nGC_82) - 8d0*Nc*cima*    &
                        coupl(nGC_140)*coupl(nGC_746)*coupl(nGC_82)**2d0 - 8d0*&
                        Nc*cima*coupl(nGC_144)*coupl(nGC_4572)*coupl(nGC_79)** &
                        2d0 + 10d0*Nc*cima*coupl(nGC_144)*coupl(nGC_4572)*coupl&
                        (nGC_79)*coupl(nGC_83) - 8d0*Nc*cima*coupl(nGC_144)*   &
                        coupl(nGC_4572)*coupl(nGC_83)**2d0 - 8d0*cima*coupl(   &
                        nGC_134)*coupl(nGC_568)*coupl(nGC_80)**2d0 + 10d0*cima*&
                        coupl(nGC_134)*coupl(nGC_568)*coupl(nGC_80)*coupl(     &
                        nGC_85) - 8d0*cima*coupl(nGC_134)*coupl(nGC_568)*coupl(&
                        nGC_85)**2d0 - 8d0*cima*coupl(nGC_137)*coupl(nGC_358)* &
                        coupl(nGC_80)**2d0 + 10d0*cima*coupl(nGC_137)*coupl(   &
                        nGC_358)*coupl(nGC_80)*coupl(nGC_85) - 8d0*cima*coupl( &
                        nGC_137)*coupl(nGC_358)*coupl(nGC_85)**2d0 - 8d0*cima* &
                        coupl(nGC_146)*coupl(nGC_484)*coupl(nGC_80)**2d0 + 10d0&
                        *cima*coupl(nGC_146)*coupl(nGC_484)*coupl(nGC_80)*coupl&
                        (nGC_85) - 8d0*cima*coupl(nGC_146)*coupl(nGC_484)*coupl&
                        (nGC_85)**2d0 + 3d0*cima*coupl(nGC_47)*coupl(nGC_56) + &
                        3d0*coupl(nGC_47)*coupl(nGC_64)**2d0 + 3d0*coupl(nGC_47&
                        )*coupl(nGC_674)**2d0)/(24d0*pi**2d0)
      coupl(nGC_14663) = coupl(nGC_10)*dZAZ_QED2/2d0 + coupl(nGC_90)*dZA_QED2/ &
                         2d0 + coupl(nGC_90)*dZZ_QED2/2d0 + coupl(nGC_95)*     &
                         dZZA_QED2/2d0 + coupl(nGC_9723)
      coupl(nGC_16741) = coupl(nGC_90)*dZAZ_QED2 + coupl(nGC_95)*dZZ_QED2 +    &
                         coupl(nGC_9731)
      coupl(nGC_9611) = (-30d0*Nc*cima*coupl(nGC_62)**4d0 - 4d0*cima*coupl(    &
                        nGC_244)**2d0*coupl(nGC_64)**2d0 - 8d0*cima*coupl(     &
                        nGC_244)*coupl(nGC_3)*coupl(nGC_330)*coupl(nGC_63) -   &
                        8d0*cima*coupl(nGC_244)*coupl(nGC_3)*coupl(nGC_458)*   &
                        coupl(nGC_64) - 8d0*cima*coupl(nGC_244)*coupl(nGC_63)* &
                        coupl(nGC_64)*coupl(nGC_674) - 4d0*cima*coupl(nGC_3)** &
                        2d0*coupl(nGC_458)**2d0 - 8d0*cima*coupl(nGC_3)*coupl( &
                        nGC_330)*coupl(nGC_4)*coupl(nGC_458) - 4d0*cima*coupl( &
                        nGC_330)**2d0*coupl(nGC_4)**2d0 - 8d0*cima*coupl(      &
                        nGC_330)*coupl(nGC_4)*coupl(nGC_63)*coupl(nGC_674) -   &
                        8d0*cima*coupl(nGC_4)*coupl(nGC_458)*coupl(nGC_64)*    &
                        coupl(nGC_674) + 3d0*cima*coupl(nGC_51)**2d0 - 30d0*   &
                        cima*coupl(nGC_62)**4d0 - 4d0*cima*coupl(nGC_63)**2d0* &
                        coupl(nGC_674)**2d0 + 6d0*coupl(nGC_244)*coupl(nGC_51)*&
                        coupl(nGC_63) + 6d0*coupl(nGC_3)*coupl(nGC_330)*coupl( &
                        nGC_51) + 6d0*coupl(nGC_4)*coupl(nGC_458)*coupl(nGC_51 &
                        ) + 6d0*coupl(nGC_51)*coupl(nGC_64)*coupl(nGC_674))/(  &
                        48d0*pi**2d0)
      coupl(nGC_9612) = (18d0*Nc*cima*coupl(nGC_62)**4d0 + 6d0*cima*coupl(     &
                        nGC_1976)**2d0 - 4d0*cima*coupl(nGC_244)**2d0*coupl(   &
                        nGC_64)**2d0 - 8d0*cima*coupl(nGC_244)*coupl(nGC_3)*   &
                        coupl(nGC_330)*coupl(nGC_63) - 8d0*cima*coupl(nGC_244)*&
                        coupl(nGC_3)*coupl(nGC_458)*coupl(nGC_64) - 8d0*cima*  &
                        coupl(nGC_244)*coupl(nGC_63)*coupl(nGC_64)*coupl(      &
                        nGC_674) - 4d0*cima*coupl(nGC_3)**2d0*coupl(nGC_458)** &
                        2d0 - 8d0*cima*coupl(nGC_3)*coupl(nGC_330)*coupl(nGC_4 &
                        )*coupl(nGC_458) - 4d0*cima*coupl(nGC_330)**2d0*coupl( &
                        nGC_4)**2d0 - 8d0*cima*coupl(nGC_330)*coupl(nGC_4)*    &
                        coupl(nGC_63)*coupl(nGC_674) - 8d0*cima*coupl(nGC_4)*  &
                        coupl(nGC_458)*coupl(nGC_64)*coupl(nGC_674) + 3d0*cima*&
                        coupl(nGC_56)**2d0 + 18d0*cima*coupl(nGC_62)**4d0 - 4d0&
                        *cima*coupl(nGC_63)**2d0*coupl(nGC_674)**2d0 + 6d0*cima&
                        *coupl(nGC_77)**2d0 + 3d0*cima*coupl(nGC_9)**2d0 + 6d0*&
                        coupl(nGC_1976)*coupl(nGC_244)*coupl(nGC_64) + 6d0*    &
                        coupl(nGC_1976)*coupl(nGC_3)*coupl(nGC_458) + 6d0*coupl&
                        (nGC_1976)*coupl(nGC_330)*coupl(nGC_4) + 6d0*coupl(    &
                        nGC_1976)*coupl(nGC_63)*coupl(nGC_674) + 6d0*coupl(    &
                        nGC_244)*coupl(nGC_3)*coupl(nGC_77) + 6d0*coupl(nGC_244&
                        )*coupl(nGC_56)*coupl(nGC_64) + 6d0*coupl(nGC_3)*coupl(&
                        nGC_458)*coupl(nGC_9) + 6d0*coupl(nGC_330)*coupl(nGC_4 &
                        )*coupl(nGC_9) + 6d0*coupl(nGC_330)*coupl(nGC_63)*coupl&
                        (nGC_77) + 6d0*coupl(nGC_4)*coupl(nGC_674)*coupl(nGC_77&
                        ) + 6d0*coupl(nGC_458)*coupl(nGC_64)*coupl(nGC_77) +   &
                        6d0*coupl(nGC_56)*coupl(nGC_63)*coupl(nGC_674))/(48d0* &
                        pi**2d0)
      coupl(nGC_9613) = (Nc*cima*coupl(nGC_78)**4d0 + Nc*cima*coupl(nGC_79)**  &
                        4d0 + Nc*cima*coupl(nGC_82)**4d0 + Nc*cima*coupl(nGC_83&
                        )**4d0 + cima*coupl(nGC_56)**2d0 - 2d0*cima*coupl(     &
                        nGC_64)**4d0 - 2d0*cima*coupl(nGC_674)**4d0 + cima*    &
                        coupl(nGC_80)**4d0 + cima*coupl(nGC_85)**4d0 + cima*   &
                        coupl(nGC_86)**4d0 + 2d0*coupl(nGC_56)*coupl(nGC_64)** &
                        2d0 + 2d0*coupl(nGC_56)*coupl(nGC_674)**2d0)/(8d0*pi** &
                        2d0)
      coupl(nGC_9597) = (-8d0*Nc*cima*coupl(nGC_126)**2d0*coupl(nGC_62)**2d0 - &
                        8d0*Nc*cima*coupl(nGC_128)**2d0*coupl(nGC_62)**2d0 -   &
                        8d0*Nc*cima*coupl(nGC_132)**2d0*coupl(nGC_62)**2d0 -   &
                        8d0*Nc*cima*coupl(nGC_141)**2d0*coupl(nGC_62)**2d0 -   &
                        8d0*Nc*cima*coupl(nGC_143)**2d0*coupl(nGC_62)**2d0 -   &
                        8d0*Nc*cima*coupl(nGC_149)**2d0*coupl(nGC_62)**2d0 -   &
                        8d0*cima*coupl(nGC_135)**2d0*coupl(nGC_62)**2d0 - 8d0* &
                        cima*coupl(nGC_138)**2d0*coupl(nGC_62)**2d0 - 8d0*cima*&
                        coupl(nGC_147)**2d0*coupl(nGC_62)**2d0 + 6d0*cima*coupl&
                        (nGC_1976)*coupl(nGC_47) + 3d0*cima*coupl(nGC_56)*coupl&
                        (nGC_96) + 6d0*coupl(nGC_244)*coupl(nGC_64)*coupl(     &
                        nGC_96) + 6d0*coupl(nGC_330)*coupl(nGC_4)*coupl(nGC_47 &
                        ) + 6d0*coupl(nGC_47)*coupl(nGC_63)*coupl(nGC_674))/(  &
                        48d0*pi**2d0)
      coupl(nGC_9596) = cima*(10d0*Nc*coupl(nGC_125)**2d0*coupl(nGC_126)**2d0  &
                         + 40d0*Nc*coupl(nGC_125)*coupl(nGC_126)**2d0*coupl(   &
                        nGC_760) + 10d0*Nc*coupl(nGC_126)**2d0*coupl(nGC_760)**&
                        2d0 + 10d0*Nc*coupl(nGC_1274)**2d0*coupl(nGC_149)**2d0 &
                         + 40d0*Nc*coupl(nGC_1274)*coupl(nGC_149)**2d0*coupl(  &
                        nGC_150) + 10d0*Nc*coupl(nGC_128)**2d0*coupl(nGC_129)**&
                        2d0 + 40d0*Nc*coupl(nGC_128)**2d0*coupl(nGC_129)*coupl(&
                        nGC_636) + 10d0*Nc*coupl(nGC_128)**2d0*coupl(nGC_636)**&
                        2d0 + 10d0*Nc*coupl(nGC_131)**2d0*coupl(nGC_132)**2d0  &
                         + 40d0*Nc*coupl(nGC_131)*coupl(nGC_132)**2d0*coupl(   &
                        nGC_766) + 10d0*Nc*coupl(nGC_132)**2d0*coupl(nGC_766)**&
                        2d0 + 10d0*Nc*coupl(nGC_140)**2d0*coupl(nGC_141)**2d0  &
                         + 40d0*Nc*coupl(nGC_140)*coupl(nGC_141)**2d0*coupl(   &
                        nGC_746) + 10d0*Nc*coupl(nGC_141)**2d0*coupl(nGC_746)**&
                        2d0 + 10d0*Nc*coupl(nGC_143)**2d0*coupl(nGC_144)**2d0  &
                         + 40d0*Nc*coupl(nGC_143)**2d0*coupl(nGC_144)*coupl(   &
                        nGC_4572) + 10d0*Nc*coupl(nGC_143)**2d0*coupl(nGC_4572 &
                        )**2d0 + 10d0*Nc*coupl(nGC_149)**2d0*coupl(nGC_150)**  &
                        2d0 + 10d0*coupl(nGC_134)**2d0*coupl(nGC_135)**2d0 +   &
                        40d0*coupl(nGC_134)*coupl(nGC_135)**2d0*coupl(nGC_568  &
                        ) + 10d0*coupl(nGC_135)**2d0*coupl(nGC_568)**2d0 + 10d0&
                        *coupl(nGC_137)**2d0*coupl(nGC_138)**2d0 + 40d0*coupl( &
                        nGC_137)*coupl(nGC_138)**2d0*coupl(nGC_358) + 10d0*    &
                        coupl(nGC_138)**2d0*coupl(nGC_358)**2d0 + 10d0*coupl(  &
                        nGC_146)**2d0*coupl(nGC_147)**2d0 + 40d0*coupl(nGC_146 &
                        )*coupl(nGC_147)**2d0*coupl(nGC_484) + 10d0*coupl(     &
                        nGC_147)**2d0*coupl(nGC_484)**2d0 + 6d0*coupl(nGC_47)**&
                        2d0 + 3d0*coupl(nGC_96)**2d0)/(48d0*pi**2d0)
      coupl(nGC_9595) = cima*(20d0*Nc*coupl(nGC_125)**2d0*coupl(nGC_760)**2d0  &
                         + 20d0*Nc*coupl(nGC_1274)**2d0*coupl(nGC_150)**2d0 +  &
                        20d0*Nc*coupl(nGC_129)**2d0*coupl(nGC_636)**2d0 + 20d0*&
                        Nc*coupl(nGC_131)**2d0*coupl(nGC_766)**2d0 + 20d0*Nc*  &
                        coupl(nGC_140)**2d0*coupl(nGC_746)**2d0 + 20d0*Nc*coupl&
                        (nGC_144)**2d0*coupl(nGC_4572)**2d0 + 20d0*coupl(      &
                        nGC_134)**2d0*coupl(nGC_568)**2d0 + 20d0*coupl(nGC_137 &
                        )**2d0*coupl(nGC_358)**2d0 + 20d0*coupl(nGC_146)**2d0* &
                        coupl(nGC_484)**2d0 + 6d0*coupl(nGC_47)**2d0 + 3d0*    &
                        coupl(nGC_96)**2d0)/(16d0*pi**2d0)
      coupl(nGC_9594) = (-8d0*Nc*cima*coupl(nGC_125)*coupl(nGC_62)**2d0*coupl( &
                        nGC_760) - 8d0*Nc*cima*coupl(nGC_1274)*coupl(nGC_150)* &
                        coupl(nGC_62)**2d0 - 8d0*Nc*cima*coupl(nGC_129)*coupl( &
                        nGC_62)**2d0*coupl(nGC_636) - 8d0*Nc*cima*coupl(nGC_131&
                        )*coupl(nGC_62)**2d0*coupl(nGC_766) - 8d0*Nc*cima*coupl&
                        (nGC_140)*coupl(nGC_62)**2d0*coupl(nGC_746) - 8d0*Nc*  &
                        cima*coupl(nGC_144)*coupl(nGC_4572)*coupl(nGC_62)**2d0 &
                         - 8d0*cima*coupl(nGC_134)*coupl(nGC_568)*coupl(nGC_62 &
                        )**2d0 - 8d0*cima*coupl(nGC_137)*coupl(nGC_358)*coupl( &
                        nGC_62)**2d0 - 8d0*cima*coupl(nGC_146)*coupl(nGC_484)* &
                        coupl(nGC_62)**2d0 + 6d0*cima*coupl(nGC_1976)*coupl(   &
                        nGC_47) + 3d0*cima*coupl(nGC_56)*coupl(nGC_96) + 6d0*  &
                        coupl(nGC_244)*coupl(nGC_64)*coupl(nGC_96) + 6d0*coupl(&
                        nGC_330)*coupl(nGC_4)*coupl(nGC_47) + 6d0*coupl(nGC_47 &
                        )*coupl(nGC_63)*coupl(nGC_674))/(48d0*pi**2d0)
      coupl(nGC_15477) = coupl(nGC_4)*dZAZ_QED2/2d0 + coupl(nGC_85)*dZZ_QED2/  &
                         2d0 + coupl(nGC_9725)
      coupl(nGC_14048) = coupl(nGC_1)*dZAZ_QED2/2d0 + coupl(nGC_82)*dZZ_QED2/  &
                         2d0 + coupl(nGC_82)*dZbL_QED2 + coupl(nGC_9741)
      coupl(nGC_14047) = coupl(nGC_1)*dZAZ_QED2/2d0 + coupl(nGC_78)*dZZ_QED2/  &
                         2d0 + coupl(nGC_78)*dZbR_QED2 + coupl(nGC_9742)
      coupl(nGC_9499) = coupl(nGC_62)*(coupl(nGC_330)*coupl(nGC_4) + coupl(    &
                        nGC_64)*coupl(nGC_86) + coupl(nGC_674)*coupl(nGC_85) + &
                        2d0*coupl(nGC_85)*coupl(nGC_86))/(16d0*pi**2d0)
      coupl(nGC_9501) = coupl(nGC_62)*(2d0*coupl(nGC_1)*coupl(nGC_2) - coupl(  &
                        nGC_1)*coupl(nGC_458) - coupl(nGC_2)*coupl(nGC_4) -    &
                        coupl(nGC_244)*coupl(nGC_82) - coupl(nGC_63)*coupl(    &
                        nGC_83) + 2d0*coupl(nGC_82)*coupl(nGC_83))/(16d0*pi**  &
                        2d0)
      coupl(nGC_9502) = coupl(nGC_62)*(2d0*coupl(nGC_1)*coupl(nGC_2) + coupl(  &
                        nGC_1)*coupl(nGC_4) + coupl(nGC_2)*coupl(nGC_458) +    &
                        coupl(nGC_244)*coupl(nGC_83) + coupl(nGC_63)*coupl(    &
                        nGC_82) + 2d0*coupl(nGC_82)*coupl(nGC_83))/(16d0*pi**  &
                        2d0)
      coupl(nGC_9503) = coupl(nGC_62)*(-coupl(nGC_244)*coupl(nGC_85) - coupl(  &
                        nGC_4)*coupl(nGC_458) - coupl(nGC_63)*coupl(nGC_86) +  &
                        2d0*coupl(nGC_85)*coupl(nGC_86))/(16d0*pi**2d0)
      coupl(nGC_9504) = coupl(nGC_62)*(coupl(nGC_244)*coupl(nGC_86) + coupl(   &
                        nGC_4)**2d0 + coupl(nGC_63)*coupl(nGC_85) + 2d0*coupl( &
                        nGC_85)*coupl(nGC_86))/(16d0*pi**2d0)
      coupl(nGC_13983) = coupl(nGC_55)*dZZA_QED2/2d0 - coupl(nGC_77)*dZA_QED2/ &
                         4d0 - coupl(nGC_77)*dZWMinus_QED2/2d0 - coupl(nGC_77)*&
                         dZZ_QED2/4d0 + coupl(nGC_8)*dZAZ_QED2/2d0 - coupl(    &
                         nGC_9729)/2d0
      coupl(nGC_9591) = (5d0*Nc*cima*coupl(nGC_124)*coupl(nGC_126)*coupl(nGC_62&
                        )*coupl(nGC_78) - 4d0*Nc*cima*coupl(nGC_124)*coupl(    &
                        nGC_126)*coupl(nGC_62)*coupl(nGC_82) - 4d0*Nc*cima*    &
                        coupl(nGC_124)*coupl(nGC_126)*coupl(nGC_62)*coupl(     &
                        nGC_83) + 5d0*Nc*cima*coupl(nGC_127)*coupl(nGC_128)*   &
                        coupl(nGC_62)*coupl(nGC_79) - 4d0*Nc*cima*coupl(nGC_127&
                        )*coupl(nGC_128)*coupl(nGC_62)*coupl(nGC_82) - 4d0*Nc* &
                        cima*coupl(nGC_127)*coupl(nGC_128)*coupl(nGC_62)*coupl(&
                        nGC_83) + 5d0*Nc*cima*coupl(nGC_130)*coupl(nGC_132)*   &
                        coupl(nGC_62)*coupl(nGC_78) - 4d0*Nc*cima*coupl(nGC_130&
                        )*coupl(nGC_132)*coupl(nGC_62)*coupl(nGC_82) - 4d0*Nc* &
                        cima*coupl(nGC_130)*coupl(nGC_132)*coupl(nGC_62)*coupl(&
                        nGC_83) + 5d0*Nc*cima*coupl(nGC_139)*coupl(nGC_141)*   &
                        coupl(nGC_62)*coupl(nGC_78) - 4d0*Nc*cima*coupl(nGC_139&
                        )*coupl(nGC_141)*coupl(nGC_62)*coupl(nGC_82) - 4d0*Nc* &
                        cima*coupl(nGC_139)*coupl(nGC_141)*coupl(nGC_62)*coupl(&
                        nGC_83) + 5d0*Nc*cima*coupl(nGC_142)*coupl(nGC_143)*   &
                        coupl(nGC_62)*coupl(nGC_79) - 4d0*Nc*cima*coupl(nGC_142&
                        )*coupl(nGC_143)*coupl(nGC_62)*coupl(nGC_82) - 4d0*Nc* &
                        cima*coupl(nGC_142)*coupl(nGC_143)*coupl(nGC_62)*coupl(&
                        nGC_83) + 5d0*Nc*cima*coupl(nGC_148)*coupl(nGC_149)*   &
                        coupl(nGC_62)*coupl(nGC_79) - 4d0*Nc*cima*coupl(nGC_148&
                        )*coupl(nGC_149)*coupl(nGC_62)*coupl(nGC_82) - 4d0*Nc* &
                        cima*coupl(nGC_148)*coupl(nGC_149)*coupl(nGC_62)*coupl(&
                        nGC_83) + 5d0*cima*coupl(nGC_133)*coupl(nGC_135)*coupl(&
                        nGC_62)*coupl(nGC_80) - 4d0*cima*coupl(nGC_133)*coupl( &
                        nGC_135)*coupl(nGC_62)*coupl(nGC_85) - 4d0*cima*coupl( &
                        nGC_133)*coupl(nGC_135)*coupl(nGC_62)*coupl(nGC_86) +  &
                        5d0*cima*coupl(nGC_136)*coupl(nGC_138)*coupl(nGC_62)*  &
                        coupl(nGC_80) - 4d0*cima*coupl(nGC_136)*coupl(nGC_138)*&
                        coupl(nGC_62)*coupl(nGC_85) - 4d0*cima*coupl(nGC_136)* &
                        coupl(nGC_138)*coupl(nGC_62)*coupl(nGC_86) + 6d0*cima* &
                        coupl(nGC_14)*coupl(nGC_55) + 5d0*cima*coupl(nGC_145)* &
                        coupl(nGC_147)*coupl(nGC_62)*coupl(nGC_80) - 4d0*cima* &
                        coupl(nGC_145)*coupl(nGC_147)*coupl(nGC_62)*coupl(     &
                        nGC_85) - 4d0*cima*coupl(nGC_145)*coupl(nGC_147)*coupl(&
                        nGC_62)*coupl(nGC_86) + 6d0*cima*coupl(nGC_426)*coupl( &
                        nGC_69) + 6d0*coupl(nGC_14)*coupl(nGC_64)*coupl(nGC_674&
                        ) + 6d0*coupl(nGC_3)*coupl(nGC_674)*coupl(nGC_69))/(   &
                        48d0*pi**2d0)
      coupl(nGC_9590) = (5d0*Nc*cima*coupl(nGC_124)*coupl(nGC_62)*coupl(nGC_760&
                        )*coupl(nGC_78) - 4d0*Nc*cima*coupl(nGC_124)*coupl(    &
                        nGC_62)*coupl(nGC_760)*coupl(nGC_82) - 4d0*Nc*cima*    &
                        coupl(nGC_124)*coupl(nGC_62)*coupl(nGC_760)*coupl(     &
                        nGC_83) + 5d0*Nc*cima*coupl(nGC_127)*coupl(nGC_129)*   &
                        coupl(nGC_62)*coupl(nGC_79) - 4d0*Nc*cima*coupl(nGC_127&
                        )*coupl(nGC_129)*coupl(nGC_62)*coupl(nGC_82) - 4d0*Nc* &
                        cima*coupl(nGC_127)*coupl(nGC_129)*coupl(nGC_62)*coupl(&
                        nGC_83) + 5d0*Nc*cima*coupl(nGC_130)*coupl(nGC_62)*    &
                        coupl(nGC_766)*coupl(nGC_78) - 4d0*Nc*cima*coupl(      &
                        nGC_130)*coupl(nGC_62)*coupl(nGC_766)*coupl(nGC_82) -  &
                        4d0*Nc*cima*coupl(nGC_130)*coupl(nGC_62)*coupl(nGC_766 &
                        )*coupl(nGC_83) + 5d0*Nc*cima*coupl(nGC_139)*coupl(    &
                        nGC_62)*coupl(nGC_746)*coupl(nGC_78) - 4d0*Nc*cima*    &
                        coupl(nGC_139)*coupl(nGC_62)*coupl(nGC_746)*coupl(     &
                        nGC_82) - 4d0*Nc*cima*coupl(nGC_139)*coupl(nGC_62)*    &
                        coupl(nGC_746)*coupl(nGC_83) + 5d0*Nc*cima*coupl(      &
                        nGC_142)*coupl(nGC_144)*coupl(nGC_62)*coupl(nGC_79) -  &
                        4d0*Nc*cima*coupl(nGC_142)*coupl(nGC_144)*coupl(nGC_62 &
                        )*coupl(nGC_82) - 4d0*Nc*cima*coupl(nGC_142)*coupl(    &
                        nGC_144)*coupl(nGC_62)*coupl(nGC_83) + 5d0*Nc*cima*    &
                        coupl(nGC_148)*coupl(nGC_150)*coupl(nGC_62)*coupl(     &
                        nGC_79) - 4d0*Nc*cima*coupl(nGC_148)*coupl(nGC_150)*   &
                        coupl(nGC_62)*coupl(nGC_82) - 4d0*Nc*cima*coupl(nGC_148&
                        )*coupl(nGC_150)*coupl(nGC_62)*coupl(nGC_83) + 5d0*cima&
                        *coupl(nGC_133)*coupl(nGC_568)*coupl(nGC_62)*coupl(    &
                        nGC_80) - 4d0*cima*coupl(nGC_133)*coupl(nGC_568)*coupl(&
                        nGC_62)*coupl(nGC_85) - 4d0*cima*coupl(nGC_133)*coupl( &
                        nGC_568)*coupl(nGC_62)*coupl(nGC_86) + 5d0*cima*coupl( &
                        nGC_136)*coupl(nGC_358)*coupl(nGC_62)*coupl(nGC_80) -  &
                        4d0*cima*coupl(nGC_136)*coupl(nGC_358)*coupl(nGC_62)*  &
                        coupl(nGC_85) - 4d0*cima*coupl(nGC_136)*coupl(nGC_358)*&
                        coupl(nGC_62)*coupl(nGC_86) + 5d0*cima*coupl(nGC_145)* &
                        coupl(nGC_484)*coupl(nGC_62)*coupl(nGC_80) - 4d0*cima* &
                        coupl(nGC_145)*coupl(nGC_484)*coupl(nGC_62)*coupl(     &
                        nGC_85) - 4d0*cima*coupl(nGC_145)*coupl(nGC_484)*coupl(&
                        nGC_62)*coupl(nGC_86) + 6d0*cima*coupl(nGC_16)*coupl(  &
                        nGC_55) + 6d0*cima*coupl(nGC_426)*coupl(nGC_72) + 6d0* &
                        coupl(nGC_16)*coupl(nGC_64)*coupl(nGC_674) + 6d0*coupl(&
                        nGC_3)*coupl(nGC_674)*coupl(nGC_72))/(48d0*pi**2d0)
      coupl(nGC_9429) = (8d0*coupl(nGC_1)*coupl(nGC_142)*coupl(nGC_2) - coupl( &
                        nGC_124)*coupl(nGC_126)*coupl(nGC_143) - coupl(nGC_124 &
                        )*coupl(nGC_4572)*coupl(nGC_760) + 8d0*coupl(nGC_142)* &
                        coupl(nGC_79)*coupl(nGC_82))/(32d0*pi**2d0)
      coupl(nGC_14841) = 2d0*coupl(nGC_48)*dZWMinus_QED2 + coupl(nGC_9722)
      coupl(nGC_9427) = (Nc*cMB*coupl(nGC_124)*coupl(nGC_62)*coupl(nGC_78) - Nc&
                        *cMB*coupl(nGC_124)*coupl(nGC_62)*coupl(nGC_82) - Nc*  &
                        cMB*coupl(nGC_124)*coupl(nGC_62)*coupl(nGC_83) + Nc*cMC&
                        *coupl(nGC_127)*coupl(nGC_62)*coupl(nGC_79) - Nc*cMC*  &
                        coupl(nGC_127)*coupl(nGC_62)*coupl(nGC_82) - Nc*cMC*   &
                        coupl(nGC_127)*coupl(nGC_62)*coupl(nGC_83) + Nc*cMD*   &
                        coupl(nGC_130)*coupl(nGC_62)*coupl(nGC_78) - Nc*cMD*   &
                        coupl(nGC_130)*coupl(nGC_62)*coupl(nGC_82) - Nc*cMD*   &
                        coupl(nGC_130)*coupl(nGC_62)*coupl(nGC_83) + Nc*cMS*   &
                        coupl(nGC_139)*coupl(nGC_62)*coupl(nGC_78) - Nc*cMS*   &
                        coupl(nGC_139)*coupl(nGC_62)*coupl(nGC_82) - Nc*cMS*   &
                        coupl(nGC_139)*coupl(nGC_62)*coupl(nGC_83) + Nc*cMT*   &
                        coupl(nGC_142)*coupl(nGC_62)*coupl(nGC_79) - Nc*cMT*   &
                        coupl(nGC_142)*coupl(nGC_62)*coupl(nGC_82) - Nc*cMT*   &
                        coupl(nGC_142)*coupl(nGC_62)*coupl(nGC_83) + Nc*cMU*   &
                        coupl(nGC_148)*coupl(nGC_62)*coupl(nGC_79) - Nc*cMU*   &
                        coupl(nGC_148)*coupl(nGC_62)*coupl(nGC_82) - Nc*cMU*   &
                        coupl(nGC_148)*coupl(nGC_62)*coupl(nGC_83) + cME*coupl(&
                        nGC_133)*coupl(nGC_62)*coupl(nGC_80) - cME*coupl(      &
                        nGC_133)*coupl(nGC_62)*coupl(nGC_85) - cME*coupl(      &
                        nGC_133)*coupl(nGC_62)*coupl(nGC_86) + cMM*coupl(      &
                        nGC_136)*coupl(nGC_62)*coupl(nGC_80) - cMM*coupl(      &
                        nGC_136)*coupl(nGC_62)*coupl(nGC_85) - cMM*coupl(      &
                        nGC_136)*coupl(nGC_62)*coupl(nGC_86) + cMTA*coupl(     &
                        nGC_145)*coupl(nGC_62)*coupl(nGC_80) - cMTA*coupl(     &
                        nGC_145)*coupl(nGC_62)*coupl(nGC_85) - cMTA*coupl(     &
                        nGC_145)*coupl(nGC_62)*coupl(nGC_86) + 2d0*cima*coupl( &
                        nGC_110)*coupl(nGC_426) + 2d0*cima*coupl(nGC_55)*coupl(&
                        nGC_99) + 2d0*coupl(nGC_110)*coupl(nGC_3)*coupl(nGC_674&
                        ) + 2d0*coupl(nGC_64)*coupl(nGC_674)*coupl(nGC_99))/(  &
                        16d0*pi**2d0)
      coupl(nGC_9425) = coupl(nGC_62)*(Nc*coupl(nGC_124)*coupl(nGC_760) - Nc*  &
                        coupl(nGC_127)*coupl(nGC_129) + Nc*coupl(nGC_130)*coupl&
                        (nGC_766) + Nc*coupl(nGC_139)*coupl(nGC_746) - Nc*coupl&
                        (nGC_142)*coupl(nGC_144) - Nc*coupl(nGC_148)*coupl(    &
                        nGC_150) + coupl(nGC_133)*coupl(nGC_568) + coupl(      &
                        nGC_136)*coupl(nGC_358) + coupl(nGC_145)*coupl(nGC_484 &
                        ))/(24d0*pi**2d0)
      coupl(nGC_9350) = cima*(coupl(nGC_64)**2d0 + coupl(nGC_674)**2d0)/(48d0* &
                        pi**2d0)
      coupl(nGC_14267) = coupl(nGC_3)*dZAZ_QED2/2d0 + coupl(nGC_64)*           &
                         dZWMinus_QED2 + coupl(nGC_64)*dZZ_QED2/2d0 + coupl(   &
                         nGC_9721)
      coupl(nGC_9581) = cima*(10d0*Nc*coupl(nGC_124)**2d0*coupl(nGC_125)*coupl(&
                        nGC_760) + 10d0*Nc*coupl(nGC_124)**2d0*coupl(nGC_144)* &
                        coupl(nGC_4572) + 10d0*Nc*coupl(nGC_124)*coupl(nGC_125 &
                        )*coupl(nGC_142)*coupl(nGC_144) + 10d0*Nc*coupl(nGC_124&
                        )*coupl(nGC_142)*coupl(nGC_4572)*coupl(nGC_760) + 10d0*&
                        Nc*coupl(nGC_125)*coupl(nGC_142)**2d0*coupl(nGC_760) + &
                        10d0*Nc*coupl(nGC_127)**2d0*coupl(nGC_129)*coupl(      &
                        nGC_636) + 10d0*Nc*coupl(nGC_127)**2d0*coupl(nGC_140)* &
                        coupl(nGC_746) + 10d0*Nc*coupl(nGC_127)*coupl(nGC_129)*&
                        coupl(nGC_139)*coupl(nGC_140) + 10d0*Nc*coupl(nGC_127)*&
                        coupl(nGC_139)*coupl(nGC_636)*coupl(nGC_746) + 10d0*Nc*&
                        coupl(nGC_1274)*coupl(nGC_130)**2d0*coupl(nGC_150) +   &
                        10d0*Nc*coupl(nGC_1274)*coupl(nGC_130)*coupl(nGC_148)* &
                        coupl(nGC_766) + 10d0*Nc*coupl(nGC_1274)*coupl(nGC_148 &
                        )**2d0*coupl(nGC_150) + 10d0*Nc*coupl(nGC_129)*coupl(  &
                        nGC_139)**2d0*coupl(nGC_636) + 10d0*Nc*coupl(nGC_130)**&
                        2d0*coupl(nGC_131)*coupl(nGC_766) + 10d0*Nc*coupl(     &
                        nGC_130)*coupl(nGC_131)*coupl(nGC_148)*coupl(nGC_150   &
                        ) + 10d0*Nc*coupl(nGC_131)*coupl(nGC_148)**2d0*coupl(  &
                        nGC_766) + 10d0*Nc*coupl(nGC_139)**2d0*coupl(nGC_140)* &
                        coupl(nGC_746) + 10d0*Nc*coupl(nGC_142)**2d0*coupl(    &
                        nGC_144)*coupl(nGC_4572) + 12d0*coupl(nGC_13)*coupl(   &
                        nGC_16) + 10d0*coupl(nGC_133)**2d0*coupl(nGC_134)*coupl&
                        (nGC_568) + 10d0*coupl(nGC_136)**2d0*coupl(nGC_137)*   &
                        coupl(nGC_358) + 10d0*coupl(nGC_145)**2d0*coupl(nGC_146&
                        )*coupl(nGC_484) + 6d0*coupl(nGC_47)**2d0 + 12d0*coupl(&
                        nGC_68)*coupl(nGC_72) + 3d0*coupl(nGC_95)*coupl(nGC_96 &
                        ))/(48d0*pi**2d0)
      coupl(nGC_9583) = (-4d0*Nc*cima*coupl(nGC_124)**2d0*coupl(nGC_62)**2d0 - &
                        4d0*Nc*cima*coupl(nGC_127)**2d0*coupl(nGC_62)**2d0 -   &
                        4d0*Nc*cima*coupl(nGC_130)**2d0*coupl(nGC_62)**2d0 -   &
                        4d0*Nc*cima*coupl(nGC_139)**2d0*coupl(nGC_62)**2d0 -   &
                        4d0*Nc*cima*coupl(nGC_142)**2d0*coupl(nGC_62)**2d0 -   &
                        4d0*Nc*cima*coupl(nGC_148)**2d0*coupl(nGC_62)**2d0 +   &
                        3d0*cima*coupl(nGC_10)*coupl(nGC_9) - 4d0*cima*coupl(  &
                        nGC_133)**2d0*coupl(nGC_62)**2d0 - 4d0*cima*coupl(     &
                        nGC_136)**2d0*coupl(nGC_62)**2d0 - 4d0*cima*coupl(     &
                        nGC_145)**2d0*coupl(nGC_62)**2d0 + 6d0*cima*coupl(     &
                        nGC_1976)*coupl(nGC_47) + 3d0*cima*coupl(nGC_56)*coupl(&
                        nGC_95) + 6d0*cima*coupl(nGC_77)*coupl(nGC_90) + 6d0*  &
                        coupl(nGC_10)*coupl(nGC_3)*coupl(nGC_458) + 6d0*coupl( &
                        nGC_244)*coupl(nGC_3)*coupl(nGC_90) + 6d0*coupl(nGC_244&
                        )*coupl(nGC_64)*coupl(nGC_95) + 6d0*coupl(nGC_330)*    &
                        coupl(nGC_4)*coupl(nGC_47) + 6d0*coupl(nGC_458)*coupl( &
                        nGC_64)*coupl(nGC_90) + 6d0*coupl(nGC_47)*coupl(nGC_63 &
                        )*coupl(nGC_674))/(48d0*pi**2d0)
      coupl(nGC_14697) = coupl(nGC_1)*dZA_QED2/2d0 + coupl(nGC_1)*dZdR_QED2 +  &
                         coupl(nGC_78)*dZZA_QED2/2d0 + coupl(nGC_9736)
      coupl(nGC_14058) = coupl(nGC_9639) + coupl(nGC_HHGG)
      coupl(nGC_14210) = coupl(nGC_16)*dZZA_QED2/2d0 + coupl(nGC_72)*dZA_QED2/ &
                         2d0 + coupl(nGC_72)*dZWMinus_QED2/2d0 + coupl(nGC_9642&
                         )
      coupl(nGC_14698) = coupl(nGC_1)*dZA_QED2/2d0 + coupl(nGC_1)*dZdL_QED2 +  &
                         coupl(nGC_82)*dZZA_QED2/2d0 + coupl(nGC_9736)
      coupl(nGC_16247) = coupl(nGC_4)*dZAZ_QED2/2d0 + coupl(nGC_85)*dZZ_QED2/  &
                         2d0 + coupl(nGC_85)*dZtauMinusL_QED2 + coupl(nGC_9725)
      coupl(nGC_14165) = coupl(nGC_4)*dZAZ_QED2/2d0 + coupl(nGC_80)*dZZ_QED2/  &
                         2d0 + coupl(nGC_80)*dZeMinusR_QED2 + coupl(nGC_9744)
      coupl(nGC_14166) = coupl(nGC_4)*dZAZ_QED2/2d0 + coupl(nGC_85)*dZZ_QED2/  &
                         2d0 + coupl(nGC_85)*dZeMinusL_QED2 + coupl(nGC_9725)
      coupl(nGC_14608) = -coupl(nGC_134)*dZeMinusL_QED2/2d0 - coupl(nGC_134)*  &
                         dZeMinusR_QED2/2d0 - coupl(nGC_9688)
      coupl(nGC_14609) = coupl(nGC_134)*dZeMinusL_QED2/2d0 + coupl(nGC_134)*   &
                         dZeMinusR_QED2/2d0 + coupl(nGC_9688)
      coupl(nGC_9342) = (2d0*Nc*cMB**2d0*cima*coupl(nGC_1)**2d0 + 2d0*Nc*cMC** &
                        2d0*cima*coupl(nGC_2)**2d0 + 2d0*Nc*cMD**2d0*cima*coupl&
                        (nGC_1)**2d0 + 2d0*Nc*cMS**2d0*cima*coupl(nGC_1)**2d0  &
                         + 2d0*Nc*cMT**2d0*cima*coupl(nGC_2)**2d0 + 2d0*Nc*cMU &
                        **2d0*cima*coupl(nGC_2)**2d0 + 2d0*cME**2d0*cima*coupl(&
                        nGC_4)**2d0 + 2d0*cMM**2d0*cima*coupl(nGC_4)**2d0 + 2d0&
                        *cMTA**2d0*cima*coupl(nGC_4)**2d0 + cMW**2d0*cima*coupl&
                        (nGC_3)**2d0 + cMW**2d0*cima*coupl(nGC_330)**2d0 - cMW &
                        **2d0*coupl(nGC_9))/(8d0*pi**2d0)
      coupl(nGC_9435) = (-Nc*coupl(nGC_125)*coupl(nGC_126)*coupl(nGC_78) + Nc* &
                        coupl(nGC_125)*coupl(nGC_126)*coupl(nGC_82) + Nc*coupl(&
                        nGC_126)*coupl(nGC_760)*coupl(nGC_78) - Nc*coupl(      &
                        nGC_126)*coupl(nGC_760)*coupl(nGC_82) + Nc*coupl(      &
                        nGC_1274)*coupl(nGC_149)*coupl(nGC_79) - Nc*coupl(     &
                        nGC_1274)*coupl(nGC_149)*coupl(nGC_83) - Nc*coupl(     &
                        nGC_128)*coupl(nGC_129)*coupl(nGC_79) + Nc*coupl(      &
                        nGC_128)*coupl(nGC_129)*coupl(nGC_83) + Nc*coupl(      &
                        nGC_128)*coupl(nGC_636)*coupl(nGC_79) - Nc*coupl(      &
                        nGC_128)*coupl(nGC_636)*coupl(nGC_83) - Nc*coupl(      &
                        nGC_131)*coupl(nGC_132)*coupl(nGC_78) + Nc*coupl(      &
                        nGC_131)*coupl(nGC_132)*coupl(nGC_82) + Nc*coupl(      &
                        nGC_132)*coupl(nGC_766)*coupl(nGC_78) - Nc*coupl(      &
                        nGC_132)*coupl(nGC_766)*coupl(nGC_82) - Nc*coupl(      &
                        nGC_140)*coupl(nGC_141)*coupl(nGC_78) + Nc*coupl(      &
                        nGC_140)*coupl(nGC_141)*coupl(nGC_82) + Nc*coupl(      &
                        nGC_141)*coupl(nGC_746)*coupl(nGC_78) - Nc*coupl(      &
                        nGC_141)*coupl(nGC_746)*coupl(nGC_82) - Nc*coupl(      &
                        nGC_143)*coupl(nGC_144)*coupl(nGC_79) + Nc*coupl(      &
                        nGC_143)*coupl(nGC_144)*coupl(nGC_83) + Nc*coupl(      &
                        nGC_143)*coupl(nGC_4572)*coupl(nGC_79) - Nc*coupl(     &
                        nGC_143)*coupl(nGC_4572)*coupl(nGC_83) - Nc*coupl(     &
                        nGC_149)*coupl(nGC_150)*coupl(nGC_79) + Nc*coupl(      &
                        nGC_149)*coupl(nGC_150)*coupl(nGC_83) - coupl(nGC_134)*&
                        coupl(nGC_135)*coupl(nGC_80) + coupl(nGC_134)*coupl(   &
                        nGC_135)*coupl(nGC_85) + coupl(nGC_135)*coupl(nGC_568)*&
                        coupl(nGC_80) - coupl(nGC_135)*coupl(nGC_568)*coupl(   &
                        nGC_85) - coupl(nGC_137)*coupl(nGC_138)*coupl(nGC_80   &
                        ) + coupl(nGC_137)*coupl(nGC_138)*coupl(nGC_85) + coupl&
                        (nGC_138)*coupl(nGC_358)*coupl(nGC_80) - coupl(nGC_138 &
                        )*coupl(nGC_358)*coupl(nGC_85) - coupl(nGC_146)*coupl( &
                        nGC_147)*coupl(nGC_80) + coupl(nGC_146)*coupl(nGC_147)*&
                        coupl(nGC_85) + coupl(nGC_147)*coupl(nGC_484)*coupl(   &
                        nGC_80) - coupl(nGC_147)*coupl(nGC_484)*coupl(nGC_85   &
                        ))/(24d0*pi**2d0)
      coupl(nGC_9346) = cima*(-3d0*Nc*coupl(nGC_62)**2d0 - coupl(nGC_244)*coupl&
                        (nGC_64) - coupl(nGC_3)*coupl(nGC_458) - coupl(nGC_330 &
                        )*coupl(nGC_4) - 3d0*coupl(nGC_62)**2d0 - coupl(nGC_63 &
                        )*coupl(nGC_674))/(48d0*pi**2d0)
      coupl(nGC_9347) = cima*(coupl(nGC_244)*coupl(nGC_64) + coupl(nGC_3)*coupl&
                        (nGC_458) + coupl(nGC_330)*coupl(nGC_4) + coupl(nGC_63 &
                        )*coupl(nGC_674))/(48d0*pi**2d0)
      coupl(nGC_14280) = coupl(nGC_13)*dZZA_QED2/2d0 + coupl(nGC_68)*dZA_QED2/ &
                         2d0 + coupl(nGC_68)*dZWMinus_QED2/2d0 + coupl(nGC_9643&
                         )
      coupl(nGC_17374) = coupl(nGC_2)*dZAZ_QED2/2d0 + coupl(nGC_79)*dZZ_QED2/  &
                         2d0 + coupl(nGC_79)*dZtR_QED2 + coupl(nGC_9739)
      coupl(nGC_14288) = coupl(nGC_2)*dZAZ_QED2/2d0 + coupl(nGC_79)*dZZ_QED2/  &
                         2d0 + coupl(nGC_79)*dZuR_QED2 + coupl(nGC_9739)
      coupl(nGC_14289) = coupl(nGC_2)*dZAZ_QED2/2d0 + coupl(nGC_83)*dZZ_QED2/  &
                         2d0 + coupl(nGC_83)*dZuL_QED2 + coupl(nGC_9740)
      coupl(nGC_14020) = coupl(nGC_70)*dZH_QED2/2d0 + coupl(nGC_9645)
    end subroutine fill_CTcouplings_mdl3
end module fill_ctcouplings3
