!******************************************************************************!
!                                                                              !
!    vertices_info10.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info10.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-08-13 22:58             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info10
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl10()
      allocate(vertices(715)%branchR2(0:0))
      call avR2(715, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_9587])

      allocate(vertices(1708)%branchR2(0:1))
      call avR2(1708, 0, 83, 1, 0, FaFS1, 0, [2, 1], [nGC_9494, nGC_9494])

      call avR2(1708, 1, 83, 1, 0, FaFS1, 0, [0, 3], [nGC_9492, nGC_9493])

      allocate(vertices(4004)%branchR2(0:0))
      call avR2(4004, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_9565])

      allocate(vertices(2794)%branchR2(0:0))
      call avR2(2794, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_9584])

      allocate(vertices(3282)%branchR2(0:0))
      call avR2(3282, 0, 1, 1, 0, VVV1, 0, [0, 3], [nGC_9497])

      allocate(vertices(3043)%branchR2(0:0))
      call avR2(3043, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_9597])

      allocate(vertices(3880)%branchR2(0:0))
      call avR2(3880, 0, 1, 1, 0, FaFV0, 0, [0, 3], [nGC_9395])

      allocate(vertices(893)%branchR2(0:1))
      call avR2(893, 0, 87, 1, 0, FaSF0, 0, [0, 3], [nGC_9410, nGC_9412])

      call avR2(893, 1, 87, 1, 0, FaSF0, 0, [2, 1], [nGC_9411, nGC_9413])

      allocate(vertices(1738)%branchR2(0:0))
      call avR2(1738, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_9568])

      allocate(vertices(1454)%branchR2(0:0))
      call avR2(1454, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_9570])

      allocate(vertices(2279)%branchR2(0:1))
      call avR2(2279, 0, 84, 1, 0, VFFa0, 0, [0, 3], [nGC_9495])

      call avR2(2279, 1, 84, 1, 0, VFFa0, 0, [2, 1], [nGC_9496])

      allocate(vertices(3087)%branchR2(0:1))
      call avR2(3087, 0, 86, 1, 0, FVFa0, 0, [2, 1], [nGC_9508, nGC_9506])

      call avR2(3087, 1, 86, 1, 0, FVFa0, 0, [0, 3], [nGC_9523, nGC_9522])

      allocate(vertices(734)%branchR2(0:1))
      call avR2(734, 0, 84, 1, 0, VFFa0, 0, [2, 1], [nGC_9496])

      call avR2(734, 1, 84, 1, 0, VFFa0, 0, [0, 3], [nGC_9502])

      allocate(vertices(4005)%branchR2(0:0))
      call avR2(4005, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_9613, nGC_9613,       &
      nGC_9613])

      allocate(vertices(480)%branchR2(0:0))
      call avR2(480, 0, 1, 1, 0, FaFS0, 0, [0, 3], [nGC_9424])

      allocate(vertices(841)%branchR2(0:3))
      call avR2(841, 0, 88, 1, 0, FVFa0, 0, [1, 2], [nGC_9557, nGC_9556])

      call avR2(841, 1, 88, 1, 0, FVFa0, 0, [3, 0], [nGC_9549, nGC_9549])

      call avR2(841, 2, 89, 1, 0, FVFa0, 0, [1, 2], [nGC_9555, nGC_9554])

      call avR2(841, 3, 89, 1, 0, FVFa0, 0, [3, 0], [nGC_9546, nGC_9546])

      allocate(vertices(260)%branchR2(0:1))
      call avR2(260, 0, 83, 1, 0, FaFS1, 0, [0, 3], [nGC_9450, nGC_9452])

      call avR2(260, 1, 83, 1, 0, FaFS1, 0, [2, 1], [nGC_9451, nGC_9453])

      allocate(vertices(1017)%branchR2(0:0))
      call avR2(1017, 0, 1, 1, 0, FaFV0, 0, [0, 3], [nGC_9520])

      allocate(vertices(1725)%branchR2(0:1))
      call avR2(1725, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_9381, nGC_9380])

      call avR2(1725, 1, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_9382, nGC_9382])

      allocate(vertices(3207)%branchR2(0:0))
      call avR2(3207, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_9604, nGC_9604,       &
      nGC_9603])

      allocate(vertices(2456)%branchR2(0:0))
      call avR2(2456, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_9570])

      allocate(vertices(3843)%branchR2(0:0))
      call avR2(3843, 0, 1, 1, 0, VFFa0, 0, [0, 3], [nGC_9395])

      allocate(vertices(1742)%branchR2(0:0))
      call avR2(1742, 0, 1, 1, 0, VFFa0, 0, [0, 3], [nGC_9499])

      allocate(vertices(1960)%branchR2(0:0))
      call avR2(1960, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_9590])

      allocate(vertices(1970)%branchR2(0:0))
      call avR2(1970, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_9568])

      allocate(vertices(1800)%branchR2(0:0))
      call avR2(1800, 0, 1, 1, 0, SFaF1, 0, [0, 3], [nGC_9461, nGC_9460])

      allocate(vertices(3686)%branchR2(0:1))
      call avR2(3686, 0, 83, 1, 0, FaFV1, 0, [0, 3], [nGC_9507, nGC_9505])

      call avR2(3686, 1, 83, 1, 0, FaFV1, 0, [2, 1], [nGC_9508, nGC_9506])

      allocate(vertices(3588)%branchR2(0:0))
      call avR2(3588, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_21741])

      allocate(vertices(2366)%branchR2(0:0))
      call avR2(2366, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_9583])

      allocate(vertices(3159)%branchR2(0:0))
      call avR2(3159, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_9427])

      allocate(vertices(2049)%branchR2(0:0))
      call avR2(2049, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_9567])

      allocate(vertices(3889)%branchR2(0:0))
      call avR2(3889, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_9579])

      allocate(vertices(2983)%branchR2(0:1))
      call avR2(2983, 0, 86, 1, 0, FSFa0, 0, [2, 1], [nGC_9484, nGC_9484])

      call avR2(2983, 1, 86, 1, 0, FSFa0, 0, [0, 3], [nGC_9482, nGC_9483])

      allocate(vertices(1206)%branchR2(0:1))
      call avR2(1206, 0, 85, 1, 0, SFaF1, 0, [0, 3], [nGC_9492, nGC_9493])

      call avR2(1206, 1, 85, 1, 0, SFaF1, 0, [2, 1], [nGC_9494, nGC_9494])

      allocate(vertices(3170)%branchR2(0:0))
      call avR2(3170, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_22929])

      allocate(vertices(3731)%branchR2(0:0))
      call avR2(3731, 0, 1, 1, 0, VFFa0, 0, [0, 3], [nGC_9521])

      allocate(vertices(2763)%branchR2(0:0))
      call avR2(2763, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_9587])

      allocate(vertices(2501)%branchR2(0:1))
      call avR2(2501, 0, 83, 1, 0, FaFV1, 0, [2, 1], [nGC_9508, nGC_9506])

      call avR2(2501, 1, 83, 1, 0, FaFV1, 0, [0, 3], [nGC_9514, nGC_9513])

      allocate(vertices(3558)%branchR2(0:1))
      call avR2(3558, 0, 87, 1, 0, FaSF0, 0, [2, 1], [nGC_9474, nGC_9474])

      call avR2(3558, 1, 87, 1, 0, FaSF0, 0, [0, 3], [nGC_9472, nGC_9473])

      allocate(vertices(726)%branchR2(0:0))
      call avR2(726, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_9517, nGC_9518])

      allocate(vertices(359)%branchR2(0:0))
      call avR2(359, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_9570])

      allocate(vertices(2876)%branchR2(0:1))
      call avR2(2876, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_9462, nGC_9464])

      call avR2(2876, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_9463, nGC_9465])

      allocate(vertices(435)%branchR2(0:0))
      call avR2(435, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_9561, nGC_9563,        &
      nGC_9562])

      allocate(vertices(2558)%branchR2(0:0))
      call avR2(2558, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_9566])

      allocate(vertices(3789)%branchR2(0:0))
      call avR2(3789, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_22929])

      allocate(vertices(4006)%branchR2(0:1))
      call avR2(4006, 0, 141, 1, 0, VSVS0, 0, [2, 2], [nGC_9608])

      call avR2(4006, 1, 142, 1, 0, VSVS0, 0, [2, 2], [nGC_9607])

      allocate(vertices(3480)%branchR2(0:1))
      call avR2(3480, 0, 84, 1, 0, VFFa0, 0, [0, 3], [nGC_9495])

      call avR2(3480, 1, 84, 1, 0, VFFa0, 0, [2, 1], [nGC_9496])

      allocate(vertices(3874)%branchR2(0:0))
      call avR2(3874, 0, 13, 1, 0, FaF2, 0, [0, 2], [nGC_9358, nGC_9359,       &
      nGC_9373, nGC_9373])

      allocate(vertices(1875)%branchR2(0:0))
      call avR2(1875, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_9599])

      allocate(vertices(247)%branchR2(0:0))
      call avR2(247, 0, 1, 1, 0, FFaS0, 0, [0, 3], [nGC_9449, nGC_9448])

      allocate(vertices(3708)%branchR2(0:0))
      call avR2(3708, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_9406])

      allocate(vertices(3139)%branchR2(0:0))
      call avR2(3139, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_9566])

      allocate(vertices(2494)%branchR2(0:1))
      call avR2(2494, 0, 85, 1, 0, VFaF1, 0, [2, 1], [nGC_9496])

      call avR2(2494, 1, 85, 1, 0, VFaF1, 0, [0, 3], [nGC_9501])

      allocate(vertices(3882)%branchR2(0:0))
      call avR2(3882, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_9575])

      allocate(vertices(4007)%branchR2(0:1))
      call avR2(4007, 0, 145, 1, 0, VVSS0, 0, [2, 2], [nGC_9592])

      call avR2(4007, 1, 146, 1, 0, VVSS0, 0, [2, 2], [nGC_9593])

      allocate(vertices(3904)%branchR2(0:0))
      call avR2(3904, 0, 13, 1, 0, FaF2, 0, [0, 2], [nGC_9358, nGC_9359,       &
      nGC_9360, nGC_9360])

      allocate(vertices(1281)%branchR2(0:0))
      call avR2(1281, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_9434])

      allocate(vertices(4008)%branchR2(0:1))
      call avR2(4008, 0, 139, 1, 0, VVVV0, 0, [2, 2], [nGC_9586, nGC_9586,     &
      nGC_9586])

      call avR2(4008, 1, 140, 1, 0, VVVV0, 0, [2, 2], [nGC_9585, nGC_9585,     &
      nGC_9585])

      allocate(vertices(3115)%branchR2(0:0))
      call avR2(3115, 0, 1, 1, 0, FFaV0, 0, [0, 3], [nGC_9504])

      allocate(vertices(3649)%branchR2(0:0))
      call avR2(3649, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_9566])

      allocate(vertices(3896)%branchR2(0:0))
      call avR2(3896, 0, 1, 1, 0, FaVF1, 0, [0, 3], [nGC_9394])

      allocate(vertices(801)%branchR2(0:0))
      call avR2(801, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_9435])

      allocate(vertices(4009)%branchR2(0:0))
      call avR2(4009, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_9564])

      allocate(vertices(2732)%branchR2(0:0))
      call avR2(2732, 0, 1, 1, 0, FaFS1, 0, [0, 3], [nGC_9481, nGC_9480])

      allocate(vertices(1891)%branchR2(0:0))
      call avR2(1891, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_9584])

      allocate(vertices(1289)%branchR2(0:0))
      call avR2(1289, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_9569])

      allocate(vertices(2335)%branchR2(0:0))
      call avR2(2335, 0, 1, 1, 0, FFaS0, 0, [0, 3], [nGC_9455, nGC_9454])

      allocate(vertices(178)%branchR2(0:0))
      call avR2(178, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_9562, nGC_9561,        &
      nGC_9563])

      allocate(vertices(721)%branchR2(0:0))
      call avR2(721, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_9567])

      allocate(vertices(1830)%branchR2(0:1))
      call avR2(1830, 0, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_9496])

      call avR2(1830, 1, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_9498])

      allocate(vertices(2653)%branchR2(0:0))
      call avR2(2653, 0, 1, 1, 0, FaFV0, 0, [0, 3], [nGC_9521])

      allocate(vertices(3877)%branchR2(0:0))
      call avR2(3877, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_9579])

      allocate(vertices(3146)%branchR2(0:0))
      call avR2(3146, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_9576, nGC_9578,       &
      nGC_9577])

      allocate(vertices(1926)%branchR2(0:1))
      call avR2(1926, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_9472, nGC_9473])

      call avR2(1926, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_9474, nGC_9474])

      allocate(vertices(3510)%branchR2(0:0))
      call avR2(3510, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_9582])

      allocate(vertices(3840)%branchR2(0:0))
      call avR2(3840, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_9394])

      allocate(vertices(1047)%branchR2(0:1))
      call avR2(1047, 0, 87, 1, 0, FaVF0, 0, [0, 3], [nGC_9511, nGC_9509])

      call avR2(1047, 1, 87, 1, 0, FaVF0, 0, [2, 1], [nGC_9512, nGC_9510])

      allocate(vertices(3820)%branchR2(0:0))
      call avR2(3820, 0, 13, 1, 0, FaF2, 0, [0, 2], [nGC_9358, nGC_9359,       &
      nGC_9367, nGC_9367])

      allocate(vertices(1216)%branchR2(0:0))
      call avR2(1216, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_9591])

      allocate(vertices(2124)%branchR2(0:1))
      call avR2(2124, 0, 85, 1, 0, VFaF0, 0, [2, 1], [nGC_9512, nGC_9510])

      call avR2(2124, 1, 85, 1, 0, VFaF0, 0, [0, 3], [nGC_9525, nGC_9524])

      allocate(vertices(651)%branchR2(0:0))
      call avR2(651, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_9570])

      allocate(vertices(2243)%branchR2(0:0))
      call avR2(2243, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_21306])

      allocate(vertices(1518)%branchR2(0:0))
      call avR2(1518, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_9590])

      allocate(vertices(732)%branchR2(0:0))
      call avR2(732, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_9569])

      allocate(vertices(2745)%branchR2(0:0))
      call avR2(2745, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_9588])

      allocate(vertices(3297)%branchR2(0:1))
      call avR2(3297, 0, 86, 1, 0, FVFa0, 0, [2, 1], [nGC_9379, nGC_9379])

      call avR2(3297, 1, 86, 1, 0, FVFa0, 0, [0, 3], [nGC_9378, nGC_9377])

      allocate(vertices(2728)%branchR2(0:0))
      call avR2(2728, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_9604, nGC_9603,       &
      nGC_9604])

      allocate(vertices(4010)%branchR2(0:1))
      call avR2(4010, 0, 139, 1, 0, SVSV0, 0, [2, 2], [nGC_9592])

      call avR2(4010, 1, 140, 1, 0, SVSV0, 0, [2, 2], [nGC_9593])

      allocate(vertices(4011)%branchR2(0:1))
      call avR2(4011, 0, 141, 1, 0, VVVV0, 0, [2, 2], [nGC_9601, nGC_9601,     &
      nGC_9601])

      call avR2(4011, 1, 142, 1, 0, VVVV0, 0, [2, 2], [nGC_9602, nGC_9602,     &
      nGC_9602])

      allocate(vertices(4012)%branchR2(0:1))
      call avR2(4012, 0, 129, 1, 0, VSV0, 0, [2, 1], [nGC_9485])

      call avR2(4012, 1, 130, 1, 0, VSV0, 0, [2, 1], [nGC_9486])

      allocate(vertices(234)%branchR2(0:0))
      call avR2(234, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_9587])

      allocate(vertices(3865)%branchR2(0:1))
      call avR2(3865, 0, 124, 1, 0, FaF1, 0, [0, 2], [nGC_9335, nGC_9334,      &
      nGC_9356, nGC_9356])

      call avR2(3865, 1, 124, 1, 0, FaF1, 0, [2, 0], [nGC_9333, nGC_9333,      &
      nGC_9357, nGC_9357])

      allocate(vertices(3611)%branchR2(0:3))
      call avR2(3611, 0, 11, 1, 0, FFaV1, 0, [1, 2], [nGC_9539, nGC_9538])

      call avR2(3611, 1, 11, 1, 0, FFaV1, 0, [3, 0], [nGC_9534, nGC_9534])

      call avR2(3611, 2, 12, 1, 0, FFaV1, 0, [1, 2], [nGC_9537, nGC_9536])

      call avR2(3611, 3, 12, 1, 0, FFaV1, 0, [3, 0], [nGC_9531, nGC_9531])

      allocate(vertices(950)%branchR2(0:0))
      call avR2(950, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_9467])

      allocate(vertices(4013)%branchR2(0:1))
      call avR2(4013, 0, 144, 1, 0, VSSV0, 0, [2, 2], [nGC_9607])

      call avR2(4013, 1, 143, 1, 0, VSSV0, 0, [2, 2], [nGC_9608])

      allocate(vertices(1951)%branchR2(0:0))
      call avR2(1951, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_9409])

      allocate(vertices(3402)%branchR2(0:0))
      call avR2(3402, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_9567])

      allocate(vertices(1710)%branchR2(0:0))
      call avR2(1710, 0, 1, 1, 0, SFaF1, 0, [0, 3], [nGC_9491, nGC_9490])

      allocate(vertices(792)%branchR2(0:0))
      call avR2(792, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_9567])

      allocate(vertices(2021)%branchR2(0:1))
      call avR2(2021, 0, 87, 1, 0, FaSF0, 0, [2, 1], [nGC_9470, nGC_9470])

      call avR2(2021, 1, 87, 1, 0, FaSF0, 0, [0, 3], [nGC_9468, nGC_9469])

      allocate(vertices(1140)%branchR2(0:0))
      call avR2(1140, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_9581])

      allocate(vertices(4014)%branchR2(0:1))
      call avR2(4014, 0, 137, 1, 0, VVVV0, 0, [2, 2], [nGC_9606, nGC_9606,     &
      nGC_9606])

      call avR2(4014, 1, 138, 1, 0, VVVV0, 0, [2, 2], [nGC_9605, nGC_9605,     &
      nGC_9605])

      allocate(vertices(666)%branchR2(0:0))
      call avR2(666, 0, 1, 1, 0, FaVF0, 0, [0, 3], [nGC_9515, nGC_9516])

      allocate(vertices(1346)%branchR2(0:0))
      call avR2(1346, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_9427])

      allocate(vertices(3805)%branchR2(0:1))
      call avR2(3805, 0, 85, 1, 0, VFaF1, 0, [0, 3], [nGC_9495])

      call avR2(3805, 1, 85, 1, 0, VFaF1, 0, [2, 1], [nGC_9496])

      allocate(vertices(1659)%branchR2(0:1))
      call avR2(1659, 0, 84, 1, 0, VFFa1, 0, [0, 3], [nGC_9400, nGC_9399])

      call avR2(1659, 1, 84, 1, 0, VFFa1, 0, [2, 1], [nGC_9382, nGC_9382])

      allocate(vertices(100)%branchR2(0:1))
      call avR2(100, 0, 86, 1, 0, FSFa0, 0, [0, 3], [nGC_9436, nGC_9438])

      call avR2(100, 1, 86, 1, 0, FSFa0, 0, [2, 1], [nGC_9437, nGC_9439])

      allocate(vertices(417)%branchR2(0:0))
      call avR2(417, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_9570])

      allocate(vertices(1959)%branchR2(0:0))
      call avR2(1959, 0, 1, 1, 0, VFaF0, 0, [0, 3], [nGC_9526, nGC_9527])

      allocate(vertices(2083)%branchR2(0:0))
      call avR2(2083, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_9583])

      allocate(vertices(2143)%branchR2(0:0))
      call avR2(2143, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_9584])

      allocate(vertices(3512)%branchR2(0:0))
      call avR2(3512, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_9376])

    end subroutine fill_vertices_mdl10
end module vertices_info10
