!******************************************************************************!
!                                                                              !
!    vertices_info6.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info6.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-08-13 22:58             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info6
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl6()
      allocate(vertices(1847)%branchCT(0:0))
      call avCT(1847, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_9643])

      allocate(vertices(270)%branchCT(0:1))
      call avCT(270, 0, 86, 1, 0, FVFa1, 0, [0, 3], [nGC_14644])

      call avCT(270, 1, 86, 1, 0, FVFa1, 0, [2, 1], [nGC_14643])

      allocate(vertices(272)%branchCT(0:3))
      call avCT(272, 0, 11, 6, 0, FFaV1, 0, [1, 2], [nGC_14296, nGC_14298])

      call avCT(272, 1, 11, 6, 0, FFaV1, 0, [3, 0], [nGC_14300, nGC_14301])

      call avCT(272, 2, 12, 7, 0, FFaV1, 0, [1, 2], [nGC_14296, nGC_14298])

      call avCT(272, 3, 12, 7, 0, FFaV1, 0, [3, 0], [nGC_14300, nGC_14301])

      allocate(vertices(275)%branchCT(0:0))
      call avCT(275, 0, 1, 1, 0, FaSF1, 0, [0, 3], [nGC_14399])

      allocate(vertices(3407)%branchCT(0:0))
      call avCT(3407, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14663])

      allocate(vertices(277)%branchCT(0:0))
      call avCT(277, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_13983, nGC_13983,      &
      nGC_13982])

      allocate(vertices(278)%branchCT(0:0))
      call avCT(278, 0, 1, 1, 0, FaFS1, 0, [0, 3], [nGC_14673, nGC_14673])

      allocate(vertices(1369)%branchCT(0:0))
      call avCT(1369, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_14032])

      allocate(vertices(3823)%branchCT(0:1))
      call avCT(3823, 0, 14, 1, 0, FFa0, 0, [0, 2], [nGC_14685, nGC_14679,     &
      nGC_14687, nGC_14687])

      call avCT(3823, 1, 14, 1, 0, FFa0, 0, [2, 0], [nGC_14686, nGC_14680,     &
      nGC_14688, nGC_14688])

      allocate(vertices(282)%branchCT(0:1))
      call avCT(282, 0, 85, 1, 0, VFaF0, 0, [2, 1], [nGC_14690, nGC_14693])

      call avCT(282, 1, 85, 1, 0, VFaF0, 0, [0, 3], [nGC_14697, nGC_14698])

      allocate(vertices(286)%branchCT(0:0))
      call avCT(286, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_14701])

      allocate(vertices(1808)%branchCT(0:0))
      call avCT(1808, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_13961])

      allocate(vertices(290)%branchCT(0:0))
      call avCT(290, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_13968])

      allocate(vertices(1964)%branchCT(0:0))
      call avCT(1964, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_9641])

      allocate(vertices(1985)%branchCT(0:0))
      call avCT(1985, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_14256])

      allocate(vertices(648)%branchCT(0:3))
      call avCT(648, 0, 94, 6, 0, VFFa1, 0, [1, 2], [nGC_14213, nGC_14215])

      call avCT(648, 1, 94, 6, 0, VFFa1, 0, [3, 0], [nGC_14217, nGC_14218])

      call avCT(648, 2, 95, 7, 0, VFFa1, 0, [1, 2], [nGC_14213, nGC_14215])

      call avCT(648, 3, 95, 7, 0, VFFa1, 0, [3, 0], [nGC_14217, nGC_14218])

      allocate(vertices(298)%branchCT(0:0))
      call avCT(298, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14210])

      allocate(vertices(3621)%branchCT(0:0))
      call avCT(3621, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_14020])

      allocate(vertices(3283)%branchCT(0:0))
      call avCT(3283, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_9633])

      allocate(vertices(302)%branchCT(0:0))
      call avCT(302, 0, 1, 1, 0, VUUa1, 0, [0, 3], [nGC_14261])

      allocate(vertices(2359)%branchCT(0:0))
      call avCT(2359, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_13961])

      allocate(vertices(307)%branchCT(0:0))
      call avCT(307, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_13987])

      allocate(vertices(308)%branchCT(0:0))
      call avCT(308, 0, 1, 1, 0, UUaS0, 0, [0, 3], [nGC_9651])

      allocate(vertices(45)%branchCT(0:0))
      call avCT(45, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_14701])

      allocate(vertices(310)%branchCT(0:0))
      call avCT(310, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_14032])

      allocate(vertices(311)%branchCT(0:0))
      call avCT(311, 0, 1, 1, 0, SFFa0, 0, [0, 3], [nGC_14673, nGC_14673])

      allocate(vertices(312)%branchCT(0:0))
      call avCT(312, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_14053])

      allocate(vertices(313)%branchCT(0:0))
      call avCT(313, 0, 1, 1, 0, SUUa0, 0, [0, 3], [nGC_9651])

      allocate(vertices(314)%branchCT(0:0))
      call avCT(314, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_14017])

      allocate(vertices(315)%branchCT(0:0))
      call avCT(315, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14053])

      allocate(vertices(317)%branchCT(0:0))
      call avCT(317, 0, 1, 1, 0, FSFa0, 0, [0, 3], [nGC_14757, nGC_14757])

      allocate(vertices(1815)%branchCT(0:0))
      call avCT(1815, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_13994])

      allocate(vertices(319)%branchCT(0:1))
      call avCT(319, 0, 87, 1, 0, FaSF0, 0, [0, 3], [nGC_14385, nGC_14385])

      call avCT(319, 1, 87, 1, 0, FaSF0, 0, [2, 1], [nGC_14384, nGC_14384])

      allocate(vertices(1460)%branchCT(0:0))
      call avCT(1460, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_13987])

      allocate(vertices(322)%branchCT(0:0))
      call avCT(322, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14036])

      allocate(vertices(323)%branchCT(0:0))
      call avCT(323, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_9644])

      allocate(vertices(325)%branchCT(0:0))
      call avCT(325, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_14130])

      allocate(vertices(326)%branchCT(0:0))
      call avCT(326, 0, 1, 1, 0, UUaV1, 0, [0, 3], [nGC_14363])

      allocate(vertices(3824)%branchCT(0:0))
      call avCT(3824, 0, 13, 1, 0, VV0, 0, [0, 2], [nGC_14781, nGC_14782,      &
      nGC_14781, nGC_14782, nGC_14783])

      allocate(vertices(329)%branchCT(0:0))
      call avCT(329, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_9642])

      allocate(vertices(332)%branchCT(0:0))
      call avCT(332, 0, 1, 1, 0, VUaU0, 0, [0, 3], [nGC_14513])

      allocate(vertices(335)%branchCT(0:0))
      call avCT(335, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_14028])

      allocate(vertices(337)%branchCT(0:0))
      call avCT(337, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_14794])

      allocate(vertices(340)%branchCT(0:0))
      call avCT(340, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_14794])

      allocate(vertices(342)%branchCT(0:0))
      call avCT(342, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_13957])

      allocate(vertices(2118)%branchCT(0:0))
      call avCT(2118, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_13983, nGC_13983,     &
      nGC_13982])

      allocate(vertices(344)%branchCT(0:3))
      call avCT(344, 0, 96, 6, 0, VFaF0, 0, [1, 2], [nGC_14213, nGC_14215])

      call avCT(344, 1, 96, 6, 0, VFaF0, 0, [3, 0], [nGC_14217, nGC_14218])

      call avCT(344, 2, 97, 7, 0, VFaF0, 0, [1, 2], [nGC_14213, nGC_14215])

      call avCT(344, 3, 97, 7, 0, VFaF0, 0, [3, 0], [nGC_14217, nGC_14218])

      allocate(vertices(348)%branchCT(0:1))
      call avCT(348, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_14328])

      call avCT(348, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_14327])

      allocate(vertices(2391)%branchCT(0:0))
      call avCT(2391, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_14032])

      allocate(vertices(351)%branchCT(0:1))
      call avCT(351, 0, 83, 1, 0, FaFS1, 0, [2, 1], [nGC_14830, nGC_14831])

      call avCT(351, 1, 83, 1, 0, FaFS1, 0, [0, 3], [nGC_14832, nGC_14833])

      allocate(vertices(355)%branchCT(0:0))
      call avCT(355, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_13961])

      allocate(vertices(3825)%branchCT(0:0))
      call avCT(3825, 0, 1, 1, 0, FaVF1, 0, [0, 3], [nGC_14024])

      allocate(vertices(2439)%branchCT(0:0))
      call avCT(2439, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_14840, nGC_14841,     &
      nGC_14841])

      allocate(vertices(357)%branchCT(0:0))
      call avCT(357, 0, 1, 1, 0, VUUa1, 0, [0, 3], [nGC_13990])

      allocate(vertices(2785)%branchCT(0:0))
      call avCT(2785, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_13961])

      allocate(vertices(359)%branchCT(0:0))
      call avCT(359, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14036])

      allocate(vertices(3826)%branchCT(0:0))
      call avCT(3826, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_14024])

      allocate(vertices(3667)%branchCT(0:0))
      call avCT(3667, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_13987])

      allocate(vertices(364)%branchCT(0:0))
      call avCT(364, 0, 1, 1, 0, FaSF0, 0, [0, 3], [nGC_14608, nGC_14609])

      allocate(vertices(367)%branchCT(0:0))
      call avCT(367, 0, 1, 1, 0, FaFS1, 0, [0, 3], [nGC_14126, nGC_14126])

      allocate(vertices(371)%branchCT(0:0))
      call avCT(371, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14184])

      allocate(vertices(373)%branchCT(0:0))
      call avCT(373, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_9641])

      allocate(vertices(374)%branchCT(0:0))
      call avCT(374, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_13994])

      allocate(vertices(375)%branchCT(0:0))
      call avCT(375, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_13968])

      allocate(vertices(680)%branchCT(0:0))
      call avCT(680, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_13961])

      allocate(vertices(378)%branchCT(0:1))
      call avCT(378, 0, 83, 1, 0, FaFV0, 0, [0, 3], [nGC_14875])

      call avCT(378, 1, 83, 1, 0, FaFV0, 0, [2, 1], [nGC_14874])

      allocate(vertices(379)%branchCT(0:0))
      call avCT(379, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_14878])

      allocate(vertices(380)%branchCT(0:0))
      call avCT(380, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14280])

      allocate(vertices(2609)%branchCT(0:0))
      call avCT(2609, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_9642])

      allocate(vertices(382)%branchCT(0:1))
      call avCT(382, 0, 84, 1, 0, VFFa1, 0, [0, 3], [nGC_14890, nGC_14891])

      call avCT(382, 1, 84, 1, 0, VFFa1, 0, [2, 1], [nGC_14888, nGC_14885])

      allocate(vertices(384)%branchCT(0:0))
      call avCT(384, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_13968])

      allocate(vertices(385)%branchCT(0:0))
      call avCT(385, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_9641])

      allocate(vertices(386)%branchCT(0:0))
      call avCT(386, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_9635])

      allocate(vertices(387)%branchCT(0:0))
      call avCT(387, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_9632])

      allocate(vertices(608)%branchCT(0:0))
      call avCT(608, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_14053])

      allocate(vertices(2698)%branchCT(0:0))
      call avCT(2698, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_9635])

      allocate(vertices(390)%branchCT(0:0))
      call avCT(390, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_14460])

      allocate(vertices(391)%branchCT(0:0))
      call avCT(391, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_14130])

      allocate(vertices(2710)%branchCT(0:0))
      call avCT(2710, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_13987])

      allocate(vertices(1830)%branchCT(0:1))
      call avCT(1830, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_14875])

      call avCT(1830, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_14874])

      allocate(vertices(394)%branchCT(0:3))
      call avCT(394, 0, 96, 6, 0, VFaF0, 0, [1, 2], [nGC_14912, nGC_14914])

      call avCT(394, 1, 96, 6, 0, VFaF0, 0, [3, 0], [nGC_14918, nGC_14919])

      call avCT(394, 2, 97, 7, 0, VFaF0, 0, [1, 2], [nGC_14912, nGC_14914])

      call avCT(394, 3, 97, 7, 0, VFaF0, 0, [3, 0], [nGC_14918, nGC_14919])

      allocate(vertices(395)%branchCT(0:0))
      call avCT(395, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_14130])

      allocate(vertices(397)%branchCT(0:0))
      call avCT(397, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_14023])

      allocate(vertices(2766)%branchCT(0:0))
      call avCT(2766, 0, 1, 1, 0, VVV1, 0, [0, 3], [nGC_14267])

      allocate(vertices(609)%branchCT(0:3))
      call avCT(609, 0, 11, 6, 0, FFaV1, 0, [1, 2], [nGC_14912, nGC_14914])

      call avCT(609, 1, 11, 6, 0, FFaV1, 0, [3, 0], [nGC_14918, nGC_14919])

      call avCT(609, 2, 12, 7, 0, FFaV1, 0, [1, 2], [nGC_14912, nGC_14914])

      call avCT(609, 3, 12, 7, 0, FFaV1, 0, [3, 0], [nGC_14918, nGC_14919])

      allocate(vertices(400)%branchCT(0:0))
      call avCT(400, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_9632])

      allocate(vertices(401)%branchCT(0:0))
      call avCT(401, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_13961])

      allocate(vertices(402)%branchCT(0:0))
      call avCT(402, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_14130])

      allocate(vertices(403)%branchCT(0:0))
      call avCT(403, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_13961])

      allocate(vertices(3178)%branchCT(0:0))
      call avCT(3178, 0, 1, 1, 0, SFFa0, 0, [0, 3], [nGC_14959, nGC_14960])

      allocate(vertices(405)%branchCT(0:0))
      call avCT(405, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_14032])

      allocate(vertices(407)%branchCT(0:0))
      call avCT(407, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_14063])

      allocate(vertices(408)%branchCT(0:0))
      call avCT(408, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_13987])

      allocate(vertices(2857)%branchCT(0:5))
      call avCT(2857, 0, 9, 3, 0, UaUVV0, 0, [4, 0], [nGC_14007])

      call avCT(2857, 1, 7, 3, 0, UaUVV0, 0, [4, 0], [nGC_14007])

      call avCT(2857, 2, 8, 3, 0, UaUVV0, 0, [4, 0], [nGC_14007])

      call avCT(2857, 3, 6, 3, 0, UaUVV0, 0, [4, 0], [nGC_14007])

      call avCT(2857, 4, 5, 2, 0, UaUVV0, 0, [4, 0], [nGC_14002])

      call avCT(2857, 5, 4, 2, 0, UaUVV0, 0, [4, 0], [nGC_14002])

      allocate(vertices(411)%branchCT(0:0))
      call avCT(411, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_14985])

      allocate(vertices(412)%branchCT(0:0))
      call avCT(412, 0, 1, 1, 0, SFaF0, 0, [0, 3], [nGC_14988])

      allocate(vertices(414)%branchCT(0:0))
      call avCT(414, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_13994])

      allocate(vertices(415)%branchCT(0:1))
      call avCT(415, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_14199, nGC_14199])

      call avCT(415, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_14200, nGC_14200])

      allocate(vertices(416)%branchCT(0:0))
      call avCT(416, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_14130])

      allocate(vertices(2488)%branchCT(0:0))
      call avCT(2488, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_14063])

      allocate(vertices(418)%branchCT(0:0))
      call avCT(418, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_13961])

      allocate(vertices(2892)%branchCT(0:0))
      call avCT(2892, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_14017])

      allocate(vertices(422)%branchCT(0:0))
      call avCT(422, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_13994])

      allocate(vertices(423)%branchCT(0:0))
      call avCT(423, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_9634])

      allocate(vertices(426)%branchCT(0:0))
      call avCT(426, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_14152])

      allocate(vertices(3827)%branchCT(0:0))
      call avCT(3827, 0, 1, 1, 0, VFFa0, 0, [0, 3], [nGC_14024])

      allocate(vertices(428)%branchCT(0:0))
      call avCT(428, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_9642])

      allocate(vertices(429)%branchCT(0:0))
      call avCT(429, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_9643])

      allocate(vertices(3023)%branchCT(0:0))
      call avCT(3023, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_14663])

      allocate(vertices(433)%branchCT(0:1))
      call avCT(433, 0, 84, 1, 0, VFFa1, 0, [2, 1], [nGC_14690, nGC_14693])

      call avCT(433, 1, 84, 1, 0, VFFa1, 0, [0, 3], [nGC_14697, nGC_14698])

      allocate(vertices(435)%branchCT(0:0))
      call avCT(435, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_14419, nGC_14419,      &
      nGC_14418])

      allocate(vertices(437)%branchCT(0:1))
      call avCT(437, 0, 84, 1, 0, SFFa0, 0, [2, 1], [nGC_15041, nGC_15042])

      call avCT(437, 1, 84, 1, 0, SFFa0, 0, [0, 3], [nGC_15043, nGC_15044])

      allocate(vertices(3064)%branchCT(0:0))
      call avCT(3064, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_13987])

      allocate(vertices(439)%branchCT(0:0))
      call avCT(439, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_13961])

      allocate(vertices(440)%branchCT(0:0))
      call avCT(440, 0, 1, 1, 0, FVFa0, 0, [0, 3], [nGC_15057, nGC_15058])

      allocate(vertices(2063)%branchCT(0:1))
      call avCT(2063, 0, 87, 1, 0, FaSF0, 0, [0, 3], [nGC_14239, nGC_14240])

      call avCT(2063, 1, 87, 1, 0, FaSF0, 0, [2, 1], [nGC_14237, nGC_14238])

      allocate(vertices(2163)%branchCT(0:0))
      call avCT(2163, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_14017])

      allocate(vertices(444)%branchCT(0:0))
      call avCT(444, 0, 1, 1, 0, UaUS0, 0, [0, 3], [nGC_15069])

      allocate(vertices(618)%branchCT(0:0))
      call avCT(618, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_9635])

      allocate(vertices(449)%branchCT(0:0))
      call avCT(449, 0, 1, 1, 0, UaUS0, 0, [0, 3], [nGC_9646])

      allocate(vertices(3785)%branchCT(0:0))
      call avCT(3785, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_13961])

      allocate(vertices(453)%branchCT(0:0))
      call avCT(453, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_14256])

      allocate(vertices(454)%branchCT(0:0))
      call avCT(454, 0, 1, 1, 0, FFaV0, 0, [0, 3], [nGC_14985])

      allocate(vertices(3172)%branchCT(0:0))
      call avCT(3172, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_14130])

      allocate(vertices(456)%branchCT(0:0))
      call avCT(456, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_14032])

      allocate(vertices(620)%branchCT(0:0))
      call avCT(620, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_14028])

      allocate(vertices(3212)%branchCT(0:0))
      call avCT(3212, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_9641])

      allocate(vertices(1661)%branchCT(0:0))
      call avCT(1661, 0, 1, 1, 0, FaFV1, 0, [0, 3], [nGC_14119, nGC_14120])

      allocate(vertices(69)%branchCT(0:0))
      call avCT(69, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_9634])

      allocate(vertices(464)%branchCT(0:0))
      call avCT(464, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14663])

      allocate(vertices(466)%branchCT(0:0))
      call avCT(466, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_9634])

      allocate(vertices(3358)%branchCT(0:0))
      call avCT(3358, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_14256])

      allocate(vertices(469)%branchCT(0:0))
      call avCT(469, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_14794])

      allocate(vertices(3828)%branchCT(0:0))
      call avCT(3828, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14308])

      allocate(vertices(3775)%branchCT(0:0))
      call avCT(3775, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_9642])

      allocate(vertices(477)%branchCT(0:0))
      call avCT(477, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_9641])

      allocate(vertices(478)%branchCT(0:1))
      call avCT(478, 0, 85, 1, 0, VFaF0, 0, [2, 1], [nGC_15110, nGC_15113])

      call avCT(478, 1, 85, 1, 0, VFaF0, 0, [0, 3], [nGC_15117, nGC_15118])

      allocate(vertices(480)%branchCT(0:0))
      call avCT(480, 0, 1, 1, 0, FaFS0, 0, [0, 3], [nGC_14399])

      allocate(vertices(1769)%branchCT(0:0))
      call avCT(1769, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_13961])

      allocate(vertices(483)%branchCT(0:0))
      call avCT(483, 0, 1, 1, 0, UaUV1, 0, [0, 3], [nGC_14261])

      allocate(vertices(2112)%branchCT(0:0))
      call avCT(2112, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_13987])

      allocate(vertices(485)%branchCT(0:0))
      call avCT(485, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_13982, nGC_13983,      &
      nGC_13983])

      allocate(vertices(486)%branchCT(0:0))
      call avCT(486, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_14841, nGC_14840,      &
      nGC_14841])

      allocate(vertices(488)%branchCT(0:0))
      call avCT(488, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_13994])

      allocate(vertices(491)%branchCT(0:0))
      call avCT(491, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_14794])

      allocate(vertices(494)%branchCT(0:0))
      call avCT(494, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_13957])

      allocate(vertices(495)%branchCT(0:1))
      call avCT(495, 0, 85, 1, 0, SFaF1, 0, [2, 1], [nGC_15151, nGC_15152])

      call avCT(495, 1, 85, 1, 0, SFaF1, 0, [0, 3], [nGC_15153, nGC_15154])

      allocate(vertices(2506)%branchCT(0:0))
      call avCT(2506, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_15157])

      allocate(vertices(1253)%branchCT(0:0))
      call avCT(1253, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_14063])

      allocate(vertices(501)%branchCT(0:0))
      call avCT(501, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_9633])

      allocate(vertices(306)%branchCT(0:0))
      call avCT(306, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14152])

      allocate(vertices(3226)%branchCT(0:0))
      call avCT(3226, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_9634])

      allocate(vertices(2507)%branchCT(0:0))
      call avCT(2507, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_14053])

      allocate(vertices(505)%branchCT(0:0))
      call avCT(505, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_14460])

      allocate(vertices(506)%branchCT(0:0))
      call avCT(506, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_14032])

      allocate(vertices(508)%branchCT(0:0))
      call avCT(508, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_9642])

      allocate(vertices(509)%branchCT(0:1))
      call avCT(509, 0, 87, 1, 0, FaSF0, 0, [0, 3], [nGC_14096, nGC_14096])

      call avCT(509, 1, 87, 1, 0, FaSF0, 0, [2, 1], [nGC_14097, nGC_14097])

      allocate(vertices(512)%branchCT(0:0))
      call avCT(512, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14663])

      allocate(vertices(514)%branchCT(0:0))
      call avCT(514, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_14130])

      allocate(vertices(515)%branchCT(0:0))
      call avCT(515, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_13994])

      allocate(vertices(629)%branchCT(0:0))
      call avCT(629, 0, 1, 1, 0, SUUa0, 0, [0, 3], [nGC_15069])

      allocate(vertices(518)%branchCT(0:0))
      call avCT(518, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_13961])

      allocate(vertices(2498)%branchCT(0:0))
      call avCT(2498, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_9642])

      allocate(vertices(520)%branchCT(0:0))
      call avCT(520, 0, 1, 1, 0, VVV1, 0, [0, 3], [nGC_15201])

      allocate(vertices(521)%branchCT(0:0))
      call avCT(521, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_13961])

      allocate(vertices(522)%branchCT(0:0))
      call avCT(522, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_14032])

      allocate(vertices(525)%branchCT(0:0))
      call avCT(525, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_14017])

      allocate(vertices(526)%branchCT(0:0))
      call avCT(526, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_14020])

      allocate(vertices(465)%branchCT(0:0))
      call avCT(465, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_14522])

      allocate(vertices(528)%branchCT(0:1))
      call avCT(528, 0, 83, 1, 0, FaFV0, 0, [0, 3], [nGC_14644])

      call avCT(528, 1, 83, 1, 0, FaFV0, 0, [2, 1], [nGC_14643])

      allocate(vertices(3187)%branchCT(0:0))
      call avCT(3187, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_14020])

      allocate(vertices(531)%branchCT(0:0))
      call avCT(531, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_14032])

      allocate(vertices(3792)%branchCT(0:0))
      call avCT(3792, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_13961])

      allocate(vertices(534)%branchCT(0:0))
      call avCT(534, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_13976])

      allocate(vertices(2515)%branchCT(0:0))
      call avCT(2515, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_15232, nGC_15233,     &
      nGC_15232])

      allocate(vertices(16)%branchCT(0:0))
      call avCT(16, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_14032])

      allocate(vertices(82)%branchCT(0:0))
      call avCT(82, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14152])

      allocate(vertices(1259)%branchCT(0:0))
      call avCT(1259, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_15241])

      allocate(vertices(40)%branchCT(0:0))
      call avCT(40, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14137])

      allocate(vertices(542)%branchCT(0:0))
      call avCT(542, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_13968])

      allocate(vertices(51)%branchCT(0:0))
      call avCT(51, 0, 1, 1, 0, UaSU0, 0, [0, 3], [nGC_9646])

      allocate(vertices(546)%branchCT(0:1))
      call avCT(546, 0, 104, 5, 0, VUUa1, 0, [3, 0], [nGC_15250])

      call avCT(546, 1, 105, 4, 0, VUUa1, 0, [3, 0], [nGC_15250])

      allocate(vertices(547)%branchCT(0:0))
      call avCT(547, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_9641])

      allocate(vertices(548)%branchCT(0:1))
      call avCT(548, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_15262, nGC_15263])

      call avCT(548, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_15264, nGC_15265])

      allocate(vertices(87)%branchCT(0:0))
      call avCT(87, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_14053])

      allocate(vertices(996)%branchCT(0:0))
      call avCT(996, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_9644])

      allocate(vertices(551)%branchCT(0:3))
      call avCT(551, 0, 94, 6, 0, VFFa1, 0, [1, 2], [nGC_14912, nGC_14914])

      call avCT(551, 1, 94, 6, 0, VFFa1, 0, [3, 0], [nGC_14918, nGC_14919])

      call avCT(551, 2, 95, 7, 0, VFFa1, 0, [1, 2], [nGC_14912, nGC_14914])

      call avCT(551, 3, 95, 7, 0, VFFa1, 0, [3, 0], [nGC_14918, nGC_14919])

      allocate(vertices(109)%branchCT(0:0))
      call avCT(109, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_14017])

      allocate(vertices(555)%branchCT(0:0))
      call avCT(555, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_14619])

      allocate(vertices(558)%branchCT(0:0))
      call avCT(558, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_15241])

      allocate(vertices(145)%branchCT(0:0))
      call avCT(145, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_9641])

      allocate(vertices(560)%branchCT(0:0))
      call avCT(560, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14663])

      allocate(vertices(561)%branchCT(0:1))
      call avCT(561, 0, 84, 1, 0, SFFa0, 0, [0, 3], [nGC_14832, nGC_14833])

      call avCT(561, 1, 84, 1, 0, SFFa0, 0, [2, 1], [nGC_14830, nGC_14831])

      allocate(vertices(636)%branchCT(0:0))
      call avCT(636, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_13961])

      allocate(vertices(174)%branchCT(0:1))
      call avCT(174, 0, 85, 1, 0, SFaF1, 0, [0, 3], [nGC_15309, nGC_15309])

      call avCT(174, 1, 85, 1, 0, SFaF1, 0, [2, 1], [nGC_15310, nGC_15310])

      allocate(vertices(181)%branchCT(0:0))
      call avCT(181, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_14017])

      allocate(vertices(568)%branchCT(0:0))
      call avCT(568, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_15315])

      allocate(vertices(569)%branchCT(0:0))
      call avCT(569, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_9644])

      allocate(vertices(3215)%branchCT(0:0))
      call avCT(3215, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_14130])

      allocate(vertices(209)%branchCT(0:0))
      call avCT(209, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14137])

      allocate(vertices(572)%branchCT(0:1))
      call avCT(572, 0, 86, 1, 0, FSFa0, 0, [0, 3], [nGC_14199, nGC_14199])

      call avCT(572, 1, 86, 1, 0, FSFa0, 0, [2, 1], [nGC_14200, nGC_14200])

      allocate(vertices(573)%branchCT(0:0))
      call avCT(573, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_13976])

      allocate(vertices(640)%branchCT(0:0))
      call avCT(640, 0, 1, 1, 0, VUUa1, 0, [0, 3], [nGC_15334])

      allocate(vertices(579)%branchCT(0:0))
      call avCT(579, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_15337])

      allocate(vertices(580)%branchCT(0:0))
      call avCT(580, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_9635])

      allocate(vertices(581)%branchCT(0:0))
      call avCT(581, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_14130])

      allocate(vertices(3308)%branchCT(0:0))
      call avCT(3308, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_14540])

      allocate(vertices(641)%branchCT(0:0))
      call avCT(641, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_14053])

      allocate(vertices(585)%branchCT(0:0))
      call avCT(585, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_14032])

      allocate(vertices(586)%branchCT(0:0))
      call avCT(586, 0, 1, 1, 0, SUaU0, 0, [0, 3], [nGC_9646])

      allocate(vertices(587)%branchCT(0:0))
      call avCT(587, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_14053])

      allocate(vertices(93)%branchCT(0:0))
      call avCT(93, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_14020])

      allocate(vertices(590)%branchCT(0:0))
      call avCT(590, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_14794])

      allocate(vertices(592)%branchCT(0:0))
      call avCT(592, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_14032])

      allocate(vertices(595)%branchCT(0:0))
      call avCT(595, 0, 1, 1, 0, FVFa0, 0, [0, 3], [nGC_14469, nGC_14470])

      allocate(vertices(3829)%branchCT(0:0))
      call avCT(3829, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14308])

      allocate(vertices(599)%branchCT(0:0))
      call avCT(599, 0, 1, 1, 0, SUUa0, 0, [0, 3], [nGC_9646])

      allocate(vertices(602)%branchCT(0:1))
      call avCT(602, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_15376, nGC_15377])

      call avCT(602, 1, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_15374, nGC_15369])

      allocate(vertices(604)%branchCT(0:0))
      call avCT(604, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_9641])

      allocate(vertices(605)%branchCT(0:0))
      call avCT(605, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_14020])

      allocate(vertices(606)%branchCT(0:0))
      call avCT(606, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_9642])

      allocate(vertices(3830)%branchCT(0:1))
      call avCT(3830, 0, 14, 1, 0, FFa0, 0, [0, 2], [nGC_15390, nGC_15384,     &
      nGC_15392, nGC_15392])

      call avCT(3830, 1, 14, 1, 0, FFa0, 0, [2, 0], [nGC_15391, nGC_15385,     &
      nGC_15393, nGC_15393])

      allocate(vertices(388)%branchCT(0:0))
      call avCT(388, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_14053])

      allocate(vertices(1459)%branchCT(0:1))
      call avCT(1459, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_14603, nGC_14603])

      call avCT(1459, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_14604, nGC_14604])

      allocate(vertices(3654)%branchCT(0:0))
      call avCT(3654, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_9641])

      allocate(vertices(612)%branchCT(0:3))
      call avCT(612, 0, 91, 7, 0, FaVF0, 0, [1, 2], [nGC_14912, nGC_14914])

      call avCT(612, 1, 91, 7, 0, FaVF0, 0, [3, 0], [nGC_14918, nGC_14919])

      call avCT(612, 2, 90, 6, 0, FaVF0, 0, [1, 2], [nGC_14912, nGC_14914])

      call avCT(612, 3, 90, 6, 0, FaVF0, 0, [3, 0], [nGC_14918, nGC_14919])

      allocate(vertices(617)%branchCT(0:1))
      call avCT(617, 0, 83, 1, 0, FaFS1, 0, [0, 3], [nGC_14107, nGC_14106])

      call avCT(617, 1, 83, 1, 0, FaFS1, 0, [2, 1], [nGC_14109, nGC_14108])

      allocate(vertices(447)%branchCT(0:0))
      call avCT(447, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_9641])

      allocate(vertices(2329)%branchCT(0:1))
      call avCT(2329, 0, 84, 1, 0, VFFa0, 0, [0, 3], [nGC_14644])

      call avCT(2329, 1, 84, 1, 0, VFFa0, 0, [2, 1], [nGC_14643])

      allocate(vertices(3831)%branchCT(0:1))
      call avCT(3831, 0, 124, 1, 0, FaF1, 0, [0, 2], [nGC_15436, nGC_15432,    &
      nGC_15438, nGC_15438])

      call avCT(3831, 1, 124, 1, 0, FaF1, 0, [2, 0], [nGC_15437, nGC_15433,    &
      nGC_15439, nGC_15439])

      allocate(vertices(3627)%branchCT(0:0))
      call avCT(3627, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_14419, nGC_14418,     &
      nGC_14419])

      allocate(vertices(621)%branchCT(0:0))
      call avCT(621, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_9641])

      allocate(vertices(622)%branchCT(0:0))
      call avCT(622, 0, 1, 1, 0, FFaS1, 0, [0, 3], [nGC_14399])

      allocate(vertices(623)%branchCT(0:0))
      call avCT(623, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_13961])

      allocate(vertices(624)%branchCT(0:0))
      call avCT(624, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_14256])

      allocate(vertices(625)%branchCT(0:0))
      call avCT(625, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_9641])

      allocate(vertices(626)%branchCT(0:0))
      call avCT(626, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_9641])

      allocate(vertices(627)%branchCT(0:1))
      call avCT(627, 0, 86, 1, 0, FVFa1, 0, [0, 3], [nGC_14875])

      call avCT(627, 1, 86, 1, 0, FVFa1, 0, [2, 1], [nGC_14874])

      allocate(vertices(3832)%branchCT(0:0))
      call avCT(3832, 0, 13, 1, 0, VV0, 0, [0, 2], [nGC_14782, nGC_14781,      &
      nGC_14782, nGC_14781, nGC_14783])

      allocate(vertices(628)%branchCT(0:0))
      call avCT(628, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_13987])

      allocate(vertices(516)%branchCT(0:0))
      call avCT(516, 0, 1, 1, 0, UVUa0, 0, [0, 3], [nGC_15465])

      allocate(vertices(2280)%branchCT(0:0))
      call avCT(2280, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_14130])

      allocate(vertices(632)%branchCT(0:0))
      call avCT(632, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_9633])

      allocate(vertices(2635)%branchCT(0:0))
      call avCT(2635, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_9644])

      allocate(vertices(638)%branchCT(0:0))
      call avCT(638, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_14028])

      allocate(vertices(2767)%branchCT(0:0))
      call avCT(2767, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_15477])

      allocate(vertices(1664)%branchCT(0:0))
      call avCT(1664, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_13961])

      allocate(vertices(644)%branchCT(0:0))
      call avCT(644, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_9633])

      allocate(vertices(647)%branchCT(0:0))
      call avCT(647, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_13987])

      allocate(vertices(649)%branchCT(0:0))
      call avCT(649, 0, 1, 1, 0, UaVU0, 0, [0, 3], [nGC_14261])

      allocate(vertices(650)%branchCT(0:0))
      call avCT(650, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_13968])

      allocate(vertices(1149)%branchCT(0:0))
      call avCT(1149, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14036])

      allocate(vertices(652)%branchCT(0:0))
      call avCT(652, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_13968])

      allocate(vertices(653)%branchCT(0:1))
      call avCT(653, 0, 84, 1, 0, SFFa0, 0, [0, 3], [nGC_14106, nGC_14107])

      call avCT(653, 1, 84, 1, 0, SFFa0, 0, [2, 1], [nGC_14108, nGC_14109])

      allocate(vertices(1876)%branchCT(0:0))
      call avCT(1876, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_15241])

      allocate(vertices(663)%branchCT(0:0))
      call avCT(663, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_14419, nGC_14418,      &
      nGC_14419])

      allocate(vertices(104)%branchCT(0:0))
      call avCT(104, 0, 1, 1, 0, FaFS1, 0, [0, 3], [nGC_14959, nGC_14960])

      allocate(vertices(764)%branchCT(0:0))
      call avCT(764, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_14063])

      allocate(vertices(665)%branchCT(0:0))
      call avCT(665, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_14032])

      allocate(vertices(666)%branchCT(0:0))
      call avCT(666, 0, 1, 1, 0, FaVF0, 0, [0, 3], [nGC_14165, nGC_14166])

      allocate(vertices(669)%branchCT(0:0))
      call avCT(669, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_14063])

      allocate(vertices(671)%branchCT(0:0))
      call avCT(671, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_14053])

      allocate(vertices(673)%branchCT(0:0))
      call avCT(673, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_13961])

      allocate(vertices(674)%branchCT(0:0))
      call avCT(674, 0, 1, 1, 0, SUaU0, 0, [0, 3], [nGC_14409])

      allocate(vertices(676)%branchCT(0:0))
      call avCT(676, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_14063])

      allocate(vertices(679)%branchCT(0:0))
      call avCT(679, 0, 1, 1, 0, UaVU0, 0, [0, 3], [nGC_13990])

      allocate(vertices(825)%branchCT(0:0))
      call avCT(825, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_14130])

      allocate(vertices(684)%branchCT(0:0))
      call avCT(684, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_9633])

      allocate(vertices(685)%branchCT(0:1))
      call avCT(685, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_15043, nGC_15044])

      call avCT(685, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_15041, nGC_15042])

      allocate(vertices(686)%branchCT(0:0))
      call avCT(686, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_13987])

      allocate(vertices(1881)%branchCT(0:0))
      call avCT(1881, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_14032])

      allocate(vertices(689)%branchCT(0:0))
      call avCT(689, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_13994])

      allocate(vertices(3833)%branchCT(0:0))
      call avCT(3833, 0, 1, 1, 0, FFaV0, 0, [0, 3], [nGC_14024])

      allocate(vertices(692)%branchCT(0:0))
      call avCT(692, 0, 1, 1, 0, UaSU0, 0, [0, 3], [nGC_9651])

      allocate(vertices(693)%branchCT(0:0))
      call avCT(693, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_15562])

      allocate(vertices(696)%branchCT(0:0))
      call avCT(696, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_14130])

      allocate(vertices(697)%branchCT(0:0))
      call avCT(697, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14036])

      allocate(vertices(698)%branchCT(0:0))
      call avCT(698, 0, 1, 1, 0, VFFa0, 0, [0, 3], [nGC_14402])

      allocate(vertices(932)%branchCT(0:0))
      call avCT(932, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_9634])

      allocate(vertices(1284)%branchCT(0:0))
      call avCT(1284, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_13961])

      allocate(vertices(3834)%branchCT(0:0))
      call avCT(3834, 0, 13, 1, 0, VV1, 0, [0, 2], [nGC_15578, nGC_15575,      &
      nGC_15579])

      allocate(vertices(703)%branchCT(0:0))
      call avCT(703, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_13961])

      allocate(vertices(1626)%branchCT(0:0))
      call avCT(1626, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_14017])

      allocate(vertices(967)%branchCT(0:0))
      call avCT(967, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14036])

      allocate(vertices(3835)%branchCT(0:0))
      call avCT(3835, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_15588])

      allocate(vertices(706)%branchCT(0:0))
      call avCT(706, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_9641])

      allocate(vertices(707)%branchCT(0:0))
      call avCT(707, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_14017])

      allocate(vertices(708)%branchCT(0:0))
      call avCT(708, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_14619])

      allocate(vertices(1001)%branchCT(0:0))
      call avCT(1001, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14152])

      allocate(vertices(1287)%branchCT(0:0))
      call avCT(1287, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_14419, nGC_14418,     &
      nGC_14419])

      allocate(vertices(711)%branchCT(0:0))
      call avCT(711, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_14017])

      allocate(vertices(712)%branchCT(0:1))
      call avCT(712, 0, 85, 1, 0, SFaF1, 0, [0, 3], [nGC_15043, nGC_15044])

      call avCT(712, 1, 85, 1, 0, SFaF1, 0, [2, 1], [nGC_15041, nGC_15042])

      allocate(vertices(713)%branchCT(0:0))
      call avCT(713, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_9644])

      allocate(vertices(715)%branchCT(0:0))
      call avCT(715, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_14137])

      allocate(vertices(3078)%branchCT(0:0))
      call avCT(3078, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_9642])

      allocate(vertices(1045)%branchCT(0:0))
      call avCT(1045, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_13968])

      allocate(vertices(1058)%branchCT(0:0))
      call avCT(1058, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_14794])

      allocate(vertices(719)%branchCT(0:0))
      call avCT(719, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_14032])

      allocate(vertices(721)%branchCT(0:0))
      call avCT(721, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14280])

      allocate(vertices(725)%branchCT(0:0))
      call avCT(725, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_13973])

      allocate(vertices(1104)%branchCT(0:3))
      call avCT(1104, 0, 91, 7, 0, FaVF0, 0, [1, 2], [nGC_15629, nGC_15631])

      call avCT(1104, 1, 91, 7, 0, FaVF0, 0, [3, 0], [nGC_15633, nGC_15634])

      call avCT(1104, 2, 90, 6, 0, FaVF0, 0, [1, 2], [nGC_15629, nGC_15631])

      call avCT(1104, 3, 90, 6, 0, FaVF0, 0, [3, 0], [nGC_15633, nGC_15634])

      allocate(vertices(728)%branchCT(0:0))
      call avCT(728, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_15643])

      allocate(vertices(731)%branchCT(0:0))
      call avCT(731, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_15241])

      allocate(vertices(1136)%branchCT(0:0))
      call avCT(1136, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_9635])

      allocate(vertices(734)%branchCT(0:1))
      call avCT(734, 0, 84, 1, 0, VFFa0, 0, [0, 3], [nGC_14875])

      call avCT(734, 1, 84, 1, 0, VFFa0, 0, [2, 1], [nGC_14874])

      allocate(vertices(3244)%branchCT(0:0))
      call avCT(3244, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14036])

      allocate(vertices(737)%branchCT(0:1))
      call avCT(737, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_14635, nGC_14636])

      call avCT(737, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_14633, nGC_14634])

      allocate(vertices(739)%branchCT(0:0))
      call avCT(739, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_9636])

      allocate(vertices(741)%branchCT(0:0))
      call avCT(741, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_14063])

      allocate(vertices(3836)%branchCT(0:0))
      call avCT(3836, 0, 1, 1, 0, FFaV0, 0, [0, 3], [nGC_14024])

      allocate(vertices(743)%branchCT(0:0))
      call avCT(743, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_13987])

      allocate(vertices(3237)%branchCT(0:0))
      call avCT(3237, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_9633])

      allocate(vertices(1192)%branchCT(0:0))
      call avCT(1192, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_14020])

      allocate(vertices(746)%branchCT(0:0))
      call avCT(746, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_14053])

      allocate(vertices(748)%branchCT(0:0))
      call avCT(748, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_13987])

      allocate(vertices(752)%branchCT(0:0))
      call avCT(752, 0, 1, 1, 0, SFaF2, 0, [0, 3], [nGC_14399])

      allocate(vertices(3837)%branchCT(0:0))
      call avCT(3837, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14308])

      allocate(vertices(3838)%branchCT(0:0))
      call avCT(3838, 0, 13, 1, 0, FFa0, 0, [0, 2], [nGC_15683, nGC_15680,     &
      nGC_15684, nGC_15684])

      allocate(vertices(754)%branchCT(0:0))
      call avCT(754, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_14017])

      allocate(vertices(755)%branchCT(0:0))
      call avCT(755, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14036])

      allocate(vertices(1228)%branchCT(0:0))
      call avCT(1228, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_9643])

      allocate(vertices(758)%branchCT(0:0))
      call avCT(758, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_13987])

      allocate(vertices(1306)%branchCT(0:0))
      call avCT(1306, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_14020])

      allocate(vertices(1315)%branchCT(0:0))
      call avCT(1315, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14663])

      allocate(vertices(762)%branchCT(0:0))
      call avCT(762, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_14020])

      allocate(vertices(765)%branchCT(0:0))
      call avCT(765, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_13957])

      allocate(vertices(1995)%branchCT(0:0))
      call avCT(1995, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_9636])

      allocate(vertices(769)%branchCT(0:0))
      call avCT(769, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_13994])

      allocate(vertices(770)%branchCT(0:3))
      call avCT(770, 0, 92, 6, 0, FaFV1, 0, [1, 2], [nGC_14438, nGC_14440])

      call avCT(770, 1, 92, 6, 0, FaFV1, 0, [3, 0], [nGC_14442, nGC_14443])

      call avCT(770, 2, 93, 7, 0, FaFV1, 0, [1, 2], [nGC_14438, nGC_14440])

      call avCT(770, 3, 93, 7, 0, FaFV1, 0, [3, 0], [nGC_14442, nGC_14443])

      allocate(vertices(774)%branchCT(0:0))
      call avCT(774, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_13973])

      allocate(vertices(1852)%branchCT(0:0))
      call avCT(1852, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_9634])

      allocate(vertices(778)%branchCT(0:0))
      call avCT(778, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_13961])

      allocate(vertices(781)%branchCT(0:0))
      call avCT(781, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_14020])

      allocate(vertices(2461)%branchCT(0:0))
      call avCT(2461, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_9641])

      allocate(vertices(786)%branchCT(0:0))
      call avCT(786, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_14063])

      allocate(vertices(789)%branchCT(0:0))
      call avCT(789, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_13987])

      allocate(vertices(790)%branchCT(0:0))
      call avCT(790, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_9634])

      allocate(vertices(567)%branchCT(0:0))
      call avCT(567, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_14020])

      allocate(vertices(793)%branchCT(0:0))
      call avCT(793, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14280])

      allocate(vertices(1488)%branchCT(0:0))
      call avCT(1488, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_13987])

      allocate(vertices(797)%branchCT(0:0))
      call avCT(797, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_14063])

      allocate(vertices(798)%branchCT(0:0))
      call avCT(798, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_14140])

      allocate(vertices(800)%branchCT(0:0))
      call avCT(800, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14152])

      allocate(vertices(801)%branchCT(0:0))
      call avCT(801, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_15757])

      allocate(vertices(802)%branchCT(0:0))
      call avCT(802, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_13957])

      allocate(vertices(804)%branchCT(0:1))
      call avCT(804, 0, 83, 1, 0, FaFS1, 0, [2, 1], [nGC_15767, nGC_15768])

      call avCT(804, 1, 83, 1, 0, FaFS1, 0, [0, 3], [nGC_15769, nGC_15770])

      allocate(vertices(1533)%branchCT(0:1))
      call avCT(1533, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_14875])

      call avCT(1533, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_14874])

      allocate(vertices(1541)%branchCT(0:0))
      call avCT(1541, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_13957])

      allocate(vertices(1552)%branchCT(0:0))
      call avCT(1552, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_9643])

      allocate(vertices(809)%branchCT(0:0))
      call avCT(809, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_13987])

      allocate(vertices(1587)%branchCT(0:1))
      call avCT(1587, 0, 83, 1, 0, FaFV1, 0, [0, 3], [nGC_14288, nGC_14289])

      call avCT(1587, 1, 83, 1, 0, FaFV1, 0, [2, 1], [nGC_14287, nGC_14283])

      allocate(vertices(817)%branchCT(0:0))
      call avCT(817, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_13973])

      allocate(vertices(3014)%branchCT(0:0))
      call avCT(3014, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_14032])

      allocate(vertices(820)%branchCT(0:0))
      call avCT(820, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14280])

      allocate(vertices(2689)%branchCT(0:0))
      call avCT(2689, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_13983, nGC_13983,     &
      nGC_13982])

      allocate(vertices(822)%branchCT(0:0))
      call avCT(822, 0, 1, 1, 0, VUUa1, 0, [0, 3], [nGC_14513])

      allocate(vertices(823)%branchCT(0:0))
      call avCT(823, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_14020])

      allocate(vertices(1658)%branchCT(0:0))
      call avCT(1658, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_14794])

      allocate(vertices(681)%branchCT(0:0))
      call avCT(681, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_9636])

      allocate(vertices(1668)%branchCT(0:0))
      call avCT(1668, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_14020])

      allocate(vertices(827)%branchCT(0:0))
      call avCT(827, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_14140])

      allocate(vertices(828)%branchCT(0:0))
      call avCT(828, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_13961])

      allocate(vertices(829)%branchCT(0:0))
      call avCT(829, 0, 1, 1, 0, USUa0, 0, [0, 3], [nGC_9651])

      allocate(vertices(1907)%branchCT(0:0))
      call avCT(1907, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_13994])

      allocate(vertices(831)%branchCT(0:0))
      call avCT(831, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_14032])

      allocate(vertices(1598)%branchCT(0:1))
      call avCT(1598, 0, 83, 1, 0, FaFS1, 0, [0, 3], [nGC_15043, nGC_15044])

      call avCT(1598, 1, 83, 1, 0, FaFS1, 0, [2, 1], [nGC_15041, nGC_15042])

      allocate(vertices(836)%branchCT(0:0))
      call avCT(836, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_14058])

      allocate(vertices(837)%branchCT(0:1))
      call avCT(837, 0, 84, 1, 0, SFFa0, 0, [0, 3], [nGC_15262, nGC_15263])

      call avCT(837, 1, 84, 1, 0, SFFa0, 0, [2, 1], [nGC_15264, nGC_15265])

      allocate(vertices(974)%branchCT(0:0))
      call avCT(974, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_15315])

      allocate(vertices(1755)%branchCT(0:0))
      call avCT(1755, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14210])

      allocate(vertices(841)%branchCT(0:3))
      call avCT(841, 0, 88, 6, 0, FVFa0, 0, [1, 2], [nGC_14912, nGC_14914])

      call avCT(841, 1, 88, 6, 0, FVFa0, 0, [3, 0], [nGC_14918, nGC_14919])

      call avCT(841, 2, 89, 7, 0, FVFa0, 0, [1, 2], [nGC_14912, nGC_14914])

      call avCT(841, 3, 89, 7, 0, FVFa0, 0, [3, 0], [nGC_14918, nGC_14919])

      allocate(vertices(3839)%branchCT(0:0))
      call avCT(3839, 0, 13, 1, 0, VV2, 0, [0, 2], [nGC_15861, nGC_15858,      &
      nGC_15862])

      allocate(vertices(843)%branchCT(0:0))
      call avCT(843, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_9633])

      allocate(vertices(845)%branchCT(0:0))
      call avCT(845, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_13968])

      allocate(vertices(846)%branchCT(0:0))
      call avCT(846, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_14020])

      allocate(vertices(847)%branchCT(0:0))
      call avCT(847, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_9642])

      allocate(vertices(2809)%branchCT(0:0))
      call avCT(2809, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_14130])

      allocate(vertices(848)%branchCT(0:0))
      call avCT(848, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14130])

      allocate(vertices(849)%branchCT(0:0))
      call avCT(849, 0, 1, 1, 0, UVUa0, 0, [0, 3], [nGC_14261])

      allocate(vertices(851)%branchCT(0:0))
      call avCT(851, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_14036])

      allocate(vertices(852)%branchCT(0:1))
      call avCT(852, 0, 83, 1, 0, FaFV1, 0, [0, 3], [nGC_15888, nGC_15889])

      call avCT(852, 1, 83, 1, 0, FaFV1, 0, [2, 1], [nGC_15886, nGC_15883])

      allocate(vertices(853)%branchCT(0:0))
      call avCT(853, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_14701])

      allocate(vertices(3122)%branchCT(0:0))
      call avCT(3122, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_14017])

      allocate(vertices(855)%branchCT(0:0))
      call avCT(855, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_13983, nGC_13982,      &
      nGC_13983])

      allocate(vertices(856)%branchCT(0:1))
      call avCT(856, 0, 85, 1, 0, SFaF1, 0, [2, 1], [nGC_14604, nGC_14604])

      call avCT(856, 1, 85, 1, 0, SFaF1, 0, [0, 3], [nGC_14603, nGC_14603])

      allocate(vertices(3505)%branchCT(0:0))
      call avCT(3505, 0, 1, 1, 0, UaUS0, 0, [0, 3], [nGC_9651])

      allocate(vertices(858)%branchCT(0:0))
      call avCT(858, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_9633])

      allocate(vertices(1866)%branchCT(0:0))
      call avCT(1866, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_13973])

      allocate(vertices(1892)%branchCT(0:0))
      call avCT(1892, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_15913])

      allocate(vertices(556)%branchCT(0:0))
      call avCT(556, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_9635])

      allocate(vertices(3080)%branchCT(0:5))
      call avCT(3080, 0, 9, 3, 0, VVVV0, 0, [4, 0], [nGC_15917, nGC_15918,     &
      nGC_15917])

      call avCT(3080, 1, 7, 3, 0, VVVV0, 0, [4, 0], [nGC_15917, nGC_15918,     &
      nGC_15917])

      call avCT(3080, 2, 8, 3, 0, VVVV0, 0, [4, 0], [nGC_15918, nGC_15917,     &
      nGC_15917])

      call avCT(3080, 3, 6, 3, 0, VVVV0, 0, [4, 0], [nGC_15918, nGC_15917,     &
      nGC_15917])

      call avCT(3080, 4, 5, 2, 0, VVVV0, 0, [4, 0], [nGC_15927, nGC_15927,     &
      nGC_15928])

      call avCT(3080, 5, 4, 2, 0, VVVV0, 0, [4, 0], [nGC_15927, nGC_15927,     &
      nGC_15928])

      allocate(vertices(3840)%branchCT(0:0))
      call avCT(3840, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_14024])

      allocate(vertices(865)%branchCT(0:0))
      call avCT(865, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_9644])

      allocate(vertices(3397)%branchCT(0:1))
      call avCT(3397, 0, 85, 1, 0, SFaF1, 0, [0, 3], [nGC_14107, nGC_14106])

      call avCT(3397, 1, 85, 1, 0, SFaF1, 0, [2, 1], [nGC_14109, nGC_14108])

      allocate(vertices(868)%branchCT(0:0))
      call avCT(868, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_13961])

      allocate(vertices(870)%branchCT(0:0))
      call avCT(870, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_14210])

      allocate(vertices(871)%branchCT(0:0))
      call avCT(871, 0, 1, 1, 0, VUaU0, 0, [0, 3], [nGC_13990])

      allocate(vertices(872)%branchCT(0:0))
      call avCT(872, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_9635])

      allocate(vertices(873)%branchCT(0:0))
      call avCT(873, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_14023])

      allocate(vertices(1949)%branchCT(0:0))
      call avCT(1949, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_14017])

      allocate(vertices(875)%branchCT(0:3))
      call avCT(875, 0, 92, 6, 0, FaFV1, 0, [1, 2], [nGC_14213, nGC_14215])

      call avCT(875, 1, 92, 6, 0, FaFV1, 0, [3, 0], [nGC_14217, nGC_14218])

      call avCT(875, 2, 93, 7, 0, FaFV1, 0, [1, 2], [nGC_14213, nGC_14215])

      call avCT(875, 3, 93, 7, 0, FaFV1, 0, [3, 0], [nGC_14217, nGC_14218])

      allocate(vertices(878)%branchCT(0:0))
      call avCT(878, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14032])

      allocate(vertices(879)%branchCT(0:0))
      call avCT(879, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_14152])

      allocate(vertices(880)%branchCT(0:1))
      call avCT(880, 0, 84, 1, 0, VFFa1, 0, [2, 1], [nGC_15110, nGC_15113])

      call avCT(880, 1, 84, 1, 0, VFFa1, 0, [0, 3], [nGC_15117, nGC_15118])

      allocate(vertices(1310)%branchCT(0:0))
      call avCT(1310, 0, 1, 1, 0, FFaV0, 0, [0, 3], [nGC_15981])

      allocate(vertices(882)%branchCT(0:0))
      call avCT(882, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14036])

      allocate(vertices(883)%branchCT(0:0))
      call avCT(883, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_14130])

      allocate(vertices(886)%branchCT(0:0))
      call avCT(886, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_14063])

      allocate(vertices(136)%branchCT(0:0))
      call avCT(136, 0, 1, 1, 0, SFaF0, 0, [0, 3], [nGC_15994])

      allocate(vertices(888)%branchCT(0:0))
      call avCT(888, 0, 1, 1, 0, FaFS0, 0, [0, 3], [nGC_14988])

      allocate(vertices(3270)%branchCT(0:0))
      call avCT(3270, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14152])

      allocate(vertices(890)%branchCT(0:0))
      call avCT(890, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_14063])

      allocate(vertices(2045)%branchCT(0:0))
      call avCT(2045, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_13961])

      allocate(vertices(892)%branchCT(0:0))
      call avCT(892, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_14020])

      allocate(vertices(893)%branchCT(0:1))
      call avCT(893, 0, 87, 1, 0, FaSF0, 0, [0, 3], [nGC_14499, nGC_14500])

      call avCT(893, 1, 87, 1, 0, FaSF0, 0, [2, 1], [nGC_14501, nGC_14502])

      allocate(vertices(895)%branchCT(0:0))
      call avCT(895, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_9641])

      allocate(vertices(896)%branchCT(0:0))
      call avCT(896, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_14017])

      allocate(vertices(2094)%branchCT(0:0))
      call avCT(2094, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_9643])

      allocate(vertices(900)%branchCT(0:0))
      call avCT(900, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_9642])

      allocate(vertices(3841)%branchCT(0:0))
      call avCT(3841, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14308])

      allocate(vertices(902)%branchCT(0:0))
      call avCT(902, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_14063])

      allocate(vertices(904)%branchCT(0:0))
      call avCT(904, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14130])

      allocate(vertices(905)%branchCT(0:0))
      call avCT(905, 0, 1, 1, 0, FSFa0, 0, [0, 3], [nGC_14608, nGC_14609])

      allocate(vertices(908)%branchCT(0:0))
      call avCT(908, 0, 1, 1, 0, FaVF1, 0, [0, 3], [nGC_15981])

      allocate(vertices(159)%branchCT(0:0))
      call avCT(159, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_14130])

      allocate(vertices(914)%branchCT(0:0))
      call avCT(914, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_9634])

      allocate(vertices(916)%branchCT(0:0))
      call avCT(916, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_14063])

      allocate(vertices(917)%branchCT(0:0))
      call avCT(917, 0, 1, 1, 0, FSFa0, 0, [0, 3], [nGC_14126, nGC_14126])

      allocate(vertices(2203)%branchCT(0:0))
      call avCT(2203, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_9634])

      allocate(vertices(919)%branchCT(0:0))
      call avCT(919, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_13957])

      allocate(vertices(3842)%branchCT(0:0))
      call avCT(3842, 0, 13, 1, 0, SV0, 0, [0, 2], [nGC_16050])

      allocate(vertices(920)%branchCT(0:0))
      call avCT(920, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_13987])

      allocate(vertices(922)%branchCT(0:0))
      call avCT(922, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_14020])

      allocate(vertices(1296)%branchCT(0:0))
      call avCT(1296, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_9633])

      allocate(vertices(924)%branchCT(0:0))
      call avCT(924, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_16060])

      allocate(vertices(926)%branchCT(0:0))
      call avCT(926, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_14841, nGC_14841,      &
      nGC_14840])

      allocate(vertices(927)%branchCT(0:0))
      call avCT(927, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_14663])

      allocate(vertices(928)%branchCT(0:0))
      call avCT(928, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_13957])

      allocate(vertices(929)%branchCT(0:0))
      call avCT(929, 0, 1, 1, 0, VUaU0, 0, [0, 3], [nGC_14363])

      allocate(vertices(699)%branchCT(0:0))
      call avCT(699, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_13968])

      allocate(vertices(933)%branchCT(0:0))
      call avCT(933, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_9642])

      allocate(vertices(935)%branchCT(0:0))
      call avCT(935, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_14020])

      allocate(vertices(936)%branchCT(0:0))
      call avCT(936, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_14794])

      allocate(vertices(3843)%branchCT(0:0))
      call avCT(3843, 0, 1, 1, 0, VFFa0, 0, [0, 3], [nGC_14024])

      allocate(vertices(942)%branchCT(0:0))
      call avCT(942, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14152])

      allocate(vertices(944)%branchCT(0:0))
      call avCT(944, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_13961])

      allocate(vertices(945)%branchCT(0:0))
      call avCT(945, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_15241])

      allocate(vertices(1493)%branchCT(0:0))
      call avCT(1493, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_14619])

      allocate(vertices(948)%branchCT(0:0))
      call avCT(948, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_9644])

      allocate(vertices(3062)%branchCT(0:0))
      call avCT(3062, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_13994])

      allocate(vertices(950)%branchCT(0:0))
      call avCT(950, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_16098])

      allocate(vertices(953)%branchCT(0:0))
      call avCT(953, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_14028])

      allocate(vertices(954)%branchCT(0:0))
      call avCT(954, 0, 1, 1, 0, FaVF0, 0, [0, 3], [nGC_14469, nGC_14470])

      allocate(vertices(2474)%branchCT(0:0))
      call avCT(2474, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_9644])

      allocate(vertices(958)%branchCT(0:0))
      call avCT(958, 0, 1, 1, 0, FFaS0, 0, [0, 3], [nGC_14673, nGC_14673])

      allocate(vertices(959)%branchCT(0:0))
      call avCT(959, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_13961])

      allocate(vertices(965)%branchCT(0:0))
      call avCT(965, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_13987])

      allocate(vertices(705)%branchCT(0:0))
      call avCT(705, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_9642])

      allocate(vertices(968)%branchCT(0:0))
      call avCT(968, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_14032])

      allocate(vertices(970)%branchCT(0:0))
      call avCT(970, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_14017])

      allocate(vertices(972)%branchCT(0:0))
      call avCT(972, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_13982, nGC_13983,      &
      nGC_13983])

      allocate(vertices(3735)%branchCT(0:0))
      call avCT(3735, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14256])

      allocate(vertices(749)%branchCT(0:0))
      call avCT(749, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_14017])

      allocate(vertices(3758)%branchCT(0:0))
      call avCT(3758, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_14256])

      allocate(vertices(981)%branchCT(0:0))
      call avCT(981, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_16139])

      allocate(vertices(985)%branchCT(0:0))
      call avCT(985, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_13987])

      allocate(vertices(2620)%branchCT(0:0))
      call avCT(2620, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_9644])

      allocate(vertices(986)%branchCT(0:0))
      call avCT(986, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_14017])

      allocate(vertices(988)%branchCT(0:0))
      call avCT(988, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_16148])

      allocate(vertices(989)%branchCT(0:0))
      call avCT(989, 0, 1, 1, 0, VUaU0, 0, [0, 3], [nGC_16152])

      allocate(vertices(990)%branchCT(0:0))
      call avCT(990, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_15643])

      allocate(vertices(3844)%branchCT(0:1))
      call avCT(3844, 0, 124, 1, 0, FaF1, 0, [0, 2], [nGC_16163, nGC_16159,    &
      nGC_16165, nGC_16165])

      call avCT(3844, 1, 124, 1, 0, FaF1, 0, [2, 0], [nGC_16164, nGC_16160,    &
      nGC_16166, nGC_16166])

      allocate(vertices(2283)%branchCT(0:3))
      call avCT(2283, 0, 96, 6, 0, VFaF0, 0, [1, 2], [nGC_14575, nGC_14577])

      call avCT(2283, 1, 96, 6, 0, VFaF0, 0, [3, 0], [nGC_14579, nGC_14580])

      call avCT(2283, 2, 97, 7, 0, VFaF0, 0, [1, 2], [nGC_14575, nGC_14577])

      call avCT(2283, 3, 97, 7, 0, VFaF0, 0, [3, 0], [nGC_14579, nGC_14580])

      allocate(vertices(998)%branchCT(0:1))
      call avCT(998, 0, 86, 1, 0, FSFa0, 0, [0, 3], [nGC_14107, nGC_14106])

      call avCT(998, 1, 86, 1, 0, FSFa0, 0, [2, 1], [nGC_14109, nGC_14108])

      allocate(vertices(999)%branchCT(0:0))
      call avCT(999, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_14020])

      allocate(vertices(2492)%branchCT(0:0))
      call avCT(2492, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_13968])

      allocate(vertices(3845)%branchCT(0:0))
      call avCT(3845, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_14308])

      allocate(vertices(2772)%branchCT(0:0))
      call avCT(2772, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_14663])

      allocate(vertices(1003)%branchCT(0:0))
      call avCT(1003, 0, 1, 1, 0, VFaF0, 0, [0, 3], [nGC_14469, nGC_14470])

      allocate(vertices(1004)%branchCT(0:0))
      call avCT(1004, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_13968])

      allocate(vertices(2956)%branchCT(0:0))
      call avCT(2956, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_13994])

      allocate(vertices(1007)%branchCT(0:0))
      call avCT(1007, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_14540])

      allocate(vertices(1011)%branchCT(0:0))
      call avCT(1011, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_15241])

      allocate(vertices(1012)%branchCT(0:0))
      call avCT(1012, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_13973])

      allocate(vertices(1013)%branchCT(0:1))
      call avCT(1013, 0, 86, 1, 0, FVFa0, 0, [0, 3], [nGC_14890, nGC_14891])

      call avCT(1013, 1, 86, 1, 0, FVFa0, 0, [2, 1], [nGC_14888, nGC_14885])

      allocate(vertices(1015)%branchCT(0:0))
      call avCT(1015, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_14020])

      allocate(vertices(1016)%branchCT(0:0))
      call avCT(1016, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_14020])

      allocate(vertices(1017)%branchCT(0:0))
      call avCT(1017, 0, 1, 1, 0, FaFV0, 0, [0, 3], [nGC_16148])

      allocate(vertices(2874)%branchCT(0:0))
      call avCT(2874, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_9641])

      allocate(vertices(2223)%branchCT(0:0))
      call avCT(2223, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_13957])

      allocate(vertices(1021)%branchCT(0:0))
      call avCT(1021, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_14058])

      allocate(vertices(1022)%branchCT(0:0))
      call avCT(1022, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_14619])

      allocate(vertices(2902)%branchCT(0:0))
      call avCT(2902, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_14840, nGC_14841,     &
      nGC_14841])

      allocate(vertices(1025)%branchCT(0:0))
      call avCT(1025, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_14130])

      allocate(vertices(2764)%branchCT(0:0))
      call avCT(2764, 0, 1, 1, 0, FVFa0, 0, [0, 3], [nGC_16246, nGC_16247])

      allocate(vertices(2923)%branchCT(0:0))
      call avCT(2923, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_14017])

      allocate(vertices(1028)%branchCT(0:0))
      call avCT(1028, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_13961])

      allocate(vertices(1030)%branchCT(0:1))
      call avCT(1030, 0, 85, 1, 0, SFaF1, 0, [0, 3], [nGC_14499, nGC_14500])

      call avCT(1030, 1, 85, 1, 0, SFaF1, 0, [2, 1], [nGC_14501, nGC_14502])

      allocate(vertices(1033)%branchCT(0:0))
      call avCT(1033, 0, 1, 1, 0, USUa0, 0, [0, 3], [nGC_14409])

      allocate(vertices(1249)%branchCT(0:0))
      call avCT(1249, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_9641])

      allocate(vertices(2992)%branchCT(0:0))
      call avCT(2992, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_13976])

      allocate(vertices(1040)%branchCT(0:0))
      call avCT(1040, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_14130])

      allocate(vertices(1043)%branchCT(0:0))
      call avCT(1043, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14210])

      allocate(vertices(1044)%branchCT(0:0))
      call avCT(1044, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_16246, nGC_16247])

      allocate(vertices(1047)%branchCT(0:1))
      call avCT(1047, 0, 87, 1, 0, FaVF0, 0, [0, 3], [nGC_16284, nGC_16285])

      call avCT(1047, 1, 87, 1, 0, FaVF0, 0, [2, 1], [nGC_16280, nGC_16283])

      allocate(vertices(1048)%branchCT(0:0))
      call avCT(1048, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_13968])

      allocate(vertices(1051)%branchCT(0:0))
      call avCT(1051, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_14036])

      allocate(vertices(1052)%branchCT(0:1))
      call avCT(1052, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_14644])

      call avCT(1052, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_14643])

      allocate(vertices(1053)%branchCT(0:1))
      call avCT(1053, 0, 83, 1, 0, FaFS1, 0, [0, 3], [nGC_15262, nGC_15263])

      call avCT(1053, 1, 83, 1, 0, FaFS1, 0, [2, 1], [nGC_15264, nGC_15265])

      allocate(vertices(3032)%branchCT(0:0))
      call avCT(3032, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_14032])

      allocate(vertices(1056)%branchCT(0:0))
      call avCT(1056, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14184])

      allocate(vertices(718)%branchCT(0:0))
      call avCT(718, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_14130])

      allocate(vertices(1059)%branchCT(0:0))
      call avCT(1059, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_13973])

      allocate(vertices(1060)%branchCT(0:0))
      call avCT(1060, 0, 1, 1, 0, VFaF0, 0, [0, 3], [nGC_14165, nGC_14166])

      allocate(vertices(1384)%branchCT(0:0))
      call avCT(1384, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_14020])

      allocate(vertices(3181)%branchCT(0:0))
      call avCT(3181, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_9643])

      allocate(vertices(3846)%branchCT(0:0))
      call avCT(3846, 0, 13, 1, 0, FFa1, 0, [0, 2], [nGC_16321])

      allocate(vertices(1573)%branchCT(0:0))
      call avCT(1573, 0, 1, 1, 0, SFFa0, 0, [0, 3], [nGC_14608, nGC_14609])

      allocate(vertices(1067)%branchCT(0:0))
      call avCT(1067, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14130])

      allocate(vertices(1069)%branchCT(0:0))
      call avCT(1069, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_13987])

      allocate(vertices(1070)%branchCT(0:0))
      call avCT(1070, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_16098])

      allocate(vertices(1071)%branchCT(0:0))
      call avCT(1071, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_9641])

      allocate(vertices(1072)%branchCT(0:0))
      call avCT(1072, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_9642])

      allocate(vertices(1073)%branchCT(0:0))
      call avCT(1073, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_13961])

      allocate(vertices(2589)%branchCT(0:0))
      call avCT(2589, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_16341])

      allocate(vertices(3255)%branchCT(0:0))
      call avCT(3255, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_14032])

      allocate(vertices(1077)%branchCT(0:0))
      call avCT(1077, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_14020])

      allocate(vertices(1080)%branchCT(0:0))
      call avCT(1080, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_14130])

      allocate(vertices(1081)%branchCT(0:0))
      call avCT(1081, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_14020])

      allocate(vertices(1083)%branchCT(0:0))
      call avCT(1083, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_14017])

      allocate(vertices(1084)%branchCT(0:0))
      call avCT(1084, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_9643])

      allocate(vertices(1086)%branchCT(0:0))
      call avCT(1086, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14028])

      allocate(vertices(3342)%branchCT(0:0))
      call avCT(3342, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_16341])

      allocate(vertices(3354)%branchCT(0:0))
      call avCT(3354, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_14522])

      allocate(vertices(1090)%branchCT(0:0))
      call avCT(1090, 0, 1, 1, 0, UaUS0, 0, [0, 3], [nGC_9651])

      allocate(vertices(1091)%branchCT(0:0))
      call avCT(1091, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_14522])

      allocate(vertices(1092)%branchCT(0:0))
      call avCT(1092, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_9633])

      allocate(vertices(1096)%branchCT(0:0))
      call avCT(1096, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14130])

      allocate(vertices(1097)%branchCT(0:0))
      call avCT(1097, 0, 1, 1, 0, FaFS1, 0, [0, 3], [nGC_14608, nGC_14609])

      allocate(vertices(3716)%branchCT(0:0))
      call avCT(3716, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_13987])

      allocate(vertices(3761)%branchCT(0:0))
      call avCT(3761, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14210])

      allocate(vertices(3456)%branchCT(0:1))
      call avCT(3456, 0, 87, 1, 0, FaVF0, 0, [0, 3], [nGC_15376, nGC_15377])

      call avCT(3456, 1, 87, 1, 0, FaVF0, 0, [2, 1], [nGC_15374, nGC_15369])

      allocate(vertices(726)%branchCT(0:0))
      call avCT(726, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_16392, nGC_16393])

      allocate(vertices(3488)%branchCT(0:0))
      call avCT(3488, 0, 1, 1, 0, FFaS1, 0, [0, 3], [nGC_15994])

      allocate(vertices(1107)%branchCT(0:0))
      call avCT(1107, 0, 1, 1, 0, FaVF1, 0, [0, 3], [nGC_14540])

      allocate(vertices(1108)%branchCT(0:0))
      call avCT(1108, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_14152])

      allocate(vertices(3847)%branchCT(0:1))
      call avCT(3847, 0, 14, 1, 0, FFa0, 0, [0, 2], [nGC_16408, nGC_16402,     &
      nGC_16410, nGC_16410])

      call avCT(3847, 1, 14, 1, 0, FFa0, 0, [2, 0], [nGC_16409, nGC_16403,     &
      nGC_16411, nGC_16411])

      allocate(vertices(1109)%branchCT(0:0))
      call avCT(1109, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_16148])

      allocate(vertices(1111)%branchCT(0:0))
      call avCT(1111, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_14130])

      allocate(vertices(1113)%branchCT(0:0))
      call avCT(1113, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_14053])

      allocate(vertices(1114)%branchCT(0:0))
      call avCT(1114, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_9641])

      allocate(vertices(1166)%branchCT(0:0))
      call avCT(1166, 0, 1, 1, 0, SUUa0, 0, [0, 3], [nGC_9646])

      allocate(vertices(1116)%branchCT(0:0))
      call avCT(1116, 0, 1, 1, 0, VFFa0, 0, [0, 3], [nGC_14402])

      allocate(vertices(1118)%branchCT(0:1))
      call avCT(1118, 0, 85, 1, 0, VFaF0, 0, [0, 3], [nGC_14890, nGC_14891])

      call avCT(1118, 1, 85, 1, 0, VFaF0, 0, [2, 1], [nGC_14888, nGC_14885])

      allocate(vertices(1119)%branchCT(0:0))
      call avCT(1119, 0, 1, 1, 0, SUaU0, 0, [0, 3], [nGC_9651])

      allocate(vertices(3848)%branchCT(0:0))
      call avCT(3848, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_15588])

      allocate(vertices(1122)%branchCT(0:0))
      call avCT(1122, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_13983, nGC_13982,     &
      nGC_13983])

      allocate(vertices(1123)%branchCT(0:1))
      call avCT(1123, 0, 84, 1, 0, VFFa1, 0, [2, 1], [nGC_15886, nGC_15883])

      call avCT(1123, 1, 84, 1, 0, VFFa1, 0, [0, 3], [nGC_15888, nGC_15889])

      allocate(vertices(3597)%branchCT(0:0))
      call avCT(3597, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_14130])

      allocate(vertices(163)%branchCT(0:0))
      call avCT(163, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_14063])

      allocate(vertices(1127)%branchCT(0:1))
      call avCT(1127, 0, 85, 1, 0, SFaF1, 0, [2, 1], [nGC_15767, nGC_15768])

      call avCT(1127, 1, 85, 1, 0, SFaF1, 0, [0, 3], [nGC_15769, nGC_15770])

      allocate(vertices(1131)%branchCT(0:0))
      call avCT(1131, 0, 1, 1, 0, UaVU0, 0, [0, 3], [nGC_14149])

      allocate(vertices(1134)%branchCT(0:0))
      call avCT(1134, 0, 1, 1, 0, UaUS0, 0, [0, 3], [nGC_9646])

      allocate(vertices(733)%branchCT(0:0))
      call avCT(733, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_9634])

      allocate(vertices(1137)%branchCT(0:0))
      call avCT(1137, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14280])

      allocate(vertices(1140)%branchCT(0:0))
      call avCT(1140, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_14058])

      allocate(vertices(1141)%branchCT(0:0))
      call avCT(1141, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_14402])

      allocate(vertices(3849)%branchCT(0:0))
      call avCT(3849, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_16470])

      allocate(vertices(1146)%branchCT(0:0))
      call avCT(1146, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14152])

      allocate(vertices(1147)%branchCT(0:0))
      call avCT(1147, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_14023])

      allocate(vertices(1148)%branchCT(0:0))
      call avCT(1148, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_16341])

      allocate(vertices(1150)%branchCT(0:0))
      call avCT(1150, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_14023])

      allocate(vertices(1153)%branchCT(0:0))
      call avCT(1153, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_14020])

      allocate(vertices(1154)%branchCT(0:0))
      call avCT(1154, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_9636])

      allocate(vertices(1155)%branchCT(0:1))
      call avCT(1155, 0, 83, 1, 0, FaFS1, 0, [0, 3], [nGC_15263, nGC_15262])

      call avCT(1155, 1, 83, 1, 0, FaFS1, 0, [2, 1], [nGC_15265, nGC_15264])

      allocate(vertices(1157)%branchCT(0:0))
      call avCT(1157, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_14130])

      allocate(vertices(1159)%branchCT(0:0))
      call avCT(1159, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_13976])

      allocate(vertices(3217)%branchCT(0:0))
      call avCT(3217, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_9644])

      allocate(vertices(1161)%branchCT(0:0))
      call avCT(1161, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_9633])

      allocate(vertices(1162)%branchCT(0:0))
      call avCT(1162, 0, 1, 1, 0, UVUa0, 0, [0, 3], [nGC_14261])

      allocate(vertices(1167)%branchCT(0:0))
      call avCT(1167, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14137])

      allocate(vertices(1168)%branchCT(0:0))
      call avCT(1168, 0, 1, 1, 0, UUaS0, 0, [0, 3], [nGC_9651])

      allocate(vertices(1170)%branchCT(0:1))
      call avCT(1170, 0, 86, 1, 0, FSFa0, 0, [0, 3], [nGC_14500, nGC_14499])

      call avCT(1170, 1, 86, 1, 0, FSFa0, 0, [2, 1], [nGC_14502, nGC_14501])

      allocate(vertices(3850)%branchCT(0:0))
      call avCT(3850, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14308])

      allocate(vertices(1173)%branchCT(0:0))
      call avCT(1173, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14036])

      allocate(vertices(67)%branchCT(0:0))
      call avCT(67, 0, 1, 1, 0, VUaU0, 0, [0, 3], [nGC_15334])

      allocate(vertices(742)%branchCT(0:1))
      call avCT(742, 0, 84, 1, 0, SFFa0, 0, [2, 1], [nGC_15310, nGC_15310])

      call avCT(742, 1, 84, 1, 0, SFFa0, 0, [0, 3], [nGC_15309, nGC_15309])

      allocate(vertices(1357)%branchCT(0:0))
      call avCT(1357, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_9642])

      allocate(vertices(3326)%branchCT(0:1))
      call avCT(3326, 0, 84, 1, 0, SFFa0, 0, [2, 1], [nGC_15151, nGC_15152])

      call avCT(3326, 1, 84, 1, 0, SFFa0, 0, [0, 3], [nGC_15153, nGC_15154])

      allocate(vertices(1181)%branchCT(0:0))
      call avCT(1181, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14036])

      allocate(vertices(133)%branchCT(0:0))
      call avCT(133, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_9636])

      allocate(vertices(1960)%branchCT(0:0))
      call avCT(1960, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_13973])

      allocate(vertices(1185)%branchCT(0:0))
      call avCT(1185, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_14256])

      allocate(vertices(3851)%branchCT(0:0))
      call avCT(3851, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_15588])

      allocate(vertices(1193)%branchCT(0:0))
      call avCT(1193, 0, 1, 1, 0, FFaS2, 0, [0, 3], [nGC_14988])

      allocate(vertices(188)%branchCT(0:0))
      call avCT(188, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_13968])

      allocate(vertices(1197)%branchCT(0:0))
      call avCT(1197, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_14020])

      allocate(vertices(1198)%branchCT(0:0))
      call avCT(1198, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_13961])

      allocate(vertices(1572)%branchCT(0:0))
      call avCT(1572, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_13994])

      allocate(vertices(1201)%branchCT(0:1))
      call avCT(1201, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_15767, nGC_15768])

      call avCT(1201, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_15769, nGC_15770])

      allocate(vertices(1202)%branchCT(0:0))
      call avCT(1202, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_14130])

      allocate(vertices(2977)%branchCT(0:0))
      call avCT(2977, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_14032])

      allocate(vertices(3852)%branchCT(0:0))
      call avCT(3852, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_16470])

      allocate(vertices(1204)%branchCT(0:0))
      call avCT(1204, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_9635])

      allocate(vertices(1205)%branchCT(0:0))
      call avCT(1205, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_14130])

      allocate(vertices(1206)%branchCT(0:1))
      call avCT(1206, 0, 85, 1, 0, SFaF1, 0, [2, 1], [nGC_14097, nGC_14097])

      call avCT(1206, 1, 85, 1, 0, SFaF1, 0, [0, 3], [nGC_14096, nGC_14096])

      allocate(vertices(3260)%branchCT(0:0))
      call avCT(3260, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_13961])

      allocate(vertices(241)%branchCT(0:0))
      call avCT(241, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_9643])

      allocate(vertices(1208)%branchCT(0:0))
      call avCT(1208, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_14540])

      allocate(vertices(1209)%branchCT(0:0))
      call avCT(1209, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_13987])

      allocate(vertices(1212)%branchCT(0:0))
      call avCT(1212, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_9643])

      allocate(vertices(1213)%branchCT(0:0))
      call avCT(1213, 0, 1, 1, 0, SUaU0, 0, [0, 3], [nGC_14409])

      allocate(vertices(1214)%branchCT(0:0))
      call avCT(1214, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_14522])

      allocate(vertices(1216)%branchCT(0:0))
      call avCT(1216, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_13994])

      allocate(vertices(1218)%branchCT(0:0))
      call avCT(1218, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_14020])

      allocate(vertices(1219)%branchCT(0:0))
      call avCT(1219, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_9642])

      allocate(vertices(2840)%branchCT(0:0))
      call avCT(2840, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_14053])

      allocate(vertices(667)%branchCT(0:0))
      call avCT(667, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_14020])

      allocate(vertices(346)%branchCT(0:0))
      call avCT(346, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_14017])

      allocate(vertices(349)%branchCT(0:1))
      call avCT(349, 0, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_15886, nGC_15883])

      call avCT(349, 1, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_15888, nGC_15889])

      allocate(vertices(1227)%branchCT(0:0))
      call avCT(1227, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_14130])

      allocate(vertices(2407)%branchCT(0:0))
      call avCT(2407, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_9641])

      allocate(vertices(1236)%branchCT(0:0))
      call avCT(1236, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_14032])

      allocate(vertices(1237)%branchCT(0:0))
      call avCT(1237, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_13976])

      allocate(vertices(3853)%branchCT(0:0))
      call avCT(3853, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_15588])

      allocate(vertices(2211)%branchCT(0:0))
      call avCT(2211, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_13987])

      allocate(vertices(1239)%branchCT(0:0))
      call avCT(1239, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14280])

      allocate(vertices(1240)%branchCT(0:0))
      call avCT(1240, 0, 1, 1, 0, VFaF0, 0, [0, 3], [nGC_14119, nGC_14120])

      allocate(vertices(1242)%branchCT(0:0))
      call avCT(1242, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_9644])

      allocate(vertices(225)%branchCT(0:0))
      call avCT(225, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_13983, nGC_13983,      &
      nGC_13982])

      allocate(vertices(1247)%branchCT(0:0))
      call avCT(1247, 0, 1, 1, 0, UUaS0, 0, [0, 3], [nGC_9646])

      allocate(vertices(1250)%branchCT(0:0))
      call avCT(1250, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_14419, nGC_14419,     &
      nGC_14418])

      allocate(vertices(594)%branchCT(0:0))
      call avCT(594, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_13976])

      allocate(vertices(3854)%branchCT(0:0))
      call avCT(3854, 0, 13, 1, 0, FFa1, 0, [0, 2], [nGC_16646])

      allocate(vertices(511)%branchCT(0:0))
      call avCT(511, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_9634])

      allocate(vertices(1255)%branchCT(0:0))
      call avCT(1255, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_15757])

      allocate(vertices(1257)%branchCT(0:0))
      call avCT(1257, 0, 1, 1, 0, UVUa0, 0, [0, 3], [nGC_14149])

      allocate(vertices(2630)%branchCT(0:3))
      call avCT(2630, 0, 11, 6, 0, FFaV1, 0, [1, 2], [nGC_14438, nGC_14440])

      call avCT(2630, 1, 11, 6, 0, FFaV1, 0, [3, 0], [nGC_14442, nGC_14443])

      call avCT(2630, 2, 12, 7, 0, FFaV1, 0, [1, 2], [nGC_14438, nGC_14440])

      call avCT(2630, 3, 12, 7, 0, FFaV1, 0, [3, 0], [nGC_14442, nGC_14443])

      allocate(vertices(3855)%branchCT(0:0))
      call avCT(3855, 0, 13, 1, 0, SS1, 0, [0, 2], [nGC_GG])

      allocate(vertices(550)%branchCT(0:0))
      call avCT(550, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_14017])

      allocate(vertices(1235)%branchCT(0:0))
      call avCT(1235, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_14023])

      allocate(vertices(1263)%branchCT(0:0))
      call avCT(1263, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_14063])

      allocate(vertices(1264)%branchCT(0:0))
      call avCT(1264, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_14460])

      allocate(vertices(2588)%branchCT(0:0))
      call avCT(2588, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_9642])

      allocate(vertices(1265)%branchCT(0:0))
      call avCT(1265, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_9643])

      allocate(vertices(2321)%branchCT(0:0))
      call avCT(2321, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_9643])

      allocate(vertices(1268)%branchCT(0:0))
      call avCT(1268, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_9633])

      allocate(vertices(1269)%branchCT(0:1))
      call avCT(1269, 0, 83, 1, 0, FaFV1, 0, [0, 3], [nGC_16688, nGC_16689])

      call avCT(1269, 1, 83, 1, 0, FaFV1, 0, [2, 1], [nGC_16686, nGC_16683])

      allocate(vertices(1270)%branchCT(0:0))
      call avCT(1270, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_14256])

      allocate(vertices(1273)%branchCT(0:0))
      call avCT(1273, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_14130])

      allocate(vertices(1274)%branchCT(0:1))
      call avCT(1274, 0, 87, 1, 0, FaSF0, 0, [2, 1], [nGC_14633, nGC_14634])

      call avCT(1274, 1, 87, 1, 0, FaSF0, 0, [0, 3], [nGC_14635, nGC_14636])

      allocate(vertices(1276)%branchCT(0:0))
      call avCT(1276, 0, 1, 1, 0, UaUS0, 0, [0, 3], [nGC_9651])

      allocate(vertices(1277)%branchCT(0:0))
      call avCT(1277, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_9634])

      allocate(vertices(1279)%branchCT(0:0))
      call avCT(1279, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_14063])

      allocate(vertices(1538)%branchCT(0:3))
      call avCT(1538, 0, 88, 6, 0, FVFa0, 0, [1, 2], [nGC_14438, nGC_14440])

      call avCT(1538, 1, 88, 6, 0, FVFa0, 0, [3, 0], [nGC_14442, nGC_14443])

      call avCT(1538, 2, 89, 7, 0, FVFa0, 0, [1, 2], [nGC_14438, nGC_14440])

      call avCT(1538, 3, 89, 7, 0, FVFa0, 0, [3, 0], [nGC_14442, nGC_14443])

      allocate(vertices(1283)%branchCT(0:0))
      call avCT(1283, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_13961])

      allocate(vertices(232)%branchCT(0:0))
      call avCT(232, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_14017])

      allocate(vertices(2286)%branchCT(0:0))
      call avCT(2286, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_14017])

      allocate(vertices(3179)%branchCT(0:0))
      call avCT(3179, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_14058])

      allocate(vertices(1977)%branchCT(0:0))
      call avCT(1977, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_9633])

      allocate(vertices(1290)%branchCT(0:0))
      call avCT(1290, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_13987])

      allocate(vertices(3347)%branchCT(0:0))
      call avCT(3347, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_9641])

      allocate(vertices(1294)%branchCT(0:0))
      call avCT(1294, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_14023])

      allocate(vertices(524)%branchCT(0:0))
      call avCT(524, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_14130])

      allocate(vertices(3004)%branchCT(0:0))
      call avCT(3004, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_16741])

      allocate(vertices(1297)%branchCT(0:0))
      call avCT(1297, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_13961])

      allocate(vertices(2219)%branchCT(0:0))
      call avCT(2219, 0, 1, 1, 0, UaUV1, 0, [0, 3], [nGC_16152])

      allocate(vertices(578)%branchCT(0:1))
      call avCT(578, 0, 98, 5, 0, UVUa0, 0, [3, 0], [nGC_15250])

      call avCT(578, 1, 99, 4, 0, UVUa0, 0, [3, 0], [nGC_15250])

      allocate(vertices(1302)%branchCT(0:5))
      call avCT(1302, 0, 40, 2, 0, UaVVU0, 0, [4, 0], [nGC_14002])

      call avCT(1302, 1, 38, 3, 0, UaVVU0, 0, [4, 0], [nGC_14007])

      call avCT(1302, 2, 35, 3, 0, UaVVU0, 0, [4, 0], [nGC_14007])

      call avCT(1302, 3, 39, 2, 0, UaVVU0, 0, [4, 0], [nGC_14002])

      call avCT(1302, 4, 37, 3, 0, UaVVU0, 0, [4, 0], [nGC_14007])

      call avCT(1302, 5, 36, 3, 0, UaVVU0, 0, [4, 0], [nGC_14007])

      allocate(vertices(3856)%branchCT(0:0))
      call avCT(3856, 0, 13, 1, 0, FaF0, 0, [0, 2], [nGC_16646])

      allocate(vertices(2596)%branchCT(0:0))
      call avCT(2596, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_14522])

      allocate(vertices(1309)%branchCT(0:0))
      call avCT(1309, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14032])

      allocate(vertices(3857)%branchCT(0:0))
      call avCT(3857, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_16770])

      allocate(vertices(1313)%branchCT(0:1))
      call avCT(1313, 0, 87, 1, 0, FaSF0, 0, [0, 3], [nGC_14832, nGC_14833])

      call avCT(1313, 1, 87, 1, 0, FaSF0, 0, [2, 1], [nGC_14830, nGC_14831])

      allocate(vertices(1314)%branchCT(0:0))
      call avCT(1314, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_14020])

      allocate(vertices(761)%branchCT(0:0))
      call avCT(761, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_13987])

      allocate(vertices(1316)%branchCT(0:0))
      call avCT(1316, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14184])

      allocate(vertices(1317)%branchCT(0:0))
      call avCT(1317, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_14053])

      allocate(vertices(1319)%branchCT(0:0))
      call avCT(1319, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14036])

      allocate(vertices(1320)%branchCT(0:3))
      call avCT(1320, 0, 96, 6, 0, VFaF0, 0, [1, 2], [nGC_14438, nGC_14440])

      call avCT(1320, 1, 96, 6, 0, VFaF0, 0, [3, 0], [nGC_14442, nGC_14443])

      call avCT(1320, 2, 97, 7, 0, VFaF0, 0, [1, 2], [nGC_14438, nGC_14440])

      call avCT(1320, 3, 97, 7, 0, VFaF0, 0, [3, 0], [nGC_14442, nGC_14443])

      allocate(vertices(1382)%branchCT(0:0))
      call avCT(1382, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_9633])

      allocate(vertices(1322)%branchCT(0:0))
      call avCT(1322, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_9633])

      allocate(vertices(1323)%branchCT(0:3))
      call avCT(1323, 0, 92, 6, 0, FaFV1, 0, [1, 2], [nGC_14296, nGC_14298])

      call avCT(1323, 1, 92, 6, 0, FaFV1, 0, [3, 0], [nGC_14300, nGC_14301])

      call avCT(1323, 2, 93, 7, 0, FaFV1, 0, [1, 2], [nGC_14296, nGC_14298])

      call avCT(1323, 3, 93, 7, 0, FaFV1, 0, [3, 0], [nGC_14300, nGC_14301])

      allocate(vertices(963)%branchCT(0:0))
      call avCT(963, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14053])

      allocate(vertices(2646)%branchCT(0:0))
      call avCT(2646, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14152])

      allocate(vertices(1327)%branchCT(0:0))
      call avCT(1327, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_9633])

      allocate(vertices(1329)%branchCT(0:0))
      call avCT(1329, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_14130])

      allocate(vertices(1330)%branchCT(0:0))
      call avCT(1330, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_14020])

      allocate(vertices(1331)%branchCT(0:1))
      call avCT(1331, 0, 87, 1, 0, FaVF1, 0, [0, 3], [nGC_14875])

      call avCT(1331, 1, 87, 1, 0, FaVF1, 0, [2, 1], [nGC_14874])

      allocate(vertices(1332)%branchCT(0:0))
      call avCT(1332, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_9634])

      allocate(vertices(1333)%branchCT(0:0))
      call avCT(1333, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_14032])

      allocate(vertices(1337)%branchCT(0:0))
      call avCT(1337, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_14020])

      allocate(vertices(1338)%branchCT(0:0))
      call avCT(1338, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_13994])

      allocate(vertices(1339)%branchCT(0:0))
      call avCT(1339, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_9643])

      allocate(vertices(1341)%branchCT(0:0))
      call avCT(1341, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_14032])

      allocate(vertices(1344)%branchCT(0:0))
      call avCT(1344, 0, 1, 1, 0, UaVU0, 0, [0, 3], [nGC_15465])

      allocate(vertices(1345)%branchCT(0:0))
      call avCT(1345, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_13987])

      allocate(vertices(766)%branchCT(0:0))
      call avCT(766, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_9636])

      allocate(vertices(2390)%branchCT(0:0))
      call avCT(2390, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_9641])

      allocate(vertices(2622)%branchCT(0:0))
      call avCT(2622, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_14130])

      allocate(vertices(1351)%branchCT(0:0))
      call avCT(1351, 0, 1, 1, 0, SUaU0, 0, [0, 3], [nGC_9646])

      allocate(vertices(1156)%branchCT(0:0))
      call avCT(1156, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_13961])

      allocate(vertices(1354)%branchCT(0:0))
      call avCT(1354, 0, 1, 1, 0, USUa0, 0, [0, 3], [nGC_14409])

      allocate(vertices(1355)%branchCT(0:0))
      call avCT(1355, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_9635])

      allocate(vertices(1356)%branchCT(0:0))
      call avCT(1356, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14036])

      allocate(vertices(1177)%branchCT(0:0))
      call avCT(1177, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_13957])

      allocate(vertices(1994)%branchCT(0:0))
      call avCT(1994, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_13961])

      allocate(vertices(1359)%branchCT(0:0))
      call avCT(1359, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_13961])

      allocate(vertices(1360)%branchCT(0:0))
      call avCT(1360, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14036])

      allocate(vertices(1363)%branchCT(0:0))
      call avCT(1363, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_15981])

      allocate(vertices(2655)%branchCT(0:0))
      call avCT(2655, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_15562])

      allocate(vertices(1365)%branchCT(0:0))
      call avCT(1365, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_13994])

      allocate(vertices(1366)%branchCT(0:0))
      call avCT(1366, 0, 1, 1, 0, FaFV0, 0, [0, 3], [nGC_15981])

      allocate(vertices(1368)%branchCT(0:1))
      call avCT(1368, 0, 83, 1, 0, FaFS1, 0, [0, 3], [nGC_15153, nGC_15154])

      call avCT(1368, 1, 83, 1, 0, FaFS1, 0, [2, 1], [nGC_15151, nGC_15152])

      allocate(vertices(938)%branchCT(0:0))
      call avCT(938, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_13968])

      allocate(vertices(1371)%branchCT(0:0))
      call avCT(1371, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_9633])

      allocate(vertices(1372)%branchCT(0:0))
      call avCT(1372, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_14058])

      allocate(vertices(3058)%branchCT(0:0))
      call avCT(3058, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_14841, nGC_14840,     &
      nGC_14841])

      allocate(vertices(1376)%branchCT(0:0))
      call avCT(1376, 0, 1, 1, 0, UaUV1, 0, [0, 3], [nGC_14513])

      allocate(vertices(1379)%branchCT(0:0))
      call avCT(1379, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_13973])

      allocate(vertices(1380)%branchCT(0:0))
      call avCT(1380, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_9644])

      allocate(vertices(1321)%branchCT(0:0))
      call avCT(1321, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_13994])

      allocate(vertices(1385)%branchCT(0:0))
      call avCT(1385, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_9644])

      allocate(vertices(1386)%branchCT(0:0))
      call avCT(1386, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_14032])

      allocate(vertices(1389)%branchCT(0:0))
      call avCT(1389, 0, 1, 1, 0, VUUa1, 0, [0, 3], [nGC_13990])

      allocate(vertices(1374)%branchCT(0:0))
      call avCT(1374, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_14522])

      allocate(vertices(1391)%branchCT(0:0))
      call avCT(1391, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14036])

      allocate(vertices(1393)%branchCT(0:1))
      call avCT(1393, 0, 85, 1, 0, SFaF1, 0, [2, 1], [nGC_14384, nGC_14384])

      call avCT(1393, 1, 85, 1, 0, SFaF1, 0, [0, 3], [nGC_14385, nGC_14385])

      allocate(vertices(1394)%branchCT(0:1))
      call avCT(1394, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_14644])

      call avCT(1394, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_14643])

      allocate(vertices(1395)%branchCT(0:0))
      call avCT(1395, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_14419, nGC_14419,     &
      nGC_14418])

      allocate(vertices(1396)%branchCT(0:0))
      call avCT(1396, 0, 1, 1, 0, VUUa1, 0, [0, 3], [nGC_15465])

      allocate(vertices(1397)%branchCT(0:0))
      call avCT(1397, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_9643])

      allocate(vertices(1398)%branchCT(0:0))
      call avCT(1398, 0, 1, 1, 0, VUUa1, 0, [0, 3], [nGC_15334])

      allocate(vertices(1399)%branchCT(0:0))
      call avCT(1399, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_13982, nGC_13983,     &
      nGC_13983])

      allocate(vertices(1423)%branchCT(0:0))
      call avCT(1423, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_9642])

      allocate(vertices(1433)%branchCT(0:0))
      call avCT(1433, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14053])

      allocate(vertices(1404)%branchCT(0:0))
      call avCT(1404, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_9634])

      allocate(vertices(1406)%branchCT(0:0))
      call avCT(1406, 0, 1, 1, 0, FaFS1, 0, [0, 3], [nGC_13998, nGC_13999])

      allocate(vertices(2662)%branchCT(0:0))
      call avCT(2662, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_14053])

      allocate(vertices(1413)%branchCT(0:1))
      call avCT(1413, 0, 83, 1, 0, FaFV1, 0, [0, 3], [nGC_14080, nGC_14081])

      call avCT(1413, 1, 83, 1, 0, FaFV1, 0, [2, 1], [nGC_14076, nGC_14079])

      allocate(vertices(2664)%branchCT(0:0))
      call avCT(2664, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_14020])

      allocate(vertices(1558)%branchCT(0:0))
      call avCT(1558, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_13968])

      allocate(vertices(3858)%branchCT(0:0))
      call avCT(3858, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_16770])

      allocate(vertices(1418)%branchCT(0:0))
      call avCT(1418, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_13961])

      allocate(vertices(1419)%branchCT(0:0))
      call avCT(1419, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_14023])

      allocate(vertices(1420)%branchCT(0:0))
      call avCT(1420, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_16341])

      allocate(vertices(1421)%branchCT(0:0))
      call avCT(1421, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_13968])

      allocate(vertices(2103)%branchCT(0:1))
      call avCT(2103, 0, 85, 1, 0, VFaF1, 0, [0, 3], [nGC_14875])

      call avCT(2103, 1, 85, 1, 0, VFaF1, 0, [2, 1], [nGC_14874])

      allocate(vertices(1400)%branchCT(0:0))
      call avCT(1400, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_15233, nGC_15232,     &
      nGC_15232])

      allocate(vertices(3859)%branchCT(0:0))
      call avCT(3859, 0, 13, 1, 0, SS1, 0, [0, 2], [nGC_GG])

      allocate(vertices(1425)%branchCT(0:0))
      call avCT(1425, 0, 1, 1, 0, SFaF2, 0, [0, 3], [nGC_14988])

      allocate(vertices(1426)%branchCT(0:0))
      call avCT(1426, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_9641])

      allocate(vertices(1428)%branchCT(0:0))
      call avCT(1428, 0, 1, 1, 0, UUaS0, 0, [0, 3], [nGC_14409])

      allocate(vertices(3186)%branchCT(0:0))
      call avCT(3186, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_9632])

      allocate(vertices(1643)%branchCT(0:0))
      call avCT(1643, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_9635])

      allocate(vertices(1432)%branchCT(0:0))
      call avCT(1432, 0, 1, 1, 0, UUaV1, 0, [0, 3], [nGC_14149])

      allocate(vertices(1402)%branchCT(0:0))
      call avCT(1402, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14152])

      allocate(vertices(1476)%branchCT(0:0))
      call avCT(1476, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_13961])

      allocate(vertices(1435)%branchCT(0:0))
      call avCT(1435, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_13987])

      allocate(vertices(1437)%branchCT(0:0))
      call avCT(1437, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_9634])

      allocate(vertices(3029)%branchCT(0:0))
      call avCT(3029, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_15232, nGC_15232,     &
      nGC_15233])

      allocate(vertices(1439)%branchCT(0:0))
      call avCT(1439, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14210])

      allocate(vertices(1440)%branchCT(0:0))
      call avCT(1440, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_13957])

      allocate(vertices(1443)%branchCT(0:0))
      call avCT(1443, 0, 1, 1, 0, FaFS0, 0, [0, 3], [nGC_15994])

      allocate(vertices(1444)%branchCT(0:0))
      call avCT(1444, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_14017])

      allocate(vertices(1445)%branchCT(0:1))
      call avCT(1445, 0, 85, 1, 0, VFaF0, 0, [0, 3], [nGC_14288, nGC_14289])

      call avCT(1445, 1, 85, 1, 0, VFaF0, 0, [2, 1], [nGC_14287, nGC_14283])

      allocate(vertices(1447)%branchCT(0:0))
      call avCT(1447, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_14130])

      allocate(vertices(1751)%branchCT(0:0))
      call avCT(1751, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_13976])

      allocate(vertices(1449)%branchCT(0:1))
      call avCT(1449, 0, 83, 1, 0, FaFS1, 0, [0, 3], [nGC_14603, nGC_14603])

      call avCT(1449, 1, 83, 1, 0, FaFS1, 0, [2, 1], [nGC_14604, nGC_14604])

      allocate(vertices(1450)%branchCT(0:0))
      call avCT(1450, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_9636])

      allocate(vertices(1451)%branchCT(0:0))
      call avCT(1451, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_9643])

      allocate(vertices(1452)%branchCT(0:0))
      call avCT(1452, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14036])

      allocate(vertices(1857)%branchCT(0:0))
      call avCT(1857, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_9643])

      allocate(vertices(1454)%branchCT(0:0))
      call avCT(1454, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14036])

      allocate(vertices(1455)%branchCT(0:0))
      call avCT(1455, 0, 1, 1, 0, FSFa0, 0, [0, 3], [nGC_13998, nGC_13999])

      allocate(vertices(1456)%branchCT(0:0))
      call avCT(1456, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_14032])

      allocate(vertices(1828)%branchCT(0:0))
      call avCT(1828, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_14028])

      allocate(vertices(1462)%branchCT(0:0))
      call avCT(1462, 0, 1, 1, 0, UaSU0, 0, [0, 3], [nGC_15069])

      allocate(vertices(3591)%branchCT(0:0))
      call avCT(3591, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_13987])

      allocate(vertices(1872)%branchCT(0:0))
      call avCT(1872, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14663])

      allocate(vertices(1390)%branchCT(0:0))
      call avCT(1390, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_14522])

      allocate(vertices(1468)%branchCT(0:0))
      call avCT(1468, 0, 1, 1, 0, UVUa0, 0, [0, 3], [nGC_13990])

      allocate(vertices(216)%branchCT(0:0))
      call avCT(216, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14210])

      allocate(vertices(1470)%branchCT(0:0))
      call avCT(1470, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_13994])

      allocate(vertices(1471)%branchCT(0:0))
      call avCT(1471, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_14028])

      allocate(vertices(365)%branchCT(0:0))
      call avCT(365, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_13968])

      allocate(vertices(863)%branchCT(0:0))
      call avCT(863, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_14794])

      allocate(vertices(1935)%branchCT(0:0))
      call avCT(1935, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_14794])

      allocate(vertices(1478)%branchCT(0:1))
      call avCT(1478, 0, 87, 1, 0, FaVF0, 0, [0, 3], [nGC_15888, nGC_15889])

      call avCT(1478, 1, 87, 1, 0, FaVF0, 0, [2, 1], [nGC_15886, nGC_15883])

      allocate(vertices(1480)%branchCT(0:0))
      call avCT(1480, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_9644])

      allocate(vertices(1482)%branchCT(0:1))
      call avCT(1482, 0, 87, 1, 0, FaSF0, 0, [0, 3], [nGC_15262, nGC_15263])

      call avCT(1482, 1, 87, 1, 0, FaSF0, 0, [2, 1], [nGC_15264, nGC_15265])

      allocate(vertices(2964)%branchCT(0:0))
      call avCT(2964, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_9643])

      allocate(vertices(47)%branchCT(0:0))
      call avCT(47, 0, 1, 1, 0, UaSU0, 0, [0, 3], [nGC_9651])

      allocate(vertices(1485)%branchCT(0:0))
      call avCT(1485, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14137])

      allocate(vertices(1979)%branchCT(0:0))
      call avCT(1979, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_9633])

      allocate(vertices(2946)%branchCT(0:0))
      call avCT(2946, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_9643])

      allocate(vertices(1498)%branchCT(0:0))
      call avCT(1498, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_13994])

      allocate(vertices(1499)%branchCT(0:1))
      call avCT(1499, 0, 86, 1, 0, FVFa0, 0, [0, 3], [nGC_14288, nGC_14289])

      call avCT(1499, 1, 86, 1, 0, FVFa0, 0, [2, 1], [nGC_14287, nGC_14283])

      allocate(vertices(1500)%branchCT(0:1))
      call avCT(1500, 0, 84, 1, 0, SFFa0, 0, [2, 1], [nGC_14604, nGC_14604])

      call avCT(1500, 1, 84, 1, 0, SFFa0, 0, [0, 3], [nGC_14603, nGC_14603])

      allocate(vertices(1502)%branchCT(0:0))
      call avCT(1502, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_14184])

    end subroutine fill_vertices_mdl6
end module vertices_info6
