!******************************************************************************!
!                                                                              !
!    vertices_info8.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info8.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-08-13 22:58             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info8
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl8()
      allocate(vertices(2776)%branchCT(0:0))
      call avCT(2776, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_14032])

      allocate(vertices(2777)%branchCT(0:0))
      call avCT(2777, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_13994])

      allocate(vertices(2778)%branchCT(0:0))
      call avCT(2778, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_9643])

      allocate(vertices(2781)%branchCT(0:0))
      call avCT(2781, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_15241])

      allocate(vertices(3031)%branchCT(0:1))
      call avCT(3031, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_14107, nGC_14106])

      call avCT(3031, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_14109, nGC_14108])

      allocate(vertices(2783)%branchCT(0:0))
      call avCT(2783, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14152])

      allocate(vertices(2108)%branchCT(0:0))
      call avCT(2108, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_14130])

      allocate(vertices(2025)%branchCT(0:0))
      call avCT(2025, 0, 1, 1, 0, SFFa2, 0, [0, 3], [nGC_15994])

      allocate(vertices(1034)%branchCT(0:0))
      call avCT(1034, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_14419, nGC_14418,     &
      nGC_14419])

      allocate(vertices(2866)%branchCT(0:0))
      call avCT(2866, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_14023])

      allocate(vertices(2789)%branchCT(0:0))
      call avCT(2789, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_15981])

      allocate(vertices(2791)%branchCT(0:0))
      call avCT(2791, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_13987])

      allocate(vertices(2794)%branchCT(0:0))
      call avCT(2794, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_16741])

      allocate(vertices(3318)%branchCT(0:0))
      call avCT(3318, 0, 1, 1, 0, UUaV1, 0, [0, 3], [nGC_15334])

      allocate(vertices(3039)%branchCT(0:0))
      call avCT(3039, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_14130])

      allocate(vertices(2801)%branchCT(0:0))
      call avCT(2801, 0, 1, 1, 0, UaSU0, 0, [0, 3], [nGC_9646])

      allocate(vertices(2803)%branchCT(0:0))
      call avCT(2803, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_9633])

      allocate(vertices(2804)%branchCT(0:1))
      call avCT(2804, 0, 84, 1, 0, VFFa0, 0, [0, 3], [nGC_14875])

      call avCT(2804, 1, 84, 1, 0, VFFa0, 0, [2, 1], [nGC_14874])

      allocate(vertices(3302)%branchCT(0:0))
      call avCT(3302, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_14032])

      allocate(vertices(173)%branchCT(0:0))
      call avCT(173, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14184])

      allocate(vertices(2155)%branchCT(0:0))
      call avCT(2155, 0, 1, 1, 0, FaSF2, 0, [0, 3], [nGC_14399])

      allocate(vertices(1902)%branchCT(0:0))
      call avCT(1902, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_14063])

      allocate(vertices(2810)%branchCT(0:0))
      call avCT(2810, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_9641])

      allocate(vertices(2179)%branchCT(0:0))
      call avCT(2179, 0, 1, 1, 0, SFFa1, 0, [0, 3], [nGC_15994])

      allocate(vertices(2276)%branchCT(0:1))
      call avCT(2276, 0, 85, 1, 0, SFaF1, 0, [0, 3], [nGC_14106, nGC_14107])

      call avCT(2276, 1, 85, 1, 0, SFaF1, 0, [2, 1], [nGC_14108, nGC_14109])

      allocate(vertices(3420)%branchCT(0:0))
      call avCT(3420, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_9641])

      allocate(vertices(2817)%branchCT(0:0))
      call avCT(2817, 0, 1, 1, 0, SFFa2, 0, [0, 3], [nGC_14399])

      allocate(vertices(2818)%branchCT(0:0))
      call avCT(2818, 0, 1, 1, 0, UaUV1, 0, [0, 3], [nGC_15465])

      allocate(vertices(2819)%branchCT(0:0))
      call avCT(2819, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_13957])

      allocate(vertices(2822)%branchCT(0:0))
      call avCT(2822, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_14017])

      allocate(vertices(2823)%branchCT(0:0))
      call avCT(2823, 0, 1, 1, 0, UUaS0, 0, [0, 3], [nGC_15069])

      allocate(vertices(3892)%branchCT(0:0))
      call avCT(3892, 0, 1, 1, 0, FaFV0, 0, [0, 3], [nGC_14024])

      allocate(vertices(2826)%branchCT(0:0))
      call avCT(2826, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_9641])

      allocate(vertices(2832)%branchCT(0:0))
      call avCT(2832, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_13961])

      allocate(vertices(2836)%branchCT(0:1))
      call avCT(2836, 0, 84, 1, 0, VFFa1, 0, [0, 3], [nGC_14288, nGC_14289])

      call avCT(2836, 1, 84, 1, 0, VFFa1, 0, [2, 1], [nGC_14287, nGC_14283])

      allocate(vertices(2837)%branchCT(0:0))
      call avCT(2837, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_9644])

      allocate(vertices(2839)%branchCT(0:0))
      call avCT(2839, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_14032])

      allocate(vertices(2511)%branchCT(0:0))
      call avCT(2511, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14280])

      allocate(vertices(2842)%branchCT(0:0))
      call avCT(2842, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_14130])

      allocate(vertices(2843)%branchCT(0:1))
      call avCT(2843, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_16284, nGC_16285])

      call avCT(2843, 1, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_16280, nGC_16283])

      allocate(vertices(2389)%branchCT(0:0))
      call avCT(2389, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_14032])

      allocate(vertices(2848)%branchCT(0:1))
      call avCT(2848, 0, 85, 1, 0, VFaF0, 0, [2, 1], [nGC_15886, nGC_15883])

      call avCT(2848, 1, 85, 1, 0, VFaF0, 0, [0, 3], [nGC_15888, nGC_15889])

      allocate(vertices(2248)%branchCT(0:0))
      call avCT(2248, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_14701])

      allocate(vertices(1616)%branchCT(0:0))
      call avCT(1616, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_13987])

      allocate(vertices(2851)%branchCT(0:0))
      call avCT(2851, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_15241])

      allocate(vertices(2852)%branchCT(0:0))
      call avCT(2852, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_14017])

      allocate(vertices(2228)%branchCT(0:0))
      call avCT(2228, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_13957])

      allocate(vertices(2858)%branchCT(0:0))
      call avCT(2858, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_13957])

      allocate(vertices(2859)%branchCT(0:1))
      call avCT(2859, 0, 84, 1, 0, SFFa0, 0, [0, 3], [nGC_14107, nGC_14106])

      call avCT(2859, 1, 84, 1, 0, SFFa0, 0, [2, 1], [nGC_14109, nGC_14108])

      allocate(vertices(2860)%branchCT(0:0))
      call avCT(2860, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_14020])

      allocate(vertices(2861)%branchCT(0:0))
      call avCT(2861, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_14020])

      allocate(vertices(2862)%branchCT(0:0))
      call avCT(2862, 0, 1, 1, 0, FFaS1, 0, [0, 3], [nGC_14988])

      allocate(vertices(3893)%branchCT(0:0))
      call avCT(3893, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_14308])

      allocate(vertices(3894)%branchCT(0:0))
      call avCT(3894, 0, 13, 1, 0, SV0, 0, [0, 2], [nGC_18197])

      allocate(vertices(3895)%branchCT(0:0))
      call avCT(3895, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_16470])

      allocate(vertices(2869)%branchCT(0:0))
      call avCT(2869, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_13987])

      allocate(vertices(3566)%branchCT(0:0))
      call avCT(3566, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_14017])

      allocate(vertices(2741)%branchCT(0:1))
      call avCT(2741, 0, 87, 1, 0, FaVF0, 0, [0, 3], [nGC_15117, nGC_15118])

      call avCT(2741, 1, 87, 1, 0, FaVF0, 0, [2, 1], [nGC_15110, nGC_15113])

      allocate(vertices(2875)%branchCT(0:0))
      call avCT(2875, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_14063])

      allocate(vertices(2876)%branchCT(0:1))
      call avCT(2876, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_15153, nGC_15154])

      call avCT(2876, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_15151, nGC_15152])

      allocate(vertices(2877)%branchCT(0:0))
      call avCT(2877, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_14058])

      allocate(vertices(2878)%branchCT(0:0))
      call avCT(2878, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_9635])

      allocate(vertices(2880)%branchCT(0:0))
      call avCT(2880, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_9633])

      allocate(vertices(2882)%branchCT(0:0))
      call avCT(2882, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_13961])

      allocate(vertices(2122)%branchCT(0:0))
      call avCT(2122, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14130])

      allocate(vertices(2886)%branchCT(0:0))
      call avCT(2886, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_16098])

      allocate(vertices(2888)%branchCT(0:0))
      call avCT(2888, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14210])

      allocate(vertices(3896)%branchCT(0:0))
      call avCT(3896, 0, 1, 1, 0, FaVF1, 0, [0, 3], [nGC_14024])

      allocate(vertices(530)%branchCT(0:0))
      call avCT(530, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_13961])

      allocate(vertices(2893)%branchCT(0:0))
      call avCT(2893, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_14020])

      allocate(vertices(2896)%branchCT(0:0))
      call avCT(2896, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_9636])

      allocate(vertices(2898)%branchCT(0:0))
      call avCT(2898, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_13957])

      allocate(vertices(445)%branchCT(0:1))
      call avCT(445, 0, 84, 1, 0, VFFa1, 0, [0, 3], [nGC_14080, nGC_14081])

      call avCT(445, 1, 84, 1, 0, VFFa1, 0, [2, 1], [nGC_14076, nGC_14079])

      allocate(vertices(2381)%branchCT(0:0))
      call avCT(2381, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_13968])

      allocate(vertices(126)%branchCT(0:0))
      call avCT(126, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_14794])

      allocate(vertices(2908)%branchCT(0:0))
      call avCT(2908, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_14130])

      allocate(vertices(3670)%branchCT(0:0))
      call avCT(3670, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_14130])

      allocate(vertices(2911)%branchCT(0:0))
      call avCT(2911, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_13987])

      allocate(vertices(2912)%branchCT(0:0))
      call avCT(2912, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_9641])

      allocate(vertices(2913)%branchCT(0:0))
      call avCT(2913, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_13994])

      allocate(vertices(744)%branchCT(0:0))
      call avCT(744, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_13973])

      allocate(vertices(2915)%branchCT(0:0))
      call avCT(2915, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_13968])

      allocate(vertices(2917)%branchCT(0:0))
      call avCT(2917, 0, 1, 1, 0, VFFa1, 0, [0, 3], [nGC_15057, nGC_15058])

      allocate(vertices(2918)%branchCT(0:0))
      call avCT(2918, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_14023])

      allocate(vertices(2920)%branchCT(0:0))
      call avCT(2920, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14663])

      allocate(vertices(1409)%branchCT(0:0))
      call avCT(1409, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_13987])

      allocate(vertices(3897)%branchCT(0:0))
      call avCT(3897, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_14024])

      allocate(vertices(2928)%branchCT(0:0))
      call avCT(2928, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_9641])

      allocate(vertices(2929)%branchCT(0:1))
      call avCT(2929, 0, 85, 1, 0, VFaF1, 0, [0, 3], [nGC_14875])

      call avCT(2929, 1, 85, 1, 0, VFaF1, 0, [2, 1], [nGC_14874])

      allocate(vertices(2932)%branchCT(0:0))
      call avCT(2932, 0, 1, 1, 0, VUaU0, 0, [0, 3], [nGC_14261])

      allocate(vertices(2933)%branchCT(0:0))
      call avCT(2933, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_9641])

      allocate(vertices(2935)%branchCT(0:1))
      call avCT(2935, 0, 85, 1, 0, SFaF1, 0, [2, 1], [nGC_17256, nGC_17256])

      call avCT(2935, 1, 85, 1, 0, SFaF1, 0, [0, 3], [nGC_17255, nGC_17255])

      allocate(vertices(2447)%branchCT(0:0))
      call avCT(2447, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_9642])

      allocate(vertices(2938)%branchCT(0:0))
      call avCT(2938, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_9641])

      allocate(vertices(2939)%branchCT(0:1))
      call avCT(2939, 0, 86, 1, 0, FSFa0, 0, [2, 1], [nGC_15151, nGC_15152])

      call avCT(2939, 1, 86, 1, 0, FSFa0, 0, [0, 3], [nGC_15153, nGC_15154])

      allocate(vertices(2950)%branchCT(0:0))
      call avCT(2950, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_14032])

      allocate(vertices(2941)%branchCT(0:0))
      call avCT(2941, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_9641])

      allocate(vertices(2945)%branchCT(0:0))
      call avCT(2945, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_13994])

      allocate(vertices(3677)%branchCT(0:0))
      call avCT(3677, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_14460])

      allocate(vertices(2949)%branchCT(0:0))
      call avCT(2949, 0, 1, 1, 0, UaUS0, 0, [0, 3], [nGC_9651])

      allocate(vertices(3759)%branchCT(0:0))
      call avCT(3759, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_13994])

      allocate(vertices(3017)%branchCT(0:0))
      call avCT(3017, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_9635])

      allocate(vertices(2955)%branchCT(0:0))
      call avCT(2955, 0, 1, 1, 0, FaFV1, 0, [0, 3], [nGC_15057, nGC_15058])

      allocate(vertices(3050)%branchCT(0:1))
      call avCT(3050, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_14500, nGC_14499])

      call avCT(3050, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_14502, nGC_14501])

      allocate(vertices(2958)%branchCT(0:0))
      call avCT(2958, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_14020])

      allocate(vertices(3063)%branchCT(0:1))
      call avCT(3063, 0, 83, 1, 0, FaFV1, 0, [0, 3], [nGC_16284, nGC_16285])

      call avCT(3063, 1, 83, 1, 0, FaFV1, 0, [2, 1], [nGC_16280, nGC_16283])

      allocate(vertices(2895)%branchCT(0:0))
      call avCT(2895, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_13961])

      allocate(vertices(2961)%branchCT(0:0))
      call avCT(2961, 0, 1, 1, 0, SUaU0, 0, [0, 3], [nGC_9646])

      allocate(vertices(2962)%branchCT(0:0))
      call avCT(2962, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_14256])

      allocate(vertices(2965)%branchCT(0:0))
      call avCT(2965, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_13968])

      allocate(vertices(2966)%branchCT(0:0))
      call avCT(2966, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_14032])

      allocate(vertices(2967)%branchCT(0:0))
      call avCT(2967, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_9644])

      allocate(vertices(2969)%branchCT(0:0))
      call avCT(2969, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_9642])

      allocate(vertices(2971)%branchCT(0:0))
      call avCT(2971, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_16741])

      allocate(vertices(2972)%branchCT(0:1))
      call avCT(2972, 0, 84, 1, 0, VFFa1, 0, [0, 3], [nGC_14047, nGC_14048])

      call avCT(2972, 1, 84, 1, 0, VFFa1, 0, [2, 1], [nGC_14043, nGC_14046])

      allocate(vertices(2974)%branchCT(0:0))
      call avCT(2974, 0, 1, 1, 0, FaSF2, 0, [0, 3], [nGC_14988])

      allocate(vertices(2976)%branchCT(0:0))
      call avCT(2976, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_14032])

      allocate(vertices(2269)%branchCT(0:0))
      call avCT(2269, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_13987])

      allocate(vertices(2979)%branchCT(0:0))
      call avCT(2979, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_14130])

      allocate(vertices(3220)%branchCT(0:0))
      call avCT(3220, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_14028])

      allocate(vertices(1704)%branchCT(0:0))
      call avCT(1704, 0, 1, 1, 0, VVV1, 0, [0, 3], [nGC_15201])

      allocate(vertices(3199)%branchCT(0:0))
      call avCT(3199, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_14017])

      allocate(vertices(2989)%branchCT(0:0))
      call avCT(2989, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_14017])

      allocate(vertices(2991)%branchCT(0:1))
      call avCT(2991, 0, 86, 1, 0, FVFa1, 0, [0, 3], [nGC_14328])

      call avCT(2991, 1, 86, 1, 0, FVFa1, 0, [2, 1], [nGC_14327])

      allocate(vertices(2995)%branchCT(0:0))
      call avCT(2995, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_14063])

      allocate(vertices(2996)%branchCT(0:0))
      call avCT(2996, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_14020])

      allocate(vertices(2272)%branchCT(0:1))
      call avCT(2272, 0, 86, 1, 0, FVFa0, 0, [0, 3], [nGC_16284, nGC_16285])

      call avCT(2272, 1, 86, 1, 0, FVFa0, 0, [2, 1], [nGC_16280, nGC_16283])

      allocate(vertices(3000)%branchCT(0:0))
      call avCT(3000, 0, 1, 1, 0, UaUV1, 0, [0, 3], [nGC_13990])

      allocate(vertices(3001)%branchCT(0:0))
      call avCT(3001, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14280])

      allocate(vertices(3002)%branchCT(0:0))
      call avCT(3002, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_14589])

      allocate(vertices(1878)%branchCT(0:0))
      call avCT(1878, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_13957])

      allocate(vertices(3394)%branchCT(0:0))
      call avCT(3394, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_13961])

      allocate(vertices(3366)%branchCT(0:0))
      call avCT(3366, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_9633])

      allocate(vertices(3695)%branchCT(0:0))
      call avCT(3695, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_14017])

      allocate(vertices(3425)%branchCT(0:0))
      call avCT(3425, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_14017])

      allocate(vertices(3010)%branchCT(0:0))
      call avCT(3010, 0, 1, 1, 0, UUaV1, 0, [0, 3], [nGC_15465])

      allocate(vertices(3529)%branchCT(0:0))
      call avCT(3529, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14210])

      allocate(vertices(3376)%branchCT(0:0))
      call avCT(3376, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_13982, nGC_13983,     &
      nGC_13983])

      allocate(vertices(3015)%branchCT(0:0))
      call avCT(3015, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_9634])

      allocate(vertices(2952)%branchCT(0:0))
      call avCT(2952, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_13987])

      allocate(vertices(3018)%branchCT(0:0))
      call avCT(3018, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_13957])

      allocate(vertices(3025)%branchCT(0:3))
      call avCT(3025, 0, 92, 6, 0, FaFV1, 0, [1, 2], [nGC_14575, nGC_14577])

      call avCT(3025, 1, 92, 6, 0, FaFV1, 0, [3, 0], [nGC_14579, nGC_14580])

      call avCT(3025, 2, 93, 7, 0, FaFV1, 0, [1, 2], [nGC_14575, nGC_14577])

      call avCT(3025, 3, 93, 7, 0, FaFV1, 0, [3, 0], [nGC_14579, nGC_14580])

      allocate(vertices(3026)%branchCT(0:0))
      call avCT(3026, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_9644])

      allocate(vertices(3006)%branchCT(0:0))
      call avCT(3006, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14253])

      allocate(vertices(3030)%branchCT(0:1))
      call avCT(3030, 0, 87, 1, 0, FaVF1, 0, [0, 3], [nGC_14875])

      call avCT(3030, 1, 87, 1, 0, FaVF1, 0, [2, 1], [nGC_14874])

      allocate(vertices(392)%branchCT(0:0))
      call avCT(392, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_9642])

      allocate(vertices(3539)%branchCT(0:0))
      call avCT(3539, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_14032])

      allocate(vertices(3113)%branchCT(0:0))
      call avCT(3113, 0, 1, 1, 0, VUaU0, 0, [0, 3], [nGC_15334])

      allocate(vertices(3898)%branchCT(0:0))
      call avCT(3898, 0, 13, 1, 0, VV2, 0, [0, 2], [nGC_15578, nGC_15575,      &
      nGC_15579])

      allocate(vertices(3036)%branchCT(0:0))
      call avCT(3036, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_9642])

      allocate(vertices(982)%branchCT(0:0))
      call avCT(982, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_15562])

      allocate(vertices(3041)%branchCT(0:0))
      call avCT(3041, 0, 1, 1, 0, FaVF0, 0, [0, 3], [nGC_16392, nGC_16393])

      allocate(vertices(3899)%branchCT(0:0))
      call avCT(3899, 0, 13, 1, 0, SS1, 0, [0, 2], [nGC_GG])

      allocate(vertices(3043)%branchCT(0:0))
      call avCT(3043, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14184])

      allocate(vertices(3044)%branchCT(0:0))
      call avCT(3044, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_14419, nGC_14419,     &
      nGC_14418])

      allocate(vertices(701)%branchCT(0:0))
      call avCT(701, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_14130])

      allocate(vertices(3046)%branchCT(0:0))
      call avCT(3046, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_14032])

      allocate(vertices(3047)%branchCT(0:0))
      call avCT(3047, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_13994])

      allocate(vertices(3048)%branchCT(0:1))
      call avCT(3048, 0, 87, 1, 0, FaSF0, 0, [2, 1], [nGC_15767, nGC_15768])

      call avCT(3048, 1, 87, 1, 0, FaSF0, 0, [0, 3], [nGC_15769, nGC_15770])

      allocate(vertices(3051)%branchCT(0:0))
      call avCT(3051, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14032])

      allocate(vertices(3052)%branchCT(0:0))
      call avCT(3052, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_13961])

      allocate(vertices(3665)%branchCT(0:1))
      call avCT(3665, 0, 83, 1, 0, FaFS1, 0, [0, 3], [nGC_14199, nGC_14199])

      call avCT(3665, 1, 83, 1, 0, FaFS1, 0, [2, 1], [nGC_14200, nGC_14200])

      allocate(vertices(2279)%branchCT(0:1))
      call avCT(2279, 0, 84, 1, 0, VFFa0, 0, [0, 3], [nGC_14644])

      call avCT(2279, 1, 84, 1, 0, VFFa0, 0, [2, 1], [nGC_14643])

      allocate(vertices(3057)%branchCT(0:0))
      call avCT(3057, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_13976])

      allocate(vertices(3060)%branchCT(0:0))
      call avCT(3060, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_14020])

      allocate(vertices(3061)%branchCT(0:1))
      call avCT(3061, 0, 85, 1, 0, VFaF1, 0, [0, 3], [nGC_14328])

      call avCT(3061, 1, 85, 1, 0, VFaF1, 0, [2, 1], [nGC_14327])

      allocate(vertices(949)%branchCT(0:0))
      call avCT(949, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_14130])

      allocate(vertices(2959)%branchCT(0:0))
      call avCT(2959, 0, 1, 1, 0, UaUV1, 0, [0, 3], [nGC_14363])

      allocate(vertices(438)%branchCT(0:0))
      call avCT(438, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_9644])

      allocate(vertices(3066)%branchCT(0:0))
      call avCT(3066, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_15241])

      allocate(vertices(23)%branchCT(0:0))
      call avCT(23, 0, 1, 1, 0, FaFV0, 0, [0, 3], [nGC_15981])

      allocate(vertices(3070)%branchCT(0:0))
      call avCT(3070, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_14028])

      allocate(vertices(3072)%branchCT(0:0))
      call avCT(3072, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_14020])

      allocate(vertices(3073)%branchCT(0:0))
      call avCT(3073, 0, 1, 1, 0, UVUa0, 0, [0, 3], [nGC_13990])

      allocate(vertices(3076)%branchCT(0:0))
      call avCT(3076, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_9643])

      allocate(vertices(864)%branchCT(0:0))
      call avCT(864, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_14028])

      allocate(vertices(3079)%branchCT(0:0))
      call avCT(3079, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_15337])

      allocate(vertices(2468)%branchCT(0:0))
      call avCT(2468, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_14794])

      allocate(vertices(3083)%branchCT(0:0))
      call avCT(3083, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_16098])

      allocate(vertices(3900)%branchCT(0:0))
      call avCT(3900, 0, 13, 1, 0, FaF0, 0, [0, 2], [nGC_16321])

      allocate(vertices(3087)%branchCT(0:1))
      call avCT(3087, 0, 86, 1, 0, FVFa0, 0, [0, 3], [nGC_14080, nGC_14081])

      call avCT(3087, 1, 86, 1, 0, FVFa0, 0, [2, 1], [nGC_14076, nGC_14079])

      allocate(vertices(3088)%branchCT(0:0))
      call avCT(3088, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14036])

      allocate(vertices(3090)%branchCT(0:0))
      call avCT(3090, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_14017])

      allocate(vertices(3091)%branchCT(0:1))
      call avCT(3091, 0, 2, 5, 0, VVV1, 0, [3, 0], [nGC_20017])

      call avCT(3091, 1, 3, 4, 0, VVV1, 0, [3, 0], [nGC_20017])

      allocate(vertices(3692)%branchCT(0:0))
      call avCT(3692, 0, 1, 1, 0, UaSU0, 0, [0, 3], [nGC_9651])

      allocate(vertices(3040)%branchCT(0:0))
      call avCT(3040, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_14522])

      allocate(vertices(84)%branchCT(0:0))
      call avCT(84, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_14130])

      allocate(vertices(3901)%branchCT(0:0))
      call avCT(3901, 0, 13, 1, 0, SV0, 0, [0, 2], [nGC_18490])

      allocate(vertices(3100)%branchCT(0:0))
      call avCT(3100, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_14402])

      allocate(vertices(2509)%branchCT(0:0))
      call avCT(2509, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_9643])

      allocate(vertices(3103)%branchCT(0:0))
      call avCT(3103, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_14053])

      allocate(vertices(123)%branchCT(0:0))
      call avCT(123, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_14023])

      allocate(vertices(3106)%branchCT(0:0))
      call avCT(3106, 0, 1, 1, 0, FaVF1, 0, [0, 3], [nGC_14985])

      allocate(vertices(2980)%branchCT(0:0))
      call avCT(2980, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_9635])

      allocate(vertices(3109)%branchCT(0:0))
      call avCT(3109, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_13961])

      allocate(vertices(3110)%branchCT(0:0))
      call avCT(3110, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_14418, nGC_14419,     &
      nGC_14419])

      allocate(vertices(143)%branchCT(0:0))
      call avCT(143, 0, 1, 1, 0, VFFa0, 0, [0, 3], [nGC_15981])

      allocate(vertices(3214)%branchCT(0:0))
      call avCT(3214, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_14063])

      allocate(vertices(3115)%branchCT(0:0))
      call avCT(3115, 0, 1, 1, 0, FFaV0, 0, [0, 3], [nGC_14402])

      allocate(vertices(2288)%branchCT(0:0))
      call avCT(2288, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_13961])

      allocate(vertices(3117)%branchCT(0:0))
      call avCT(3117, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_13994])

      allocate(vertices(165)%branchCT(0:1))
      call avCT(165, 0, 106, 5, 0, VUaU0, 0, [3, 0], [nGC_15250])

      call avCT(165, 1, 107, 4, 0, VUaU0, 0, [3, 0], [nGC_15250])

      allocate(vertices(3119)%branchCT(0:0))
      call avCT(3119, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_14130])

      allocate(vertices(3121)%branchCT(0:0))
      call avCT(3121, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_14032])

      allocate(vertices(3796)%branchCT(0:0))
      call avCT(3796, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_9644])

      allocate(vertices(2548)%branchCT(0:0))
      call avCT(2548, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_13987])

      allocate(vertices(2723)%branchCT(0:0))
      call avCT(2723, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_13973])

      allocate(vertices(2400)%branchCT(0:0))
      call avCT(2400, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_9644])

      allocate(vertices(3134)%branchCT(0:0))
      call avCT(3134, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_13961])

      allocate(vertices(3137)%branchCT(0:0))
      call avCT(3137, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_14460])

      allocate(vertices(3139)%branchCT(0:0))
      call avCT(3139, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14663])

      allocate(vertices(3140)%branchCT(0:0))
      call avCT(3140, 0, 1, 1, 0, FFaS2, 0, [0, 3], [nGC_15994])

      allocate(vertices(3141)%branchCT(0:0))
      call avCT(3141, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_14032])

      allocate(vertices(3142)%branchCT(0:0))
      call avCT(3142, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_13976])

      allocate(vertices(3144)%branchCT(0:0))
      call avCT(3144, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_9641])

      allocate(vertices(3145)%branchCT(0:0))
      call avCT(3145, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_14017])

      allocate(vertices(3146)%branchCT(0:0))
      call avCT(3146, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_13982, nGC_13983,     &
      nGC_13983])

      allocate(vertices(3147)%branchCT(0:0))
      call avCT(3147, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_14701])

      allocate(vertices(3148)%branchCT(0:0))
      call avCT(3148, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14152])

      allocate(vertices(3150)%branchCT(0:0))
      call avCT(3150, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_13987])

      allocate(vertices(3151)%branchCT(0:1))
      call avCT(3151, 0, 84, 1, 0, SFFa0, 0, [0, 3], [nGC_17255, nGC_17255])

      call avCT(3151, 1, 84, 1, 0, SFFa0, 0, [2, 1], [nGC_17256, nGC_17256])

      allocate(vertices(303)%branchCT(0:0))
      call avCT(303, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_14020])

      allocate(vertices(3153)%branchCT(0:0))
      call avCT(3153, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_14017])

      allocate(vertices(3154)%branchCT(0:0))
      call avCT(3154, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_14522])

      allocate(vertices(3155)%branchCT(0:0))
      call avCT(3155, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_14017])

      allocate(vertices(331)%branchCT(0:0))
      call avCT(331, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_15232, nGC_15232,      &
      nGC_15233])

      allocate(vertices(3159)%branchCT(0:0))
      call avCT(3159, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_16341])

      allocate(vertices(3161)%branchCT(0:0))
      call avCT(3161, 0, 1, 1, 0, VFFa1, 0, [0, 3], [nGC_14165, nGC_14166])

      allocate(vertices(3162)%branchCT(0:0))
      call avCT(3162, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_14020])

      allocate(vertices(3163)%branchCT(0:0))
      call avCT(3163, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_14020])

      allocate(vertices(3544)%branchCT(0:0))
      call avCT(3544, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_13976])

      allocate(vertices(3166)%branchCT(0:1))
      call avCT(3166, 0, 87, 1, 0, FaVF1, 0, [0, 3], [nGC_14644])

      call avCT(3166, 1, 87, 1, 0, FaVF1, 0, [2, 1], [nGC_14643])

      allocate(vertices(1063)%branchCT(0:0))
      call avCT(1063, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_9641])

      allocate(vertices(3169)%branchCT(0:0))
      call avCT(3169, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_14017])

      allocate(vertices(3170)%branchCT(0:0))
      call avCT(3170, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_14144])

      allocate(vertices(376)%branchCT(0:0))
      call avCT(376, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_9641])

      allocate(vertices(3173)%branchCT(0:0))
      call avCT(3173, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14210])

      allocate(vertices(3174)%branchCT(0:0))
      call avCT(3174, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_14020])

      allocate(vertices(3175)%branchCT(0:0))
      call avCT(3175, 0, 1, 1, 0, VFFa0, 0, [0, 3], [nGC_15981])

      allocate(vertices(3599)%branchCT(0:0))
      call avCT(3599, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_14028])

      allocate(vertices(3177)%branchCT(0:0))
      call avCT(3177, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_9642])

      allocate(vertices(3188)%branchCT(0:1))
      call avCT(3188, 0, 83, 1, 0, FaFS1, 0, [0, 3], [nGC_17255, nGC_17255])

      call avCT(3188, 1, 83, 1, 0, FaFS1, 0, [2, 1], [nGC_17256, nGC_17256])

      allocate(vertices(3182)%branchCT(0:0))
      call avCT(3182, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_14032])

      allocate(vertices(3725)%branchCT(0:0))
      call avCT(3725, 0, 1, 1, 0, VVV1, 0, [0, 3], [nGC_17575])

      allocate(vertices(413)%branchCT(0:0))
      call avCT(413, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14152])

      allocate(vertices(467)%branchCT(0:0))
      call avCT(467, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_14032])

      allocate(vertices(3902)%branchCT(0:0))
      call avCT(3902, 0, 1, 1, 0, FFaV0, 0, [0, 3], [nGC_14024])

      allocate(vertices(3196)%branchCT(0:0))
      call avCT(3196, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_16741])

      allocate(vertices(3197)%branchCT(0:0))
      call avCT(3197, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_14063])

      allocate(vertices(3198)%branchCT(0:1))
      call avCT(3198, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_14890, nGC_14891])

      call avCT(3198, 1, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_14888, nGC_14885])

      allocate(vertices(2595)%branchCT(0:5))
      call avCT(2595, 0, 44, 3, 0, UaVUV0, 0, [4, 0], [nGC_14007])

      call avCT(2595, 1, 41, 3, 0, UaVUV0, 0, [4, 0], [nGC_14007])

      call avCT(2595, 2, 45, 2, 0, UaVUV0, 0, [4, 0], [nGC_14002])

      call avCT(2595, 3, 46, 2, 0, UaVUV0, 0, [4, 0], [nGC_14002])

      call avCT(2595, 4, 43, 3, 0, UaVUV0, 0, [4, 0], [nGC_14007])

      call avCT(2595, 5, 42, 3, 0, UaVUV0, 0, [4, 0], [nGC_14007])

      allocate(vertices(3201)%branchCT(0:0))
      call avCT(3201, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_13968])

      allocate(vertices(3203)%branchCT(0:0))
      call avCT(3203, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_14020])

      allocate(vertices(3204)%branchCT(0:0))
      call avCT(3204, 0, 1, 1, 0, FaFV1, 0, [0, 3], [nGC_14165, nGC_14166])

      allocate(vertices(3903)%branchCT(0:1))
      call avCT(3903, 0, 16, 8, 0, VV3, 0, [2, 0], [nGC_20218, nGC_20217])

      call avCT(3903, 1, 15, 1, 0, VV3, 0, [2, 0], [nGC_20218, nGC_20217])

      allocate(vertices(3206)%branchCT(0:0))
      call avCT(3206, 0, 1, 1, 0, UUaV1, 0, [0, 3], [nGC_14149])

      allocate(vertices(3207)%branchCT(0:0))
      call avCT(3207, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_15232, nGC_15232,     &
      nGC_15233])

      allocate(vertices(3209)%branchCT(0:0))
      call avCT(3209, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_14017])

      allocate(vertices(2780)%branchCT(0:0))
      call avCT(2780, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_13976])

      allocate(vertices(651)%branchCT(0:0))
      call avCT(651, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14036])

      allocate(vertices(2901)%branchCT(0:1))
      call avCT(2901, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_14385, nGC_14385])

      call avCT(2901, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_14384, nGC_14384])

      allocate(vertices(2302)%branchCT(0:1))
      call avCT(2302, 0, 87, 1, 0, FaVF0, 0, [0, 3], [nGC_18437, nGC_18438])

      call avCT(2302, 1, 87, 1, 0, FaVF0, 0, [2, 1], [nGC_18432, nGC_18435])

      allocate(vertices(3216)%branchCT(0:0))
      call avCT(3216, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_14063])

      allocate(vertices(3433)%branchCT(0:0))
      call avCT(3433, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_13968])

      allocate(vertices(2982)%branchCT(0:0))
      call avCT(2982, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_13957])

      allocate(vertices(1103)%branchCT(0:0))
      call avCT(1103, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_16741])

      allocate(vertices(2983)%branchCT(0:1))
      call avCT(2983, 0, 86, 1, 0, FSFa0, 0, [0, 3], [nGC_17255, nGC_17255])

      call avCT(2983, 1, 86, 1, 0, FSFa0, 0, [2, 1], [nGC_17256, nGC_17256])

      allocate(vertices(2868)%branchCT(0:0))
      call avCT(2868, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_14017])

      allocate(vertices(3225)%branchCT(0:0))
      call avCT(3225, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_9642])

      allocate(vertices(3508)%branchCT(0:0))
      call avCT(3508, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_14032])

      allocate(vertices(861)%branchCT(0:0))
      call avCT(861, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_9644])

      allocate(vertices(3228)%branchCT(0:0))
      call avCT(3228, 0, 1, 1, 0, VUUa1, 0, [0, 3], [nGC_14149])

      allocate(vertices(2083)%branchCT(0:0))
      call avCT(2083, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14152])

      allocate(vertices(3231)%branchCT(0:0))
      call avCT(3231, 0, 1, 1, 0, SUaU0, 0, [0, 3], [nGC_9646])

      allocate(vertices(3232)%branchCT(0:0))
      call avCT(3232, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_9634])

      allocate(vertices(3236)%branchCT(0:1))
      call avCT(3236, 0, 85, 1, 0, VFaF0, 0, [0, 3], [nGC_14080, nGC_14081])

      call avCT(3236, 1, 85, 1, 0, VFaF0, 0, [2, 1], [nGC_14076, nGC_14079])

      allocate(vertices(2606)%branchCT(0:0))
      call avCT(2606, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_9643])

      allocate(vertices(2340)%branchCT(0:0))
      call avCT(2340, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_9634])

      allocate(vertices(3239)%branchCT(0:1))
      call avCT(3239, 0, 87, 1, 0, FaVF0, 0, [0, 3], [nGC_16688, nGC_16689])

      call avCT(3239, 1, 87, 1, 0, FaVF0, 0, [2, 1], [nGC_16686, nGC_16683])

      allocate(vertices(3240)%branchCT(0:0))
      call avCT(3240, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_14184])

      allocate(vertices(3241)%branchCT(0:0))
      call avCT(3241, 0, 1, 1, 0, UaVU0, 0, [0, 3], [nGC_15334])

      allocate(vertices(735)%branchCT(0:0))
      call avCT(735, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_9642])

      allocate(vertices(3245)%branchCT(0:0))
      call avCT(3245, 0, 1, 1, 0, SFaF1, 0, [0, 3], [nGC_14959, nGC_14960])

      allocate(vertices(3246)%branchCT(0:0))
      call avCT(3246, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_17259])

      allocate(vertices(2298)%branchCT(0:0))
      call avCT(2298, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_9644])

      allocate(vertices(3782)%branchCT(0:0))
      call avCT(3782, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_14053])

      allocate(vertices(3251)%branchCT(0:0))
      call avCT(3251, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_15233, nGC_15232,     &
      nGC_15232])

      allocate(vertices(3252)%branchCT(0:0))
      call avCT(3252, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_13994])

      allocate(vertices(3253)%branchCT(0:0))
      call avCT(3253, 0, 1, 1, 0, SFFa0, 0, [0, 3], [nGC_13998, nGC_13999])

      allocate(vertices(3638)%branchCT(0:0))
      call avCT(3638, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_14053])

      allocate(vertices(2986)%branchCT(0:0))
      call avCT(2986, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_9644])

      allocate(vertices(3257)%branchCT(0:0))
      call avCT(3257, 0, 1, 1, 0, UUaS0, 0, [0, 3], [nGC_14409])

      allocate(vertices(2005)%branchCT(0:0))
      call avCT(2005, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_9633])

      allocate(vertices(1645)%branchCT(0:0))
      call avCT(1645, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14210])

      allocate(vertices(3261)%branchCT(0:1))
      call avCT(3261, 0, 85, 1, 0, SFaF1, 0, [0, 3], [nGC_15262, nGC_15263])

      call avCT(3261, 1, 85, 1, 0, SFaF1, 0, [2, 1], [nGC_15264, nGC_15265])

      allocate(vertices(3262)%branchCT(0:0))
      call avCT(3262, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_9634])

      allocate(vertices(3264)%branchCT(0:0))
      call avCT(3264, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_13983, nGC_13982,     &
      nGC_13983])

      allocate(vertices(3266)%branchCT(0:0))
      call avCT(3266, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_13973])

      allocate(vertices(3267)%branchCT(0:0))
      call avCT(3267, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_14985])

      allocate(vertices(889)%branchCT(0:0))
      call avCT(889, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_9633])

      allocate(vertices(3272)%branchCT(0:1))
      call avCT(3272, 0, 85, 1, 0, VFaF1, 0, [0, 3], [nGC_14644])

      call avCT(3272, 1, 85, 1, 0, VFaF1, 0, [2, 1], [nGC_14643])

      allocate(vertices(3904)%branchCT(0:0))
      call avCT(3904, 0, 13, 1, 0, FaF1, 0, [0, 2], [nGC_15683, nGC_15680,     &
      nGC_15684, nGC_15684])

      allocate(vertices(911)%branchCT(0:0))
      call avCT(911, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_14036])

      allocate(vertices(3275)%branchCT(0:0))
      call avCT(3275, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_9644])

      allocate(vertices(3277)%branchCT(0:0))
      call avCT(3277, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_14032])

      allocate(vertices(3278)%branchCT(0:0))
      call avCT(3278, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14036])

      allocate(vertices(3279)%branchCT(0:0))
      call avCT(3279, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_15562])

      allocate(vertices(3282)%branchCT(0:0))
      call avCT(3282, 0, 1, 1, 0, VVV1, 0, [0, 3], [nGC_17575])

      allocate(vertices(1961)%branchCT(0:0))
      call avCT(1961, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_13987])

      allocate(vertices(3287)%branchCT(0:1))
      call avCT(3287, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_14096, nGC_14096])

      call avCT(3287, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_14097, nGC_14097])

      allocate(vertices(3650)%branchCT(0:0))
      call avCT(3650, 0, 1, 1, 0, FFaS0, 0, [0, 3], [nGC_14757, nGC_14757])

      allocate(vertices(3289)%branchCT(0:0))
      call avCT(3289, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_9643])

      allocate(vertices(687)%branchCT(0:0))
      call avCT(687, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14210])

      allocate(vertices(3292)%branchCT(0:0))
      call avCT(3292, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_16341])

      allocate(vertices(1009)%branchCT(0:0))
      call avCT(1009, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_9643])

      allocate(vertices(1019)%branchCT(0:0))
      call avCT(1019, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_14210])

      allocate(vertices(3297)%branchCT(0:1))
      call avCT(3297, 0, 86, 1, 0, FVFa0, 0, [0, 3], [nGC_15888, nGC_15889])

      call avCT(3297, 1, 86, 1, 0, FVFa0, 0, [2, 1], [nGC_15886, nGC_15883])

      allocate(vertices(3298)%branchCT(0:0))
      call avCT(3298, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_9634])

      allocate(vertices(3381)%branchCT(0:0))
      call avCT(3381, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_14256])

      allocate(vertices(3049)%branchCT(0:0))
      call avCT(3049, 0, 1, 1, 0, FaVF1, 0, [0, 3], [nGC_14402])

      allocate(vertices(1438)%branchCT(0:0))
      call avCT(1438, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_14256])

      allocate(vertices(3303)%branchCT(0:0))
      call avCT(3303, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_14418, nGC_14419,     &
      nGC_14419])

      allocate(vertices(3691)%branchCT(0:0))
      call avCT(3691, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_13987])

      allocate(vertices(1085)%branchCT(0:0))
      call avCT(1085, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_13987])

      allocate(vertices(3905)%branchCT(0:0))
      call avCT(3905, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14308])

      allocate(vertices(1681)%branchCT(0:0))
      call avCT(1681, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_14522])

      allocate(vertices(3314)%branchCT(0:0))
      call avCT(3314, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_14020])

      allocate(vertices(1827)%branchCT(0:0))
      call avCT(1827, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14152])

      allocate(vertices(3316)%branchCT(0:0))
      call avCT(3316, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_9644])

      allocate(vertices(1753)%branchCT(0:0))
      call avCT(1753, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_14058])

      allocate(vertices(3320)%branchCT(0:0))
      call avCT(3320, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_14130])

      allocate(vertices(3321)%branchCT(0:0))
      call avCT(3321, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_13973])

      allocate(vertices(1346)%branchCT(0:0))
      call avCT(1346, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_16341])

      allocate(vertices(3324)%branchCT(0:0))
      call avCT(3324, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_14878])

      allocate(vertices(3325)%branchCT(0:0))
      call avCT(3325, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14036])

      allocate(vertices(347)%branchCT(0:0))
      call avCT(347, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_16098])

      allocate(vertices(3328)%branchCT(0:0))
      call avCT(3328, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_9633])

      allocate(vertices(3329)%branchCT(0:0))
      call avCT(3329, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_14020])

      allocate(vertices(3330)%branchCT(0:0))
      call avCT(3330, 0, 1, 1, 0, SUUa0, 0, [0, 3], [nGC_9651])

      allocate(vertices(3332)%branchCT(0:0))
      call avCT(3332, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14210])

      allocate(vertices(3334)%branchCT(0:0))
      call avCT(3334, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_13994])

      allocate(vertices(362)%branchCT(0:1))
      call avCT(362, 0, 86, 1, 0, FSFa0, 0, [0, 3], [nGC_14096, nGC_14096])

      call avCT(362, 1, 86, 1, 0, FSFa0, 0, [2, 1], [nGC_14097, nGC_14097])

      allocate(vertices(1231)%branchCT(0:0))
      call avCT(1231, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_14032])

      allocate(vertices(3679)%branchCT(0:0))
      call avCT(3679, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_13961])

      allocate(vertices(35)%branchCT(0:0))
      call avCT(35, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_9641])

      allocate(vertices(1301)%branchCT(0:0))
      call avCT(1301, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_9641])

      allocate(vertices(3350)%branchCT(0:0))
      call avCT(3350, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_14017])

      allocate(vertices(3352)%branchCT(0:0))
      call avCT(3352, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_14020])

      allocate(vertices(3353)%branchCT(0:1))
      call avCT(3353, 0, 86, 1, 0, FVFa1, 0, [0, 3], [nGC_14875])

      call avCT(3353, 1, 86, 1, 0, FVFa1, 0, [2, 1], [nGC_14874])

      allocate(vertices(3357)%branchCT(0:0))
      call avCT(3357, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_9635])

      allocate(vertices(3359)%branchCT(0:0))
      call avCT(3359, 0, 1, 1, 0, UaSU0, 0, [0, 3], [nGC_14409])

      allocate(vertices(3364)%branchCT(0:0))
      call avCT(3364, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14256])

      allocate(vertices(3365)%branchCT(0:0))
      call avCT(3365, 0, 1, 1, 0, FVFa0, 0, [0, 3], [nGC_14119, nGC_14120])

      allocate(vertices(3367)%branchCT(0:0))
      call avCT(3367, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_14017])

      allocate(vertices(3368)%branchCT(0:1))
      call avCT(3368, 0, 85, 1, 0, VFaF0, 0, [0, 3], [nGC_16688, nGC_16689])

      call avCT(3368, 1, 85, 1, 0, VFaF0, 0, [2, 1], [nGC_16686, nGC_16683])

      allocate(vertices(3369)%branchCT(0:1))
      call avCT(3369, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_14080, nGC_14081])

      call avCT(3369, 1, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_14076, nGC_14079])

      allocate(vertices(3370)%branchCT(0:0))
      call avCT(3370, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_14032])

      allocate(vertices(3375)%branchCT(0:1))
      call avCT(3375, 0, 83, 1, 0, FaFV0, 0, [0, 3], [nGC_14875])

      call avCT(3375, 1, 83, 1, 0, FaFV0, 0, [2, 1], [nGC_14874])

      allocate(vertices(1094)%branchCT(0:0))
      call avCT(1094, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_14063])

      allocate(vertices(3378)%branchCT(0:1))
      call avCT(3378, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_14832, nGC_14833])

      call avCT(3378, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_14830, nGC_14831])

      allocate(vertices(3379)%branchCT(0:3))
      call avCT(3379, 0, 96, 6, 0, VFaF0, 0, [1, 2], [nGC_15629, nGC_15631])

      call avCT(3379, 1, 96, 6, 0, VFaF0, 0, [3, 0], [nGC_15633, nGC_15634])

      call avCT(3379, 2, 97, 7, 0, VFaF0, 0, [1, 2], [nGC_15629, nGC_15631])

      call avCT(3379, 3, 97, 7, 0, VFaF0, 0, [3, 0], [nGC_15633, nGC_15634])

      allocate(vertices(3382)%branchCT(0:0))
      call avCT(3382, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_16139])

      allocate(vertices(3383)%branchCT(0:0))
      call avCT(3383, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_14017])

      allocate(vertices(3384)%branchCT(0:0))
      call avCT(3384, 0, 1, 1, 0, VFFa1, 0, [0, 3], [nGC_14469, nGC_14470])

      allocate(vertices(2449)%branchCT(0:0))
      call avCT(2449, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_9634])

      allocate(vertices(3386)%branchCT(0:0))
      call avCT(3386, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14152])

      allocate(vertices(3387)%branchCT(0:0))
      call avCT(3387, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_15562])

      allocate(vertices(3391)%branchCT(0:0))
      call avCT(3391, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14253])

      allocate(vertices(3396)%branchCT(0:0))
      call avCT(3396, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_14280])

      allocate(vertices(634)%branchCT(0:1))
      call avCT(634, 0, 87, 1, 0, FaVF0, 0, [0, 3], [nGC_14697, nGC_14698])

      call avCT(634, 1, 87, 1, 0, FaVF0, 0, [2, 1], [nGC_14690, nGC_14693])

      allocate(vertices(1513)%branchCT(0:0))
      call avCT(1513, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_9644])

      allocate(vertices(3402)%branchCT(0:0))
      call avCT(3402, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14280])

      allocate(vertices(3472)%branchCT(0:0))
      call avCT(3472, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_13957])

      allocate(vertices(3410)%branchCT(0:0))
      call avCT(3410, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_9633])

      allocate(vertices(3411)%branchCT(0:0))
      call avCT(3411, 0, 1, 1, 0, VUUa1, 0, [0, 3], [nGC_14261])

      allocate(vertices(3413)%branchCT(0:0))
      call avCT(3413, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_13987])

      allocate(vertices(3906)%branchCT(0:0))
      call avCT(3906, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14308])

      allocate(vertices(3416)%branchCT(0:0))
      call avCT(3416, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_9633])

      allocate(vertices(3417)%branchCT(0:0))
      call avCT(3417, 0, 1, 1, 0, FSFa2, 0, [0, 3], [nGC_15994])

      allocate(vertices(3418)%branchCT(0:0))
      call avCT(3418, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_9636])

      allocate(vertices(3419)%branchCT(0:0))
      call avCT(3419, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_9643])

      allocate(vertices(2532)%branchCT(0:0))
      call avCT(2532, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_14032])

      allocate(vertices(3421)%branchCT(0:0))
      call avCT(3421, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_14619])

      allocate(vertices(3423)%branchCT(0:0))
      call avCT(3423, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_9641])

      allocate(vertices(3009)%branchCT(0:0))
      call avCT(3009, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_13987])

      allocate(vertices(3426)%branchCT(0:0))
      call avCT(3426, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_9633])

      allocate(vertices(3427)%branchCT(0:3))
      call avCT(3427, 0, 91, 7, 0, FaVF0, 0, [1, 2], [nGC_14296, nGC_14298])

      call avCT(3427, 1, 91, 7, 0, FaVF0, 0, [3, 0], [nGC_14300, nGC_14301])

      call avCT(3427, 2, 90, 6, 0, FaVF0, 0, [1, 2], [nGC_14296, nGC_14298])

      call avCT(3427, 3, 90, 6, 0, FaVF0, 0, [3, 0], [nGC_14300, nGC_14301])

      allocate(vertices(3429)%branchCT(0:0))
      call avCT(3429, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_13982, nGC_13983,     &
      nGC_13983])

      allocate(vertices(3430)%branchCT(0:0))
      call avCT(3430, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14137])

      allocate(vertices(3512)%branchCT(0:0))
      call avCT(3512, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_16060])

      allocate(vertices(3434)%branchCT(0:0))
      call avCT(3434, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_9634])

      allocate(vertices(3482)%branchCT(0:0))
      call avCT(3482, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_13976])

      allocate(vertices(3437)%branchCT(0:0))
      call avCT(3437, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_14130])

      allocate(vertices(3438)%branchCT(0:0))
      call avCT(3438, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_13987])

      allocate(vertices(3439)%branchCT(0:0))
      call avCT(3439, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14253])

      allocate(vertices(3441)%branchCT(0:0))
      call avCT(3441, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_14017])

      allocate(vertices(3907)%branchCT(0:0))
      call avCT(3907, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14308])

      allocate(vertices(3546)%branchCT(0:5))
      call avCT(3546, 0, 62, 3, 0, VUaUV0, 0, [4, 0], [nGC_14007])

      call avCT(3546, 1, 59, 3, 0, VUaUV0, 0, [4, 0], [nGC_14007])

      call avCT(3546, 2, 64, 2, 0, VUaUV0, 0, [4, 0], [nGC_14002])

      call avCT(3546, 3, 61, 3, 0, VUaUV0, 0, [4, 0], [nGC_14007])

      call avCT(3546, 4, 60, 3, 0, VUaUV0, 0, [4, 0], [nGC_14007])

      call avCT(3546, 5, 63, 2, 0, VUaUV0, 0, [4, 0], [nGC_14002])

      allocate(vertices(3445)%branchCT(0:0))
      call avCT(3445, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_15477])

      allocate(vertices(3446)%branchCT(0:0))
      call avCT(3446, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_9641])

      allocate(vertices(3447)%branchCT(0:0))
      call avCT(3447, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_9641])

      allocate(vertices(3448)%branchCT(0:0))
      call avCT(3448, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_14619])

      allocate(vertices(3128)%branchCT(0:0))
      call avCT(3128, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_14032])

      allocate(vertices(2542)%branchCT(0:0))
      call avCT(2542, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14663])

      allocate(vertices(3451)%branchCT(0:1))
      call avCT(3451, 0, 87, 1, 0, FaSF0, 0, [0, 3], [nGC_15043, nGC_15044])

      call avCT(3451, 1, 87, 1, 0, FaSF0, 0, [2, 1], [nGC_15041, nGC_15042])

      allocate(vertices(1101)%branchCT(0:0))
      call avCT(1101, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_13961])

      allocate(vertices(3455)%branchCT(0:0))
      call avCT(3455, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_13973])

      allocate(vertices(1894)%branchCT(0:0))
      call avCT(1894, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_14017])

      allocate(vertices(3299)%branchCT(0:0))
      call avCT(3299, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_14036])

      allocate(vertices(633)%branchCT(0:0))
      call avCT(633, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_14063])

      allocate(vertices(3460)%branchCT(0:0))
      call avCT(3460, 0, 1, 1, 0, VUUa1, 0, [0, 3], [nGC_16152])

      allocate(vertices(3461)%branchCT(0:0))
      call avCT(3461, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_9635])

      allocate(vertices(3295)%branchCT(0:0))
      call avCT(3295, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_9633])

      allocate(vertices(3466)%branchCT(0:0))
      call avCT(3466, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_15643])

      allocate(vertices(3469)%branchCT(0:0))
      call avCT(3469, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_15232, nGC_15232,     &
      nGC_15233])

      allocate(vertices(3470)%branchCT(0:0))
      call avCT(3470, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_16341])

      allocate(vertices(1487)%branchCT(0:0))
      call avCT(1487, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_14017])

      allocate(vertices(3473)%branchCT(0:1))
      call avCT(3473, 0, 83, 1, 0, FaFV1, 0, [0, 3], [nGC_14697, nGC_14698])

      call avCT(3473, 1, 83, 1, 0, FaFV1, 0, [2, 1], [nGC_14690, nGC_14693])

      allocate(vertices(3474)%branchCT(0:0))
      call avCT(3474, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_14017])

      allocate(vertices(1883)%branchCT(0:0))
      call avCT(1883, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_13968])

      allocate(vertices(1895)%branchCT(0:0))
      call avCT(1895, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_13994])

      allocate(vertices(3480)%branchCT(0:1))
      call avCT(3480, 0, 84, 1, 0, VFFa0, 0, [0, 3], [nGC_14328])

      call avCT(3480, 1, 84, 1, 0, VFFa0, 0, [2, 1], [nGC_14327])

      allocate(vertices(3483)%branchCT(0:0))
      call avCT(3483, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_9633])

      allocate(vertices(3484)%branchCT(0:0))
      call avCT(3484, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_14460])

      allocate(vertices(3485)%branchCT(0:0))
      call avCT(3485, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_14020])

      allocate(vertices(2475)%branchCT(0:0))
      call avCT(2475, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_14032])

      allocate(vertices(3487)%branchCT(0:0))
      call avCT(3487, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_14058])

      allocate(vertices(3489)%branchCT(0:0))
      call avCT(3489, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_9636])

      allocate(vertices(3490)%branchCT(0:0))
      call avCT(3490, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_14020])

      allocate(vertices(3491)%branchCT(0:0))
      call avCT(3491, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_14256])

      allocate(vertices(1745)%branchCT(0:0))
      call avCT(1745, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_13987])

      allocate(vertices(3492)%branchCT(0:0))
      call avCT(3492, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_13968])

      allocate(vertices(3494)%branchCT(0:0))
      call avCT(3494, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_14256])

      allocate(vertices(1990)%branchCT(0:0))
      call avCT(1990, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_13976])

      allocate(vertices(3499)%branchCT(0:0))
      call avCT(3499, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_14130])

      allocate(vertices(2001)%branchCT(0:0))
      call avCT(2001, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_13994])

      allocate(vertices(3501)%branchCT(0:0))
      call avCT(3501, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14253])

      allocate(vertices(1933)%branchCT(0:0))
      call avCT(1933, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_13987])

      allocate(vertices(1299)%branchCT(0:1))
      call avCT(1299, 0, 86, 1, 0, FVFa0, 0, [0, 3], [nGC_15376, nGC_15377])

      call avCT(1299, 1, 86, 1, 0, FVFa0, 0, [2, 1], [nGC_15374, nGC_15369])

      allocate(vertices(3510)%branchCT(0:0))
      call avCT(3510, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_14794])

      allocate(vertices(3511)%branchCT(0:0))
      call avCT(3511, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_14794])

      allocate(vertices(1710)%branchCT(0:0))
      call avCT(1710, 0, 1, 1, 0, SFaF1, 0, [0, 3], [nGC_14126, nGC_14126])

      allocate(vertices(3515)%branchCT(0:0))
      call avCT(3515, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_14794])

      allocate(vertices(2101)%branchCT(0:0))
      call avCT(2101, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_13968])

      allocate(vertices(3908)%branchCT(0:1))
      call avCT(3908, 0, 124, 1, 0, FaF1, 0, [0, 2], [nGC_14685, nGC_14679,    &
      nGC_14687, nGC_14687])

      call avCT(3908, 1, 124, 1, 0, FaF1, 0, [2, 0], [nGC_14686, nGC_14680,    &
      nGC_14688, nGC_14688])

      allocate(vertices(2115)%branchCT(0:1))
      call avCT(2115, 0, 85, 1, 0, VFaF0, 0, [0, 3], [nGC_16284, nGC_16285])

      call avCT(2115, 1, 85, 1, 0, VFaF0, 0, [2, 1], [nGC_16280, nGC_16283])

      allocate(vertices(3519)%branchCT(0:0))
      call avCT(3519, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_13968])

      allocate(vertices(2310)%branchCT(0:0))
      call avCT(2310, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_14130])

      allocate(vertices(3523)%branchCT(0:0))
      call avCT(3523, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_14017])

      allocate(vertices(3524)%branchCT(0:0))
      call avCT(3524, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14663])

      allocate(vertices(3527)%branchCT(0:0))
      call avCT(3527, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14137])

      allocate(vertices(2960)%branchCT(0:0))
      call avCT(2960, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14152])

      allocate(vertices(1115)%branchCT(0:1))
      call avCT(1115, 0, 85, 1, 0, VFaF0, 0, [0, 3], [nGC_18437, nGC_18438])

      call avCT(1115, 1, 85, 1, 0, VFaF0, 0, [2, 1], [nGC_18432, nGC_18435])

      allocate(vertices(3533)%branchCT(0:0))
      call avCT(3533, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_15057, nGC_15058])

      allocate(vertices(3537)%branchCT(0:0))
      call avCT(3537, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_13987])

      allocate(vertices(2408)%branchCT(0:0))
      call avCT(2408, 0, 1, 1, 0, UUaV1, 0, [0, 3], [nGC_14261])

      allocate(vertices(3540)%branchCT(0:0))
      call avCT(3540, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_13957])

      allocate(vertices(3541)%branchCT(0:0))
      call avCT(3541, 0, 1, 1, 0, FSFa0, 0, [0, 3], [nGC_14673, nGC_14673])

      allocate(vertices(3542)%branchCT(0:5))
      call avCT(3542, 0, 53, 3, 0, VVUaU0, 0, [4, 0], [nGC_14007])

      call avCT(3542, 1, 57, 2, 0, VVUaU0, 0, [4, 0], [nGC_14002])

      call avCT(3542, 2, 55, 3, 0, VVUaU0, 0, [4, 0], [nGC_14007])

      call avCT(3542, 3, 56, 3, 0, VVUaU0, 0, [4, 0], [nGC_14007])

      call avCT(3542, 4, 54, 3, 0, VVUaU0, 0, [4, 0], [nGC_14007])

      call avCT(3542, 5, 58, 2, 0, VVUaU0, 0, [4, 0], [nGC_14002])

      allocate(vertices(150)%branchCT(0:0))
      call avCT(150, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_9641])

      allocate(vertices(268)%branchCT(0:0))
      call avCT(268, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_14210])

      allocate(vertices(3548)%branchCT(0:0))
      call avCT(3548, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_13961])

      allocate(vertices(1715)%branchCT(0:0))
      call avCT(1715, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_14053])

      allocate(vertices(3551)%branchCT(0:0))
      call avCT(3551, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_14028])

      allocate(vertices(3552)%branchCT(0:0))
      call avCT(3552, 0, 1, 1, 0, FaFS2, 0, [0, 3], [nGC_14399])

      allocate(vertices(3553)%branchCT(0:0))
      call avCT(3553, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14210])

      allocate(vertices(3660)%branchCT(0:0))
      call avCT(3660, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_13987])

      allocate(vertices(3557)%branchCT(0:0))
      call avCT(3557, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_14028])

      allocate(vertices(3558)%branchCT(0:1))
      call avCT(3558, 0, 87, 1, 0, FaSF0, 0, [0, 3], [nGC_15309, nGC_15309])

      call avCT(3558, 1, 87, 1, 0, FaSF0, 0, [2, 1], [nGC_15310, nGC_15310])

      allocate(vertices(3560)%branchCT(0:0))
      call avCT(3560, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_14522])

      allocate(vertices(1335)%branchCT(0:0))
      call avCT(1335, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_14522])

      allocate(vertices(3562)%branchCT(0:0))
      call avCT(3562, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14063])

      allocate(vertices(3563)%branchCT(0:0))
      call avCT(3563, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_14130])

      allocate(vertices(1724)%branchCT(0:0))
      call avCT(1724, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_9642])

      allocate(vertices(2361)%branchCT(0:0))
      call avCT(2361, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14053])

      allocate(vertices(3569)%branchCT(0:0))
      call avCT(3569, 0, 1, 1, 0, UaSU0, 0, [0, 3], [nGC_9651])

      allocate(vertices(2371)%branchCT(0:0))
      call avCT(2371, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_13987])

      allocate(vertices(3573)%branchCT(0:0))
      call avCT(3573, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_9644])

      allocate(vertices(1657)%branchCT(0:0))
      call avCT(1657, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_14020])

      allocate(vertices(2190)%branchCT(0:0))
      call avCT(2190, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_14063])

      allocate(vertices(2404)%branchCT(0:0))
      call avCT(2404, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_14020])

      allocate(vertices(3577)%branchCT(0:0))
      call avCT(3577, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_14020])

      allocate(vertices(2418)%branchCT(0:0))
      call avCT(2418, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_14017])

      allocate(vertices(3581)%branchCT(0:0))
      call avCT(3581, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_13987])

      allocate(vertices(3583)%branchCT(0:0))
      call avCT(3583, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_9641])

      allocate(vertices(3587)%branchCT(0:0))
      call avCT(3587, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_9642])

      allocate(vertices(3588)%branchCT(0:0))
      call avCT(3588, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_16139])

      allocate(vertices(3589)%branchCT(0:0))
      call avCT(3589, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_9642])

      allocate(vertices(3781)%branchCT(0:0))
      call avCT(3781, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_13961])

      allocate(vertices(3592)%branchCT(0:0))
      call avCT(3592, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_9632])

      allocate(vertices(3593)%branchCT(0:0))
      call avCT(3593, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_16060])

      allocate(vertices(3595)%branchCT(0:0))
      call avCT(3595, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_13968])

      allocate(vertices(3572)%branchCT(0:0))
      call avCT(3572, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_9644])

      allocate(vertices(2520)%branchCT(0:0))
      call avCT(2520, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_14020])

      allocate(vertices(3600)%branchCT(0:0))
      call avCT(3600, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_15337])

      allocate(vertices(1392)%branchCT(0:0))
      call avCT(1392, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_13976])

      allocate(vertices(3604)%branchCT(0:0))
      call avCT(3604, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_14023])

      allocate(vertices(3605)%branchCT(0:0))
      call avCT(3605, 0, 1, 1, 0, SFaF1, 0, [0, 3], [nGC_14608, nGC_14609])

      allocate(vertices(2552)%branchCT(0:0))
      call avCT(2552, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_14130])

      allocate(vertices(2036)%branchCT(0:0))
      call avCT(2036, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_14017])

      allocate(vertices(3633)%branchCT(0:0))
      call avCT(3633, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_14053])

      allocate(vertices(3611)%branchCT(0:3))
      call avCT(3611, 0, 11, 6, 0, FFaV1, 0, [1, 2], [nGC_15629, nGC_15631])

      call avCT(3611, 1, 11, 6, 0, FFaV1, 0, [3, 0], [nGC_15633, nGC_15634])

      call avCT(3611, 2, 12, 7, 0, FFaV1, 0, [1, 2], [nGC_15629, nGC_15631])

      call avCT(3611, 3, 12, 7, 0, FFaV1, 0, [3, 0], [nGC_15633, nGC_15634])

      allocate(vertices(3614)%branchCT(0:0))
      call avCT(3614, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_9641])

      allocate(vertices(3615)%branchCT(0:0))
      call avCT(3615, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_9632])

      allocate(vertices(3616)%branchCT(0:0))
      call avCT(3616, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_15315])

      allocate(vertices(1530)%branchCT(0:0))
      call avCT(1530, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_14028])

      allocate(vertices(3618)%branchCT(0:0))
      call avCT(3618, 0, 1, 1, 0, UaSU0, 0, [0, 3], [nGC_9646])

      allocate(vertices(3619)%branchCT(0:0))
      call avCT(3619, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_9636])

      allocate(vertices(3909)%branchCT(0:0))
      call avCT(3909, 0, 13, 1, 0, VS0, 0, [0, 2], [nGC_16050])

      allocate(vertices(500)%branchCT(0:0))
      call avCT(500, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_14020])

      allocate(vertices(3622)%branchCT(0:0))
      call avCT(3622, 0, 1, 1, 0, SUUa0, 0, [0, 3], [nGC_9646])

      allocate(vertices(3731)%branchCT(0:0))
      call avCT(3731, 0, 1, 1, 0, VFFa0, 0, [0, 3], [nGC_17259])

      allocate(vertices(2636)%branchCT(0:0))
      call avCT(2636, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_9641])

      allocate(vertices(2682)%branchCT(0:0))
      call avCT(2682, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_9644])

      allocate(vertices(1687)%branchCT(0:0))
      call avCT(1687, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_9635])

      allocate(vertices(3626)%branchCT(0:0))
      call avCT(3626, 0, 1, 1, 0, UaSU0, 0, [0, 3], [nGC_9646])

      allocate(vertices(969)%branchCT(0:0))
      call avCT(969, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_14130])

      allocate(vertices(3629)%branchCT(0:0))
      call avCT(3629, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_9642])

      allocate(vertices(2703)%branchCT(0:0))
      call avCT(2703, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_14256])

      allocate(vertices(3634)%branchCT(0:0))
      call avCT(3634, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_9642])

      allocate(vertices(2715)%branchCT(0:0))
      call avCT(2715, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_14130])

      allocate(vertices(3637)%branchCT(0:0))
      call avCT(3637, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_14130])

      allocate(vertices(3642)%branchCT(0:0))
      call avCT(3642, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_16741])

      allocate(vertices(2768)%branchCT(0:0))
      call avCT(2768, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_9643])

      allocate(vertices(1728)%branchCT(0:0))
      call avCT(1728, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14137])

      allocate(vertices(3646)%branchCT(0:5))
      call avCT(3646, 0, 52, 2, 0, VVUUa0, 0, [4, 0], [nGC_14002])

      call avCT(3646, 1, 49, 3, 0, VVUUa0, 0, [4, 0], [nGC_14007])

      call avCT(3646, 2, 47, 3, 0, VVUUa0, 0, [4, 0], [nGC_14007])

      call avCT(3646, 3, 48, 3, 0, VVUUa0, 0, [4, 0], [nGC_14007])

      call avCT(3646, 4, 51, 2, 0, VVUUa0, 0, [4, 0], [nGC_14002])

      call avCT(3646, 5, 50, 3, 0, VVUUa0, 0, [4, 0], [nGC_14007])

      allocate(vertices(3649)%branchCT(0:0))
      call avCT(3649, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14663])

      allocate(vertices(3791)%branchCT(0:0))
      call avCT(3791, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_9634])

      allocate(vertices(3658)%branchCT(0:0))
      call avCT(3658, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_14020])

      allocate(vertices(3659)%branchCT(0:0))
      call avCT(3659, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14032])

      allocate(vertices(3663)%branchCT(0:0))
      call avCT(3663, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_13983, nGC_13982,     &
      nGC_13983])

      allocate(vertices(246)%branchCT(0:0))
      call avCT(246, 0, 1, 1, 0, USUa0, 0, [0, 3], [nGC_9646])

      allocate(vertices(3053)%branchCT(0:0))
      call avCT(3053, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_16341])

      allocate(vertices(2577)%branchCT(0:0))
      call avCT(2577, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_14841, nGC_14841,     &
      nGC_14840])

      allocate(vertices(3671)%branchCT(0:0))
      call avCT(3671, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_14017])

      allocate(vertices(2097)%branchCT(0:0))
      call avCT(2097, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_13987])

      allocate(vertices(780)%branchCT(0:0))
      call avCT(780, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_9635])

      allocate(vertices(3676)%branchCT(0:0))
      call avCT(3676, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_14137])

      allocate(vertices(1856)%branchCT(0:0))
      call avCT(1856, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_9644])

      allocate(vertices(3678)%branchCT(0:0))
      call avCT(3678, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_13976])

      allocate(vertices(3680)%branchCT(0:0))
      call avCT(3680, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_13987])

      allocate(vertices(3681)%branchCT(0:0))
      call avCT(3681, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_14028])

      allocate(vertices(799)%branchCT(0:0))
      call avCT(799, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_13961])

      allocate(vertices(3685)%branchCT(0:0))
      call avCT(3685, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_14063])

      allocate(vertices(3686)%branchCT(0:1))
      call avCT(3686, 0, 83, 1, 0, FaFV1, 0, [0, 3], [nGC_14047, nGC_14048])

      call avCT(3686, 1, 83, 1, 0, FaFV1, 0, [2, 1], [nGC_14043, nGC_14046])

      allocate(vertices(3689)%branchCT(0:0))
      call avCT(3689, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_9634])

      allocate(vertices(3521)%branchCT(0:0))
      call avCT(3521, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_13968])

      allocate(vertices(3697)%branchCT(0:0))
      call avCT(3697, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_9633])

      allocate(vertices(3699)%branchCT(0:0))
      call avCT(3699, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_14020])

      allocate(vertices(3700)%branchCT(0:0))
      call avCT(3700, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_14032])

      allocate(vertices(2394)%branchCT(0:0))
      call avCT(2394, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14036])

      allocate(vertices(2456)%branchCT(0:0))
      call avCT(2456, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14036])

      allocate(vertices(3704)%branchCT(0:0))
      call avCT(3704, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_13987])

      allocate(vertices(2988)%branchCT(0:0))
      call avCT(2988, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_14017])

      allocate(vertices(3707)%branchCT(0:0))
      call avCT(3707, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_13987])

      allocate(vertices(3708)%branchCT(0:0))
      call avCT(3708, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_15337])

      allocate(vertices(3132)%branchCT(0:0))
      call avCT(3132, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_14020])

      allocate(vertices(539)%branchCT(0:0))
      call avCT(539, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_13961])

      allocate(vertices(3713)%branchCT(0:0))
      call avCT(3713, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_13987])

      allocate(vertices(3714)%branchCT(0:0))
      call avCT(3714, 0, 1, 1, 0, VVV1, 0, [0, 3], [nGC_14391])

      allocate(vertices(3910)%branchCT(0:0))
      call avCT(3910, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14308])

      allocate(vertices(459)%branchCT(0:0))
      call avCT(459, 0, 1, 1, 0, UaUS0, 0, [0, 3], [nGC_14409])

      allocate(vertices(3717)%branchCT(0:0))
      call avCT(3717, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_15232, nGC_15233,     &
      nGC_15232])

      allocate(vertices(3718)%branchCT(0:0))
      call avCT(3718, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_13983, nGC_13982,     &
      nGC_13983])

      allocate(vertices(3719)%branchCT(0:0))
      call avCT(3719, 0, 1, 1, 0, FaSF0, 0, [0, 3], [nGC_14126, nGC_14126])

      allocate(vertices(239)%branchCT(0:0))
      call avCT(239, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_14020])

      allocate(vertices(2903)%branchCT(0:0))
      call avCT(2903, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_14522])

      allocate(vertices(3726)%branchCT(0:0))
      call avCT(3726, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_9634])

      allocate(vertices(3727)%branchCT(0:0))
      call avCT(3727, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_15233, nGC_15232,     &
      nGC_15232])

      allocate(vertices(3728)%branchCT(0:1))
      call avCT(3728, 0, 87, 1, 0, FaVF0, 0, [0, 3], [nGC_17374, nGC_17375])

      call avCT(3728, 1, 87, 1, 0, FaVF0, 0, [2, 1], [nGC_17373, nGC_17369])

      allocate(vertices(3273)%branchCT(0:0))
      call avCT(3273, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_13987])

      allocate(vertices(2169)%branchCT(0:0))
      call avCT(2169, 0, 1, 1, 0, FaSF0, 0, [0, 3], [nGC_14673, nGC_14673])

      allocate(vertices(3732)%branchCT(0:0))
      call avCT(3732, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_9635])

      allocate(vertices(3733)%branchCT(0:0))
      call avCT(3733, 0, 1, 1, 0, UUaS0, 0, [0, 3], [nGC_9646])

      allocate(vertices(3734)%branchCT(0:0))
      call avCT(3734, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_13976])

      allocate(vertices(603)%branchCT(0:0))
      call avCT(603, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_14028])

      allocate(vertices(3693)%branchCT(0:0))
      call avCT(3693, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_15315])

      allocate(vertices(2872)%branchCT(0:0))
      call avCT(2872, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_13961])

      allocate(vertices(2080)%branchCT(0:0))
      call avCT(2080, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_13961])

      allocate(vertices(3739)%branchCT(0:0))
      call avCT(3739, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_14023])

      allocate(vertices(3740)%branchCT(0:0))
      call avCT(3740, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_14053])

      allocate(vertices(973)%branchCT(0:0))
      call avCT(973, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_9643])

      allocate(vertices(3349)%branchCT(0:0))
      call avCT(3349, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_13961])

      allocate(vertices(3746)%branchCT(0:0))
      call avCT(3746, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_14017])

      allocate(vertices(3747)%branchCT(0:1))
      call avCT(3747, 0, 85, 1, 0, SFaF1, 0, [2, 1], [nGC_14633, nGC_14634])

      call avCT(3747, 1, 85, 1, 0, SFaF1, 0, [0, 3], [nGC_14635, nGC_14636])

      allocate(vertices(3748)%branchCT(0:0))
      call avCT(3748, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_14032])

      allocate(vertices(3749)%branchCT(0:1))
      call avCT(3749, 0, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_18432, nGC_18435])

      call avCT(3749, 1, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_18437, nGC_18438])

      allocate(vertices(3435)%branchCT(0:0))
      call avCT(3435, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_9633])

      allocate(vertices(1151)%branchCT(0:3))
      call avCT(1151, 0, 92, 6, 0, FaFV1, 0, [1, 2], [nGC_14912, nGC_14914])

      call avCT(1151, 1, 92, 6, 0, FaFV1, 0, [3, 0], [nGC_14918, nGC_14919])

      call avCT(1151, 2, 93, 7, 0, FaFV1, 0, [1, 2], [nGC_14912, nGC_14914])

      call avCT(1151, 3, 93, 7, 0, FaFV1, 0, [3, 0], [nGC_14918, nGC_14919])

      allocate(vertices(3756)%branchCT(0:0))
      call avCT(3756, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_14017])

      allocate(vertices(3582)%branchCT(0:0))
      call avCT(3582, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_14053])

      allocate(vertices(2484)%branchCT(0:0))
      call avCT(2484, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_13987])

      allocate(vertices(3911)%branchCT(0:0))
      call avCT(3911, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_14308])

      allocate(vertices(3765)%branchCT(0:0))
      call avCT(3765, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14253])

      allocate(vertices(1684)%branchCT(0:0))
      call avCT(1684, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_9641])

      allocate(vertices(3769)%branchCT(0:0))
      call avCT(3769, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_14063])

      allocate(vertices(3912)%branchCT(0:0))
      call avCT(3912, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_14024])

      allocate(vertices(3234)%branchCT(0:0))
      call avCT(3234, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_14130])

      allocate(vertices(3773)%branchCT(0:0))
      call avCT(3773, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_13994])

      allocate(vertices(897)%branchCT(0:0))
      call avCT(897, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_9633])

      allocate(vertices(3776)%branchCT(0:1))
      call avCT(3776, 0, 86, 1, 0, FVFa0, 0, [0, 3], [nGC_15117, nGC_15118])

      call avCT(3776, 1, 86, 1, 0, FVFa0, 0, [2, 1], [nGC_15110, nGC_15113])

      allocate(vertices(3513)%branchCT(0:5))
      call avCT(3513, 0, 73, 3, 0, VUVUa0, 0, [4, 0], [nGC_14007])

      call avCT(3513, 1, 71, 3, 0, VUVUa0, 0, [4, 0], [nGC_14007])

      call avCT(3513, 2, 72, 3, 0, VUVUa0, 0, [4, 0], [nGC_14007])

      call avCT(3513, 3, 76, 2, 0, VUVUa0, 0, [4, 0], [nGC_14002])

      call avCT(3513, 4, 74, 3, 0, VUVUa0, 0, [4, 0], [nGC_14007])

      call avCT(3513, 5, 75, 2, 0, VUVUa0, 0, [4, 0], [nGC_14002])

      allocate(vertices(3783)%branchCT(0:0))
      call avCT(3783, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_14256])

      allocate(vertices(3341)%branchCT(0:0))
      call avCT(3341, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_14053])

      allocate(vertices(3786)%branchCT(0:0))
      call avCT(3786, 0, 1, 1, 0, UUaV1, 0, [0, 3], [nGC_16152])

      allocate(vertices(3787)%branchCT(0:0))
      call avCT(3787, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_13961])

      allocate(vertices(3067)%branchCT(0:0))
      call avCT(3067, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_14017])

      allocate(vertices(3789)%branchCT(0:0))
      call avCT(3789, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_14144])

      allocate(vertices(3662)%branchCT(0:0))
      call avCT(3662, 0, 1, 1, 0, FaFV1, 0, [0, 3], [nGC_16246, nGC_16247])

      allocate(vertices(2669)%branchCT(0:0))
      call avCT(2669, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_9641])

      allocate(vertices(3794)%branchCT(0:1))
      call avCT(3794, 0, 84, 1, 0, VFFa1, 0, [0, 3], [nGC_18437, nGC_18438])

      call avCT(3794, 1, 84, 1, 0, VFFa1, 0, [2, 1], [nGC_18432, nGC_18435])

      allocate(vertices(3797)%branchCT(0:0))
      call avCT(3797, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_14020])

      allocate(vertices(2210)%branchCT(0:0))
      call avCT(2210, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_14020])

      allocate(vertices(3801)%branchCT(0:0))
      call avCT(3801, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_9643])

      allocate(vertices(710)%branchCT(0:0))
      call avCT(710, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14137])

      allocate(vertices(1401)%branchCT(0:0))
      call avCT(1401, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_13968])

      allocate(vertices(3805)%branchCT(0:1))
      call avCT(3805, 0, 85, 1, 0, VFaF1, 0, [0, 3], [nGC_14644])

      call avCT(3805, 1, 85, 1, 0, VFaF1, 0, [2, 1], [nGC_14643])

      allocate(vertices(3807)%branchCT(0:0))
      call avCT(3807, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_14020])

      allocate(vertices(3810)%branchCT(0:0))
      call avCT(3810, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_13987])

      allocate(vertices(3075)%branchCT(0:0))
      call avCT(3075, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_13961])

      allocate(vertices(3814)%branchCT(0:0))
      call avCT(3814, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_13961])

      allocate(vertices(3493)%branchCT(0:0))
      call avCT(3493, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_13968])

      allocate(vertices(742)%branchR2(0:1))
      call avR2(742, 0, 84, 1, 0, SFFa0, 0, [0, 3], [nGC_9472, nGC_9473])

      call avR2(742, 1, 84, 1, 0, SFFa0, 0, [2, 1], [nGC_9474, nGC_9474])

      allocate(vertices(1694)%branchR2(0:0))
      call avR2(1694, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_9409])

      allocate(vertices(3448)%branchR2(0:0))
      call avR2(3448, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_9383])

      allocate(vertices(3253)%branchR2(0:0))
      call avR2(3253, 0, 1, 1, 0, SFFa0, 0, [0, 3], [nGC_9461, nGC_9460])

      allocate(vertices(192)%branchR2(0:0))
      call avR2(192, 0, 1, 1, 0, FaFV1, 0, [0, 3], [nGC_9401, nGC_9402])

      allocate(vertices(2140)%branchR2(0:0))
      call avR2(2140, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_21304])

      allocate(vertices(2040)%branchR2(0:0))
      call avR2(2040, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_21306])

      allocate(vertices(3913)%branchR2(0:0))
      call avR2(3913, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_9565])

      allocate(vertices(3527)%branchR2(0:0))
      call avR2(3527, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_9587])

      allocate(vertices(2339)%branchR2(0:0))
      call avR2(2339, 0, 1, 1, 0, VVV1, 0, [0, 3], [nGC_21310])

      allocate(vertices(143)%branchR2(0:0))
      call avR2(143, 0, 1, 1, 0, VFFa0, 0, [0, 3], [nGC_9499])

      allocate(vertices(3593)%branchR2(0:0))
      call avR2(3593, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_9376])

      allocate(vertices(433)%branchR2(0:1))
      call avR2(433, 0, 84, 1, 0, VFFa1, 0, [0, 3], [nGC_9389, nGC_9388])

      call avR2(433, 1, 84, 1, 0, VFFa1, 0, [2, 1], [nGC_9379, nGC_9379])

      allocate(vertices(2281)%branchR2(0:0))
      call avR2(2281, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_9504])

      allocate(vertices(793)%branchR2(0:0))
      call avR2(793, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_9567])

      allocate(vertices(3864)%branchR2(0:1))
      call avR2(3864, 0, 124, 1, 0, FaF1, 0, [0, 2], [nGC_9355, nGC_9354,      &
      nGC_9352, nGC_9352])

      call avR2(3864, 1, 124, 1, 0, FaF1, 0, [2, 0], [nGC_9333, nGC_9333,      &
      nGC_9353, nGC_9353])

      allocate(vertices(3315)%branchR2(0:0))
      call avR2(3315, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_9408])

      allocate(vertices(1651)%branchR2(0:0))
      call avR2(1651, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_9566])

      allocate(vertices(1368)%branchR2(0:1))
      call avR2(1368, 0, 83, 1, 0, FaFS1, 0, [0, 3], [nGC_9462, nGC_9464])

      call avR2(1368, 1, 83, 1, 0, FaFS1, 0, [2, 1], [nGC_9463, nGC_9465])

      allocate(vertices(3079)%branchR2(0:0))
      call avR2(3079, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_9425])

      allocate(vertices(3030)%branchR2(0:1))
      call avR2(3030, 0, 87, 1, 0, FaVF1, 0, [2, 1], [nGC_9496])

      call avR2(3030, 1, 87, 1, 0, FaVF1, 0, [0, 3], [nGC_9498])

      allocate(vertices(3239)%branchR2(0:1))
      call avR2(3239, 0, 87, 1, 0, FaVF0, 0, [2, 1], [nGC_9382, nGC_9382])

      call avR2(3239, 1, 87, 1, 0, FaVF0, 0, [0, 3], [nGC_9381, nGC_9380])

      allocate(vertices(2766)%branchR2(0:0))
      call avR2(2766, 0, 1, 1, 0, VVV1, 0, [0, 3], [nGC_21310])

      allocate(vertices(3384)%branchR2(0:0))
      call avR2(3384, 0, 1, 1, 0, VFFa1, 0, [0, 3], [nGC_9401, nGC_9402])

      allocate(vertices(3914)%branchR2(0:0))
      call avR2(3914, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_9573, nGC_9573,       &
      nGC_9572])

      allocate(vertices(1493)%branchR2(0:0))
      call avR2(1493, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_9385])

      allocate(vertices(3191)%branchR2(0:1))
      call avR2(3191, 0, 83, 1, 0, FaFS1, 0, [0, 3], [nGC_9410, nGC_9412])

      call avR2(3191, 1, 83, 1, 0, FaFS1, 0, [2, 1], [nGC_9411, nGC_9413])

      allocate(vertices(1704)%branchR2(0:0))
      call avR2(1704, 0, 1, 1, 0, VVV1, 0, [0, 3], [nGC_9384])

      allocate(vertices(1921)%branchR2(0:0))
      call avR2(1921, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_9568])

      allocate(vertices(3828)%branchR2(0:0))
      call avR2(3828, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_9579])

      allocate(vertices(3915)%branchR2(0:1))
      call avR2(3915, 0, 145, 1, 0, VVVV0, 0, [2, 2], [nGC_9586, nGC_9586,     &
      nGC_9586])

      call avR2(3915, 1, 146, 1, 0, VVVV0, 0, [2, 2], [nGC_9585, nGC_9585,     &
      nGC_9585])

      allocate(vertices(905)%branchR2(0:0))
      call avR2(905, 0, 1, 1, 0, FSFa0, 0, [0, 3], [nGC_9449, nGC_9448])

      allocate(vertices(1116)%branchR2(0:0))
      call avR2(1116, 0, 1, 1, 0, VFFa0, 0, [0, 3], [nGC_9504])

      allocate(vertices(3916)%branchR2(0:1))
      call avR2(3916, 0, 136, 1, 0, VVVV0, 0, [2, 2], [nGC_9615, nGC_9615,     &
      nGC_9615])

      call avR2(3916, 1, 135, 1, 0, VVVV0, 0, [2, 2], [nGC_9614, nGC_9614,     &
      nGC_9614])

      allocate(vertices(2226)%branchR2(0:0))
      call avR2(2226, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_9591])

      allocate(vertices(2700)%branchR2(0:0))
      call avR2(2700, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_9408])

      allocate(vertices(415)%branchR2(0:1))
      call avR2(415, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_9487, nGC_9488])

      call avR2(415, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_9489, nGC_9489])

      allocate(vertices(2186)%branchR2(0:1))
      call avR2(2186, 0, 86, 1, 0, FVFa0, 0, [2, 1], [nGC_9379, nGC_9379])

      call avR2(2186, 1, 86, 1, 0, FVFa0, 0, [0, 3], [nGC_9398, nGC_9397])

      allocate(vertices(3917)%branchR2(0:1))
      call avR2(3917, 0, 141, 1, 0, VSVS0, 0, [2, 2], [nGC_9592])

      call avR2(3917, 1, 142, 1, 0, VSVS0, 0, [2, 2], [nGC_9593])

      allocate(vertices(1638)%branchR2(0:0))
      call avR2(1638, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_9385])

      allocate(vertices(2651)%branchR2(0:0))
      call avR2(2651, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_9581])

      allocate(vertices(2935)%branchR2(0:1))
      call avR2(2935, 0, 85, 1, 0, SFaF1, 0, [0, 3], [nGC_9482, nGC_9483])

      call avR2(2935, 1, 85, 1, 0, SFaF1, 0, [2, 1], [nGC_9484, nGC_9484])

      allocate(vertices(3251)%branchR2(0:0))
      call avR2(3251, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_9603, nGC_9604,       &
      nGC_9604])

      allocate(vertices(3833)%branchR2(0:0))
      call avR2(3833, 0, 1, 1, 0, FFaV0, 0, [0, 3], [nGC_9396])

      allocate(vertices(697)%branchR2(0:0))
      call avR2(697, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_9568])

      allocate(vertices(1155)%branchR2(0:1))
      call avR2(1155, 0, 83, 1, 0, FaFS1, 0, [2, 1], [nGC_9415, nGC_9417])

      call avR2(1155, 1, 83, 1, 0, FaFS1, 0, [0, 3], [nGC_9430, nGC_9431])

      allocate(vertices(3083)%branchR2(0:0))
      call avR2(3083, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_9467])

      allocate(vertices(3918)%branchR2(0:1))
      call avR2(3918, 0, 137, 1, 0, VVVV0, 0, [2, 2], [nGC_9606, nGC_9606,     &
      nGC_9606])

      call avR2(3918, 1, 138, 1, 0, VVVV0, 0, [2, 2], [nGC_9605, nGC_9605,     &
      nGC_9605])

      allocate(vertices(1181)%branchR2(0:0))
      call avR2(1181, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_9568])

      allocate(vertices(3714)%branchR2(0:0))
      call avR2(3714, 0, 1, 1, 0, VVV1, 0, [0, 3], [nGC_21383])

      allocate(vertices(2877)%branchR2(0:0))
      call avR2(2877, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_9581])

      allocate(vertices(1066)%branchR2(0:0))
      call avR2(1066, 0, 1, 1, 0, VFFa1, 0, [0, 3], [nGC_9517, nGC_9518])

      allocate(vertices(3919)%branchR2(0:1))
      call avR2(3919, 0, 144, 1, 0, VSSV0, 0, [2, 2], [nGC_9609])

      call avR2(3919, 1, 143, 1, 0, VSSV0, 0, [2, 2], [nGC_9610])

      allocate(vertices(961)%branchR2(0:3))
      call avR2(961, 0, 11, 1, 0, FFaV1, 0, [1, 2], [nGC_9548, nGC_9547])

      call avR2(961, 1, 11, 1, 0, FFaV1, 0, [3, 0], [nGC_9549, nGC_9549])

      call avR2(961, 2, 12, 1, 0, FFaV1, 0, [1, 2], [nGC_9545, nGC_9544])

      call avR2(961, 3, 12, 1, 0, FFaV1, 0, [3, 0], [nGC_9546, nGC_9546])

      allocate(vertices(3524)%branchR2(0:0))
      call avR2(3524, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_9566])

      allocate(vertices(1988)%branchR2(0:1))
      call avR2(1988, 0, 86, 1, 0, FVFa0, 0, [2, 1], [nGC_9512, nGC_9510])

      call avR2(1988, 1, 86, 1, 0, FVFa0, 0, [0, 3], [nGC_9525, nGC_9524])

      allocate(vertices(2255)%branchR2(0:0))
      call avR2(2255, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_9578, nGC_9576,       &
      nGC_9577])

      allocate(vertices(2637)%branchR2(0:1))
      call avR2(2637, 0, 83, 1, 0, FaFS1, 0, [2, 1], [nGC_9474, nGC_9474])

      call avR2(2637, 1, 83, 1, 0, FaFS1, 0, [0, 3], [nGC_9472, nGC_9473])

      allocate(vertices(2146)%branchR2(0:0))
      call avR2(2146, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_9594])

      allocate(vertices(1872)%branchR2(0:0))
      call avR2(1872, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_9566])

      allocate(vertices(3445)%branchR2(0:0))
      call avR2(3445, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_9407])

      allocate(vertices(3911)%branchR2(0:0))
      call avR2(3911, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_9579])

      allocate(vertices(1940)%branchR2(0:0))
      call avR2(1940, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_9567])

      allocate(vertices(2529)%branchR2(0:0))
      call avR2(2529, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_9597])

      allocate(vertices(3804)%branchR2(0:0))
      call avR2(3804, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_21306])

      allocate(vertices(3404)%branchR2(0:0))
      call avR2(3404, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_9567])

      allocate(vertices(3575)%branchR2(0:0))
      call avR2(3575, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_9587])

      allocate(vertices(3246)%branchR2(0:0))
      call avR2(3246, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_9521])

      allocate(vertices(3920)%branchR2(0:5))
      call avR2(3920, 0, 169, 1, 0, VVVV0, 0, [3, 1], [nGC_9621, nGC_9621,     &
      nGC_9621])

      call avR2(3920, 1, 167, 1, 0, VVVV0, 0, [3, 1], [nGC_9620, nGC_9620,     &
      nGC_9620])

      call avR2(3920, 2, 168, 1, 0, VVVV0, 0, [3, 1], [nGC_9619, nGC_9619,     &
      nGC_9619])

      call avR2(3920, 3, 166, 1, 0, VVVV0, 0, [3, 1], [nGC_9620, nGC_9620,     &
      nGC_9620])

      call avR2(3920, 4, 170, 1, 0, VVVV0, 0, [3, 1], [nGC_9619, nGC_9619,     &
      nGC_9619])

      call avR2(3920, 5, 165, 1, 0, VVVV0, 0, [3, 1], [nGC_9620, nGC_9620,     &
      nGC_9620])

      allocate(vertices(2575)%branchR2(0:0))
      call avR2(2575, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_9568])

      allocate(vertices(3773)%branchR2(0:0))
      call avR2(3773, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_9588])

      allocate(vertices(1030)%branchR2(0:1))
      call avR2(1030, 0, 85, 1, 0, SFaF1, 0, [0, 3], [nGC_9410, nGC_9412])

      call avR2(1030, 1, 85, 1, 0, SFaF1, 0, [2, 1], [nGC_9411, nGC_9413])

      allocate(vertices(3891)%branchR2(0:0))
      call avR2(3891, 0, 13, 1, 0, FFa1, 0, [0, 2], [nGC_9368])

      allocate(vertices(2115)%branchR2(0:1))
      call avR2(2115, 0, 85, 1, 0, VFaF0, 0, [0, 3], [nGC_9511, nGC_9509])

      call avR2(2115, 1, 85, 1, 0, VFaF0, 0, [2, 1], [nGC_9512, nGC_9510])

      allocate(vertices(1972)%branchR2(0:0))
      call avR2(1972, 0, 1, 1, 0, SFFa2, 0, [0, 3], [nGC_9423])

      allocate(vertices(974)%branchR2(0:0))
      call avR2(974, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_21435])

      allocate(vertices(1118)%branchR2(0:1))
      call avR2(1118, 0, 85, 1, 0, VFaF0, 0, [2, 1], [nGC_9508, nGC_9506])

      call avR2(1118, 1, 85, 1, 0, VFaF0, 0, [0, 3], [nGC_9514, nGC_9513])

      allocate(vertices(3819)%branchR2(0:0))
      call avR2(3819, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_9575])

      allocate(vertices(2009)%branchR2(0:1))
      call avR2(2009, 0, 83, 1, 0, FaFS1, 0, [2, 1], [nGC_9413, nGC_9411])

      call avR2(2009, 1, 83, 1, 0, FaFS1, 0, [0, 3], [nGC_9429, nGC_9428])

      allocate(vertices(426)%branchR2(0:0))
      call avR2(426, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_9594])

      allocate(vertices(1619)%branchR2(0:0))
      call avR2(1619, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_9566])

      allocate(vertices(340)%branchR2(0:0))
      call avR2(340, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_9582])

      allocate(vertices(3166)%branchR2(0:1))
      call avR2(3166, 0, 87, 1, 0, FaVF1, 0, [2, 1], [nGC_9496])

      call avR2(3166, 1, 87, 1, 0, FaVF1, 0, [0, 3], [nGC_9501])

      allocate(vertices(2638)%branchR2(0:0))
      call avR2(2638, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_9562, nGC_9563,       &
      nGC_9561])

      allocate(vertices(1208)%branchR2(0:0))
      call avR2(1208, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_9503])

      allocate(vertices(2789)%branchR2(0:0))
      call avR2(2789, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_9499])

      allocate(vertices(486)%branchR2(0:0))
      call avR2(486, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_9612, nGC_9611,        &
      nGC_9612])

      allocate(vertices(169)%branchR2(0:0))
      call avR2(169, 0, 1, 1, 0, SFFa1, 0, [0, 3], [nGC_9424])

      allocate(vertices(3470)%branchR2(0:0))
      call avR2(3470, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_9427])

      allocate(vertices(653)%branchR2(0:1))
      call avR2(653, 0, 84, 1, 0, SFFa0, 0, [2, 1], [nGC_9421, nGC_9419])

      call avR2(653, 1, 84, 1, 0, SFFa0, 0, [0, 3], [nGC_9433, nGC_9432])

      allocate(vertices(39)%branchR2(0:0))
      call avR2(39, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_9581])

      allocate(vertices(2199)%branchR2(0:0))
      call avR2(2199, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_9521])

      allocate(vertices(3240)%branchR2(0:0))
      call avR2(3240, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_9597])

      allocate(vertices(807)%branchR2(0:0))
      call avR2(807, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_9588])

      allocate(vertices(2971)%branchR2(0:0))
      call avR2(2971, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_9584])

      allocate(vertices(1756)%branchR2(0:0))
      call avR2(1756, 0, 1, 1, 0, VVV1, 0, [0, 3], [nGC_9497])

      allocate(vertices(3844)%branchR2(0:1))
      call avR2(3844, 0, 124, 1, 0, FaF1, 0, [0, 2], [nGC_9355, nGC_9354,      &
      nGC_9371, nGC_9371])

      call avR2(3844, 1, 124, 1, 0, FaF1, 0, [2, 0], [nGC_9333, nGC_9333,      &
      nGC_9372, nGC_9372])

      allocate(vertices(1838)%branchR2(0:0))
      call avR2(1838, 0, 1, 1, 0, FaVF0, 0, [0, 3], [nGC_9392, nGC_9393])

      allocate(vertices(1500)%branchR2(0:1))
      call avR2(1500, 0, 84, 1, 0, SFFa0, 0, [0, 3], [nGC_9468, nGC_9469])

      call avR2(1500, 1, 84, 1, 0, SFFa0, 0, [2, 1], [nGC_9470, nGC_9470])

      allocate(vertices(3921)%branchR2(0:0))
      call avR2(3921, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_9589, nGC_9589,       &
      nGC_9589])

      allocate(vertices(2777)%branchR2(0:0))
      call avR2(2777, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_9591])

      allocate(vertices(319)%branchR2(0:1))
      call avR2(319, 0, 87, 1, 0, FaSF0, 0, [2, 1], [nGC_9477, nGC_9477])

      call avR2(319, 1, 87, 1, 0, FaSF0, 0, [0, 3], [nGC_9475, nGC_9476])

      allocate(vertices(924)%branchR2(0:0))
      call avR2(924, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_9376])

      allocate(vertices(3236)%branchR2(0:1))
      call avR2(3236, 0, 85, 1, 0, VFaF0, 0, [2, 1], [nGC_9508, nGC_9506])

      call avR2(3236, 1, 85, 1, 0, VFaF0, 0, [0, 3], [nGC_9523, nGC_9522])

      allocate(vertices(2862)%branchR2(0:0))
      call avR2(2862, 0, 1, 1, 0, FFaS1, 0, [0, 3], [nGC_9423])

      allocate(vertices(2956)%branchR2(0:0))
      call avR2(2956, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_9588])

      allocate(vertices(627)%branchR2(0:1))
      call avR2(627, 0, 86, 1, 0, FVFa1, 0, [2, 1], [nGC_9496])

      call avR2(627, 1, 86, 1, 0, FVFa1, 0, [0, 3], [nGC_9498])

      allocate(vertices(1753)%branchR2(0:0))
      call avR2(1753, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_9581])

      allocate(vertices(3922)%branchR2(0:0))
      call avR2(3922, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_9574, nGC_9574,       &
      nGC_9574])

      allocate(vertices(2647)%branchR2(0:0))
      call avR2(2647, 0, 1, 1, 0, FaVF1, 0, [0, 3], [nGC_9520])

      allocate(vertices(53)%branchR2(0:0))
      call avR2(53, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_9590])

      allocate(vertices(3025)%branchR2(0:3))
      call avR2(3025, 0, 93, 1, 0, FaFV1, 0, [1, 2], [nGC_9532, nGC_9530])

      call avR2(3025, 1, 93, 1, 0, FaFV1, 0, [3, 0], [nGC_9531, nGC_9531])

      call avR2(3025, 2, 92, 1, 0, FaFV1, 0, [1, 2], [nGC_9535, nGC_9533])

      call avR2(3025, 3, 92, 1, 0, FaFV1, 0, [3, 0], [nGC_9534, nGC_9534])

      allocate(vertices(3006)%branchR2(0:0))
      call avR2(3006, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_9560])

      allocate(vertices(3876)%branchR2(0:0))
      call avR2(3876, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_9387])

      allocate(vertices(1993)%branchR2(0:0))
      call avR2(1993, 0, 1, 1, 0, VFFa0, 0, [0, 3], [nGC_9519])

      allocate(vertices(855)%branchR2(0:0))
      call avR2(855, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_9578, nGC_9576,        &
      nGC_9577])

      allocate(vertices(2632)%branchR2(0:0))
      call avR2(2632, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_9568])

      allocate(vertices(2406)%branchR2(0:3))
      call avR2(2406, 0, 88, 1, 0, FVFa0, 0, [1, 2], [nGC_9539, nGC_9538])

      call avR2(2406, 1, 88, 1, 0, FVFa0, 0, [3, 0], [nGC_9534, nGC_9534])

      call avR2(2406, 2, 89, 1, 0, FVFa0, 0, [1, 2], [nGC_9537, nGC_9536])

      call avR2(2406, 3, 89, 1, 0, FVFa0, 0, [3, 0], [nGC_9531, nGC_9531])

      allocate(vertices(926)%branchR2(0:0))
      call avR2(926, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_9612, nGC_9612,        &
      nGC_9611])

      allocate(vertices(1790)%branchR2(0:0))
      call avR2(1790, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_9471])

      allocate(vertices(3693)%branchR2(0:0))
      call avR2(3693, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_21520])

      allocate(vertices(1711)%branchR2(0:1))
      call avR2(1711, 0, 87, 1, 0, FaSF0, 0, [2, 1], [nGC_9415, nGC_9417])

      call avR2(1711, 1, 87, 1, 0, FaSF0, 0, [0, 3], [nGC_9430, nGC_9431])

      allocate(vertices(3923)%branchR2(0:0))
      call avR2(3923, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_9573, nGC_9572,       &
      nGC_9573])

      allocate(vertices(23)%branchR2(0:0))
      call avR2(23, 0, 1, 1, 0, FaFV0, 0, [0, 3], [nGC_9503])

      allocate(vertices(3515)%branchR2(0:0))
      call avR2(3515, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_9582])

      allocate(vertices(3924)%branchR2(0:5))
      call avR2(3924, 0, 160, 1, 0, VVVV0, 0, [3, 1], [nGC_9620, nGC_9620,     &
      nGC_9620])

      call avR2(3924, 1, 163, 1, 0, VVVV0, 0, [3, 1], [nGC_9621, nGC_9621,     &
      nGC_9621])

      call avR2(3924, 2, 162, 1, 0, VVVV0, 0, [3, 1], [nGC_9619, nGC_9619,     &
      nGC_9619])

      call avR2(3924, 3, 164, 1, 0, VVVV0, 0, [3, 1], [nGC_9619, nGC_9619,     &
      nGC_9619])

      call avR2(3924, 4, 161, 1, 0, VVVV0, 0, [3, 1], [nGC_9620, nGC_9620,     &
      nGC_9620])

      call avR2(3924, 5, 159, 1, 0, VVVV0, 0, [3, 1], [nGC_9620, nGC_9620,     &
      nGC_9620])

      allocate(vertices(3050)%branchR2(0:1))
      call avR2(3050, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_9413, nGC_9411])

      call avR2(3050, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_9429, nGC_9428])

      allocate(vertices(3728)%branchR2(0:1))
      call avR2(3728, 0, 87, 1, 0, FaVF0, 0, [2, 1], [nGC_9512, nGC_9510])

      call avR2(3728, 1, 87, 1, 0, FaVF0, 0, [0, 3], [nGC_9525, nGC_9524])

      allocate(vertices(2554)%branchR2(0:0))
      call avR2(2554, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_9590])

      allocate(vertices(3794)%branchR2(0:1))
      call avR2(3794, 0, 84, 1, 0, VFFa1, 0, [0, 3], [nGC_9398, nGC_9397])

      call avR2(3794, 1, 84, 1, 0, VFFa1, 0, [2, 1], [nGC_9379, nGC_9379])

      allocate(vertices(3048)%branchR2(0:1))
      call avR2(3048, 0, 87, 1, 0, FaSF0, 0, [0, 3], [nGC_9440, nGC_9442])

      call avR2(3048, 1, 87, 1, 0, FaSF0, 0, [2, 1], [nGC_9441, nGC_9443])

      allocate(vertices(1604)%branchR2(0:1))
      call avR2(1604, 0, 85, 1, 0, SFaF1, 0, [0, 3], [nGC_9456, nGC_9458])

      call avR2(1604, 1, 85, 1, 0, SFaF1, 0, [2, 1], [nGC_9457, nGC_9459])

      allocate(vertices(1587)%branchR2(0:1))
      call avR2(1587, 0, 83, 1, 0, FaFV1, 0, [2, 1], [nGC_9512, nGC_9510])

      call avR2(1587, 1, 83, 1, 0, FaFV1, 0, [0, 3], [nGC_9529, nGC_9528])

      allocate(vertices(3854)%branchR2(0:0))
      call avR2(3854, 0, 13, 1, 0, FFa1, 0, [0, 2], [nGC_9368])

      allocate(vertices(612)%branchR2(0:3))
      call avR2(612, 0, 91, 1, 0, FaVF0, 0, [1, 2], [nGC_9555, nGC_9554])

      call avR2(612, 1, 91, 1, 0, FaVF0, 0, [3, 0], [nGC_9546, nGC_9546])

      call avR2(612, 2, 90, 1, 0, FaVF0, 0, [1, 2], [nGC_9557, nGC_9556])

      call avR2(612, 3, 90, 1, 0, FaVF0, 0, [3, 0], [nGC_9549, nGC_9549])

      allocate(vertices(18)%branchR2(0:0))
      call avR2(18, 0, 1, 1, 0, FFaS0, 0, [0, 3], [nGC_9461, nGC_9460])

      allocate(vertices(1264)%branchR2(0:0))
      call avR2(1264, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_9405])

      allocate(vertices(464)%branchR2(0:0))
      call avR2(464, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_9566])

      allocate(vertices(2774)%branchR2(0:0))
      call avR2(2774, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_9426])

      allocate(vertices(1858)%branchR2(0:0))
      call avR2(1858, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_9594])

      allocate(vertices(2031)%branchR2(0:3))
      call avR2(2031, 0, 94, 1, 0, VFFa1, 0, [1, 2], [nGC_9535, nGC_9533])

      call avR2(2031, 1, 94, 1, 0, VFFa1, 0, [3, 0], [nGC_9534, nGC_9534])

      call avR2(2031, 2, 95, 1, 0, VFFa1, 0, [1, 2], [nGC_9532, nGC_9530])

      call avR2(2031, 3, 95, 1, 0, VFFa1, 0, [3, 0], [nGC_9531, nGC_9531])

      allocate(vertices(3925)%branchR2(0:1))
      call avR2(3925, 0, 139, 1, 0, VVVV0, 0, [2, 2], [nGC_9606, nGC_9606,     &
      nGC_9606])

      call avR2(3925, 1, 140, 1, 0, VVVV0, 0, [2, 2], [nGC_9605, nGC_9605,     &
      nGC_9605])

      allocate(vertices(1007)%branchR2(0:0))
      call avR2(1007, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_9499])

      allocate(vertices(3926)%branchR2(0:1))
      call avR2(3926, 0, 145, 1, 0, VVVV0, 0, [2, 2], [nGC_9606, nGC_9606,     &
      nGC_9606])

      call avR2(3926, 1, 146, 1, 0, VVVV0, 0, [2, 2], [nGC_9605, nGC_9605,     &
      nGC_9605])

      allocate(vertices(3421)%branchR2(0:0))
      call avR2(3421, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_9385])

      allocate(vertices(3386)%branchR2(0:0))
      call avR2(3386, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_9594])

      allocate(vertices(3368)%branchR2(0:1))
      call avR2(3368, 0, 85, 1, 0, VFaF0, 0, [0, 3], [nGC_9381, nGC_9380])

      call avR2(3368, 1, 85, 1, 0, VFaF0, 0, [2, 1], [nGC_9382, nGC_9382])

      allocate(vertices(3927)%branchR2(0:0))
      call avR2(3927, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_9572, nGC_9573,       &
      nGC_9573])

      allocate(vertices(272)%branchR2(0:3))
      call avR2(272, 0, 11, 1, 0, FFaV1, 0, [1, 2], [nGC_9543, nGC_9542])

      call avR2(272, 1, 11, 1, 0, FFaV1, 0, [3, 0], [nGC_9534, nGC_9534])

      call avR2(272, 2, 12, 1, 0, FFaV1, 0, [1, 2], [nGC_9541, nGC_9540])

      call avR2(272, 3, 12, 1, 0, FFaV1, 0, [3, 0], [nGC_9531, nGC_9531])

      allocate(vertices(1372)%branchR2(0:0))
      call avR2(1372, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_9581])

      allocate(vertices(3497)%branchR2(0:3))
      call avR2(3497, 0, 96, 1, 0, VFaF0, 0, [1, 2], [nGC_9543, nGC_9542])

      call avR2(3497, 1, 96, 1, 0, VFaF0, 0, [3, 0], [nGC_9534, nGC_9534])

      call avR2(3497, 2, 97, 1, 0, VFaF0, 0, [1, 2], [nGC_9541, nGC_9540])

      call avR2(3497, 3, 97, 1, 0, VFaF0, 0, [3, 0], [nGC_9531, nGC_9531])

      allocate(vertices(1631)%branchR2(0:0))
      call avR2(1631, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_9584])

      allocate(vertices(2661)%branchR2(0:3))
      call avR2(2661, 0, 94, 1, 0, VFFa1, 0, [1, 2], [nGC_9543, nGC_9542])

      call avR2(2661, 1, 94, 1, 0, VFFa1, 0, [3, 0], [nGC_9534, nGC_9534])

      call avR2(2661, 2, 95, 1, 0, VFFa1, 0, [1, 2], [nGC_9541, nGC_9540])

      call avR2(2661, 3, 95, 1, 0, VFFa1, 0, [3, 0], [nGC_9531, nGC_9531])

      allocate(vertices(31)%branchR2(0:1))
      call avR2(31, 0, 86, 1, 0, FVFa0, 0, [0, 3], [nGC_9507, nGC_9505])

      call avR2(31, 1, 86, 1, 0, FVFa0, 0, [2, 1], [nGC_9508, nGC_9506])

      allocate(vertices(77)%branchR2(0:0))
      call avR2(77, 0, 1, 1, 0, FVFa0, 0, [0, 3], [nGC_9515, nGC_9516])

      allocate(vertices(1239)%branchR2(0:0))
      call avR2(1239, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_9567])

      allocate(vertices(1366)%branchR2(0:0))
      call avR2(1366, 0, 1, 1, 0, FaFV0, 0, [0, 3], [nGC_9499])

      allocate(vertices(1323)%branchR2(0:3))
      call avR2(1323, 0, 93, 1, 0, FaFV1, 0, [1, 2], [nGC_9541, nGC_9540])

      call avR2(1323, 1, 93, 1, 0, FaFV1, 0, [3, 0], [nGC_9531, nGC_9531])

      call avR2(1323, 2, 92, 1, 0, FaFV1, 0, [1, 2], [nGC_9543, nGC_9542])

      call avR2(1323, 3, 92, 1, 0, FaFV1, 0, [3, 0], [nGC_9534, nGC_9534])

      allocate(vertices(44)%branchR2(0:1))
      call avR2(44, 0, 87, 1, 0, FaVF0, 0, [2, 1], [nGC_9508, nGC_9506])

      call avR2(44, 1, 87, 1, 0, FaVF0, 0, [0, 3], [nGC_9523, nGC_9522])

      allocate(vertices(2155)%branchR2(0:0))
      call avR2(2155, 0, 1, 1, 0, FaSF2, 0, [0, 3], [nGC_9424])

      allocate(vertices(2161)%branchR2(0:0))
      call avR2(2161, 0, 1, 1, 0, FaSF0, 0, [0, 3], [nGC_9481, nGC_9480])

      allocate(vertices(1641)%branchR2(0:0))
      call avR2(1641, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_9591])

      allocate(vertices(3676)%branchR2(0:0))
      call avR2(3676, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_9587])

      allocate(vertices(3202)%branchR2(0:1))
      call avR2(3202, 0, 87, 1, 0, FaVF1, 0, [0, 3], [nGC_9495])

      call avR2(3202, 1, 87, 1, 0, FaVF1, 0, [2, 1], [nGC_9496])

      allocate(vertices(3456)%branchR2(0:1))
      call avR2(3456, 0, 87, 1, 0, FaVF0, 0, [2, 1], [nGC_9382, nGC_9382])

      call avR2(3456, 1, 87, 1, 0, FaVF0, 0, [0, 3], [nGC_9400, nGC_9399])

      allocate(vertices(1866)%branchR2(0:0))
      call avR2(1866, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_9590])

      allocate(vertices(124)%branchR2(0:1))
      call avR2(124, 0, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_9512, nGC_9510])

      call avR2(124, 1, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_9529, nGC_9528])

      allocate(vertices(440)%branchR2(0:0))
      call avR2(440, 0, 1, 1, 0, FVFa0, 0, [0, 3], [nGC_9392, nGC_9393])

      allocate(vertices(2394)%branchR2(0:0))
      call avR2(2394, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_9568])

      allocate(vertices(3928)%branchR2(0:1))
      call avR2(3928, 0, 145, 1, 0, VVVV0, 0, [2, 2], [nGC_9601, nGC_9601,     &
      nGC_9601])

      call avR2(3928, 1, 146, 1, 0, VVVV0, 0, [2, 2], [nGC_9602, nGC_9602,     &
      nGC_9602])

      allocate(vertices(856)%branchR2(0:1))
      call avR2(856, 0, 85, 1, 0, SFaF1, 0, [0, 3], [nGC_9468, nGC_9469])

      call avR2(856, 1, 85, 1, 0, SFaF1, 0, [2, 1], [nGC_9470, nGC_9470])

      allocate(vertices(863)%branchR2(0:0))
      call avR2(863, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_9582])

      allocate(vertices(796)%branchR2(0:0))
      call avR2(796, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_9583])

      allocate(vertices(3776)%branchR2(0:1))
      call avR2(3776, 0, 86, 1, 0, FVFa0, 0, [2, 1], [nGC_9382, nGC_9382])

      call avR2(3776, 1, 86, 1, 0, FVFa0, 0, [0, 3], [nGC_9404, nGC_9403])

      allocate(vertices(2439)%branchR2(0:0))
      call avR2(2439, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_9611, nGC_9612,       &
      nGC_9612])

      allocate(vertices(1888)%branchR2(0:1))
      call avR2(1888, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_9404, nGC_9403])

      call avR2(1888, 1, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_9382, nGC_9382])

      allocate(vertices(2505)%branchR2(0:0))
      call avR2(2505, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_9591])

      allocate(vertices(411)%branchR2(0:0))
      call avR2(411, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_9519])

    end subroutine fill_vertices_mdl8
end module vertices_info8
