!******************************************************************************!
!                                                                              !
!    fill_ctcouplings2.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings2.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-08-13 22:58             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings2
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl2()
      coupl(nGC_16165) = coupl(nGC_9755) + coupl(nGC_MT)*dZtL_QED2/2d0 + coupl(&
                         nGC_MT)*dZtR_QED2/2d0
      coupl(nGC_16164) = coupl(nGC_MI)*dZtR_QCD2
      coupl(nGC_9380) = (coupl(nGC_1)*coupl(nGC_139)**2d0 + 4d0*coupl(nGC_1)*  &
                        coupl(nGC_62)**2d0 + coupl(nGC_128)**2d0*coupl(nGC_2   &
                        ) + coupl(nGC_129)*coupl(nGC_2)*coupl(nGC_636) + 4d0*  &
                        coupl(nGC_2)**3d0 + 4d0*coupl(nGC_2)*coupl(nGC_83)**2d0&
                         + 2d0*coupl(nGC_3)*coupl(nGC_62)**2d0)/(32d0*pi**2d0)
      coupl(nGC_9403) = (coupl(nGC_1)*coupl(nGC_130)**2d0 + 4d0*coupl(nGC_1)*  &
                        coupl(nGC_62)**2d0 + coupl(nGC_1274)*coupl(nGC_150)*   &
                        coupl(nGC_2) + coupl(nGC_149)**2d0*coupl(nGC_2) + 4d0* &
                        coupl(nGC_2)**3d0 + 4d0*coupl(nGC_2)*coupl(nGC_83)**2d0&
                         + 2d0*coupl(nGC_3)*coupl(nGC_62)**2d0)/(32d0*pi**2d0)
      coupl(nGC_9405) = (2d0*Nc*cMB*coupl(nGC_124)**2d0*coupl(nGC_126) + 2d0*Nc&
                        *cMB*coupl(nGC_124)*coupl(nGC_142)*coupl(nGC_143) + 2d0&
                        *Nc*cMB*coupl(nGC_126)*coupl(nGC_142)**2d0 + 2d0*Nc*cMC&
                        *coupl(nGC_127)**2d0*coupl(nGC_128) + 2d0*Nc*cMC*coupl(&
                        nGC_127)*coupl(nGC_139)*coupl(nGC_141) + 2d0*Nc*cMC*   &
                        coupl(nGC_128)*coupl(nGC_139)**2d0 + 2d0*Nc*cMD*coupl( &
                        nGC_130)**2d0*coupl(nGC_132) + 2d0*Nc*cMD*coupl(nGC_130&
                        )*coupl(nGC_148)*coupl(nGC_149) + 2d0*Nc*cMD*coupl(    &
                        nGC_132)*coupl(nGC_148)**2d0 + 2d0*Nc*cMS*coupl(nGC_127&
                        )**2d0*coupl(nGC_141) + 2d0*Nc*cMS*coupl(nGC_127)*coupl&
                        (nGC_128)*coupl(nGC_139) + 2d0*Nc*cMS*coupl(nGC_139)** &
                        2d0*coupl(nGC_141) + 2d0*Nc*cMT*coupl(nGC_124)**2d0*   &
                        coupl(nGC_143) + 2d0*Nc*cMT*coupl(nGC_124)*coupl(      &
                        nGC_126)*coupl(nGC_142) + 2d0*Nc*cMT*coupl(nGC_142)**  &
                        2d0*coupl(nGC_143) + 2d0*Nc*cMU*coupl(nGC_130)**2d0*   &
                        coupl(nGC_149) + 2d0*Nc*cMU*coupl(nGC_130)*coupl(      &
                        nGC_132)*coupl(nGC_148) + 2d0*Nc*cMU*coupl(nGC_148)**  &
                        2d0*coupl(nGC_149) + 2d0*cME*coupl(nGC_133)**2d0*coupl(&
                        nGC_135) + 2d0*cMM*coupl(nGC_136)**2d0*coupl(nGC_138   &
                        ) + 2d0*cMTA*coupl(nGC_145)**2d0*coupl(nGC_147) + 2d0* &
                        cima*coupl(nGC_107)*coupl(nGC_47) + 4d0*cima*coupl(    &
                        nGC_110)*coupl(nGC_69) + cima*coupl(nGC_123)*coupl(    &
                        nGC_95) + 4d0*cima*coupl(nGC_14)*coupl(nGC_99))/(16d0* &
                        pi**2d0)
      coupl(nGC_9404) = (coupl(nGC_1)*coupl(nGC_148)**2d0 + coupl(nGC_1274)*   &
                        coupl(nGC_150)*coupl(nGC_2) + coupl(nGC_149)**2d0*coupl&
                        (nGC_2) + 4d0*coupl(nGC_2)**3d0 + 4d0*coupl(nGC_2)*    &
                        coupl(nGC_79)**2d0)/(32d0*pi**2d0)
      coupl(nGC_9407) = (Nc*coupl(nGC_124)**2d0*coupl(nGC_78) - Nc*coupl(      &
                        nGC_124)**2d0*coupl(nGC_83) - Nc*coupl(nGC_127)**2d0*  &
                        coupl(nGC_79) + Nc*coupl(nGC_127)**2d0*coupl(nGC_82) + &
                        Nc*coupl(nGC_130)**2d0*coupl(nGC_78) - Nc*coupl(nGC_130&
                        )**2d0*coupl(nGC_83) + Nc*coupl(nGC_139)**2d0*coupl(   &
                        nGC_78) - Nc*coupl(nGC_139)**2d0*coupl(nGC_83) - Nc*   &
                        coupl(nGC_142)**2d0*coupl(nGC_79) + Nc*coupl(nGC_142)**&
                        2d0*coupl(nGC_82) - Nc*coupl(nGC_148)**2d0*coupl(nGC_79&
                        ) + Nc*coupl(nGC_148)**2d0*coupl(nGC_82) + coupl(      &
                        nGC_133)**2d0*coupl(nGC_80) - coupl(nGC_133)**2d0*coupl&
                        (nGC_86) + coupl(nGC_136)**2d0*coupl(nGC_80) - coupl(  &
                        nGC_136)**2d0*coupl(nGC_86) + coupl(nGC_145)**2d0*coupl&
                        (nGC_80) - coupl(nGC_145)**2d0*coupl(nGC_86))/(24d0*pi &
                        **2d0)
      coupl(nGC_9605) = cima*coupl(nGC_19)**2d0*sq2**2d0*(coupl(nGC_1)*coupl(  &
                        nGC_78) + coupl(nGC_1)*coupl(nGC_82) + coupl(nGC_2)*   &
                        coupl(nGC_79) + coupl(nGC_2)*coupl(nGC_83))/(32d0*pi** &
                        2d0)
      coupl(nGC_9393) = (coupl(nGC_137)*coupl(nGC_358)*coupl(nGC_4) + coupl(   &
                        nGC_138)**2d0*coupl(nGC_4) - 2d0*coupl(nGC_3)*coupl(   &
                        nGC_62)**2d0 + 4d0*coupl(nGC_4)**3d0 + 4d0*coupl(nGC_4 &
                        )*coupl(nGC_85)**2d0)/(32d0*pi**2d0)
      coupl(nGC_9392) = coupl(nGC_4)*(coupl(nGC_137)*coupl(nGC_358) + coupl(   &
                        nGC_138)**2d0 + 4d0*coupl(nGC_4)**2d0 + 4d0*coupl(     &
                        nGC_80)**2d0)/(32d0*pi**2d0)
      coupl(nGC_9395) = (coupl(nGC_136)**2d0*coupl(nGC_4) + 2d0*coupl(nGC_3)*  &
                        coupl(nGC_62)**2d0 + 4d0*coupl(nGC_4)*coupl(nGC_62)**  &
                        2d0)/(32d0*pi**2d0)
      coupl(nGC_9394) = (coupl(nGC_133)**2d0*coupl(nGC_4) + 2d0*coupl(nGC_3)*  &
                        coupl(nGC_62)**2d0 + 4d0*coupl(nGC_4)*coupl(nGC_62)**  &
                        2d0)/(32d0*pi**2d0)
      coupl(nGC_9396) = (coupl(nGC_145)**2d0*coupl(nGC_4) + 2d0*coupl(nGC_3)*  &
                        coupl(nGC_62)**2d0 + 4d0*coupl(nGC_4)*coupl(nGC_62)**  &
                        2d0)/(32d0*pi**2d0)
      coupl(nGC_15683) = coupl(nGC_MI)*dZeMinusR_QED2
      coupl(nGC_15680) = coupl(nGC_MI)*dZeMinusL_QED2
      coupl(nGC_15684) = coupl(nGC_9748) + coupl(nGC_ME)*dZeMinusL_QED2/2d0 +  &
                         coupl(nGC_ME)*dZeMinusR_QED2/2d0
      coupl(nGC_9715) = coupl(nGC_9167)*dZee_QED2 + coupl(nGC_9168)*dsw_QED2
      coupl(nGC_9714) = coupl(nGC_9180)*dZee_QED2 + coupl(nGC_9181)*dsw_QED2
      coupl(nGC_9717) = coupl(nGC_9177)*dZee_QED2 + coupl(nGC_9178)*dsw_QED2 + &
                        coupl(nGC_9179)*dcw_QED2
      coupl(nGC_9711) = coupl(nGC_9190)*dZee_QED2 + coupl(nGC_9191)*dsw_QED2
      coupl(nGC_9713) = coupl(nGC_9165)*dZee_QED2 + coupl(nGC_9166)*dsw_QED2
      coupl(nGC_9712) = coupl(nGC_9275)*dZee_QED2
      coupl(nGC_9718) = coupl(nGC_9240)*dZee_QED2 + coupl(nGC_9241)*dsw_QED2 + &
                        coupl(nGC_9242)*dcw_QED2
      coupl(nGC_15262) = coupl(nGC_139)*dZcL_QED2/2d0 + coupl(nGC_139)*        &
                         dZsR_QED2/2d0 + coupl(nGC_9665)
      coupl(nGC_9329) = cima*(Nc*coupl(nGC_126)**2d0 + Nc*coupl(nGC_128)**2d0  &
                         + Nc*coupl(nGC_132)**2d0 + Nc*coupl(nGC_141)**2d0 + Nc&
                        *coupl(nGC_143)**2d0 + Nc*coupl(nGC_149)**2d0 + coupl( &
                        nGC_135)**2d0 + coupl(nGC_138)**2d0 + coupl(nGC_147)** &
                        2d0)/(24d0*pi**2d0)
      coupl(nGC_15201) = -coupl(nGC_3)*dZA_QED2/2d0 - coupl(nGC_3)*            &
                         dZWMinus_QED2 - coupl(nGC_64)*dZZA_QED2/2d0 - coupl(  &
                         nGC_9712)
      coupl(nGC_9496) = coupl(nGC_19)**2d0*coupl(nGC_62)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_9494) = coupl(nGC_149)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_9492) = (-coupl(nGC_1274)**2d0*coupl(nGC_149) - coupl(nGC_130)*&
                        coupl(nGC_132)*coupl(nGC_148) - coupl(nGC_149)**3d0 +  &
                        8d0*coupl(nGC_149)*coupl(nGC_2)**2d0 + 8d0*coupl(      &
                        nGC_149)*coupl(nGC_79)*coupl(nGC_83))/(32d0*pi**2d0)
      coupl(nGC_9493) = (-coupl(nGC_130)*coupl(nGC_132)*coupl(nGC_148) - coupl(&
                        nGC_149)**3d0 - coupl(nGC_149)*coupl(nGC_150)**2d0 +   &
                        8d0*coupl(nGC_149)*coupl(nGC_2)**2d0 + 8d0*coupl(      &
                        nGC_149)*coupl(nGC_79)*coupl(nGC_83))/(32d0*pi**2d0)
      coupl(nGC_9490) = coupl(nGC_147)*(-coupl(nGC_146)**2d0 - coupl(nGC_147)**&
                        2d0 + 8d0*coupl(nGC_4)**2d0 + 8d0*coupl(nGC_80)*coupl( &
                        nGC_85))/(32d0*pi**2d0)
      coupl(nGC_15438) = coupl(nGC_9751) + coupl(nGC_MU)*dZuL_QED2/2d0 + coupl(&
                         nGC_MU)*dZuR_QED2/2d0
      coupl(nGC_15439) = coupl(nGC_9752) + coupl(nGC_MU)*dZuL_QCD2/2d0 + coupl(&
                         nGC_MU)*dZuR_QCD2/2d0
      coupl(nGC_9703) = coupl(nGC_9200)*dyc_QED1_QCD2
      coupl(nGC_9704) = coupl(nGC_9216)*dyt_QED3
      coupl(nGC_9660) = coupl(nGC_9312)*dZgs_QCD2
      coupl(nGC_15337) = -coupl(nGC_61)*dZWMinus_QED2/2d0 - coupl(nGC_9710)
      coupl(nGC_13990) = coupl(nGC_65)*dZWMinus_QED2/2d0 + coupl(nGC_9657)
      coupl(nGC_15334) = coupl(nGC_6)*dZWMinus_QED2/2d0 + coupl(nGC_9654)
      coupl(nGC_14256) = coupl(nGC_50)*dZWMinus_QED2 + coupl(nGC_9713)
      coupl(nGC_14253) = coupl(nGC_10)*dZA_QED2 + coupl(nGC_90)*dZZA_QED2 +    &
                         coupl(nGC_9652)
      coupl(nGC_9697) = coupl(nGC_9201)*dyc_QED1_QCD2
      coupl(nGC_14960) = coupl(nGC_137)*dZmuMinusL_QED2/2d0 + coupl(nGC_137)*  &
                         dZmuMinusR_QED2/2d0 + coupl(nGC_9689)
      coupl(nGC_21741) = -coupl(nGC_9376)
      coupl(nGC_14552) = coupl(nGC_9749) + coupl(nGC_MM)*dZmuMinusL_QED2/2d0 + &
                         coupl(nGC_MM)*dZmuMinusR_QED2/2d0
      coupl(nGC_14553) = coupl(nGC_I)*dZH_QED2
      coupl(nGC_14007) = coupl(nGC_21)*dZg_QCD2 + coupl(nGC_9659)
      coupl(nGC_14556) = coupl(nGC_9746) + coupl(nGC_MH)*dZH_QED2
      coupl(nGC_9565) = (-2d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_126)**2d0 -  &
                        2d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_132)**2d0 - 2d0&
                        *Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_141)**2d0 - 2d0*Nc&
                        *cima*coupl(nGC_128)**2d0*coupl(nGC_2)**2d0 - 2d0*Nc*  &
                        cima*coupl(nGC_143)**2d0*coupl(nGC_2)**2d0 - 2d0*Nc*   &
                        cima*coupl(nGC_149)**2d0*coupl(nGC_2)**2d0 - 2d0*cima* &
                        coupl(nGC_135)**2d0*coupl(nGC_4)**2d0 - 2d0*cima*coupl(&
                        nGC_138)**2d0*coupl(nGC_4)**2d0 - 2d0*cima*coupl(      &
                        nGC_147)**2d0*coupl(nGC_4)**2d0 + cima*coupl(nGC_47)*  &
                        coupl(nGC_9) + coupl(nGC_3)**2d0*coupl(nGC_47) + coupl(&
                        nGC_330)**2d0*coupl(nGC_47))/(8d0*pi**2d0)
      coupl(nGC_9449) = (-coupl(nGC_134)*coupl(nGC_135)**2d0 - coupl(nGC_134)* &
                        coupl(nGC_568)**2d0 + 8d0*coupl(nGC_4)**2d0*coupl(     &
                        nGC_568) + 8d0*coupl(nGC_568)*coupl(nGC_80)*coupl(     &
                        nGC_85))/(32d0*pi**2d0)
      coupl(nGC_9560) = (-4d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_124)**2d0 -  &
                        4d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_127)**2d0 - 4d0&
                        *Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_130)**2d0 - 4d0*Nc&
                        *cima*coupl(nGC_1)**2d0*coupl(nGC_139)**2d0 - 4d0*Nc*  &
                        cima*coupl(nGC_1)**2d0*coupl(nGC_142)**2d0 - 4d0*Nc*   &
                        cima*coupl(nGC_1)**2d0*coupl(nGC_148)**2d0 + 5d0*Nc*   &
                        cima*coupl(nGC_1)*coupl(nGC_124)**2d0*coupl(nGC_2) +   &
                        5d0*Nc*cima*coupl(nGC_1)*coupl(nGC_127)**2d0*coupl(    &
                        nGC_2) + 5d0*Nc*cima*coupl(nGC_1)*coupl(nGC_130)**2d0* &
                        coupl(nGC_2) + 5d0*Nc*cima*coupl(nGC_1)*coupl(nGC_139  &
                        )**2d0*coupl(nGC_2) + 5d0*Nc*cima*coupl(nGC_1)*coupl(  &
                        nGC_142)**2d0*coupl(nGC_2) + 5d0*Nc*cima*coupl(nGC_1)* &
                        coupl(nGC_148)**2d0*coupl(nGC_2) - 4d0*Nc*cima*coupl(  &
                        nGC_124)**2d0*coupl(nGC_2)**2d0 - 4d0*Nc*cima*coupl(   &
                        nGC_127)**2d0*coupl(nGC_2)**2d0 - 4d0*Nc*cima*coupl(   &
                        nGC_130)**2d0*coupl(nGC_2)**2d0 - 4d0*Nc*cima*coupl(   &
                        nGC_139)**2d0*coupl(nGC_2)**2d0 - 4d0*Nc*cima*coupl(   &
                        nGC_142)**2d0*coupl(nGC_2)**2d0 - 4d0*Nc*cima*coupl(   &
                        nGC_148)**2d0*coupl(nGC_2)**2d0 - 4d0*cima*coupl(      &
                        nGC_133)**2d0*coupl(nGC_4)**2d0 - 4d0*cima*coupl(      &
                        nGC_136)**2d0*coupl(nGC_4)**2d0 - 4d0*cima*coupl(      &
                        nGC_145)**2d0*coupl(nGC_4)**2d0 + 3d0*cima*coupl(nGC_47&
                        )*coupl(nGC_9) + 3d0*coupl(nGC_3)**2d0*coupl(nGC_47) + &
                        3d0*coupl(nGC_330)**2d0*coupl(nGC_47))/(24d0*pi**2d0)
      coupl(nGC_9447) = coupl(nGC_131)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_9441) = coupl(nGC_19)**2d0*coupl(nGC_636)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_9440) = (-coupl(nGC_127)*coupl(nGC_139)*coupl(nGC_140) - coupl(&
                        nGC_128)**2d0*coupl(nGC_129) - coupl(nGC_129)*coupl(   &
                        nGC_636)**2d0 + 8d0*coupl(nGC_2)**2d0*coupl(nGC_636) + &
                        8d0*coupl(nGC_636)*coupl(nGC_79)*coupl(nGC_83))/(32d0* &
                        pi**2d0)
      coupl(nGC_9568) = (Nc*cima*coupl(nGC_1)*coupl(nGC_124)*coupl(nGC_126)*   &
                        coupl(nGC_62) - 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_127 &
                        )*coupl(nGC_128)*coupl(nGC_62) + Nc*cima*coupl(nGC_1)* &
                        coupl(nGC_130)*coupl(nGC_132)*coupl(nGC_62) + Nc*cima* &
                        coupl(nGC_1)*coupl(nGC_139)*coupl(nGC_141)*coupl(nGC_62&
                        ) - 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_142)*coupl(     &
                        nGC_143)*coupl(nGC_62) - 4d0*Nc*cima*coupl(nGC_1)*coupl&
                        (nGC_148)*coupl(nGC_149)*coupl(nGC_62) - 4d0*Nc*cima*  &
                        coupl(nGC_124)*coupl(nGC_126)*coupl(nGC_2)*coupl(nGC_62&
                        ) + Nc*cima*coupl(nGC_127)*coupl(nGC_128)*coupl(nGC_2)*&
                        coupl(nGC_62) - 4d0*Nc*cima*coupl(nGC_130)*coupl(      &
                        nGC_132)*coupl(nGC_2)*coupl(nGC_62) - 4d0*Nc*cima*coupl&
                        (nGC_139)*coupl(nGC_141)*coupl(nGC_2)*coupl(nGC_62) +  &
                        Nc*cima*coupl(nGC_142)*coupl(nGC_143)*coupl(nGC_2)*    &
                        coupl(nGC_62) + Nc*cima*coupl(nGC_148)*coupl(nGC_149)* &
                        coupl(nGC_2)*coupl(nGC_62) + cima*coupl(nGC_133)*coupl(&
                        nGC_135)*coupl(nGC_4)*coupl(nGC_62) + cima*coupl(      &
                        nGC_136)*coupl(nGC_138)*coupl(nGC_4)*coupl(nGC_62) +   &
                        6d0*cima*coupl(nGC_14)*coupl(nGC_74) + cima*coupl(     &
                        nGC_145)*coupl(nGC_147)*coupl(nGC_4)*coupl(nGC_62) +   &
                        6d0*cima*coupl(nGC_69)*coupl(nGC_724) + 6d0*coupl(     &
                        nGC_14)*coupl(nGC_3)*coupl(nGC_63) + 6d0*coupl(nGC_3)* &
                        coupl(nGC_4)*coupl(nGC_69))/(48d0*pi**2d0)
      coupl(nGC_14918) = coupl(nGC_19)*dZg_QCD2/2d0 + coupl(nGC_19)*dZuR_QCD2  &
                          + coupl(nGC_9737)
      coupl(nGC_14919) = coupl(nGC_19)*dZg_QCD2/2d0 + coupl(nGC_19)*dZuL_QCD2  &
                          + coupl(nGC_9737)
      coupl(nGC_14912) = coupl(nGC_19)*dZuR_QED2
      coupl(nGC_14874) = coupl(nGC_62)*(dZcL_QCD2 + dZsL_QCD2)/2d0
      coupl(nGC_15994) = coupl(nGC_133)*dZeMinusR_QED2/2d0 + coupl(nGC_133)*   &
                         dZnu_eL_QED2/2d0 + coupl(nGC_9685)
      coupl(nGC_9690) = coupl(nGC_9219)*dytau_QED3
      coupl(nGC_9691) = coupl(nGC_9203)*dye_QED3
      coupl(nGC_9692) = coupl(nGC_9212)*dym_QED3
      coupl(nGC_9693) = coupl(nGC_9313)*dytau_QED3
      coupl(nGC_9694) = coupl(nGC_9221)*dyup_QED3
      coupl(nGC_9695) = coupl(nGC_9221)*dyup_QED1_QCD2
      coupl(nGC_9696) = coupl(nGC_9201)*dyc_QED3
      coupl(nGC_9698) = coupl(nGC_9215)*dyt_QED3
      coupl(nGC_9699) = coupl(nGC_9215)*dyt_QED1_QCD2
      coupl(nGC_9360) = cME*cima*(-coupl(nGC_4)**2d0 - coupl(nGC_80)*coupl(    &
                        nGC_85))/(8d0*pi**2d0)
      coupl(nGC_9361) = cima*sq2**2d0*(Nc*coupl(nGC_1886)**2d0 - 6d0*coupl(    &
                        nGC_19)**2d0)/(96d0*pi**2d0)
      coupl(nGC_9362) = -Nc*cima*coupl(nGC_1886)**2d0*sq2**2d0/(96d0*pi**2d0)
      coupl(nGC_14701) = coupl(nGC_9640) + coupl(nGC_GPGMGPGM)
      coupl(nGC_9365) = cima*coupl(nGC_1886)**2d0*sq2**2d0/(96d0*pi**2d0)
      coupl(nGC_9367) = cMM*cima*(-coupl(nGC_4)**2d0 - coupl(nGC_80)*coupl(    &
                        nGC_85))/(8d0*pi**2d0)
      coupl(nGC_9368) = cima*(-coupl(nGC_62)**2d0 - coupl(nGC_86)**2d0)/(16d0* &
                        pi**2d0)
      coupl(nGC_9369) = cMS*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_78)*coupl(    &
                        nGC_82))/(8d0*pi**2d0)
      coupl(nGC_15151) = -coupl(nGC_150)*dZuL_QCD2/2d0 - coupl(nGC_150)*       &
                         dZuR_QCD2/2d0 - coupl(nGC_9695)
      coupl(nGC_15153) = -coupl(nGC_150)*dZuL_QED2/2d0 - coupl(nGC_150)*       &
                         dZuR_QED2/2d0 - coupl(nGC_9694)
      coupl(nGC_15152) = coupl(nGC_150)*dZuL_QCD2/2d0 + coupl(nGC_150)*        &
                         dZuR_QCD2/2d0 + coupl(nGC_9695)
      coupl(nGC_9598) = cima*(20d0*Nc*coupl(nGC_126)**4d0 + 20d0*Nc*coupl(     &
                        nGC_128)**4d0 + 20d0*Nc*coupl(nGC_132)**4d0 + 20d0*Nc* &
                        coupl(nGC_141)**4d0 + 20d0*Nc*coupl(nGC_143)**4d0 +    &
                        20d0*Nc*coupl(nGC_149)**4d0 + 20d0*coupl(nGC_135)**4d0 &
                         + 20d0*coupl(nGC_138)**4d0 + 20d0*coupl(nGC_147)**4d0 &
                         + 6d0*coupl(nGC_47)**2d0 + 3d0*coupl(nGC_96)**2d0)/(  &
                        16d0*pi**2d0)
      coupl(nGC_15157) = coupl(nGC_59)*dZH_QED2/2d0 + coupl(nGC_59)*           &
                         dZWMinus_QED2/2d0 + coupl(nGC_9714)
      coupl(nGC_15154) = coupl(nGC_150)*dZuL_QED2/2d0 + coupl(nGC_150)*        &
                         dZuR_QED2/2d0 + coupl(nGC_9694)
      coupl(nGC_9593) = cima*coupl(nGC_19)**2d0*sq2**2d0*(-coupl(nGC_124)**2d0 &
                         - coupl(nGC_127)**2d0 - coupl(nGC_130)**2d0 - coupl(  &
                        nGC_139)**2d0 - coupl(nGC_142)**2d0 - coupl(nGC_148)** &
                        2d0)/(32d0*pi**2d0)
      coupl(nGC_9592) = cima*coupl(nGC_19)**2d0*sq2**2d0*(coupl(nGC_124)**2d0  &
                         + coupl(nGC_127)**2d0 + coupl(nGC_130)**2d0 + coupl(  &
                        nGC_139)**2d0 + coupl(nGC_142)**2d0 + coupl(nGC_148)** &
                        2d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_14687) = coupl(nGC_9761) + coupl(nGC_MB)*dZbL_QED2/2d0 + coupl(&
                         nGC_MB)*dZbR_QED2/2d0
      coupl(nGC_9408) = coupl(nGC_62)*(-Nc*coupl(nGC_124)*coupl(nGC_126) + Nc* &
                        coupl(nGC_127)*coupl(nGC_128) - Nc*coupl(nGC_130)*coupl&
                        (nGC_132) - Nc*coupl(nGC_139)*coupl(nGC_141) + Nc*coupl&
                        (nGC_142)*coupl(nGC_143) + Nc*coupl(nGC_148)*coupl(    &
                        nGC_149) - coupl(nGC_133)*coupl(nGC_135) - coupl(      &
                        nGC_136)*coupl(nGC_138) - coupl(nGC_145)*coupl(nGC_147 &
                        ))/(24d0*pi**2d0)
      coupl(nGC_15770) = coupl(nGC_129)*dZcL_QED2/2d0 + coupl(nGC_129)*        &
                         dZcR_QED2/2d0 + coupl(nGC_9696)
      coupl(nGC_14688) = coupl(nGC_9762) + coupl(nGC_MB)*dZbL_QCD2/2d0 + coupl(&
                         nGC_MB)*dZbR_QCD2/2d0
      coupl(nGC_15928) = -4d0*coupl(nGC_21)*dZg_QCD2 - 2d0*coupl(nGC_9659)
      coupl(nGC_15927) = 2d0*coupl(nGC_21)*dZg_QCD2 + coupl(nGC_9659)
      coupl(nGC_9625) = (-cima*coupl(nGC_1886)**4d0*sq2**4d0 + cima*coupl(     &
                        nGC_2440)**2d0 - 2d0*coupl(nGC_1886)**2d0*coupl(       &
                        nGC_2440)*sq2**2d0)/(32d0*pi**2d0)
      coupl(nGC_9624) = (Nc*cima*coupl(nGC_1886)**4d0*sq2**4d0 - Nc*cima*coupl(&
                        nGC_20)*coupl(nGC_2440) - Nc*cima*coupl(nGC_2388)*coupl&
                        (nGC_2440) + Nc*coupl(nGC_1886)**2d0*coupl(nGC_20)*sq2 &
                        **2d0 + Nc*coupl(nGC_1886)**2d0*coupl(nGC_2388)*sq2**  &
                        2d0 + Nc*coupl(nGC_1886)**2d0*coupl(nGC_2440)*sq2**2d0 &
                         - cima*coupl(nGC_19)**4d0*sq2**4d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_9627) = (-Nc*cima*coupl(nGC_1886)**4d0*sq2**4d0 + 6d0*Nc*cima* &
                        coupl(nGC_20)*coupl(nGC_2388) - 3d0*Nc*coupl(nGC_1886  &
                        )**2d0*coupl(nGC_20)*sq2**2d0 - 3d0*Nc*coupl(nGC_1886  &
                        )**2d0*coupl(nGC_2388)*sq2**2d0 + 9d0*cima*coupl(nGC_19&
                        )**4d0*sq2**4d0)/(192d0*pi**2d0)
      coupl(nGC_9626) = (-cima*coupl(nGC_1886)**4d0*sq2**4d0 + cima*coupl(     &
                        nGC_20)**2d0 + 2d0*cima*coupl(nGC_20)*coupl(nGC_2388   &
                        ) + cima*coupl(nGC_2388)**2d0 - 2d0*coupl(nGC_1886)**  &
                        2d0*coupl(nGC_20)*sq2**2d0 - 2d0*coupl(nGC_1886)**2d0* &
                        coupl(nGC_2388)*sq2**2d0)/(32d0*pi**2d0)
      coupl(nGC_9621) = cima*coupl(nGC_19)**3d0*sq2**3d0*(coupl(nGC_78) + coupl&
                        (nGC_79) + coupl(nGC_82) + coupl(nGC_83))/(32d0*pi**2d0&
                        *Nc**2d0)
      coupl(nGC_9620) = cima*coupl(nGC_19)**3d0*sq2**3d0*(-coupl(nGC_78) -     &
                        coupl(nGC_79) - coupl(nGC_82) - coupl(nGC_83))/(64d0*pi&
                        **2d0*Nc)
      coupl(nGC_9623) = (-Nc*cima*coupl(nGC_1886)**4d0*sq2**4d0 + 3d0*Nc*cima* &
                        coupl(nGC_20)**2d0 + 3d0*Nc*cima*coupl(nGC_2388)**2d0  &
                         - 3d0*Nc*coupl(nGC_1886)**2d0*coupl(nGC_20)*sq2**2d0  &
                         - 3d0*Nc*coupl(nGC_1886)**2d0*coupl(nGC_2388)*sq2**2d0&
                         + 9d0*cima*coupl(nGC_19)**4d0*sq2**4d0)/(192d0*pi**2d0&
                        )
      coupl(nGC_9622) = cima*sq2**4d0*(-Nc*coupl(nGC_1886)**4d0 - 15d0*coupl(  &
                        nGC_19)**4d0)/(192d0*pi**2d0)
      coupl(nGC_14673) = coupl(nGC_135)*dZH_QED2/2d0 + coupl(nGC_135)*         &
                         dZeMinusL_QED2/2d0 + coupl(nGC_135)*dZeMinusR_QED2/2d0&
                          + coupl(nGC_9691)
      coupl(nGC_9629) = (-Nc*cima*coupl(nGC_1886)**4d0*sq2**4d0 + 6d0*Nc*cima* &
                        coupl(nGC_20)*coupl(nGC_2388) - 6d0*Nc*coupl(nGC_1886  &
                        )**2d0*coupl(nGC_2388)*sq2**2d0 + 9d0*cima*coupl(nGC_19&
                        )**4d0*sq2**4d0)/(192d0*pi**2d0)
      coupl(nGC_9628) = (-Nc*cima*coupl(nGC_1886)**4d0*sq2**4d0 + 3d0*Nc*cima* &
                        coupl(nGC_20)**2d0 + 3d0*Nc*cima*coupl(nGC_2388)**2d0  &
                         - 6d0*Nc*coupl(nGC_1886)**2d0*coupl(nGC_20)*sq2**2d0  &
                         + 9d0*cima*coupl(nGC_19)**4d0*sq2**4d0)/(192d0*pi**2d0&
                        )
      coupl(nGC_13957) = coupl(nGC_57)*dZZ_QED2 + coupl(nGC_76)*dZAZ_QED2 +    &
                         coupl(nGC_9717)
      coupl(nGC_15377) = coupl(nGC_2)*dZA_QED2/2d0 + coupl(nGC_2)*dZtL_QED2 +  &
                         coupl(nGC_83)*dZZA_QED2/2d0 + coupl(nGC_9735)
      coupl(nGC_17617) = coupl(nGC_9757) + coupl(nGC_MD)*dZdL_QED2/2d0 + coupl(&
                         nGC_MD)*dZdR_QED2/2d0
      coupl(nGC_9744) = coupl(nGC_9264)*dZee_QED2 + coupl(nGC_9265)*dsw_QED2 + &
                        coupl(nGC_9266)*dcw_QED2
      coupl(nGC_9742) = coupl(nGC_9249)*dZee_QED2 + coupl(nGC_9250)*dsw_QED2 + &
                        coupl(nGC_9251)*dcw_QED2
      coupl(nGC_9743) = coupl(nGC_9110)*dZee_QED2 + coupl(nGC_9111)*dsw_QED2 + &
                        coupl(nGC_9112)*dcw_QED2
      coupl(nGC_9740) = coupl(nGC_9305)*dZee_QED2 + coupl(nGC_9306)*dsw_QED2 + &
                        coupl(nGC_9307)*dcw_QED2
      coupl(nGC_9741) = coupl(nGC_9294)*dZee_QED2 + coupl(nGC_9295)*dsw_QED2 + &
                        coupl(nGC_9296)*dcw_QED2
      coupl(nGC_14199) = coupl(nGC_143)*dZH_QED2/2d0 + coupl(nGC_143)*dZtL_QED2&
                         /2d0 + coupl(nGC_143)*dZtR_QED2/2d0 + coupl(nGC_9704)
      coupl(nGC_14053) = coupl(nGC_76)*dZWMinus_QED2 + coupl(nGC_9718)
      coupl(nGC_9487) = (-coupl(nGC_124)*coupl(nGC_126)*coupl(nGC_142) - coupl(&
                        nGC_143)**3d0 + 8d0*coupl(nGC_143)*coupl(nGC_2)**2d0 - &
                        coupl(nGC_143)*coupl(nGC_4572)**2d0 + 8d0*coupl(nGC_143&
                        )*coupl(nGC_79)*coupl(nGC_83))/(32d0*pi**2d0)
      coupl(nGC_16470) = -coupl(nGC_81)*dZZA_QED2/2d0
      coupl(nGC_17373) = coupl(nGC_79)*dZtR_QCD2
      coupl(nGC_17375) = coupl(nGC_2)*dZAZ_QED2/2d0 + coupl(nGC_83)*dZZ_QED2/  &
                         2d0 + coupl(nGC_83)*dZtL_QED2 + coupl(nGC_9740)
      coupl(nGC_14513) = coupl(nGC_6)*dZAZ_QED2/2d0 + coupl(nGC_65)*dZZ_QED2/  &
                         2d0 + coupl(nGC_9657)
      coupl(nGC_14502) = coupl(nGC_142)*dZbL_QCD2/2d0 + coupl(nGC_142)*        &
                         dZtR_QCD2/2d0 + coupl(nGC_9672)
      coupl(nGC_14500) = coupl(nGC_142)*dZbL_QED2/2d0 + coupl(nGC_142)*        &
                         dZtR_QED2/2d0 + coupl(nGC_9671)
      coupl(nGC_9528) = (coupl(nGC_1274)*coupl(nGC_150)*coupl(nGC_79) + coupl( &
                        nGC_130)**2d0*coupl(nGC_78) + coupl(nGC_149)**2d0*coupl&
                        (nGC_79) + 4d0*coupl(nGC_2)**2d0*coupl(nGC_83) + 2d0*  &
                        coupl(nGC_62)**2d0*coupl(nGC_64) + 4d0*coupl(nGC_62)** &
                        2d0*coupl(nGC_82) + 4d0*coupl(nGC_83)**3d0)/(32d0*pi** &
                        2d0)
      coupl(nGC_9529) = (coupl(nGC_1274)*coupl(nGC_150)*coupl(nGC_83) + coupl( &
                        nGC_148)**2d0*coupl(nGC_82) + coupl(nGC_149)**2d0*coupl&
                        (nGC_83) + 4d0*coupl(nGC_2)**2d0*coupl(nGC_79) + 4d0*  &
                        coupl(nGC_79)**3d0)/(32d0*pi**2d0)
      coupl(nGC_9520) = (coupl(nGC_145)**2d0*coupl(nGC_80) + 2d0*coupl(nGC_62  &
                        )**2d0*coupl(nGC_64) + 4d0*coupl(nGC_62)**2d0*coupl(   &
                        nGC_85) + 4d0*coupl(nGC_86)**3d0)/(32d0*pi**2d0)
      coupl(nGC_9521) = (coupl(nGC_136)**2d0*coupl(nGC_80) + 2d0*coupl(nGC_62  &
                        )**2d0*coupl(nGC_64) + 4d0*coupl(nGC_62)**2d0*coupl(   &
                        nGC_85) + 4d0*coupl(nGC_86)**3d0)/(32d0*pi**2d0)
      coupl(nGC_9526) = (coupl(nGC_145)**2d0*coupl(nGC_86) + coupl(nGC_146)*   &
                        coupl(nGC_484)*coupl(nGC_85) + coupl(nGC_147)**2d0*    &
                        coupl(nGC_85) + 4d0*coupl(nGC_4)**2d0*coupl(nGC_80) +  &
                        4d0*coupl(nGC_80)**3d0)/(32d0*pi**2d0)
      coupl(nGC_9527) = (coupl(nGC_146)*coupl(nGC_484)*coupl(nGC_80) + coupl(  &
                        nGC_147)**2d0*coupl(nGC_80) + 4d0*coupl(nGC_4)**2d0*   &
                        coupl(nGC_85) - 2d0*coupl(nGC_62)**2d0*coupl(nGC_64) + &
                        4d0*coupl(nGC_62)**2d0*coupl(nGC_86) + 4d0*coupl(nGC_85&
                        )**3d0)/(32d0*pi**2d0)
      coupl(nGC_9524) = (coupl(nGC_124)**2d0*coupl(nGC_78) + coupl(nGC_143)**  &
                        2d0*coupl(nGC_79) + coupl(nGC_144)*coupl(nGC_4572)*    &
                        coupl(nGC_79) + 4d0*coupl(nGC_2)**2d0*coupl(nGC_83) +  &
                        2d0*coupl(nGC_62)**2d0*coupl(nGC_64) + 4d0*coupl(nGC_62&
                        )**2d0*coupl(nGC_82) + 4d0*coupl(nGC_83)**3d0)/(32d0*pi&
                        **2d0)
      coupl(nGC_9525) = (coupl(nGC_142)**2d0*coupl(nGC_82) + coupl(nGC_143)**  &
                        2d0*coupl(nGC_83) + coupl(nGC_144)*coupl(nGC_4572)*    &
                        coupl(nGC_83) + 4d0*coupl(nGC_2)**2d0*coupl(nGC_79) +  &
                        4d0*coupl(nGC_79)**3d0)/(32d0*pi**2d0)
      coupl(nGC_14959) = -coupl(nGC_137)*dZmuMinusL_QED2/2d0 - coupl(nGC_137)* &
                         dZmuMinusR_QED2/2d0 - coupl(nGC_9689)
      coupl(nGC_16152) = coupl(nGC_6)*dZA_QED2/2d0 + coupl(nGC_65)*dZZA_QED2/  &
                         2d0 + coupl(nGC_9654)
      coupl(nGC_9417) = coupl(nGC_139)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_9414) = (8d0*coupl(nGC_1)*coupl(nGC_127)*coupl(nGC_2) + 8d0*   &
                        coupl(nGC_127)*coupl(nGC_79)*coupl(nGC_82) - coupl(    &
                        nGC_128)*coupl(nGC_139)*coupl(nGC_141) - coupl(nGC_129 &
                        )*coupl(nGC_139)*coupl(nGC_140))/(32d0*pi**2d0)
      coupl(nGC_9415) = coupl(nGC_127)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_9412) = (8d0*coupl(nGC_1)*coupl(nGC_142)*coupl(nGC_2) - coupl( &
                        nGC_124)*coupl(nGC_125)*coupl(nGC_144) - coupl(nGC_124 &
                        )*coupl(nGC_126)*coupl(nGC_143) + 8d0*coupl(nGC_142)*  &
                        coupl(nGC_79)*coupl(nGC_82))/(32d0*pi**2d0)
      coupl(nGC_9413) = coupl(nGC_142)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_9410) = (8d0*coupl(nGC_1)*coupl(nGC_124)*coupl(nGC_2) + 8d0*   &
                        coupl(nGC_124)*coupl(nGC_78)*coupl(nGC_83) - coupl(    &
                        nGC_126)*coupl(nGC_142)*coupl(nGC_143) - coupl(nGC_142 &
                        )*coupl(nGC_4572)*coupl(nGC_760))/(32d0*pi**2d0)
      coupl(nGC_15579) = coupl(nGC_9764) + coupl(nGC_MW)*dZWMinus_QED2
      coupl(nGC_14833) = coupl(nGC_144)*dZtL_QED2/2d0 + coupl(nGC_144)*        &
                         dZtR_QED2/2d0 + coupl(nGC_9698)
      coupl(nGC_14832) = -coupl(nGC_144)*dZtL_QED2/2d0 - coupl(nGC_144)*       &
                         dZtR_QED2/2d0 - coupl(nGC_9698)
      coupl(nGC_14831) = coupl(nGC_144)*dZtL_QCD2/2d0 + coupl(nGC_144)*        &
                         dZtR_QCD2/2d0 + coupl(nGC_9699)
      coupl(nGC_14830) = -coupl(nGC_144)*dZtL_QCD2/2d0 - coupl(nGC_144)*       &
                         dZtR_QCD2/2d0 - coupl(nGC_9699)
      coupl(nGC_9559) = sq2**3d0*(Nc*cima*coupl(nGC_1886)**3d0 - 12d0*coupl(   &
                        nGC_19)**3d0)/(192d0*pi**2d0)
      coupl(nGC_15118) = coupl(nGC_2)*dZA_QED2/2d0 + coupl(nGC_2)*dZuL_QED2 +  &
                         coupl(nGC_83)*dZZA_QED2/2d0 + coupl(nGC_9735)
      coupl(nGC_15117) = coupl(nGC_2)*dZA_QED2/2d0 + coupl(nGC_2)*dZuR_QED2 +  &
                         coupl(nGC_79)*dZZA_QED2/2d0 + coupl(nGC_9735)
      coupl(nGC_9556) = coupl(nGC_19)*sq2*(coupl(nGC_1274)*coupl(nGC_150) +    &
                        coupl(nGC_130)**2d0 + coupl(nGC_149)**2d0 + 4d0*coupl( &
                        nGC_2)**2d0 + 4d0*coupl(nGC_62)**2d0 + 4d0*coupl(nGC_83&
                        )**2d0)/(64d0*pi**2d0)
      coupl(nGC_9554) = coupl(nGC_19)*sq2*(-coupl(nGC_1274)*coupl(nGC_150) -   &
                        coupl(nGC_130)**2d0 - coupl(nGC_149)**2d0 - 4d0*coupl( &
                        nGC_2)**2d0 - 4d0*coupl(nGC_62)**2d0 - 4d0*coupl(nGC_83&
                        )**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_15113) = coupl(nGC_2)*dZuL_QCD2
      coupl(nGC_9552) = coupl(nGC_19)*sq2*(coupl(nGC_124)**2d0 + coupl(nGC_143 &
                        )**2d0 + coupl(nGC_144)*coupl(nGC_4572) + 4d0*coupl(   &
                        nGC_2)**2d0 + 4d0*coupl(nGC_62)**2d0 + 4d0*coupl(nGC_83&
                        )**2d0)/(64d0*pi**2d0)
      coupl(nGC_9551) = coupl(nGC_19)*sq2*(-coupl(nGC_142)**2d0 - coupl(nGC_143&
                        )**2d0 - coupl(nGC_144)*coupl(nGC_4572) - 4d0*coupl(   &
                        nGC_2)**2d0 - 4d0*coupl(nGC_79)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_15110) = coupl(nGC_2)*dZuR_QCD2
      coupl(nGC_15057) = coupl(nGC_4)*dZA_QED2/2d0 + coupl(nGC_4)*             &
                         dZmuMinusR_QED2 + coupl(nGC_80)*dZZA_QED2/2d0 + coupl(&
                         nGC_9655)
      coupl(nGC_15058) = coupl(nGC_4)*dZA_QED2/2d0 + coupl(nGC_4)*             &
                         dZmuMinusL_QED2 + coupl(nGC_85)*dZZA_QED2/2d0 + coupl(&
                         nGC_9655)
      coupl(nGC_23166) = -coupl(nGC_9559)
      coupl(nGC_9386) = (-2d0*Nc*cMB*coupl(nGC_1)**2d0*coupl(nGC_126) - 2d0*Nc*&
                        cMC*coupl(nGC_128)*coupl(nGC_2)**2d0 - 2d0*Nc*cMD*coupl&
                        (nGC_1)**2d0*coupl(nGC_132) - 2d0*Nc*cMS*coupl(nGC_1)**&
                        2d0*coupl(nGC_141) - 2d0*Nc*cMT*coupl(nGC_143)*coupl(  &
                        nGC_2)**2d0 - 2d0*Nc*cMU*coupl(nGC_149)*coupl(nGC_2)** &
                        2d0 - 2d0*cME*coupl(nGC_135)*coupl(nGC_4)**2d0 - 2d0*  &
                        cMM*coupl(nGC_138)*coupl(nGC_4)**2d0 - 2d0*cMTA*coupl( &
                        nGC_147)*coupl(nGC_4)**2d0 + cima*coupl(nGC_107)*coupl(&
                        nGC_9) + coupl(nGC_107)*coupl(nGC_3)**2d0 + coupl(     &
                        nGC_107)*coupl(nGC_330)**2d0)/(8d0*pi**2d0)
      coupl(nGC_9385) = (-Nc*cMB*coupl(nGC_124)*coupl(nGC_2)*coupl(nGC_62) - Nc&
                        *cMC*coupl(nGC_1)*coupl(nGC_127)*coupl(nGC_62) - Nc*cMD&
                        *coupl(nGC_130)*coupl(nGC_2)*coupl(nGC_62) - Nc*cMS*   &
                        coupl(nGC_139)*coupl(nGC_2)*coupl(nGC_62) - Nc*cMT*    &
                        coupl(nGC_1)*coupl(nGC_142)*coupl(nGC_62) - Nc*cMU*    &
                        coupl(nGC_1)*coupl(nGC_148)*coupl(nGC_62) + 2d0*cima*  &
                        coupl(nGC_110)*coupl(nGC_724) + 2d0*cima*coupl(nGC_74)*&
                        coupl(nGC_99) + 2d0*coupl(nGC_110)*coupl(nGC_3)*coupl( &
                        nGC_4) + 2d0*coupl(nGC_3)*coupl(nGC_63)*coupl(nGC_99   &
                        ))/(16d0*pi**2d0)
      coupl(nGC_9383) = (-Nc*cMB*coupl(nGC_124)*coupl(nGC_2)*coupl(nGC_62) - Nc&
                        *cMC*coupl(nGC_1)*coupl(nGC_127)*coupl(nGC_62) - Nc*cMD&
                        *coupl(nGC_130)*coupl(nGC_2)*coupl(nGC_62) - Nc*cMS*   &
                        coupl(nGC_139)*coupl(nGC_2)*coupl(nGC_62) - Nc*cMT*    &
                        coupl(nGC_1)*coupl(nGC_142)*coupl(nGC_62) - Nc*cMU*    &
                        coupl(nGC_1)*coupl(nGC_148)*coupl(nGC_62) + 2d0*cima*  &
                        coupl(nGC_110)*coupl(nGC_724) + 2d0*cima*coupl(nGC_74)*&
                        coupl(nGC_99) + 2d0*coupl(nGC_110)*coupl(nGC_3)*coupl( &
                        nGC_330) + 2d0*coupl(nGC_330)*coupl(nGC_64)*coupl(     &
                        nGC_99))/(16d0*pi**2d0)
      coupl(nGC_9381) = (coupl(nGC_1)*coupl(nGC_127)**2d0 + coupl(nGC_128)**2d0&
                        *coupl(nGC_2) + coupl(nGC_129)*coupl(nGC_2)*coupl(     &
                        nGC_636) + 4d0*coupl(nGC_2)**3d0 + 4d0*coupl(nGC_2)*   &
                        coupl(nGC_79)**2d0)/(32d0*pi**2d0)
      coupl(nGC_21304) = -coupl(nGC_9408)
      coupl(nGC_9702) = coupl(nGC_9200)*dyc_QED3
      coupl(nGC_9700) = coupl(nGC_9220)*dyup_QED3
      coupl(nGC_9701) = coupl(nGC_9220)*dyup_QED1_QCD2
      coupl(nGC_9707) = coupl(nGC_9231)*dZee_QED2 + coupl(nGC_9232)*dsw_QED2 + &
                        coupl(nGC_9233)*dcw_QED2
      coupl(nGC_9705) = coupl(nGC_9216)*dyt_QED1_QCD2
      coupl(nGC_15232) = coupl(nGC_55)*dZWMinus_QED2 + coupl(nGC_55)*dZZ_QED2  &
                          - coupl(nGC_77)*dZAZ_QED2/2d0 + coupl(nGC_9733)
      coupl(nGC_9708) = coupl(nGC_9171)*dZee_QED2 + coupl(nGC_9172)*dsw_QED2
      coupl(nGC_9709) = coupl(nGC_9155)*dsw_QED2 + coupl(nGC_9156)*dZee_QED2 + &
                        coupl(nGC_9157)*dvev_QED1
      coupl(nGC_14885) = coupl(nGC_82)*dZdL_QCD2
      coupl(nGC_14499) = coupl(nGC_124)*dZbR_QED2/2d0 + coupl(nGC_124)*        &
                         dZtL_QED2/2d0 + coupl(nGC_9669)
      coupl(nGC_14080) = coupl(nGC_1)*dZAZ_QED2/2d0 + coupl(nGC_78)*dZZ_QED2/  &
                         2d0 + coupl(nGC_78)*dZsR_QED2 + coupl(nGC_9742)
      coupl(nGC_14081) = coupl(nGC_1)*dZAZ_QED2/2d0 + coupl(nGC_82)*dZZ_QED2/  &
                         2d0 + coupl(nGC_82)*dZsL_QED2 + coupl(nGC_9741)
      coupl(nGC_15376) = coupl(nGC_2)*dZA_QED2/2d0 + coupl(nGC_2)*dZtR_QED2 +  &
                         coupl(nGC_79)*dZZA_QED2/2d0 + coupl(nGC_9735)
      coupl(nGC_14120) = coupl(nGC_4)*dZA_QED2/2d0 + coupl(nGC_4)*             &
                         dZeMinusL_QED2 + coupl(nGC_85)*dZZA_QED2/2d0 + coupl( &
                         nGC_9655)
      coupl(nGC_14126) = coupl(nGC_147)*dZH_QED2/2d0 + coupl(nGC_147)*         &
                         dZtauMinusL_QED2/2d0 + coupl(nGC_147)*dZtauMinusR_QED2&
                         /2d0 + coupl(nGC_9693)
      coupl(nGC_13961) = coupl(nGC_7)*dZA_QED2/2d0 + coupl(nGC_7)*dZWMinus_QED2&
                         /2d0 + coupl(nGC_75)*dZZA_QED2/2d0 + coupl(nGC_9706)
      coupl(nGC_14643) = coupl(nGC_62)*(dZbL_QCD2 + dZtL_QCD2)/2d0
      coupl(nGC_15309) = coupl(nGC_128)*dZH_QED2/2d0 + coupl(nGC_128)*dZcL_QED2&
                         /2d0 + coupl(nGC_128)*dZcR_QED2/2d0 + coupl(nGC_9702)
      coupl(nGC_9676) = coupl(nGC_9214)*dys_QED1_QCD2
      coupl(nGC_9674) = coupl(nGC_9161)*dydo_QED1_QCD2
      coupl(nGC_9675) = coupl(nGC_9214)*dys_QED3
      coupl(nGC_9673) = coupl(nGC_9161)*dydo_QED3
      coupl(nGC_14301) = coupl(nGC_19)*dZdL_QCD2 + coupl(nGC_19)*dZg_QCD2/2d0  &
                          + coupl(nGC_9737)
      coupl(nGC_14300) = coupl(nGC_19)*dZdR_QCD2 + coupl(nGC_19)*dZg_QCD2/2d0  &
                          + coupl(nGC_9737)
      coupl(nGC_14063) = coupl(nGC_10)*dZAZ_QED2/2d0 + coupl(nGC_57)*dZZA_QED2/&
                         2d0 + coupl(nGC_76)*dZA_QED2/2d0 + coupl(nGC_76)*     &
                         dZZ_QED2/2d0 + coupl(nGC_9718)
      coupl(nGC_16688) = coupl(nGC_2)*dZA_QED2/2d0 + coupl(nGC_2)*dZcR_QED2 +  &
                         coupl(nGC_79)*dZZA_QED2/2d0 + coupl(nGC_9735)
      coupl(nGC_16689) = coupl(nGC_2)*dZA_QED2/2d0 + coupl(nGC_2)*dZcL_QED2 +  &
                         coupl(nGC_83)*dZZA_QED2/2d0 + coupl(nGC_9735)
      coupl(nGC_14460) = coupl(nGC_101)*dZH_QED2/2d0 + coupl(nGC_9648) + coupl(&
                         nGC_GGH)
      coupl(nGC_17618) = coupl(nGC_9758) + coupl(nGC_MD)*dZdL_QCD2/2d0 + coupl(&
                         nGC_MD)*dZdR_QCD2/2d0
      coupl(nGC_14391) = coupl(nGC_3)*dZA_QED2/2d0 + coupl(nGC_3)*dZWMinus_QED2&
                          + coupl(nGC_64)*dZZA_QED2/2d0 + coupl(nGC_9712)
      coupl(nGC_14469) = coupl(nGC_4)*dZA_QED2/2d0 + coupl(nGC_4)*             &
                         dZtauMinusR_QED2 + coupl(nGC_80)*dZZA_QED2/2d0 + coupl&
                         (nGC_9655)
      coupl(nGC_14399) = coupl(nGC_145)*dZnu_tauL_QED2/2d0 + coupl(nGC_145)*   &
                         dZtauMinusR_QED2/2d0 + coupl(nGC_9687)
      coupl(nGC_15918) = 4d0*coupl(nGC_21)*dZg_QCD2 + 2d0*coupl(nGC_9659)
      coupl(nGC_9511) = (coupl(nGC_127)**2d0*coupl(nGC_82) + coupl(nGC_128)**  &
                        2d0*coupl(nGC_83) + coupl(nGC_129)*coupl(nGC_636)*coupl&
                        (nGC_83) + 4d0*coupl(nGC_2)**2d0*coupl(nGC_79) + 4d0*  &
                        coupl(nGC_79)**3d0)/(32d0*pi**2d0)
      coupl(nGC_9510) = coupl(nGC_19)**2d0*coupl(nGC_83)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_9517) = (coupl(nGC_136)**2d0*coupl(nGC_86) + coupl(nGC_137)*   &
                        coupl(nGC_358)*coupl(nGC_85) + coupl(nGC_138)**2d0*    &
                        coupl(nGC_85) + 4d0*coupl(nGC_4)**2d0*coupl(nGC_80) +  &
                        4d0*coupl(nGC_80)**3d0)/(32d0*pi**2d0)
      coupl(nGC_9516) = (coupl(nGC_134)*coupl(nGC_568)*coupl(nGC_80) + coupl(  &
                        nGC_135)**2d0*coupl(nGC_80) + 4d0*coupl(nGC_4)**2d0*   &
                        coupl(nGC_85) - 2d0*coupl(nGC_62)**2d0*coupl(nGC_64) + &
                        4d0*coupl(nGC_62)**2d0*coupl(nGC_86) + 4d0*coupl(nGC_85&
                        )**3d0)/(32d0*pi**2d0)
      coupl(nGC_9515) = (coupl(nGC_133)**2d0*coupl(nGC_86) + coupl(nGC_134)*   &
                        coupl(nGC_568)*coupl(nGC_85) + coupl(nGC_135)**2d0*    &
                        coupl(nGC_85) + 4d0*coupl(nGC_4)**2d0*coupl(nGC_80) +  &
                        4d0*coupl(nGC_80)**3d0)/(32d0*pi**2d0)
      coupl(nGC_9453) = coupl(nGC_140)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_9519) = (coupl(nGC_133)**2d0*coupl(nGC_80) + 2d0*coupl(nGC_62  &
                        )**2d0*coupl(nGC_64) + 4d0*coupl(nGC_62)**2d0*coupl(   &
                        nGC_85) + 4d0*coupl(nGC_86)**3d0)/(32d0*pi**2d0)
      coupl(nGC_9518) = (coupl(nGC_137)*coupl(nGC_358)*coupl(nGC_80) + coupl(  &
                        nGC_138)**2d0*coupl(nGC_80) + 4d0*coupl(nGC_4)**2d0*   &
                        coupl(nGC_85) - 2d0*coupl(nGC_62)**2d0*coupl(nGC_64) + &
                        4d0*coupl(nGC_62)**2d0*coupl(nGC_86) + 4d0*coupl(nGC_85&
                        )**3d0)/(32d0*pi**2d0)
      coupl(nGC_9456) = (-coupl(nGC_124)*coupl(nGC_125)*coupl(nGC_142) - coupl(&
                        nGC_143)**2d0*coupl(nGC_144) - coupl(nGC_144)*coupl(   &
                        nGC_4572)**2d0 + 8d0*coupl(nGC_2)**2d0*coupl(nGC_4572  &
                        ) + 8d0*coupl(nGC_4572)*coupl(nGC_79)*coupl(nGC_83))/( &
                        32d0*pi**2d0)
      coupl(nGC_9457) = coupl(nGC_19)**2d0*coupl(nGC_4572)*sq2**2d0*(Nc**2d0 - &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_9454) = (-coupl(nGC_137)**2d0*coupl(nGC_358) + 8d0*coupl(      &
                        nGC_137)*coupl(nGC_4)**2d0 + 8d0*coupl(nGC_137)*coupl( &
                        nGC_80)*coupl(nGC_85) - coupl(nGC_138)**2d0*coupl(     &
                        nGC_358))/(32d0*pi**2d0)
      coupl(nGC_9455) = (-coupl(nGC_137)*coupl(nGC_138)**2d0 - coupl(nGC_137)* &
                        coupl(nGC_358)**2d0 + 8d0*coupl(nGC_358)*coupl(nGC_4)**&
                        2d0 + 8d0*coupl(nGC_358)*coupl(nGC_80)*coupl(nGC_85))/(&
                        32d0*pi**2d0)
      coupl(nGC_9688) = coupl(nGC_9206)*dye_QED3
      coupl(nGC_14261) = coupl(nGC_5)*dZWMinus_QED2/2d0 + coupl(nGC_9653)
      coupl(nGC_16060) = coupl(nGC_4)*dZA_QED2/2d0 + coupl(nGC_85)*dZZA_QED2/  &
                         2d0 + coupl(nGC_9655)
      coupl(nGC_9373) = cMTA*cima*(-coupl(nGC_4)**2d0 - coupl(nGC_80)*coupl(   &
                        nGC_85))/(8d0*pi**2d0)
      coupl(nGC_9498) = coupl(nGC_62)*(2d0*coupl(nGC_1)*coupl(nGC_2) - coupl(  &
                        nGC_1)*coupl(nGC_3) - coupl(nGC_2)*coupl(nGC_330) -    &
                        coupl(nGC_64)*coupl(nGC_82) - coupl(nGC_674)*coupl(    &
                        nGC_83) + 2d0*coupl(nGC_82)*coupl(nGC_83))/(16d0*pi**  &
                        2d0)
      coupl(nGC_9359) = cima*(coupl(nGC_4)**2d0 + coupl(nGC_62)**2d0 + coupl(  &
                        nGC_85)**2d0)/(16d0*pi**2d0)
      coupl(nGC_9358) = cima*(coupl(nGC_4)**2d0 + coupl(nGC_80)**2d0)/(16d0*pi &
                        **2d0)
      coupl(nGC_9355) = cima*(-coupl(nGC_2)**2d0 - coupl(nGC_79)**2d0)/(16d0*pi&
                        **2d0)
      coupl(nGC_9426) = coupl(nGC_62)*(Nc*coupl(nGC_124)*coupl(nGC_126) - Nc*  &
                        coupl(nGC_127)*coupl(nGC_128) + Nc*coupl(nGC_130)*coupl&
                        (nGC_132) + Nc*coupl(nGC_139)*coupl(nGC_141) - Nc*coupl&
                        (nGC_142)*coupl(nGC_143) - Nc*coupl(nGC_148)*coupl(    &
                        nGC_149) + coupl(nGC_133)*coupl(nGC_135) + coupl(      &
                        nGC_136)*coupl(nGC_138) + coupl(nGC_145)*coupl(nGC_147 &
                        ))/(24d0*pi**2d0)
      coupl(nGC_9424) = coupl(nGC_145)*coupl(nGC_80)*coupl(nGC_86)/(4d0*pi**2d0)
      coupl(nGC_15643) = coupl(nGC_96)*dZZ_QED2 + coupl(nGC_9730)
      coupl(nGC_9422) = coupl(nGC_133)*coupl(nGC_80)*coupl(nGC_86)/(4d0*pi**2d0)
      coupl(nGC_9353) = cMC*cima*coupl(nGC_19)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(&
                        32d0*pi**2d0*Nc)
      coupl(nGC_9352) = cMC*cima*(-coupl(nGC_2)**2d0 - coupl(nGC_79)*coupl(    &
                        nGC_83))/(8d0*pi**2d0)
      coupl(nGC_9588) = (5d0*Nc*cima*coupl(nGC_124)*coupl(nGC_126)*coupl(nGC_62&
                        )*coupl(nGC_78) - 4d0*Nc*cima*coupl(nGC_124)*coupl(    &
                        nGC_126)*coupl(nGC_62)*coupl(nGC_82) - 4d0*Nc*cima*    &
                        coupl(nGC_124)*coupl(nGC_126)*coupl(nGC_62)*coupl(     &
                        nGC_83) + 5d0*Nc*cima*coupl(nGC_127)*coupl(nGC_128)*   &
                        coupl(nGC_62)*coupl(nGC_79) - 4d0*Nc*cima*coupl(nGC_127&
                        )*coupl(nGC_128)*coupl(nGC_62)*coupl(nGC_82) - 4d0*Nc* &
                        cima*coupl(nGC_127)*coupl(nGC_128)*coupl(nGC_62)*coupl(&
                        nGC_83) + 5d0*Nc*cima*coupl(nGC_130)*coupl(nGC_132)*   &
                        coupl(nGC_62)*coupl(nGC_78) - 4d0*Nc*cima*coupl(nGC_130&
                        )*coupl(nGC_132)*coupl(nGC_62)*coupl(nGC_82) - 4d0*Nc* &
                        cima*coupl(nGC_130)*coupl(nGC_132)*coupl(nGC_62)*coupl(&
                        nGC_83) + 5d0*Nc*cima*coupl(nGC_139)*coupl(nGC_141)*   &
                        coupl(nGC_62)*coupl(nGC_78) - 4d0*Nc*cima*coupl(nGC_139&
                        )*coupl(nGC_141)*coupl(nGC_62)*coupl(nGC_82) - 4d0*Nc* &
                        cima*coupl(nGC_139)*coupl(nGC_141)*coupl(nGC_62)*coupl(&
                        nGC_83) + 5d0*Nc*cima*coupl(nGC_142)*coupl(nGC_143)*   &
                        coupl(nGC_62)*coupl(nGC_79) - 4d0*Nc*cima*coupl(nGC_142&
                        )*coupl(nGC_143)*coupl(nGC_62)*coupl(nGC_82) - 4d0*Nc* &
                        cima*coupl(nGC_142)*coupl(nGC_143)*coupl(nGC_62)*coupl(&
                        nGC_83) + 5d0*Nc*cima*coupl(nGC_148)*coupl(nGC_149)*   &
                        coupl(nGC_62)*coupl(nGC_79) - 4d0*Nc*cima*coupl(nGC_148&
                        )*coupl(nGC_149)*coupl(nGC_62)*coupl(nGC_82) - 4d0*Nc* &
                        cima*coupl(nGC_148)*coupl(nGC_149)*coupl(nGC_62)*coupl(&
                        nGC_83) + 5d0*cima*coupl(nGC_133)*coupl(nGC_135)*coupl(&
                        nGC_62)*coupl(nGC_80) - 4d0*cima*coupl(nGC_133)*coupl( &
                        nGC_135)*coupl(nGC_62)*coupl(nGC_85) - 4d0*cima*coupl( &
                        nGC_133)*coupl(nGC_135)*coupl(nGC_62)*coupl(nGC_86) +  &
                        5d0*cima*coupl(nGC_136)*coupl(nGC_138)*coupl(nGC_62)*  &
                        coupl(nGC_80) - 4d0*cima*coupl(nGC_136)*coupl(nGC_138)*&
                        coupl(nGC_62)*coupl(nGC_85) - 4d0*cima*coupl(nGC_136)* &
                        coupl(nGC_138)*coupl(nGC_62)*coupl(nGC_86) + 6d0*cima* &
                        coupl(nGC_14)*coupl(nGC_55) + 5d0*cima*coupl(nGC_145)* &
                        coupl(nGC_147)*coupl(nGC_62)*coupl(nGC_80) - 4d0*cima* &
                        coupl(nGC_145)*coupl(nGC_147)*coupl(nGC_62)*coupl(     &
                        nGC_85) - 4d0*cima*coupl(nGC_145)*coupl(nGC_147)*coupl(&
                        nGC_62)*coupl(nGC_86) + 6d0*cima*coupl(nGC_426)*coupl( &
                        nGC_69) + 6d0*coupl(nGC_14)*coupl(nGC_63)*coupl(nGC_64 &
                        ) + 6d0*coupl(nGC_4)*coupl(nGC_64)*coupl(nGC_69))/(48d0&
                        *pi**2d0)
      coupl(nGC_9589) = (Nc*cima*coupl(nGC_1)*coupl(nGC_78)**3d0 + Nc*cima*    &
                        coupl(nGC_1)*coupl(nGC_82)**3d0 + Nc*cima*coupl(nGC_2)*&
                        coupl(nGC_79)**3d0 + Nc*cima*coupl(nGC_2)*coupl(nGC_83 &
                        )**3d0 - 2d0*cima*coupl(nGC_3)*coupl(nGC_64)**3d0 - 2d0&
                        *cima*coupl(nGC_330)*coupl(nGC_674)**3d0 + cima*coupl( &
                        nGC_4)*coupl(nGC_80)**3d0 + cima*coupl(nGC_4)*coupl(   &
                        nGC_85)**3d0 + cima*coupl(nGC_56)*coupl(nGC_77) + coupl&
                        (nGC_3)*coupl(nGC_56)*coupl(nGC_64) + coupl(nGC_330)*  &
                        coupl(nGC_56)*coupl(nGC_674) + coupl(nGC_64)**2d0*coupl&
                        (nGC_77) + coupl(nGC_674)**2d0*coupl(nGC_77))/(8d0*pi**&
                        2d0)
      coupl(nGC_9580) = cima*(5d0*Nc*coupl(nGC_124)**4d0 + 5d0*Nc*coupl(nGC_127&
                        )**4d0 + 5d0*Nc*coupl(nGC_130)**4d0 + 5d0*Nc*coupl(    &
                        nGC_139)**4d0 + 5d0*Nc*coupl(nGC_142)**4d0 + 5d0*Nc*   &
                        coupl(nGC_148)**4d0 + 3d0*coupl(nGC_10)**2d0 + 5d0*    &
                        coupl(nGC_133)**4d0 + 5d0*coupl(nGC_136)**4d0 + 5d0*   &
                        coupl(nGC_145)**4d0 + 6d0*coupl(nGC_47)**2d0 + 6d0*    &
                        coupl(nGC_90)**2d0 + 3d0*coupl(nGC_95)**2d0)/(24d0*pi**&
                        2d0)
      coupl(nGC_9582) = cima*(10d0*Nc*coupl(nGC_124)**2d0*coupl(nGC_126)**2d0  &
                         + 10d0*Nc*coupl(nGC_124)**2d0*coupl(nGC_143)**2d0 +   &
                        20d0*Nc*coupl(nGC_124)*coupl(nGC_126)*coupl(nGC_142)*  &
                        coupl(nGC_143) + 10d0*Nc*coupl(nGC_126)**2d0*coupl(    &
                        nGC_142)**2d0 + 10d0*Nc*coupl(nGC_127)**2d0*coupl(     &
                        nGC_128)**2d0 + 10d0*Nc*coupl(nGC_127)**2d0*coupl(     &
                        nGC_141)**2d0 + 20d0*Nc*coupl(nGC_127)*coupl(nGC_128)* &
                        coupl(nGC_139)*coupl(nGC_141) + 10d0*Nc*coupl(nGC_128  &
                        )**2d0*coupl(nGC_139)**2d0 + 10d0*Nc*coupl(nGC_130)**  &
                        2d0*coupl(nGC_132)**2d0 + 10d0*Nc*coupl(nGC_130)**2d0* &
                        coupl(nGC_149)**2d0 + 20d0*Nc*coupl(nGC_130)*coupl(    &
                        nGC_132)*coupl(nGC_148)*coupl(nGC_149) + 10d0*Nc*coupl(&
                        nGC_132)**2d0*coupl(nGC_148)**2d0 + 10d0*Nc*coupl(     &
                        nGC_139)**2d0*coupl(nGC_141)**2d0 + 10d0*Nc*coupl(     &
                        nGC_142)**2d0*coupl(nGC_143)**2d0 + 10d0*Nc*coupl(     &
                        nGC_148)**2d0*coupl(nGC_149)**2d0 + 10d0*coupl(nGC_133 &
                        )**2d0*coupl(nGC_135)**2d0 + 10d0*coupl(nGC_136)**2d0* &
                        coupl(nGC_138)**2d0 + 12d0*coupl(nGC_14)**2d0 + 10d0*  &
                        coupl(nGC_145)**2d0*coupl(nGC_147)**2d0 + 6d0*coupl(   &
                        nGC_47)**2d0 + 12d0*coupl(nGC_69)**2d0 + 3d0*coupl(    &
                        nGC_95)*coupl(nGC_96))/(48d0*pi**2d0)
      coupl(nGC_9584) = (-4d0*Nc*cima*coupl(nGC_124)**2d0*coupl(nGC_78)**2d0 + &
                        5d0*Nc*cima*coupl(nGC_124)**2d0*coupl(nGC_78)*coupl(   &
                        nGC_83) - 4d0*Nc*cima*coupl(nGC_124)**2d0*coupl(nGC_83 &
                        )**2d0 - 4d0*Nc*cima*coupl(nGC_127)**2d0*coupl(nGC_79  &
                        )**2d0 + 5d0*Nc*cima*coupl(nGC_127)**2d0*coupl(nGC_79)*&
                        coupl(nGC_82) - 4d0*Nc*cima*coupl(nGC_127)**2d0*coupl( &
                        nGC_82)**2d0 - 4d0*Nc*cima*coupl(nGC_130)**2d0*coupl(  &
                        nGC_78)**2d0 + 5d0*Nc*cima*coupl(nGC_130)**2d0*coupl(  &
                        nGC_78)*coupl(nGC_83) - 4d0*Nc*cima*coupl(nGC_130)**2d0&
                        *coupl(nGC_83)**2d0 - 4d0*Nc*cima*coupl(nGC_139)**2d0* &
                        coupl(nGC_78)**2d0 + 5d0*Nc*cima*coupl(nGC_139)**2d0*  &
                        coupl(nGC_78)*coupl(nGC_83) - 4d0*Nc*cima*coupl(nGC_139&
                        )**2d0*coupl(nGC_83)**2d0 - 4d0*Nc*cima*coupl(nGC_142  &
                        )**2d0*coupl(nGC_79)**2d0 + 5d0*Nc*cima*coupl(nGC_142  &
                        )**2d0*coupl(nGC_79)*coupl(nGC_82) - 4d0*Nc*cima*coupl(&
                        nGC_142)**2d0*coupl(nGC_82)**2d0 - 4d0*Nc*cima*coupl(  &
                        nGC_148)**2d0*coupl(nGC_79)**2d0 + 5d0*Nc*cima*coupl(  &
                        nGC_148)**2d0*coupl(nGC_79)*coupl(nGC_82) - 4d0*Nc*cima&
                        *coupl(nGC_148)**2d0*coupl(nGC_82)**2d0 - 4d0*cima*    &
                        coupl(nGC_133)**2d0*coupl(nGC_80)**2d0 + 5d0*cima*coupl&
                        (nGC_133)**2d0*coupl(nGC_80)*coupl(nGC_86) - 4d0*cima* &
                        coupl(nGC_133)**2d0*coupl(nGC_86)**2d0 - 4d0*cima*coupl&
                        (nGC_136)**2d0*coupl(nGC_80)**2d0 + 5d0*cima*coupl(    &
                        nGC_136)**2d0*coupl(nGC_80)*coupl(nGC_86) - 4d0*cima*  &
                        coupl(nGC_136)**2d0*coupl(nGC_86)**2d0 - 4d0*cima*coupl&
                        (nGC_145)**2d0*coupl(nGC_80)**2d0 + 5d0*cima*coupl(    &
                        nGC_145)**2d0*coupl(nGC_80)*coupl(nGC_86) - 4d0*cima*  &
                        coupl(nGC_145)**2d0*coupl(nGC_86)**2d0 + 3d0*cima*coupl&
                        (nGC_47)*coupl(nGC_56) + 3d0*coupl(nGC_47)*coupl(nGC_64&
                        )**2d0 + 3d0*coupl(nGC_47)*coupl(nGC_674)**2d0)/(24d0* &
                        pi**2d0)
      coupl(nGC_9587) = (5d0*Nc*cima*coupl(nGC_124)*coupl(nGC_125)*coupl(nGC_62&
                        )*coupl(nGC_78) - 4d0*Nc*cima*coupl(nGC_124)*coupl(    &
                        nGC_125)*coupl(nGC_62)*coupl(nGC_82) - 4d0*Nc*cima*    &
                        coupl(nGC_124)*coupl(nGC_125)*coupl(nGC_62)*coupl(     &
                        nGC_83) + 5d0*Nc*cima*coupl(nGC_127)*coupl(nGC_62)*    &
                        coupl(nGC_636)*coupl(nGC_79) - 4d0*Nc*cima*coupl(      &
                        nGC_127)*coupl(nGC_62)*coupl(nGC_636)*coupl(nGC_82) -  &
                        4d0*Nc*cima*coupl(nGC_127)*coupl(nGC_62)*coupl(nGC_636 &
                        )*coupl(nGC_83) + 5d0*Nc*cima*coupl(nGC_1274)*coupl(   &
                        nGC_148)*coupl(nGC_62)*coupl(nGC_79) - 4d0*Nc*cima*    &
                        coupl(nGC_1274)*coupl(nGC_148)*coupl(nGC_62)*coupl(    &
                        nGC_82) - 4d0*Nc*cima*coupl(nGC_1274)*coupl(nGC_148)*  &
                        coupl(nGC_62)*coupl(nGC_83) + 5d0*Nc*cima*coupl(nGC_130&
                        )*coupl(nGC_131)*coupl(nGC_62)*coupl(nGC_78) - 4d0*Nc* &
                        cima*coupl(nGC_130)*coupl(nGC_131)*coupl(nGC_62)*coupl(&
                        nGC_82) - 4d0*Nc*cima*coupl(nGC_130)*coupl(nGC_131)*   &
                        coupl(nGC_62)*coupl(nGC_83) + 5d0*Nc*cima*coupl(nGC_139&
                        )*coupl(nGC_140)*coupl(nGC_62)*coupl(nGC_78) - 4d0*Nc* &
                        cima*coupl(nGC_139)*coupl(nGC_140)*coupl(nGC_62)*coupl(&
                        nGC_82) - 4d0*Nc*cima*coupl(nGC_139)*coupl(nGC_140)*   &
                        coupl(nGC_62)*coupl(nGC_83) + 5d0*Nc*cima*coupl(nGC_142&
                        )*coupl(nGC_4572)*coupl(nGC_62)*coupl(nGC_79) - 4d0*Nc*&
                        cima*coupl(nGC_142)*coupl(nGC_4572)*coupl(nGC_62)*coupl&
                        (nGC_82) - 4d0*Nc*cima*coupl(nGC_142)*coupl(nGC_4572)* &
                        coupl(nGC_62)*coupl(nGC_83) + 6d0*cima*coupl(nGC_13)*  &
                        coupl(nGC_55) + 5d0*cima*coupl(nGC_133)*coupl(nGC_134)*&
                        coupl(nGC_62)*coupl(nGC_80) - 4d0*cima*coupl(nGC_133)* &
                        coupl(nGC_134)*coupl(nGC_62)*coupl(nGC_85) - 4d0*cima* &
                        coupl(nGC_133)*coupl(nGC_134)*coupl(nGC_62)*coupl(     &
                        nGC_86) + 5d0*cima*coupl(nGC_136)*coupl(nGC_137)*coupl(&
                        nGC_62)*coupl(nGC_80) - 4d0*cima*coupl(nGC_136)*coupl( &
                        nGC_137)*coupl(nGC_62)*coupl(nGC_85) - 4d0*cima*coupl( &
                        nGC_136)*coupl(nGC_137)*coupl(nGC_62)*coupl(nGC_86) +  &
                        5d0*cima*coupl(nGC_145)*coupl(nGC_146)*coupl(nGC_62)*  &
                        coupl(nGC_80) - 4d0*cima*coupl(nGC_145)*coupl(nGC_146)*&
                        coupl(nGC_62)*coupl(nGC_85) - 4d0*cima*coupl(nGC_145)* &
                        coupl(nGC_146)*coupl(nGC_62)*coupl(nGC_86) + 6d0*cima* &
                        coupl(nGC_426)*coupl(nGC_68) + 6d0*coupl(nGC_13)*coupl(&
                        nGC_63)*coupl(nGC_64) + 6d0*coupl(nGC_4)*coupl(nGC_64)*&
                        coupl(nGC_68))/(48d0*pi**2d0)
      coupl(nGC_9399) = (coupl(nGC_1)*coupl(nGC_124)**2d0 + 4d0*coupl(nGC_1)*  &
                        coupl(nGC_62)**2d0 + coupl(nGC_143)**2d0*coupl(nGC_2   &
                        ) + coupl(nGC_144)*coupl(nGC_2)*coupl(nGC_4572) + 4d0* &
                        coupl(nGC_2)**3d0 + 4d0*coupl(nGC_2)*coupl(nGC_83)**2d0&
                         + 2d0*coupl(nGC_3)*coupl(nGC_62)**2d0)/(32d0*pi**2d0)
      coupl(nGC_15465) = coupl(nGC_5)*dZA_QED2/2d0 + coupl(nGC_66)*dZZA_QED2/  &
                         2d0 + coupl(nGC_9653)
      coupl(nGC_16246) = coupl(nGC_4)*dZAZ_QED2/2d0 + coupl(nGC_80)*dZZ_QED2/  &
                         2d0 + coupl(nGC_80)*dZtauMinusR_QED2 + coupl(nGC_9744)
      coupl(nGC_20017) = 3d0*coupl(nGC_18)*dZg_QCD2/2d0 + coupl(nGC_9658)
      coupl(nGC_9632) = coupl(nGC_9092)*dZee_QED2 + coupl(nGC_9093)*dsw_QED2 + &
                        coupl(nGC_9094)*dcw_QED2
      coupl(nGC_9636) = coupl(nGC_9098)*dZee_QED2 + coupl(nGC_9099)*dsw_QED2 + &
                        coupl(nGC_9100)*dcw_QED2
      coupl(nGC_9637) = coupl(nGC_9314)*dZee_QED2 + coupl(nGC_9315)*dcw_QED2
      coupl(nGC_9634) = coupl(nGC_9303)*dZee_QED2 + coupl(nGC_9304)*dcw_QED2
      coupl(nGC_9635) = coupl(nGC_9300)*dZee_QED2
      coupl(nGC_14604) = coupl(nGC_126)*dZbL_QCD2/2d0 + coupl(nGC_126)*        &
                         dZbR_QCD2/2d0 + coupl(nGC_9684)
      coupl(nGC_9638) = coupl(nGC_9067)*dlam_QED4
      coupl(nGC_9639) = coupl(nGC_9066)*dlam_QED4
      coupl(nGC_14603) = coupl(nGC_126)*dZH_QED2/2d0 + coupl(nGC_126)*dZbL_QED2&
                         /2d0 + coupl(nGC_126)*dZbR_QED2/2d0 + coupl(nGC_9683)
      coupl(nGC_17255) = coupl(nGC_141)*dZH_QED2/2d0 + coupl(nGC_141)*dZsL_QED2&
                         /2d0 + coupl(nGC_141)*dZsR_QED2/2d0 + coupl(nGC_9681)
      coupl(nGC_9739) = coupl(nGC_9261)*dZee_QED2 + coupl(nGC_9262)*dsw_QED2 + &
                        coupl(nGC_9263)*dcw_QED2
      coupl(nGC_9738) = coupl(nGC_9308)*dZee_QED2 + coupl(nGC_9309)*dsw_QED2
      coupl(nGC_15265) = coupl(nGC_127)*dZcR_QCD2/2d0 + coupl(nGC_127)*        &
                         dZsL_QCD2/2d0 + coupl(nGC_9668)
      coupl(nGC_15264) = coupl(nGC_139)*dZcL_QCD2/2d0 + coupl(nGC_139)*        &
                         dZsR_QCD2/2d0 + coupl(nGC_9666)
      coupl(nGC_9732) = coupl(nGC_9290)*dsw_QED2 + coupl(nGC_9291)*dZee_QED2 + &
                        coupl(nGC_9292)*dcw_QED2 + coupl(nGC_9293)*dvev_QED1
      coupl(nGC_9731) = coupl(nGC_9237)*dZee_QED2 + coupl(nGC_9238)*dsw_QED2 + &
                        coupl(nGC_9239)*dcw_QED2
      coupl(nGC_9736) = coupl(nGC_9267)*dZee_QED2
      coupl(nGC_9734) = coupl(nGC_9255)*dZee_QED2 + coupl(nGC_9256)*dsw_QED2 + &
                        coupl(nGC_9257)*dcw_QED2
      coupl(nGC_14024) = coupl(nGC_86)*dZZA_QED2/2d0
      coupl(nGC_14023) = coupl(nGC_46)*dZH_QED2 + coupl(nGC_9641)
      coupl(nGC_14028) = coupl(nGC_10)*dZA_QED2 + coupl(nGC_76)*dZZA_QED2 +    &
                         coupl(nGC_9652)
      coupl(nGC_14184) = coupl(nGC_47)*dZH_QED2 + coupl(nGC_47)*dZWMinus_QED2  &
                          + coupl(nGC_9715)
      coupl(nGC_9647) = coupl(nGC_9280)*dsw_QED2 + coupl(nGC_9281)*dZee_QED2 + &
                        coupl(nGC_9282)*dcw_QED2 + coupl(nGC_9283)*dvev_QED1
      coupl(nGC_9646) = coupl(nGC_9124)*dZee_QED2 + coupl(nGC_9125)*dcw_QED2 + &
                        coupl(nGC_9126)*dvev_QED1
    end subroutine fill_CTcouplings_mdl2
end module fill_ctcouplings2
