!******************************************************************************!
!                                                                              !
!    fill_ctcouplings4.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings4.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-08-13 22:58             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings4
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl4()
      coupl(nGC_15757) = coupl(nGC_81)*dZH_QED2/2d0 + coupl(nGC_81)*dZZ_QED2/  &
                         2d0 + coupl(nGC_9724)
      coupl(nGC_9522) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_82) + coupl(nGC_127)**&
                        2d0*coupl(nGC_79) + coupl(nGC_140)*coupl(nGC_746)*coupl&
                        (nGC_78) + coupl(nGC_141)**2d0*coupl(nGC_78) + 2d0*    &
                        coupl(nGC_62)**2d0*coupl(nGC_674) + 4d0*coupl(nGC_62)**&
                        2d0*coupl(nGC_83) + 4d0*coupl(nGC_82)**3d0)/(32d0*pi** &
                        2d0)
      coupl(nGC_9523) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_78) + coupl(nGC_139)**&
                        2d0*coupl(nGC_83) + coupl(nGC_140)*coupl(nGC_746)*coupl&
                        (nGC_82) + coupl(nGC_141)**2d0*coupl(nGC_82) + 4d0*    &
                        coupl(nGC_78)**3d0)/(32d0*pi**2d0)
      coupl(nGC_9409) = (Nc*cMB*coupl(nGC_124)*coupl(nGC_62)*coupl(nGC_78) - Nc&
                        *cMB*coupl(nGC_124)*coupl(nGC_62)*coupl(nGC_82) - Nc*  &
                        cMB*coupl(nGC_124)*coupl(nGC_62)*coupl(nGC_83) + Nc*cMC&
                        *coupl(nGC_127)*coupl(nGC_62)*coupl(nGC_79) - Nc*cMC*  &
                        coupl(nGC_127)*coupl(nGC_62)*coupl(nGC_82) - Nc*cMC*   &
                        coupl(nGC_127)*coupl(nGC_62)*coupl(nGC_83) + Nc*cMD*   &
                        coupl(nGC_130)*coupl(nGC_62)*coupl(nGC_78) - Nc*cMD*   &
                        coupl(nGC_130)*coupl(nGC_62)*coupl(nGC_82) - Nc*cMD*   &
                        coupl(nGC_130)*coupl(nGC_62)*coupl(nGC_83) + Nc*cMS*   &
                        coupl(nGC_139)*coupl(nGC_62)*coupl(nGC_78) - Nc*cMS*   &
                        coupl(nGC_139)*coupl(nGC_62)*coupl(nGC_82) - Nc*cMS*   &
                        coupl(nGC_139)*coupl(nGC_62)*coupl(nGC_83) + Nc*cMT*   &
                        coupl(nGC_142)*coupl(nGC_62)*coupl(nGC_79) - Nc*cMT*   &
                        coupl(nGC_142)*coupl(nGC_62)*coupl(nGC_82) - Nc*cMT*   &
                        coupl(nGC_142)*coupl(nGC_62)*coupl(nGC_83) + Nc*cMU*   &
                        coupl(nGC_148)*coupl(nGC_62)*coupl(nGC_79) - Nc*cMU*   &
                        coupl(nGC_148)*coupl(nGC_62)*coupl(nGC_82) - Nc*cMU*   &
                        coupl(nGC_148)*coupl(nGC_62)*coupl(nGC_83) + cME*coupl(&
                        nGC_133)*coupl(nGC_62)*coupl(nGC_80) - cME*coupl(      &
                        nGC_133)*coupl(nGC_62)*coupl(nGC_85) - cME*coupl(      &
                        nGC_133)*coupl(nGC_62)*coupl(nGC_86) + cMM*coupl(      &
                        nGC_136)*coupl(nGC_62)*coupl(nGC_80) - cMM*coupl(      &
                        nGC_136)*coupl(nGC_62)*coupl(nGC_85) - cMM*coupl(      &
                        nGC_136)*coupl(nGC_62)*coupl(nGC_86) + cMTA*coupl(     &
                        nGC_145)*coupl(nGC_62)*coupl(nGC_80) - cMTA*coupl(     &
                        nGC_145)*coupl(nGC_62)*coupl(nGC_85) - cMTA*coupl(     &
                        nGC_145)*coupl(nGC_62)*coupl(nGC_86) + 2d0*cima*coupl( &
                        nGC_110)*coupl(nGC_426) + 2d0*cima*coupl(nGC_55)*coupl(&
                        nGC_99) + 2d0*coupl(nGC_110)*coupl(nGC_4)*coupl(nGC_64 &
                        ) + 2d0*coupl(nGC_63)*coupl(nGC_64)*coupl(nGC_99))/(   &
                        16d0*pi**2d0)
      coupl(nGC_9401) = coupl(nGC_4)*(coupl(nGC_146)*coupl(nGC_484) + coupl(   &
                        nGC_147)**2d0 + 4d0*coupl(nGC_4)**2d0 + 4d0*coupl(     &
                        nGC_80)**2d0)/(32d0*pi**2d0)
      coupl(nGC_9400) = (coupl(nGC_1)*coupl(nGC_142)**2d0 + coupl(nGC_143)**2d0&
                        *coupl(nGC_2) + coupl(nGC_144)*coupl(nGC_2)*coupl(     &
                        nGC_4572) + 4d0*coupl(nGC_2)**3d0 + 4d0*coupl(nGC_2)*  &
                        coupl(nGC_79)**2d0)/(32d0*pi**2d0)
      coupl(nGC_9402) = (coupl(nGC_146)*coupl(nGC_4)*coupl(nGC_484) + coupl(   &
                        nGC_147)**2d0*coupl(nGC_4) - 2d0*coupl(nGC_3)*coupl(   &
                        nGC_62)**2d0 + 4d0*coupl(nGC_4)**3d0 + 4d0*coupl(nGC_4 &
                        )*coupl(nGC_85)**2d0)/(32d0*pi**2d0)
      coupl(nGC_9406) = coupl(nGC_62)*(-Nc*coupl(nGC_124)*coupl(nGC_125) + Nc* &
                        coupl(nGC_127)*coupl(nGC_636) + Nc*coupl(nGC_1274)*    &
                        coupl(nGC_148) - Nc*coupl(nGC_130)*coupl(nGC_131) - Nc*&
                        coupl(nGC_139)*coupl(nGC_140) + Nc*coupl(nGC_142)*coupl&
                        (nGC_4572) - coupl(nGC_133)*coupl(nGC_134) - coupl(    &
                        nGC_136)*coupl(nGC_137) - coupl(nGC_145)*coupl(nGC_146 &
                        ))/(24d0*pi**2d0)
      coupl(nGC_17575) = -coupl(nGC_3)*dZAZ_QED2/2d0 - coupl(nGC_64)*          &
                         dZWMinus_QED2 - coupl(nGC_64)*dZZ_QED2/2d0 - coupl(   &
                         nGC_9721)
      coupl(nGC_16393) = coupl(nGC_4)*dZAZ_QED2/2d0 + coupl(nGC_85)*dZZ_QED2/  &
                         2d0 + coupl(nGC_85)*dZmuMinusL_QED2 + coupl(nGC_9725)
      coupl(nGC_15069) = coupl(nGC_122)*dZH_QED2/2d0 + coupl(nGC_9647)
      coupl(nGC_21520) = -coupl(nGC_9406)
      coupl(nGC_21435) = -coupl(nGC_9425)
      coupl(nGC_21310) = -coupl(nGC_9497)
      coupl(nGC_21306) = -coupl(nGC_9435)
    end subroutine fill_CTcouplings_mdl4
end module fill_ctcouplings4
