!******************************************************************************!
!                                                                              !
!    vertices_info7.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info7.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-08-13 22:58             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info7
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl7()
      allocate(vertices(1505)%branchCT(0:0))
      call avCT(1505, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_14280])

      allocate(vertices(1506)%branchCT(0:0))
      call avCT(1506, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_14522])

      allocate(vertices(1507)%branchCT(0:0))
      call avCT(1507, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_14017])

      allocate(vertices(2137)%branchCT(0:0))
      call avCT(2137, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_14017])

      allocate(vertices(2140)%branchCT(0:0))
      call avCT(2140, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_15913])

      allocate(vertices(1510)%branchCT(0:0))
      call avCT(1510, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_14032])

      allocate(vertices(1511)%branchCT(0:0))
      call avCT(1511, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_13961])

      allocate(vertices(2171)%branchCT(0:0))
      call avCT(2171, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_14017])

      allocate(vertices(1514)%branchCT(0:0))
      call avCT(1514, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14032])

      allocate(vertices(1515)%branchCT(0:0))
      call avCT(1515, 0, 1, 1, 0, VFaF0, 0, [0, 3], [nGC_15057, nGC_15058])

      allocate(vertices(2685)%branchCT(0:0))
      call avCT(2685, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_13987])

      allocate(vertices(1518)%branchCT(0:0))
      call avCT(1518, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_13973])

      allocate(vertices(1520)%branchCT(0:0))
      call avCT(1520, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_9634])

      allocate(vertices(1522)%branchCT(0:0))
      call avCT(1522, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_14020])

      allocate(vertices(1523)%branchCT(0:0))
      call avCT(1523, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14663])

      allocate(vertices(1524)%branchCT(0:0))
      call avCT(1524, 0, 1, 1, 0, UUaS0, 0, [0, 3], [nGC_9651])

      allocate(vertices(1525)%branchCT(0:0))
      call avCT(1525, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_14522])

      allocate(vertices(1526)%branchCT(0:0))
      call avCT(1526, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_13994])

      allocate(vertices(2254)%branchCT(0:0))
      call avCT(2254, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_14794])

      allocate(vertices(1532)%branchCT(0:0))
      call avCT(1532, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_9633])

      allocate(vertices(3860)%branchCT(0:0))
      call avCT(3860, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14308])

      allocate(vertices(1534)%branchCT(0:0))
      call avCT(1534, 0, 1, 1, 0, VFFa0, 0, [0, 3], [nGC_14540])

      allocate(vertices(1535)%branchCT(0:0))
      call avCT(1535, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14663])

      allocate(vertices(2303)%branchCT(0:0))
      call avCT(2303, 0, 1, 1, 0, SFaF2, 0, [0, 3], [nGC_15994])

      allocate(vertices(1537)%branchCT(0:0))
      call avCT(1537, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_14032])

      allocate(vertices(807)%branchCT(0:0))
      call avCT(807, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_13994])

      allocate(vertices(1542)%branchCT(0:0))
      call avCT(1542, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_13987])

      allocate(vertices(1545)%branchCT(0:0))
      call avCT(1545, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_9642])

      allocate(vertices(2385)%branchCT(0:0))
      call avCT(2385, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_9641])

      allocate(vertices(1549)%branchCT(0:0))
      call avCT(1549, 0, 1, 1, 0, USUa0, 0, [0, 3], [nGC_9651])

      allocate(vertices(1553)%branchCT(0:0))
      call avCT(1553, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_14017])

      allocate(vertices(1554)%branchCT(0:0))
      call avCT(1554, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_14119, nGC_14120])

      allocate(vertices(1555)%branchCT(0:0))
      call avCT(1555, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_13968])

      allocate(vertices(1556)%branchCT(0:3))
      call avCT(1556, 0, 91, 7, 0, FaVF0, 0, [1, 2], [nGC_14575, nGC_14577])

      call avCT(1556, 1, 91, 7, 0, FaVF0, 0, [3, 0], [nGC_14579, nGC_14580])

      call avCT(1556, 2, 90, 6, 0, FaVF0, 0, [1, 2], [nGC_14575, nGC_14577])

      call avCT(1556, 3, 90, 6, 0, FaVF0, 0, [3, 0], [nGC_14579, nGC_14580])

      allocate(vertices(1559)%branchCT(0:0))
      call avCT(1559, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_14032])

      allocate(vertices(1560)%branchCT(0:0))
      call avCT(1560, 0, 1, 1, 0, VUaU0, 0, [0, 3], [nGC_15465])

      allocate(vertices(1561)%branchCT(0:0))
      call avCT(1561, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_14032])

      allocate(vertices(1563)%branchCT(0:0))
      call avCT(1563, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_14017])

      allocate(vertices(1564)%branchCT(0:0))
      call avCT(1564, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_14130])

      allocate(vertices(1565)%branchCT(0:0))
      call avCT(1565, 0, 1, 1, 0, USUa0, 0, [0, 3], [nGC_9646])

      allocate(vertices(1566)%branchCT(0:0))
      call avCT(1566, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_14152])

      allocate(vertices(1567)%branchCT(0:0))
      call avCT(1567, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_14020])

      allocate(vertices(2366)%branchCT(0:0))
      call avCT(2366, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14152])

      allocate(vertices(1065)%branchCT(0:0))
      call avCT(1065, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_13994])

      allocate(vertices(1571)%branchCT(0:1))
      call avCT(1571, 0, 84, 1, 0, SFFa0, 0, [2, 1], [nGC_14237, nGC_14238])

      call avCT(1571, 1, 84, 1, 0, SFFa0, 0, [0, 3], [nGC_14239, nGC_14240])

      allocate(vertices(1574)%branchCT(0:1))
      call avCT(1574, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_17255, nGC_17255])

      call avCT(1574, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_17256, nGC_17256])

      allocate(vertices(1577)%branchCT(0:0))
      call avCT(1577, 0, 1, 1, 0, FFaV0, 0, [0, 3], [nGC_17259])

      allocate(vertices(2593)%branchCT(0:0))
      call avCT(2593, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_9643])

      allocate(vertices(1581)%branchCT(0:0))
      call avCT(1581, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_14020])

      allocate(vertices(1582)%branchCT(0:1))
      call avCT(1582, 0, 86, 1, 0, FSFa0, 0, [0, 3], [nGC_15309, nGC_15309])

      call avCT(1582, 1, 86, 1, 0, FSFa0, 0, [2, 1], [nGC_15310, nGC_15310])

      allocate(vertices(2699)%branchCT(0:0))
      call avCT(2699, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_14032])

      allocate(vertices(1586)%branchCT(0:0))
      call avCT(1586, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_13973])

      allocate(vertices(2700)%branchCT(0:0))
      call avCT(2700, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_15157])

      allocate(vertices(1588)%branchCT(0:0))
      call avCT(1588, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_13961])

      allocate(vertices(1589)%branchCT(0:0))
      call avCT(1589, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_13976])

      allocate(vertices(1424)%branchCT(0:0))
      call avCT(1424, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_14032])

      allocate(vertices(1592)%branchCT(0:0))
      call avCT(1592, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14137])

      allocate(vertices(1593)%branchCT(0:0))
      call avCT(1593, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_9644])

      allocate(vertices(1594)%branchCT(0:0))
      call avCT(1594, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_13983, nGC_13983,     &
      nGC_13982])

      allocate(vertices(3861)%branchCT(0:1))
      call avCT(3861, 0, 14, 1, 0, FFa0, 0, [0, 2], [nGC_16163, nGC_16159,     &
      nGC_16165, nGC_16165])

      call avCT(3861, 1, 14, 1, 0, FFa0, 0, [2, 0], [nGC_16164, nGC_16160,     &
      nGC_16166, nGC_16166])

      allocate(vertices(2230)%branchCT(0:0))
      call avCT(2230, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14253])

      allocate(vertices(1596)%branchCT(0:0))
      call avCT(1596, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_13987])

      allocate(vertices(675)%branchCT(0:0))
      call avCT(675, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_13961])

      allocate(vertices(1601)%branchCT(0:0))
      call avCT(1601, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_9642])

      allocate(vertices(1612)%branchCT(0:0))
      call avCT(1612, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_14053])

      allocate(vertices(1614)%branchCT(0:0))
      call avCT(1614, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_9634])

      allocate(vertices(2850)%branchCT(0:0))
      call avCT(2850, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_13994])

      allocate(vertices(1617)%branchCT(0:0))
      call avCT(1617, 0, 1, 1, 0, UaVU0, 0, [0, 3], [nGC_15334])

      allocate(vertices(1618)%branchCT(0:0))
      call avCT(1618, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_16741])

      allocate(vertices(1619)%branchCT(0:0))
      call avCT(1619, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14663])

      allocate(vertices(1620)%branchCT(0:0))
      call avCT(1620, 0, 1, 1, 0, FSFa0, 0, [0, 3], [nGC_14959, nGC_14960])

      allocate(vertices(1621)%branchCT(0:0))
      call avCT(1621, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_14130])

      allocate(vertices(1623)%branchCT(0:0))
      call avCT(1623, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_14020])

      allocate(vertices(1624)%branchCT(0:0))
      call avCT(1624, 0, 1, 1, 0, VFFa1, 0, [0, 3], [nGC_14119, nGC_14120])

      allocate(vertices(1627)%branchCT(0:0))
      call avCT(1627, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_14522])

      allocate(vertices(1628)%branchCT(0:0))
      call avCT(1628, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14130])

      allocate(vertices(1629)%branchCT(0:0))
      call avCT(1629, 0, 1, 1, 0, UaUS0, 0, [0, 3], [nGC_9646])

      allocate(vertices(1630)%branchCT(0:0))
      call avCT(1630, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_9635])

      allocate(vertices(1631)%branchCT(0:0))
      call avCT(1631, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_16741])

      allocate(vertices(2981)%branchCT(0:0))
      call avCT(2981, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_9643])

      allocate(vertices(1635)%branchCT(0:0))
      call avCT(1635, 0, 1, 1, 0, SUaU0, 0, [0, 3], [nGC_9651])

      allocate(vertices(1637)%branchCT(0:0))
      call avCT(1637, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_13983, nGC_13983,     &
      nGC_13982])

      allocate(vertices(1638)%branchCT(0:0))
      call avCT(1638, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_14619])

      allocate(vertices(1641)%branchCT(0:0))
      call avCT(1641, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_13994])

      allocate(vertices(1642)%branchCT(0:1))
      call avCT(1642, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_17374, nGC_17375])

      call avCT(1642, 1, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_17373, nGC_17369])

      allocate(vertices(1644)%branchCT(0:0))
      call avCT(1644, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_14794])

      allocate(vertices(492)%branchCT(0:0))
      call avCT(492, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14130])

      allocate(vertices(1648)%branchCT(0:0))
      call avCT(1648, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_9642])

      allocate(vertices(1959)%branchCT(0:0))
      call avCT(1959, 0, 1, 1, 0, VFaF0, 0, [0, 3], [nGC_16246, nGC_16247])

      allocate(vertices(1651)%branchCT(0:0))
      call avCT(1651, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_14663])

      allocate(vertices(1652)%branchCT(0:1))
      call avCT(1652, 0, 86, 1, 0, FVFa0, 0, [0, 3], [nGC_14697, nGC_14698])

      call avCT(1652, 1, 86, 1, 0, FVFa0, 0, [2, 1], [nGC_14690, nGC_14693])

      allocate(vertices(1653)%branchCT(0:0))
      call avCT(1653, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_9636])

      allocate(vertices(1655)%branchCT(0:0))
      call avCT(1655, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_14032])

      allocate(vertices(2644)%branchCT(0:0))
      call avCT(2644, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_14032])

      allocate(vertices(2246)%branchCT(0:0))
      call avCT(2246, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_9643])

      allocate(vertices(1659)%branchCT(0:1))
      call avCT(1659, 0, 84, 1, 0, VFFa1, 0, [2, 1], [nGC_15374, nGC_15369])

      call avCT(1659, 1, 84, 1, 0, VFFa1, 0, [0, 3], [nGC_15376, nGC_15377])

      allocate(vertices(1662)%branchCT(0:0))
      call avCT(1662, 0, 1, 1, 0, UUaV1, 0, [0, 3], [nGC_14513])

      allocate(vertices(2771)%branchCT(0:1))
      call avCT(2771, 0, 102, 5, 0, UaVU0, 0, [3, 0], [nGC_15250])

      call avCT(2771, 1, 103, 4, 0, UaVU0, 0, [3, 0], [nGC_15250])

      allocate(vertices(3133)%branchCT(0:0))
      call avCT(3133, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_13987])

      allocate(vertices(1669)%branchCT(0:0))
      call avCT(1669, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_13961])

      allocate(vertices(1671)%branchCT(0:0))
      call avCT(1671, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14152])

      allocate(vertices(1672)%branchCT(0:1))
      call avCT(1672, 0, 84, 1, 0, VFFa1, 0, [0, 3], [nGC_17374, nGC_17375])

      call avCT(1672, 1, 84, 1, 0, VFFa1, 0, [2, 1], [nGC_17373, nGC_17369])

      allocate(vertices(3286)%branchCT(0:0))
      call avCT(3286, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_9636])

      allocate(vertices(1676)%branchCT(0:0))
      call avCT(1676, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_14032])

      allocate(vertices(1678)%branchCT(0:0))
      call avCT(1678, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14036])

      allocate(vertices(588)%branchCT(0:0))
      call avCT(588, 0, 1, 1, 0, FaFV0, 0, [0, 3], [nGC_14402])

      allocate(vertices(1680)%branchCT(0:0))
      call avCT(1680, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_9636])

      allocate(vertices(1548)%branchCT(0:0))
      call avCT(1548, 0, 1, 1, 0, UUaS0, 0, [0, 3], [nGC_9651])

      allocate(vertices(1682)%branchCT(0:1))
      call avCT(1682, 0, 83, 1, 0, FaFV0, 0, [0, 3], [nGC_14328])

      call avCT(1682, 1, 83, 1, 0, FaFV0, 0, [2, 1], [nGC_14327])

      allocate(vertices(1689)%branchCT(0:1))
      call avCT(1689, 0, 87, 1, 0, FaSF0, 0, [2, 1], [nGC_15151, nGC_15152])

      call avCT(1689, 1, 87, 1, 0, FaSF0, 0, [0, 3], [nGC_15153, nGC_15154])

      allocate(vertices(1763)%branchCT(0:0))
      call avCT(1763, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14280])

      allocate(vertices(1691)%branchCT(0:0))
      call avCT(1691, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_14130])

      allocate(vertices(1693)%branchCT(0:0))
      call avCT(1693, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_14253])

      allocate(vertices(1694)%branchCT(0:0))
      call avCT(1694, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_16341])

      allocate(vertices(2490)%branchCT(0:0))
      call avCT(2490, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_14020])

      allocate(vertices(1697)%branchCT(0:0))
      call avCT(1697, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_14020])

      allocate(vertices(1698)%branchCT(0:0))
      call avCT(1698, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_14017])

      allocate(vertices(1701)%branchCT(0:0))
      call avCT(1701, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_13961])

      allocate(vertices(3406)%branchCT(0:0))
      call avCT(3406, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_9644])

      allocate(vertices(1706)%branchCT(0:0))
      call avCT(1706, 0, 1, 1, 0, FaVF1, 0, [0, 3], [nGC_15981])

      allocate(vertices(1707)%branchCT(0:0))
      call avCT(1707, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_9641])

      allocate(vertices(3862)%branchCT(0:0))
      call avCT(3862, 0, 1, 1, 0, FaFV0, 0, [0, 3], [nGC_14024])

      allocate(vertices(1709)%branchCT(0:0))
      call avCT(1709, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_13968])

      allocate(vertices(3412)%branchCT(0:0))
      call avCT(3412, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_13973])

      allocate(vertices(3863)%branchCT(0:0))
      call avCT(3863, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14308])

      allocate(vertices(1711)%branchCT(0:1))
      call avCT(1711, 0, 87, 1, 0, FaSF0, 0, [0, 3], [nGC_15263, nGC_15262])

      call avCT(1711, 1, 87, 1, 0, FaSF0, 0, [2, 1], [nGC_15265, nGC_15264])

      allocate(vertices(1712)%branchCT(0:0))
      call avCT(1712, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_9641])

      allocate(vertices(1713)%branchCT(0:0))
      call avCT(1713, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_14256])

      allocate(vertices(1955)%branchCT(0:0))
      call avCT(1955, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_9636])

      allocate(vertices(1868)%branchCT(0:0))
      call avCT(1868, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_14017])

      allocate(vertices(1718)%branchCT(0:0))
      call avCT(1718, 0, 1, 1, 0, SUaU0, 0, [0, 3], [nGC_15069])

      allocate(vertices(1293)%branchCT(0:0))
      call avCT(1293, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_14053])

      allocate(vertices(1720)%branchCT(0:0))
      call avCT(1720, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_13987])

      allocate(vertices(1722)%branchCT(0:0))
      call avCT(1722, 0, 1, 1, 0, VUUa1, 0, [0, 3], [nGC_14363])

      allocate(vertices(1725)%branchCT(0:1))
      call avCT(1725, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_16688, nGC_16689])

      call avCT(1725, 1, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_16686, nGC_16683])

      allocate(vertices(1726)%branchCT(0:0))
      call avCT(1726, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_14130])

      allocate(vertices(1727)%branchCT(0:0))
      call avCT(1727, 0, 1, 1, 0, FaVF1, 0, [0, 3], [nGC_14540])

      allocate(vertices(1877)%branchCT(0:0))
      call avCT(1877, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_13961])

      allocate(vertices(1729)%branchCT(0:0))
      call avCT(1729, 0, 1, 1, 0, FFaV0, 0, [0, 3], [nGC_16148])

      allocate(vertices(1730)%branchCT(0:0))
      call avCT(1730, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_13961])

      allocate(vertices(3672)%branchCT(0:0))
      call avCT(3672, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_13987])

      allocate(vertices(3764)%branchCT(0:0))
      call avCT(3764, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_15981])

      allocate(vertices(1736)%branchCT(0:0))
      call avCT(1736, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_15643])

      allocate(vertices(1737)%branchCT(0:0))
      call avCT(1737, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_14017])

      allocate(vertices(1738)%branchCT(0:0))
      call avCT(1738, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_14036])

      allocate(vertices(1739)%branchCT(0:0))
      call avCT(1739, 0, 1, 1, 0, UVUa0, 0, [0, 3], [nGC_16152])

      allocate(vertices(2057)%branchCT(0:0))
      call avCT(2057, 0, 1, 1, 0, FaVF1, 0, [0, 3], [nGC_14402])

      allocate(vertices(1742)%branchCT(0:0))
      call avCT(1742, 0, 1, 1, 0, VFFa0, 0, [0, 3], [nGC_14540])

      allocate(vertices(3757)%branchCT(0:0))
      call avCT(3757, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14152])

      allocate(vertices(1804)%branchCT(0:0))
      call avCT(1804, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_13987])

      allocate(vertices(1746)%branchCT(0:0))
      call avCT(1746, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_9633])

      allocate(vertices(2058)%branchCT(0:0))
      call avCT(2058, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_14023])

      allocate(vertices(1749)%branchCT(0:0))
      call avCT(1749, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_9633])

      allocate(vertices(1752)%branchCT(0:0))
      call avCT(1752, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_13983, nGC_13983,     &
      nGC_13982])

      allocate(vertices(840)%branchCT(0:0))
      call avCT(840, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14063])

      allocate(vertices(1756)%branchCT(0:0))
      call avCT(1756, 0, 1, 1, 0, VVV1, 0, [0, 3], [nGC_17575])

      allocate(vertices(1759)%branchCT(0:0))
      call avCT(1759, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14253])

      allocate(vertices(1304)%branchCT(0:0))
      call avCT(1304, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_14020])

      allocate(vertices(1761)%branchCT(0:1))
      call avCT(1761, 0, 84, 1, 0, VFFa0, 0, [0, 3], [nGC_14328])

      call avCT(1761, 1, 84, 1, 0, VFFa0, 0, [2, 1], [nGC_14327])

      allocate(vertices(3864)%branchCT(0:1))
      call avCT(3864, 0, 124, 1, 0, FaF1, 0, [0, 2], [nGC_16408, nGC_16402,    &
      nGC_16410, nGC_16410])

      call avCT(3864, 1, 124, 1, 0, FaF1, 0, [2, 0], [nGC_16409, nGC_16403,    &
      nGC_16411, nGC_16411])

      allocate(vertices(3724)%branchCT(0:0))
      call avCT(3724, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_13987])

      allocate(vertices(1767)%branchCT(0:0))
      call avCT(1767, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_14032])

      allocate(vertices(2197)%branchCT(0:0))
      call avCT(2197, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_13973])

      allocate(vertices(740)%branchCT(0:0))
      call avCT(740, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_14032])

      allocate(vertices(1770)%branchCT(0:0))
      call avCT(1770, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_9633])

      allocate(vertices(3865)%branchCT(0:1))
      call avCT(3865, 0, 124, 1, 0, FaF1, 0, [0, 2], [nGC_17615, nGC_17611,    &
      nGC_17617, nGC_17617])

      call avCT(3865, 1, 124, 1, 0, FaF1, 0, [2, 0], [nGC_17616, nGC_17612,    &
      nGC_17618, nGC_17618])

      allocate(vertices(103)%branchCT(0:0))
      call avCT(103, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_9644])

      allocate(vertices(2642)%branchCT(0:0))
      call avCT(2642, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_14017])

      allocate(vertices(1774)%branchCT(0:0))
      call avCT(1774, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_9642])

      allocate(vertices(3866)%branchCT(0:0))
      call avCT(3866, 0, 1, 1, 0, VFFa0, 0, [0, 3], [nGC_14024])

      allocate(vertices(1776)%branchCT(0:0))
      call avCT(1776, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14253])

      allocate(vertices(1777)%branchCT(0:0))
      call avCT(1777, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14137])

      allocate(vertices(3102)%branchCT(0:1))
      call avCT(3102, 0, 87, 1, 0, FaSF0, 0, [0, 3], [nGC_17255, nGC_17255])

      call avCT(3102, 1, 87, 1, 0, FaSF0, 0, [2, 1], [nGC_17256, nGC_17256])

      allocate(vertices(138)%branchCT(0:0))
      call avCT(138, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_14020])

      allocate(vertices(1781)%branchCT(0:0))
      call avCT(1781, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14036])

      allocate(vertices(1782)%branchCT(0:1))
      call avCT(1782, 0, 83, 1, 0, FaFV0, 0, [0, 3], [nGC_14644])

      call avCT(1782, 1, 83, 1, 0, FaFV0, 0, [2, 1], [nGC_14643])

      allocate(vertices(57)%branchCT(0:0))
      call avCT(57, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_13976])

      allocate(vertices(1784)%branchCT(0:0))
      call avCT(1784, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_9641])

      allocate(vertices(1785)%branchCT(0:0))
      call avCT(1785, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_14130])

      allocate(vertices(750)%branchCT(0:0))
      call avCT(750, 0, 1, 1, 0, VUUa1, 0, [0, 3], [nGC_14149])

      allocate(vertices(1787)%branchCT(0:0))
      call avCT(1787, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_13968])

      allocate(vertices(1789)%branchCT(0:0))
      call avCT(1789, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_13968])

      allocate(vertices(1790)%branchCT(0:0))
      call avCT(1790, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_14878])

      allocate(vertices(1791)%branchCT(0:0))
      call avCT(1791, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_9632])

      allocate(vertices(1792)%branchCT(0:0))
      call avCT(1792, 0, 1, 1, 0, UUaS0, 0, [0, 3], [nGC_9646])

      allocate(vertices(1793)%branchCT(0:0))
      call avCT(1793, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_14017])

      allocate(vertices(1795)%branchCT(0:0))
      call avCT(1795, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_14522])

      allocate(vertices(1796)%branchCT(0:0))
      call avCT(1796, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14663])

      allocate(vertices(1798)%branchCT(0:0))
      call avCT(1798, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_9636])

      allocate(vertices(1799)%branchCT(0:1))
      call avCT(1799, 0, 84, 1, 0, SFFa0, 0, [0, 3], [nGC_14500, nGC_14499])

      call avCT(1799, 1, 84, 1, 0, SFFa0, 0, [2, 1], [nGC_14502, nGC_14501])

      allocate(vertices(2745)%branchCT(0:0))
      call avCT(2745, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_13994])

      allocate(vertices(3867)%branchCT(0:0))
      call avCT(3867, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14308])

      allocate(vertices(1800)%branchCT(0:0))
      call avCT(1800, 0, 1, 1, 0, SFaF1, 0, [0, 3], [nGC_13998, nGC_13999])

      allocate(vertices(3868)%branchCT(0:0))
      call avCT(3868, 0, 13, 1, 0, FFa0, 0, [0, 2], [nGC_14551, nGC_14549,     &
      nGC_14552, nGC_14552])

      allocate(vertices(1803)%branchCT(0:0))
      call avCT(1803, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_13994])

      allocate(vertices(952)%branchCT(0:1))
      call avCT(952, 0, 100, 5, 0, UUaV1, 0, [3, 0], [nGC_15250])

      call avCT(952, 1, 101, 4, 0, UUaV1, 0, [3, 0], [nGC_15250])

      allocate(vertices(1806)%branchCT(0:0))
      call avCT(1806, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14036])

      allocate(vertices(3401)%branchCT(0:0))
      call avCT(3401, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_9644])

      allocate(vertices(910)%branchCT(0:0))
      call avCT(910, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_13994])

      allocate(vertices(1811)%branchCT(0:0))
      call avCT(1811, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14280])

      allocate(vertices(1812)%branchCT(0:0))
      call avCT(1812, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_9641])

      allocate(vertices(318)%branchCT(0:0))
      call avCT(318, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14253])

      allocate(vertices(328)%branchCT(0:0))
      call avCT(328, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_9634])

      allocate(vertices(1818)%branchCT(0:0))
      call avCT(1818, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_9632])

      allocate(vertices(1821)%branchCT(0:0))
      call avCT(1821, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_9641])

      allocate(vertices(1826)%branchCT(0:0))
      call avCT(1826, 0, 1, 1, 0, UUaV1, 0, [0, 3], [nGC_13990])

      allocate(vertices(3869)%branchCT(0:0))
      call avCT(3869, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14308])

      allocate(vertices(3094)%branchCT(0:0))
      call avCT(3094, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_9641])

      allocate(vertices(1829)%branchCT(0:0))
      call avCT(1829, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_14020])

      allocate(vertices(1132)%branchCT(0:0))
      call avCT(1132, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_15981])

      allocate(vertices(1833)%branchCT(0:0))
      call avCT(1833, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_9644])

      allocate(vertices(1834)%branchCT(0:0))
      call avCT(1834, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_9633])

      allocate(vertices(1836)%branchCT(0:0))
      call avCT(1836, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_14130])

      allocate(vertices(1838)%branchCT(0:0))
      call avCT(1838, 0, 1, 1, 0, FaVF0, 0, [0, 3], [nGC_15057, nGC_15058])

      allocate(vertices(1842)%branchCT(0:0))
      call avCT(1842, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_14032])

      allocate(vertices(1843)%branchCT(0:0))
      call avCT(1843, 0, 1, 1, 0, FFaV0, 0, [0, 3], [nGC_14540])

      allocate(vertices(476)%branchCT(0:0))
      call avCT(476, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_9636])

      allocate(vertices(269)%branchCT(0:0))
      call avCT(269, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_9636])

      allocate(vertices(3221)%branchCT(0:0))
      call avCT(3221, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_14130])

      allocate(vertices(1849)%branchCT(0:0))
      call avCT(1849, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_14063])

      allocate(vertices(1850)%branchCT(0:1))
      call avCT(1850, 0, 83, 1, 0, FaFV1, 0, [0, 3], [nGC_15117, nGC_15118])

      call avCT(1850, 1, 83, 1, 0, FaFV1, 0, [2, 1], [nGC_15110, nGC_15113])

      allocate(vertices(775)%branchCT(0:0))
      call avCT(775, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_14017])

      allocate(vertices(1853)%branchCT(0:0))
      call avCT(1853, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_13968])

      allocate(vertices(1854)%branchCT(0:0))
      call avCT(1854, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_14017])

      allocate(vertices(1855)%branchCT(0:1))
      call avCT(1855, 0, 87, 1, 0, FaVF1, 0, [0, 3], [nGC_14328])

      call avCT(1855, 1, 87, 1, 0, FaVF1, 0, [2, 1], [nGC_14327])

      allocate(vertices(538)%branchCT(0:0))
      call avCT(538, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_13961])

      allocate(vertices(1858)%branchCT(0:0))
      call avCT(1858, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14152])

      allocate(vertices(2440)%branchCT(0:1))
      call avCT(2440, 0, 85, 1, 0, SFaF1, 0, [0, 3], [nGC_14239, nGC_14240])

      call avCT(2440, 1, 85, 1, 0, SFaF1, 0, [2, 1], [nGC_14237, nGC_14238])

      allocate(vertices(2640)%branchCT(0:0))
      call avCT(2640, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_14130])

      allocate(vertices(106)%branchCT(0:0))
      call avCT(106, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_14130])

      allocate(vertices(577)%branchCT(0:0))
      call avCT(577, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_13976])

      allocate(vertices(859)%branchCT(0:0))
      call avCT(859, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_14017])

      allocate(vertices(1871)%branchCT(0:0))
      call avCT(1871, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_9643])

      allocate(vertices(677)%branchCT(0:0))
      call avCT(677, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_14028])

      allocate(vertices(1875)%branchCT(0:0))
      call avCT(1875, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_15643])

      allocate(vertices(654)%branchCT(0:0))
      call avCT(654, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_13973])

      allocate(vertices(1347)%branchCT(0:0))
      call avCT(1347, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_9643])

      allocate(vertices(1880)%branchCT(0:0))
      call avCT(1880, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14036])

      allocate(vertices(688)%branchCT(0:0))
      call avCT(688, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_9641])

      allocate(vertices(1884)%branchCT(0:0))
      call avCT(1884, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_14032])

      allocate(vertices(1361)%branchCT(0:0))
      call avCT(1361, 0, 1, 1, 0, SFFa0, 0, [0, 3], [nGC_14126, nGC_14126])

      allocate(vertices(1886)%branchCT(0:0))
      call avCT(1886, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_13968])

      allocate(vertices(1887)%branchCT(0:0))
      call avCT(1887, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_14017])

      allocate(vertices(1888)%branchCT(0:1))
      call avCT(1888, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_15117, nGC_15118])

      call avCT(1888, 1, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_15110, nGC_15113])

      allocate(vertices(1889)%branchCT(0:0))
      call avCT(1889, 0, 1, 1, 0, UVUa0, 0, [0, 3], [nGC_14149])

      allocate(vertices(3465)%branchCT(0:0))
      call avCT(3465, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_9643])

      allocate(vertices(1891)%branchCT(0:0))
      call avCT(1891, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_16741])

      allocate(vertices(1893)%branchCT(0:0))
      call avCT(1893, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_9643])

      allocate(vertices(3479)%branchCT(0:0))
      call avCT(3479, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_14028])

      allocate(vertices(760)%branchCT(0:0))
      call avCT(760, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14210])

      allocate(vertices(1898)%branchCT(0:0))
      call avCT(1898, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_9634])

      allocate(vertices(1899)%branchCT(0:0))
      call avCT(1899, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14663])

      allocate(vertices(1900)%branchCT(0:0))
      call avCT(1900, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_15315])

      allocate(vertices(796)%branchCT(0:0))
      call avCT(796, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_14152])

      allocate(vertices(1903)%branchCT(0:0))
      call avCT(1903, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_14020])

      allocate(vertices(1904)%branchCT(0:3))
      call avCT(1904, 0, 91, 7, 0, FaVF0, 0, [1, 2], [nGC_14213, nGC_14215])

      call avCT(1904, 1, 91, 7, 0, FaVF0, 0, [3, 0], [nGC_14217, nGC_14218])

      call avCT(1904, 2, 90, 6, 0, FaVF0, 0, [1, 2], [nGC_14213, nGC_14215])

      call avCT(1904, 3, 90, 6, 0, FaVF0, 0, [3, 0], [nGC_14217, nGC_14218])

      allocate(vertices(2604)%branchCT(0:0))
      call avCT(2604, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_14032])

      allocate(vertices(3709)%branchCT(0:0))
      call avCT(3709, 0, 1, 1, 0, FaSF0, 0, [0, 3], [nGC_13998, nGC_13999])

      allocate(vertices(2293)%branchCT(0:0))
      call avCT(2293, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_9643])

      allocate(vertices(956)%branchCT(0:0))
      call avCT(956, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_15241])

      allocate(vertices(1912)%branchCT(0:0))
      call avCT(1912, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_13987])

      allocate(vertices(1913)%branchCT(0:0))
      call avCT(1913, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_9644])

      allocate(vertices(1914)%branchCT(0:0))
      call avCT(1914, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_14256])

      allocate(vertices(1915)%branchCT(0:0))
      call avCT(1915, 0, 1, 1, 0, FaFV0, 0, [0, 3], [nGC_14985])

      allocate(vertices(3317)%branchCT(0:0))
      call avCT(3317, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_9643])

      allocate(vertices(2724)%branchCT(0:0))
      call avCT(2724, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_13987])

      allocate(vertices(2091)%branchCT(0:0))
      call avCT(2091, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_14253])

      allocate(vertices(1922)%branchCT(0:0))
      call avCT(1922, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_14130])

      allocate(vertices(1923)%branchCT(0:0))
      call avCT(1923, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_14130])

      allocate(vertices(3463)%branchCT(0:0))
      call avCT(3463, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_9634])

      allocate(vertices(1925)%branchCT(0:0))
      call avCT(1925, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_14020])

      allocate(vertices(1926)%branchCT(0:1))
      call avCT(1926, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_15309, nGC_15309])

      call avCT(1926, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_15310, nGC_15310])

      allocate(vertices(1928)%branchCT(0:0))
      call avCT(1928, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_14032])

      allocate(vertices(1929)%branchCT(0:3))
      call avCT(1929, 0, 92, 6, 0, FaFV1, 0, [1, 2], [nGC_15629, nGC_15631])

      call avCT(1929, 1, 92, 6, 0, FaFV1, 0, [3, 0], [nGC_15633, nGC_15634])

      call avCT(1929, 2, 93, 7, 0, FaFV1, 0, [1, 2], [nGC_15629, nGC_15631])

      call avCT(1929, 3, 93, 7, 0, FaFV1, 0, [3, 0], [nGC_15633, nGC_15634])

      allocate(vertices(1930)%branchCT(0:0))
      call avCT(1930, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_14522])

      allocate(vertices(1931)%branchCT(0:0))
      call avCT(1931, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_9641])

      allocate(vertices(1986)%branchCT(0:0))
      call avCT(1986, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_9644])

      allocate(vertices(1477)%branchCT(0:0))
      call avCT(1477, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_14028])

      allocate(vertices(1936)%branchCT(0:0))
      call avCT(1936, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_14023])

      allocate(vertices(1937)%branchCT(0:1))
      call avCT(1937, 0, 86, 1, 0, FSFa0, 0, [0, 3], [nGC_14499, nGC_14500])

      call avCT(1937, 1, 86, 1, 0, FSFa0, 0, [2, 1], [nGC_14501, nGC_14502])

      allocate(vertices(1938)%branchCT(0:0))
      call avCT(1938, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_9644])

      allocate(vertices(3436)%branchCT(0:0))
      call avCT(3436, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_14017])

      allocate(vertices(1940)%branchCT(0:0))
      call avCT(1940, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14280])

      allocate(vertices(1941)%branchCT(0:0))
      call avCT(1941, 0, 1, 1, 0, SFaF1, 0, [0, 3], [nGC_14673, nGC_14673])

      allocate(vertices(1942)%branchCT(0:0))
      call avCT(1942, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14152])

      allocate(vertices(1943)%branchCT(0:0))
      call avCT(1943, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_9633])

      allocate(vertices(1945)%branchCT(0:0))
      call avCT(1945, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_9642])

      allocate(vertices(1946)%branchCT(0:0))
      call avCT(1946, 0, 1, 1, 0, SFFa0, 0, [0, 3], [nGC_14757, nGC_14757])

      allocate(vertices(1948)%branchCT(0:0))
      call avCT(1948, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_13968])

      allocate(vertices(874)%branchCT(0:0))
      call avCT(874, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_14130])

      allocate(vertices(1950)%branchCT(0:0))
      call avCT(1950, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14137])

      allocate(vertices(1951)%branchCT(0:0))
      call avCT(1951, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_16341])

      allocate(vertices(3870)%branchCT(0:1))
      call avCT(3870, 0, 14, 1, 0, FFa0, 0, [0, 2], [nGC_15436, nGC_15432,     &
      nGC_15438, nGC_15438])

      call avCT(3870, 1, 14, 1, 0, FFa0, 0, [2, 0], [nGC_15437, nGC_15433,     &
      nGC_15439, nGC_15439])

      allocate(vertices(1956)%branchCT(0:1))
      call avCT(1956, 0, 86, 1, 0, FVFa1, 0, [0, 3], [nGC_14644])

      call avCT(1956, 1, 86, 1, 0, FVFa1, 0, [2, 1], [nGC_14643])

      allocate(vertices(1184)%branchCT(0:0))
      call avCT(1184, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_13973])

      allocate(vertices(3653)%branchCT(0:0))
      call avCT(3653, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_14053])

      allocate(vertices(1966)%branchCT(0:0))
      call avCT(1966, 0, 1, 1, 0, FFaS2, 0, [0, 3], [nGC_14399])

      allocate(vertices(2487)%branchCT(0:0))
      call avCT(2487, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_9634])

      allocate(vertices(1969)%branchCT(0:0))
      call avCT(1969, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_14130])

      allocate(vertices(1970)%branchCT(0:0))
      call avCT(1970, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_14036])

      allocate(vertices(1972)%branchCT(0:0))
      call avCT(1972, 0, 1, 1, 0, SFFa2, 0, [0, 3], [nGC_14988])

      allocate(vertices(1973)%branchCT(0:0))
      call avCT(1973, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_13961])

      allocate(vertices(1974)%branchCT(0:0))
      call avCT(1974, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_13994])

      allocate(vertices(1975)%branchCT(0:0))
      call avCT(1975, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_15337])

      allocate(vertices(74)%branchCT(0:0))
      call avCT(74, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_13961])

      allocate(vertices(1278)%branchCT(0:0))
      call avCT(1278, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_14032])

      allocate(vertices(1289)%branchCT(0:0))
      call avCT(1289, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14210])

      allocate(vertices(3459)%branchCT(0:0))
      call avCT(3459, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_14032])

      allocate(vertices(2890)%branchCT(0:0))
      call avCT(2890, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_13987])

      allocate(vertices(1984)%branchCT(0:0))
      call avCT(1984, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_14020])

      allocate(vertices(295)%branchCT(0:0))
      call avCT(295, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14210])

      allocate(vertices(1987)%branchCT(0:0))
      call avCT(1987, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_9642])

      allocate(vertices(1988)%branchCT(0:1))
      call avCT(1988, 0, 86, 1, 0, FVFa0, 0, [0, 3], [nGC_17374, nGC_17375])

      call avCT(1988, 1, 86, 1, 0, FVFa0, 0, [2, 1], [nGC_17373, nGC_17369])

      allocate(vertices(1992)%branchCT(0:0))
      call avCT(1992, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_14130])

      allocate(vertices(1993)%branchCT(0:0))
      call avCT(1993, 0, 1, 1, 0, VFFa0, 0, [0, 3], [nGC_14985])

      allocate(vertices(1358)%branchCT(0:0))
      call avCT(1358, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_14017])

      allocate(vertices(3674)%branchCT(0:0))
      call avCT(3674, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_13987])

      allocate(vertices(1996)%branchCT(0:0))
      call avCT(1996, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_14063])

      allocate(vertices(1226)%branchCT(0:0))
      call avCT(1226, 0, 1, 1, 0, FaFV0, 0, [0, 3], [nGC_14540])

      allocate(vertices(1998)%branchCT(0:0))
      call avCT(1998, 0, 1, 1, 0, VUaU0, 0, [0, 3], [nGC_13990])

      allocate(vertices(2000)%branchCT(0:3))
      call avCT(2000, 0, 94, 6, 0, VFFa1, 0, [1, 2], [nGC_14438, nGC_14440])

      call avCT(2000, 1, 94, 6, 0, VFFa1, 0, [3, 0], [nGC_14442, nGC_14443])

      call avCT(2000, 2, 95, 7, 0, VFFa1, 0, [1, 2], [nGC_14438, nGC_14440])

      call avCT(2000, 3, 95, 7, 0, VFFa1, 0, [3, 0], [nGC_14442, nGC_14443])

      allocate(vertices(3500)%branchCT(0:0))
      call avCT(3500, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_9633])

      allocate(vertices(2003)%branchCT(0:0))
      call avCT(2003, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_9633])

      allocate(vertices(3590)%branchCT(0:0))
      call avCT(3590, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_9643])

      allocate(vertices(2009)%branchCT(0:1))
      call avCT(2009, 0, 83, 1, 0, FaFS1, 0, [0, 3], [nGC_14500, nGC_14499])

      call avCT(2009, 1, 83, 1, 0, FaFS1, 0, [2, 1], [nGC_14502, nGC_14501])

      allocate(vertices(2011)%branchCT(0:0))
      call avCT(2011, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_13987])

      allocate(vertices(2012)%branchCT(0:0))
      call avCT(2012, 0, 1, 1, 0, UVUa0, 0, [0, 3], [nGC_14513])

      allocate(vertices(3502)%branchCT(0:0))
      call avCT(3502, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_13987])

      allocate(vertices(2015)%branchCT(0:0))
      call avCT(2015, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_15477])

      allocate(vertices(3871)%branchCT(0:0))
      call avCT(3871, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14308])

      allocate(vertices(2242)%branchCT(0:5))
      call avCT(2242, 0, 77, 3, 0, VUUaV0, 0, [4, 0], [nGC_14007])

      call avCT(2242, 1, 82, 2, 0, VUUaV0, 0, [4, 0], [nGC_14002])

      call avCT(2242, 2, 79, 3, 0, VUUaV0, 0, [4, 0], [nGC_14007])

      call avCT(2242, 3, 80, 3, 0, VUUaV0, 0, [4, 0], [nGC_14007])

      call avCT(2242, 4, 78, 3, 0, VUUaV0, 0, [4, 0], [nGC_14007])

      call avCT(2242, 5, 81, 2, 0, VUUaV0, 0, [4, 0], [nGC_14002])

      allocate(vertices(2019)%branchCT(0:0))
      call avCT(2019, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_13994])

      allocate(vertices(2020)%branchCT(0:0))
      call avCT(2020, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_14130])

      allocate(vertices(2021)%branchCT(0:1))
      call avCT(2021, 0, 87, 1, 0, FaSF0, 0, [0, 3], [nGC_14603, nGC_14603])

      call avCT(2021, 1, 87, 1, 0, FaSF0, 0, [2, 1], [nGC_14604, nGC_14604])

      allocate(vertices(2023)%branchCT(0:0))
      call avCT(2023, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_13987])

      allocate(vertices(2024)%branchCT(0:0))
      call avCT(2024, 0, 1, 1, 0, FaFV1, 0, [0, 3], [nGC_16392, nGC_16393])

      allocate(vertices(2026)%branchCT(0:0))
      call avCT(2026, 0, 1, 1, 0, UVUa0, 0, [0, 3], [nGC_15334])

      allocate(vertices(2098)%branchCT(0:0))
      call avCT(2098, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_14256])

      allocate(vertices(2030)%branchCT(0:0))
      call avCT(2030, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14137])

      allocate(vertices(2031)%branchCT(0:3))
      call avCT(2031, 0, 94, 6, 0, VFFa1, 0, [1, 2], [nGC_14575, nGC_14577])

      call avCT(2031, 1, 94, 6, 0, VFFa1, 0, [3, 0], [nGC_14579, nGC_14580])

      call avCT(2031, 2, 95, 7, 0, VFFa1, 0, [1, 2], [nGC_14575, nGC_14577])

      call avCT(2031, 3, 95, 7, 0, VFFa1, 0, [3, 0], [nGC_14579, nGC_14580])

      allocate(vertices(2035)%branchCT(0:0))
      call avCT(2035, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14032])

      allocate(vertices(2037)%branchCT(0:0))
      call avCT(2037, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_13987])

      allocate(vertices(3872)%branchCT(0:1))
      call avCT(3872, 0, 14, 1, 0, FFa0, 0, [0, 2], [nGC_17615, nGC_17611,     &
      nGC_17617, nGC_17617])

      call avCT(3872, 1, 14, 1, 0, FFa0, 0, [2, 0], [nGC_17616, nGC_17612,     &
      nGC_17618, nGC_17618])

      allocate(vertices(2040)%branchCT(0:0))
      call avCT(2040, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_18144])

      allocate(vertices(732)%branchCT(0:0))
      call avCT(732, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14210])

      allocate(vertices(2042)%branchCT(0:0))
      call avCT(2042, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_14130])

      allocate(vertices(2043)%branchCT(0:0))
      call avCT(2043, 0, 1, 1, 0, FVFa0, 0, [0, 3], [nGC_16392, nGC_16393])

      allocate(vertices(2044)%branchCT(0:0))
      call avCT(2044, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_13961])

      allocate(vertices(1919)%branchCT(0:0))
      call avCT(1919, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_13961])

      allocate(vertices(2362)%branchCT(0:0))
      call avCT(2362, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_9635])

      allocate(vertices(2049)%branchCT(0:0))
      call avCT(2049, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14280])

      allocate(vertices(2050)%branchCT(0:0))
      call avCT(2050, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_9644])

      allocate(vertices(2051)%branchCT(0:0))
      call avCT(2051, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_14023])

      allocate(vertices(1708)%branchCT(0:1))
      call avCT(1708, 0, 83, 1, 0, FaFS1, 0, [0, 3], [nGC_14096, nGC_14096])

      call avCT(1708, 1, 83, 1, 0, FaFS1, 0, [2, 1], [nGC_14097, nGC_14097])

      allocate(vertices(2054)%branchCT(0:0))
      call avCT(2054, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_9644])

      allocate(vertices(2056)%branchCT(0:0))
      call avCT(2056, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14036])

      allocate(vertices(1740)%branchCT(0:0))
      call avCT(1740, 0, 1, 1, 0, FaFV0, 0, [0, 3], [nGC_14402])

      allocate(vertices(2788)%branchCT(0:0))
      call avCT(2788, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_9642])

      allocate(vertices(2060)%branchCT(0:0))
      call avCT(2060, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_14460])

      allocate(vertices(2062)%branchCT(0:0))
      call avCT(2062, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_13987])

      allocate(vertices(1771)%branchCT(0:0))
      call avCT(1771, 0, 1, 1, 0, UaVU0, 0, [0, 3], [nGC_14149])

      allocate(vertices(2064)%branchCT(0:0))
      call avCT(2064, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_9634])

      allocate(vertices(2066)%branchCT(0:0))
      call avCT(2066, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_14036])

      allocate(vertices(3873)%branchCT(0:0))
      call avCT(3873, 0, 13, 1, 0, VS0, 0, [0, 2], [nGC_18197])

      allocate(vertices(2073)%branchCT(0:1))
      call avCT(2073, 0, 87, 1, 0, FaVF0, 0, [0, 3], [nGC_14288, nGC_14289])

      call avCT(2073, 1, 87, 1, 0, FaVF0, 0, [2, 1], [nGC_14287, nGC_14283])

      allocate(vertices(2074)%branchCT(0:0))
      call avCT(2074, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_14017])

      allocate(vertices(2075)%branchCT(0:0))
      call avCT(2075, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_14256])

      allocate(vertices(2076)%branchCT(0:0))
      call avCT(2076, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14036])

      allocate(vertices(2077)%branchCT(0:0))
      call avCT(2077, 0, 1, 1, 0, FaVF1, 0, [0, 3], [nGC_17259])

      allocate(vertices(3755)%branchCT(0:1))
      call avCT(3755, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_14237, nGC_14238])

      call avCT(3755, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_14239, nGC_14240])

      allocate(vertices(2078)%branchCT(0:0))
      call avCT(2078, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_9642])

      allocate(vertices(3874)%branchCT(0:0))
      call avCT(3874, 0, 13, 1, 0, FaF1, 0, [0, 2], [nGC_18225, nGC_18223,     &
      nGC_18226, nGC_18226])

      allocate(vertices(2081)%branchCT(0:0))
      call avCT(2081, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_14063])

      allocate(vertices(2082)%branchCT(0:0))
      call avCT(2082, 0, 1, 1, 0, FSFa2, 0, [0, 3], [nGC_14399])

      allocate(vertices(2176)%branchCT(0:0))
      call avCT(2176, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_18236])

      allocate(vertices(2084)%branchCT(0:1))
      call avCT(2084, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_15263, nGC_15262])

      call avCT(2084, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_15265, nGC_15264])

      allocate(vertices(3534)%branchCT(0:0))
      call avCT(3534, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_14032])

      allocate(vertices(2086)%branchCT(0:0))
      call avCT(2086, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_14020])

      allocate(vertices(2087)%branchCT(0:1))
      call avCT(2087, 0, 84, 1, 0, VFFa1, 0, [2, 1], [nGC_16686, nGC_16683])

      call avCT(2087, 1, 84, 1, 0, VFFa1, 0, [0, 3], [nGC_16688, nGC_16689])

      allocate(vertices(2088)%branchCT(0:0))
      call avCT(2088, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_9636])

      allocate(vertices(2090)%branchCT(0:0))
      call avCT(2090, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_9642])

      allocate(vertices(1921)%branchCT(0:0))
      call avCT(1921, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14036])

      allocate(vertices(2093)%branchCT(0:0))
      call avCT(2093, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_14130])

      allocate(vertices(2405)%branchCT(0:0))
      call avCT(2405, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_18269])

      allocate(vertices(2720)%branchCT(0:0))
      call avCT(2720, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_14020])

      allocate(vertices(2100)%branchCT(0:0))
      call avCT(2100, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_14053])

      allocate(vertices(2102)%branchCT(0:0))
      call avCT(2102, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_13983, nGC_13982,     &
      nGC_13983])

      allocate(vertices(2341)%branchCT(0:0))
      call avCT(2341, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_14032])

      allocate(vertices(2110)%branchCT(0:0))
      call avCT(2110, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_14032])

      allocate(vertices(2039)%branchCT(0:0))
      call avCT(2039, 0, 1, 1, 0, UUaV1, 0, [0, 3], [nGC_14261])

      allocate(vertices(2113)%branchCT(0:0))
      call avCT(2113, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_13973])

      allocate(vertices(975)%branchCT(0:0))
      call avCT(975, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_16741])

      allocate(vertices(2116)%branchCT(0:0))
      call avCT(2116, 0, 1, 1, 0, USUa0, 0, [0, 3], [nGC_9651])

      allocate(vertices(2117)%branchCT(0:0))
      call avCT(2117, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_14522])

      allocate(vertices(664)%branchCT(0:0))
      call avCT(664, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14036])

      allocate(vertices(1479)%branchCT(0:0))
      call avCT(1479, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_14619])

      allocate(vertices(2085)%branchCT(0:0))
      call avCT(2085, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_14130])

      allocate(vertices(2123)%branchCT(0:0))
      call avCT(2123, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_14130])

      allocate(vertices(2124)%branchCT(0:1))
      call avCT(2124, 0, 85, 1, 0, VFaF0, 0, [0, 3], [nGC_17374, nGC_17375])

      call avCT(2124, 1, 85, 1, 0, VFaF0, 0, [2, 1], [nGC_17373, nGC_17369])

      allocate(vertices(2125)%branchCT(0:0))
      call avCT(2125, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_13987])

      allocate(vertices(3664)%branchCT(0:0))
      call avCT(3664, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_14130])

      allocate(vertices(2127)%branchCT(0:0))
      call avCT(2127, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_9642])

      allocate(vertices(3054)%branchCT(0:0))
      call avCT(3054, 0, 1, 1, 0, UaUV1, 0, [0, 3], [nGC_14149])

      allocate(vertices(2133)%branchCT(0:0))
      call avCT(2133, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_9644])

      allocate(vertices(41)%branchCT(0:0))
      call avCT(41, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_14020])

      allocate(vertices(2130)%branchCT(0:0))
      call avCT(2130, 0, 1, 1, 0, VVV1, 0, [0, 3], [nGC_14391])

      allocate(vertices(2156)%branchCT(0:0))
      call avCT(2156, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_9643])

      allocate(vertices(3875)%branchCT(0:0))
      call avCT(3875, 0, 13, 1, 0, FFa0, 0, [0, 2], [nGC_18225, nGC_18223,     &
      nGC_18226, nGC_18226])

      allocate(vertices(2136)%branchCT(0:0))
      call avCT(2136, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_9634])

      allocate(vertices(1508)%branchCT(0:0))
      call avCT(1508, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_13982, nGC_13983,     &
      nGC_13983])

      allocate(vertices(2138)%branchCT(0:0))
      call avCT(2138, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14036])

      allocate(vertices(1509)%branchCT(0:1))
      call avCT(1509, 0, 83, 1, 0, FaFV1, 0, [0, 3], [nGC_17374, nGC_17375])

      call avCT(1509, 1, 83, 1, 0, FaFV1, 0, [2, 1], [nGC_17373, nGC_17369])

      allocate(vertices(2143)%branchCT(0:0))
      call avCT(2143, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_16741])

      allocate(vertices(2144)%branchCT(0:0))
      call avCT(2144, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_14053])

      allocate(vertices(2145)%branchCT(0:0))
      call avCT(2145, 0, 1, 1, 0, UaUV1, 0, [0, 3], [nGC_15334])

      allocate(vertices(2146)%branchCT(0:0))
      call avCT(2146, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14152])

      allocate(vertices(2147)%branchCT(0:0))
      call avCT(2147, 0, 1, 1, 0, VFFa1, 0, [0, 3], [nGC_16246, nGC_16247])

      allocate(vertices(2148)%branchCT(0:0))
      call avCT(2148, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_13987])

      allocate(vertices(3876)%branchCT(0:0))
      call avCT(3876, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_15588])

      allocate(vertices(3315)%branchCT(0:0))
      call avCT(3315, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_15157])

      allocate(vertices(2152)%branchCT(0:1))
      call avCT(2152, 0, 85, 1, 0, SFaF1, 0, [0, 3], [nGC_15263, nGC_15262])

      call avCT(2152, 1, 85, 1, 0, SFaF1, 0, [2, 1], [nGC_15265, nGC_15264])

      allocate(vertices(2806)%branchCT(0:0))
      call avCT(2806, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_14130])

      allocate(vertices(487)%branchCT(0:0))
      call avCT(487, 0, 1, 1, 0, VUaU0, 0, [0, 3], [nGC_14261])

      allocate(vertices(2157)%branchCT(0:0))
      call avCT(2157, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_13961])

      allocate(vertices(2158)%branchCT(0:0))
      call avCT(2158, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_14032])

      allocate(vertices(2830)%branchCT(0:0))
      call avCT(2830, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_15233, nGC_15232,     &
      nGC_15232])

      allocate(vertices(2160)%branchCT(0:0))
      call avCT(2160, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14028])

      allocate(vertices(2161)%branchCT(0:0))
      call avCT(2161, 0, 1, 1, 0, FaSF0, 0, [0, 3], [nGC_14757, nGC_14757])

      allocate(vertices(2164)%branchCT(0:0))
      call avCT(2164, 0, 1, 1, 0, USUa0, 0, [0, 3], [nGC_9651])

      allocate(vertices(2168)%branchCT(0:1))
      call avCT(2168, 0, 2, 5, 0, UaUV1, 0, [3, 0], [nGC_15250])

      call avCT(2168, 1, 3, 4, 0, UaUV1, 0, [3, 0], [nGC_15250])

      allocate(vertices(2170)%branchCT(0:0))
      call avCT(2170, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_13961])

      allocate(vertices(3160)%branchCT(0:0))
      call avCT(3160, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_15643])

      allocate(vertices(2172)%branchCT(0:0))
      call avCT(2172, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_14130])

      allocate(vertices(2173)%branchCT(0:0))
      call avCT(2173, 0, 1, 1, 0, FaSF0, 0, [0, 3], [nGC_14959, nGC_14960])

      allocate(vertices(1275)%branchCT(0:0))
      call avCT(1275, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_14023])

      allocate(vertices(2177)%branchCT(0:0))
      call avCT(2177, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_9634])

      allocate(vertices(2178)%branchCT(0:0))
      call avCT(2178, 0, 1, 1, 0, SFFa1, 0, [0, 3], [nGC_14988])

      allocate(vertices(2182)%branchCT(0:0))
      call avCT(2182, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14280])

      allocate(vertices(2464)%branchCT(0:0))
      call avCT(2464, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_13968])

      allocate(vertices(2186)%branchCT(0:1))
      call avCT(2186, 0, 86, 1, 0, FVFa0, 0, [0, 3], [nGC_18437, nGC_18438])

      call avCT(2186, 1, 86, 1, 0, FVFa0, 0, [2, 1], [nGC_18432, nGC_18435])

      allocate(vertices(2517)%branchCT(0:0))
      call avCT(2517, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_14020])

      allocate(vertices(2191)%branchCT(0:0))
      call avCT(2191, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_14020])

      allocate(vertices(2937)%branchCT(0:0))
      call avCT(2937, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_9642])

      allocate(vertices(3877)%branchCT(0:0))
      call avCT(3877, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14308])

      allocate(vertices(2153)%branchCT(0:0))
      call avCT(2153, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_9632])

      allocate(vertices(1805)%branchCT(0:0))
      call avCT(1805, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_13994])

      allocate(vertices(3878)%branchCT(0:1))
      call avCT(3878, 0, 124, 1, 0, FaF1, 0, [0, 2], [nGC_15390, nGC_15384,    &
      nGC_15392, nGC_15392])

      call avCT(3878, 1, 124, 1, 0, FaF1, 0, [2, 0], [nGC_15391, nGC_15385,    &
      nGC_15393, nGC_15393])

      allocate(vertices(2199)%branchCT(0:0))
      call avCT(2199, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_17259])

      allocate(vertices(2200)%branchCT(0:0))
      call avCT(2200, 0, 1, 1, 0, FFaV0, 0, [0, 3], [nGC_15981])

      allocate(vertices(2201)%branchCT(0:0))
      call avCT(2201, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_14017])

      allocate(vertices(2202)%branchCT(0:1))
      call avCT(2202, 0, 86, 1, 0, FSFa0, 0, [0, 3], [nGC_14106, nGC_14107])

      call avCT(2202, 1, 86, 1, 0, FSFa0, 0, [2, 1], [nGC_14108, nGC_14109])

      allocate(vertices(2632)%branchCT(0:0))
      call avCT(2632, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14036])

      allocate(vertices(2214)%branchCT(0:0))
      call avCT(2214, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_13994])

      allocate(vertices(2212)%branchCT(0:0))
      call avCT(2212, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_14017])

      allocate(vertices(2739)%branchCT(0:1))
      call avCT(2739, 0, 84, 1, 0, SFFa0, 0, [0, 3], [nGC_14199, nGC_14199])

      call avCT(2739, 1, 84, 1, 0, SFFa0, 0, [2, 1], [nGC_14200, nGC_14200])

      allocate(vertices(3879)%branchCT(0:0))
      call avCT(3879, 0, 13, 1, 0, VS0, 0, [0, 2], [nGC_18490])

      allocate(vertices(2218)%branchCT(0:0))
      call avCT(2218, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_14280])

      allocate(vertices(2854)%branchCT(0:1))
      call avCT(2854, 0, 87, 1, 0, FaSF0, 0, [0, 3], [nGC_14199, nGC_14199])

      call avCT(2854, 1, 87, 1, 0, FaSF0, 0, [2, 1], [nGC_14200, nGC_14200])

      allocate(vertices(2726)%branchCT(0:0))
      call avCT(2726, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_9634])

      allocate(vertices(2221)%branchCT(0:0))
      call avCT(2221, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_13968])

      allocate(vertices(3462)%branchCT(0:0))
      call avCT(3462, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14137])

      allocate(vertices(2222)%branchCT(0:0))
      call avCT(2222, 0, 1, 1, 0, SUUa0, 0, [0, 3], [nGC_9651])

      allocate(vertices(2224)%branchCT(0:0))
      call avCT(2224, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_9636])

      allocate(vertices(2225)%branchCT(0:0))
      call avCT(2225, 0, 1, 1, 0, UaUS0, 0, [0, 3], [nGC_9646])

      allocate(vertices(2226)%branchCT(0:0))
      call avCT(2226, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_13994])

      allocate(vertices(2763)%branchCT(0:0))
      call avCT(2763, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14137])

      allocate(vertices(2787)%branchCT(0:0))
      call avCT(2787, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_9632])

      allocate(vertices(2233)%branchCT(0:0))
      call avCT(2233, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_14032])

      allocate(vertices(2234)%branchCT(0:0))
      call avCT(2234, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14663])

      allocate(vertices(2235)%branchCT(0:1))
      call avCT(2235, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_14499, nGC_14500])

      call avCT(2235, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_14501, nGC_14502])

      allocate(vertices(2237)%branchCT(0:0))
      call avCT(2237, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_9641])

      allocate(vertices(2240)%branchCT(0:1))
      call avCT(2240, 0, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_14690, nGC_14693])

      call avCT(2240, 1, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_14697, nGC_14698])

      allocate(vertices(3737)%branchCT(0:0))
      call avCT(3737, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_9634])

      allocate(vertices(2243)%branchCT(0:0))
      call avCT(2243, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_18144])

      allocate(vertices(2244)%branchCT(0:0))
      call avCT(2244, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_14017])

      allocate(vertices(2245)%branchCT(0:0))
      call avCT(2245, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_14023])

      allocate(vertices(2250)%branchCT(0:0))
      call avCT(2250, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_14130])

      allocate(vertices(2251)%branchCT(0:0))
      call avCT(2251, 0, 1, 1, 0, SFaF1, 0, [0, 3], [nGC_14757, nGC_14757])

      allocate(vertices(2252)%branchCT(0:0))
      call avCT(2252, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_9635])

      allocate(vertices(1527)%branchCT(0:0))
      call avCT(1527, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_14063])

      allocate(vertices(2255)%branchCT(0:0))
      call avCT(2255, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_13983, nGC_13982,     &
      nGC_13983])

      allocate(vertices(2261)%branchCT(0:0))
      call avCT(2261, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_14053])

      allocate(vertices(2262)%branchCT(0:0))
      call avCT(2262, 0, 1, 1, 0, SUUa0, 0, [0, 3], [nGC_9646])

      allocate(vertices(2263)%branchCT(0:0))
      call avCT(2263, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_14063])

      allocate(vertices(2264)%branchCT(0:0))
      call avCT(2264, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_14017])

      allocate(vertices(2265)%branchCT(0:0))
      call avCT(2265, 0, 1, 1, 0, UVUa0, 0, [0, 3], [nGC_14363])

      allocate(vertices(3498)%branchCT(0:0))
      call avCT(3498, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_9634])

      allocate(vertices(2719)%branchCT(0:0))
      call avCT(2719, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14184])

      allocate(vertices(2978)%branchCT(0:0))
      call avCT(2978, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_13961])

      allocate(vertices(1773)%branchCT(0:0))
      call avCT(1773, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_14130])

      allocate(vertices(2999)%branchCT(0:1))
      call avCT(2999, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_14047, nGC_14048])

      call avCT(2999, 1, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_14043, nGC_14046])

      allocate(vertices(2273)%branchCT(0:0))
      call avCT(2273, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_13968])

      allocate(vertices(2274)%branchCT(0:0))
      call avCT(2274, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_14053])

      allocate(vertices(3690)%branchCT(0:0))
      call avCT(3690, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_14023])

      allocate(vertices(3666)%branchCT(0:0))
      call avCT(3666, 0, 1, 1, 0, FaSF1, 0, [0, 3], [nGC_14988])

      allocate(vertices(2278)%branchCT(0:0))
      call avCT(2278, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14184])

      allocate(vertices(3554)%branchCT(0:0))
      call avCT(3554, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_14619])

      allocate(vertices(2281)%branchCT(0:0))
      call avCT(2281, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_14402])

      allocate(vertices(2285)%branchCT(0:0))
      call avCT(2285, 0, 1, 1, 0, USUa0, 0, [0, 3], [nGC_9646])

      allocate(vertices(3101)%branchCT(0:0))
      call avCT(3101, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14280])

      allocate(vertices(3880)%branchCT(0:0))
      call avCT(3880, 0, 1, 1, 0, FaFV0, 0, [0, 3], [nGC_14024])

      allocate(vertices(1841)%branchCT(0:0))
      call avCT(1841, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_9634])

      allocate(vertices(2292)%branchCT(0:0))
      call avCT(2292, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_9634])

      allocate(vertices(2297)%branchCT(0:0))
      call avCT(2297, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_13987])

      allocate(vertices(3881)%branchCT(0:0))
      call avCT(3881, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14308])

      allocate(vertices(2301)%branchCT(0:0))
      call avCT(2301, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_9633])

      allocate(vertices(1604)%branchCT(0:1))
      call avCT(1604, 0, 85, 1, 0, SFaF1, 0, [2, 1], [nGC_14830, nGC_14831])

      call avCT(1604, 1, 85, 1, 0, SFaF1, 0, [0, 3], [nGC_14832, nGC_14833])

      allocate(vertices(1536)%branchCT(0:0))
      call avCT(1536, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_16341])

      allocate(vertices(3882)%branchCT(0:0))
      call avCT(3882, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14308])

      allocate(vertices(2306)%branchCT(0:0))
      call avCT(2306, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14280])

      allocate(vertices(2307)%branchCT(0:0))
      call avCT(2307, 0, 1, 1, 0, FaVF0, 0, [0, 3], [nGC_16246, nGC_16247])

      allocate(vertices(3248)%branchCT(0:0))
      call avCT(3248, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_13987])

      allocate(vertices(2309)%branchCT(0:0))
      call avCT(2309, 0, 1, 1, 0, SUaU0, 0, [0, 3], [nGC_9651])

      allocate(vertices(2325)%branchCT(0:0))
      call avCT(2325, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_14023])

      allocate(vertices(3259)%branchCT(0:0))
      call avCT(3259, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_14020])

      allocate(vertices(2313)%branchCT(0:0))
      call avCT(2313, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_9644])

      allocate(vertices(2317)%branchCT(0:1))
      call avCT(2317, 0, 83, 1, 0, FaFS1, 0, [2, 1], [nGC_14237, nGC_14238])

      call avCT(2317, 1, 83, 1, 0, FaFS1, 0, [0, 3], [nGC_14239, nGC_14240])

      allocate(vertices(2318)%branchCT(0:0))
      call avCT(2318, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_13968])

      allocate(vertices(2322)%branchCT(0:0))
      call avCT(2322, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_13961])

      allocate(vertices(3687)%branchCT(0:0))
      call avCT(3687, 0, 1, 1, 0, FSFa1, 0, [0, 3], [nGC_15994])

      allocate(vertices(180)%branchCT(0:0))
      call avCT(180, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_13976])

      allocate(vertices(2326)%branchCT(0:0))
      call avCT(2326, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_14020])

      allocate(vertices(2327)%branchCT(0:0))
      call avCT(2327, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_14522])

      allocate(vertices(3035)%branchCT(0:0))
      call avCT(3035, 0, 1, 1, 0, VFFa0, 0, [0, 3], [nGC_16148])

      allocate(vertices(2331)%branchCT(0:0))
      call avCT(2331, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_14017])

      allocate(vertices(3222)%branchCT(0:3))
      call avCT(3222, 0, 11, 6, 0, FFaV1, 0, [1, 2], [nGC_14575, nGC_14577])

      call avCT(3222, 1, 11, 6, 0, FFaV1, 0, [3, 0], [nGC_14579, nGC_14580])

      call avCT(3222, 2, 12, 7, 0, FFaV1, 0, [1, 2], [nGC_14575, nGC_14577])

      call avCT(3222, 3, 12, 7, 0, FFaV1, 0, [3, 0], [nGC_14579, nGC_14580])

      allocate(vertices(2334)%branchCT(0:0))
      call avCT(2334, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_9642])

      allocate(vertices(2335)%branchCT(0:0))
      call avCT(2335, 0, 1, 1, 0, FFaS0, 0, [0, 3], [nGC_14959, nGC_14960])

      allocate(vertices(3883)%branchCT(0:0))
      call avCT(3883, 0, 1, 1, 0, FaVF1, 0, [0, 3], [nGC_14024])

      allocate(vertices(2338)%branchCT(0:0))
      call avCT(2338, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14280])

      allocate(vertices(2339)%branchCT(0:0))
      call avCT(2339, 0, 1, 1, 0, VVV1, 0, [0, 3], [nGC_14267])

      allocate(vertices(3884)%branchCT(0:0))
      call avCT(3884, 0, 13, 1, 0, VV3, 0, [0, 2], [nGC_18694, nGC_18693])

      allocate(vertices(3129)%branchCT(0:0))
      call avCT(3129, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_14023])

      allocate(vertices(2343)%branchCT(0:0))
      call avCT(2343, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_14017])

      allocate(vertices(2346)%branchCT(0:0))
      call avCT(2346, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_13961])

      allocate(vertices(3497)%branchCT(0:3))
      call avCT(3497, 0, 96, 6, 0, VFaF0, 0, [1, 2], [nGC_14296, nGC_14298])

      call avCT(3497, 1, 96, 6, 0, VFaF0, 0, [3, 0], [nGC_14300, nGC_14301])

      call avCT(3497, 2, 97, 7, 0, VFaF0, 0, [1, 2], [nGC_14296, nGC_14298])

      call avCT(3497, 3, 97, 7, 0, VFaF0, 0, [3, 0], [nGC_14300, nGC_14301])

      allocate(vertices(2348)%branchCT(0:0))
      call avCT(2348, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_9641])

      allocate(vertices(2349)%branchCT(0:0))
      call avCT(2349, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_14460])

      allocate(vertices(2350)%branchCT(0:0))
      call avCT(2350, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_14280])

      allocate(vertices(2351)%branchCT(0:1))
      call avCT(2351, 0, 84, 1, 0, SFFa0, 0, [0, 3], [nGC_14635, nGC_14636])

      call avCT(2351, 1, 84, 1, 0, SFFa0, 0, [2, 1], [nGC_14633, nGC_14634])

      allocate(vertices(2032)%branchCT(0:0))
      call avCT(2032, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_15241])

      allocate(vertices(3531)%branchCT(0:0))
      call avCT(3531, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_9643])

      allocate(vertices(2354)%branchCT(0:0))
      call avCT(2354, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14063])

      allocate(vertices(2355)%branchCT(0:0))
      call avCT(2355, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_13968])

      allocate(vertices(3575)%branchCT(0:0))
      call avCT(3575, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14137])

      allocate(vertices(2358)%branchCT(0:1))
      call avCT(2358, 0, 86, 1, 0, FSFa0, 0, [0, 3], [nGC_15769, nGC_15770])

      call avCT(2358, 1, 86, 1, 0, FSFa0, 0, [2, 1], [nGC_15767, nGC_15768])

      allocate(vertices(2845)%branchCT(0:0))
      call avCT(2845, 0, 1, 1, 0, SUaU0, 0, [0, 3], [nGC_9651])

      allocate(vertices(1897)%branchCT(0:0))
      call avCT(1897, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_14020])

      allocate(vertices(2363)%branchCT(0:0))
      call avCT(2363, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_9633])

      allocate(vertices(2364)%branchCT(0:0))
      call avCT(2364, 0, 1, 1, 0, SUUa0, 0, [0, 3], [nGC_14409])

      allocate(vertices(3640)%branchCT(0:0))
      call avCT(3640, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_13987])

      allocate(vertices(2370)%branchCT(0:0))
      call avCT(2370, 0, 1, 1, 0, SFaF0, 0, [0, 3], [nGC_14399])

      allocate(vertices(3571)%branchCT(0:0))
      call avCT(3571, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_9642])

      allocate(vertices(2373)%branchCT(0:0))
      call avCT(2373, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_13961])

      allocate(vertices(2376)%branchCT(0:0))
      call avCT(2376, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_13987])

      allocate(vertices(3705)%branchCT(0:0))
      call avCT(3705, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_14130])

      allocate(vertices(2378)%branchCT(0:1))
      call avCT(2378, 0, 85, 1, 0, VFaF0, 0, [0, 3], [nGC_15376, nGC_15377])

      call avCT(2378, 1, 85, 1, 0, VFaF0, 0, [2, 1], [nGC_15374, nGC_15369])

      allocate(vertices(2442)%branchCT(0:0))
      call avCT(2442, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_14017])

      allocate(vertices(3723)%branchCT(0:0))
      call avCT(3723, 0, 1, 1, 0, VUaU0, 0, [0, 3], [nGC_14149])

      allocate(vertices(2382)%branchCT(0:1))
      call avCT(2382, 0, 83, 1, 0, FaFV1, 0, [0, 3], [nGC_15376, nGC_15377])

      call avCT(2382, 1, 83, 1, 0, FaFV1, 0, [2, 1], [nGC_15374, nGC_15369])

      allocate(vertices(2383)%branchCT(0:0))
      call avCT(2383, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_15562])

      allocate(vertices(2384)%branchCT(0:0))
      call avCT(2384, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_14032])

      allocate(vertices(3536)%branchCT(0:0))
      call avCT(3536, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_9634])

      allocate(vertices(2387)%branchCT(0:0))
      call avCT(2387, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_13968])

      allocate(vertices(2388)%branchCT(0:0))
      call avCT(2388, 0, 1, 1, 0, FaFV0, 0, [0, 3], [nGC_14540])

      allocate(vertices(2847)%branchCT(0:5))
      call avCT(2847, 0, 26, 3, 0, UVUaV0, 0, [4, 0], [nGC_14007])

      call avCT(2847, 1, 27, 2, 0, UVUaV0, 0, [4, 0], [nGC_14002])

      call avCT(2847, 2, 25, 3, 0, UVUaV0, 0, [4, 0], [nGC_14007])

      call avCT(2847, 3, 23, 3, 0, UVUaV0, 0, [4, 0], [nGC_14007])

      call avCT(2847, 4, 24, 3, 0, UVUaV0, 0, [4, 0], [nGC_14007])

      call avCT(2847, 5, 28, 2, 0, UVUaV0, 0, [4, 0], [nGC_14002])

      allocate(vertices(2392)%branchCT(0:0))
      call avCT(2392, 0, 1, 1, 0, UaUV1, 0, [0, 3], [nGC_15334])

      allocate(vertices(2495)%branchCT(0:0))
      call avCT(2495, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_14130])

      allocate(vertices(7)%branchCT(0:0))
      call avCT(7, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_13987])

      allocate(vertices(2395)%branchCT(0:1))
      call avCT(2395, 0, 86, 1, 0, FSFa0, 0, [0, 3], [nGC_14832, nGC_14833])

      call avCT(2395, 1, 86, 1, 0, FSFa0, 0, [2, 1], [nGC_14830, nGC_14831])

      allocate(vertices(2815)%branchCT(0:0))
      call avCT(2815, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_13987])

      allocate(vertices(2397)%branchCT(0:0))
      call avCT(2397, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14522])

      allocate(vertices(24)%branchCT(0:0))
      call avCT(24, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_14028])

      allocate(vertices(2399)%branchCT(0:1))
      call avCT(2399, 0, 86, 1, 0, FSFa0, 0, [0, 3], [nGC_14385, nGC_14385])

      call avCT(2399, 1, 86, 1, 0, FSFa0, 0, [2, 1], [nGC_14384, nGC_14384])

      allocate(vertices(2927)%branchCT(0:0))
      call avCT(2927, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_13987])

      allocate(vertices(37)%branchCT(0:1))
      call avCT(37, 0, 84, 1, 0, SFFa0, 0, [0, 3], [nGC_15263, nGC_15262])

      call avCT(37, 1, 84, 1, 0, SFFa0, 0, [2, 1], [nGC_15265, nGC_15264])

      allocate(vertices(2403)%branchCT(0:0))
      call avCT(2403, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_9641])

      allocate(vertices(61)%branchCT(0:0))
      call avCT(61, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_14137])

      allocate(vertices(2406)%branchCT(0:3))
      call avCT(2406, 0, 88, 6, 0, FVFa0, 0, [1, 2], [nGC_15629, nGC_15631])

      call avCT(2406, 1, 88, 6, 0, FVFa0, 0, [3, 0], [nGC_15633, nGC_15634])

      call avCT(2406, 2, 89, 7, 0, FVFa0, 0, [1, 2], [nGC_15629, nGC_15631])

      call avCT(2406, 3, 89, 7, 0, FVFa0, 0, [3, 0], [nGC_15633, nGC_15634])

      allocate(vertices(2412)%branchCT(0:1))
      call avCT(2412, 0, 86, 1, 0, FSFa0, 0, [0, 3], [nGC_15262, nGC_15263])

      call avCT(2412, 1, 86, 1, 0, FSFa0, 0, [2, 1], [nGC_15264, nGC_15265])

      allocate(vertices(2835)%branchCT(0:0))
      call avCT(2835, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_9634])

      allocate(vertices(2414)%branchCT(0:0))
      call avCT(2414, 0, 1, 1, 0, FSFa1, 0, [0, 3], [nGC_14988])

      allocate(vertices(3578)%branchCT(0:0))
      call avCT(3578, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_14063])

      allocate(vertices(2419)%branchCT(0:0))
      call avCT(2419, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_14063])

      allocate(vertices(127)%branchCT(0:0))
      call avCT(127, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_14130])

      allocate(vertices(3885)%branchCT(0:0))
      call avCT(3885, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_16770])

      allocate(vertices(2423)%branchCT(0:0))
      call avCT(2423, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_13987])

      allocate(vertices(2424)%branchCT(0:0))
      call avCT(2424, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_14130])

      allocate(vertices(2425)%branchCT(0:0))
      call avCT(2425, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_9633])

      allocate(vertices(2427)%branchCT(0:0))
      call avCT(2427, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_13961])

      allocate(vertices(2428)%branchCT(0:1))
      call avCT(2428, 0, 86, 1, 0, FSFa0, 0, [2, 1], [nGC_14633, nGC_14634])

      call avCT(2428, 1, 86, 1, 0, FSFa0, 0, [0, 3], [nGC_14635, nGC_14636])

      allocate(vertices(2429)%branchCT(0:0))
      call avCT(2429, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_14619])

      allocate(vertices(3351)%branchCT(0:0))
      call avCT(3351, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_14020])

      allocate(vertices(2434)%branchCT(0:0))
      call avCT(2434, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_13961])

      allocate(vertices(2435)%branchCT(0:0))
      call avCT(2435, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_14020])

      allocate(vertices(2436)%branchCT(0:0))
      call avCT(2436, 0, 1, 1, 0, UaUV1, 0, [0, 3], [nGC_13990])

      allocate(vertices(2731)%branchCT(0:0))
      call avCT(2731, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_13961])

      allocate(vertices(2438)%branchCT(0:1))
      call avCT(2438, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_14328])

      call avCT(2438, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_14327])

      allocate(vertices(356)%branchCT(0:0))
      call avCT(356, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_14032])

      allocate(vertices(2441)%branchCT(0:0))
      call avCT(2441, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_9644])

      allocate(vertices(2443)%branchCT(0:0))
      call avCT(2443, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_14032])

      allocate(vertices(2444)%branchCT(0:0))
      call avCT(2444, 0, 1, 1, 0, UaUS0, 0, [0, 3], [nGC_14409])

      allocate(vertices(1066)%branchCT(0:0))
      call avCT(1066, 0, 1, 1, 0, VFFa1, 0, [0, 3], [nGC_16392, nGC_16393])

      allocate(vertices(2451)%branchCT(0:0))
      call avCT(2451, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14036])

      allocate(vertices(2452)%branchCT(0:0))
      call avCT(2452, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_13987])

      allocate(vertices(2453)%branchCT(0:0))
      call avCT(2453, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_15315])

      allocate(vertices(2463)%branchCT(0:0))
      call avCT(2463, 0, 1, 1, 0, FSFa2, 0, [0, 3], [nGC_14988])

      allocate(vertices(2183)%branchCT(0:0))
      call avCT(2183, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_14701])

      allocate(vertices(324)%branchCT(0:0))
      call avCT(324, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_13957])

      allocate(vertices(2466)%branchCT(0:0))
      call avCT(2466, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_14589])

      allocate(vertices(1700)%branchCT(0:0))
      call avCT(1700, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_13961])

      allocate(vertices(2470)%branchCT(0:0))
      call avCT(2470, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_13973])

      allocate(vertices(2471)%branchCT(0:1))
      call avCT(2471, 0, 84, 1, 0, SFFa0, 0, [2, 1], [nGC_15767, nGC_15768])

      call avCT(2471, 1, 84, 1, 0, SFFa0, 0, [0, 3], [nGC_15769, nGC_15770])

      allocate(vertices(2472)%branchCT(0:0))
      call avCT(2472, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_14017])

      allocate(vertices(2473)%branchCT(0:0))
      call avCT(2473, 0, 1, 1, 0, UVUa0, 0, [0, 3], [nGC_15334])

      allocate(vertices(2476)%branchCT(0:0))
      call avCT(2476, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_14130])

      allocate(vertices(2477)%branchCT(0:0))
      call avCT(2477, 0, 1, 1, 0, FaSF2, 0, [0, 3], [nGC_15994])

      allocate(vertices(2478)%branchCT(0:0))
      call avCT(2478, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14032])

      allocate(vertices(2480)%branchCT(0:0))
      call avCT(2480, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_9633])

      allocate(vertices(776)%branchCT(0:0))
      call avCT(776, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_16098])

      allocate(vertices(2482)%branchCT(0:0))
      call avCT(2482, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_9641])

      allocate(vertices(2483)%branchCT(0:0))
      call avCT(2483, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_9634])

      allocate(vertices(3886)%branchCT(0:0))
      call avCT(3886, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_15588])

      allocate(vertices(2900)%branchCT(0:0))
      call avCT(2900, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_13961])

      allocate(vertices(417)%branchCT(0:0))
      call avCT(417, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14036])

      allocate(vertices(2491)%branchCT(0:0))
      call avCT(2491, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_14130])

      allocate(vertices(2493)%branchCT(0:0))
      call avCT(2493, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_13968])

      allocate(vertices(2494)%branchCT(0:1))
      call avCT(2494, 0, 85, 1, 0, VFaF1, 0, [0, 3], [nGC_14328])

      call avCT(2494, 1, 85, 1, 0, VFaF1, 0, [2, 1], [nGC_14327])

      allocate(vertices(2496)%branchCT(0:0))
      call avCT(2496, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_14032])

      allocate(vertices(2497)%branchCT(0:1))
      call avCT(2497, 0, 83, 1, 0, FaFV1, 0, [0, 3], [nGC_18437, nGC_18438])

      call avCT(2497, 1, 83, 1, 0, FaFV1, 0, [2, 1], [nGC_18432, nGC_18435])

      allocate(vertices(2499)%branchCT(0:0))
      call avCT(2499, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_9636])

      allocate(vertices(3598)%branchCT(0:0))
      call avCT(3598, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_14017])

      allocate(vertices(2501)%branchCT(0:1))
      call avCT(2501, 0, 83, 1, 0, FaFV1, 0, [0, 3], [nGC_14890, nGC_14891])

      call avCT(2501, 1, 83, 1, 0, FaFV1, 0, [2, 1], [nGC_14888, nGC_14885])

      allocate(vertices(2502)%branchCT(0:0))
      call avCT(2502, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_9636])

      allocate(vertices(2503)%branchCT(0:0))
      call avCT(2503, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_15757])

      allocate(vertices(2504)%branchCT(0:0))
      call avCT(2504, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_16741])

      allocate(vertices(2505)%branchCT(0:0))
      call avCT(2505, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_13994])

      allocate(vertices(3346)%branchCT(0:1))
      call avCT(3346, 0, 86, 1, 0, FSFa0, 0, [2, 1], [nGC_15041, nGC_15042])

      call avCT(3346, 1, 86, 1, 0, FSFa0, 0, [0, 3], [nGC_15043, nGC_15044])

      allocate(vertices(1411)%branchCT(0:0))
      call avCT(1411, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_14053])

      allocate(vertices(925)%branchCT(0:0))
      call avCT(925, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_9643])

      allocate(vertices(2510)%branchCT(0:0))
      call avCT(2510, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_13973])

      allocate(vertices(2513)%branchCT(0:0))
      call avCT(2513, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_13961])

      allocate(vertices(2865)%branchCT(0:0))
      call avCT(2865, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_14020])

      allocate(vertices(535)%branchCT(0:0))
      call avCT(535, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_13983, nGC_13983,      &
      nGC_13982])

      allocate(vertices(3191)%branchCT(0:1))
      call avCT(3191, 0, 83, 1, 0, FaFS1, 0, [0, 3], [nGC_14499, nGC_14500])

      call avCT(3191, 1, 83, 1, 0, FaFS1, 0, [2, 1], [nGC_14501, nGC_14502])

      allocate(vertices(2518)%branchCT(0:0))
      call avCT(2518, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_14032])

      allocate(vertices(3594)%branchCT(0:0))
      call avCT(3594, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_14522])

      allocate(vertices(1735)%branchCT(0:5))
      call avCT(1735, 0, 32, 3, 0, UUaVV0, 0, [4, 0], [nGC_14007])

      call avCT(1735, 1, 30, 3, 0, UUaVV0, 0, [4, 0], [nGC_14007])

      call avCT(1735, 2, 33, 2, 0, UUaVV0, 0, [4, 0], [nGC_14002])

      call avCT(1735, 3, 29, 3, 0, UUaVV0, 0, [4, 0], [nGC_14007])

      call avCT(1735, 4, 34, 2, 0, UUaVV0, 0, [4, 0], [nGC_14002])

      call avCT(1735, 5, 31, 3, 0, UUaVV0, 0, [4, 0], [nGC_14007])

      allocate(vertices(2521)%branchCT(0:0))
      call avCT(2521, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_14017])

      allocate(vertices(2523)%branchCT(0:0))
      call avCT(2523, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14152])

      allocate(vertices(2524)%branchCT(0:0))
      call avCT(2524, 0, 1, 1, 0, FFaV0, 0, [0, 3], [nGC_14540])

      allocate(vertices(2525)%branchCT(0:0))
      call avCT(2525, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14036])

      allocate(vertices(2526)%branchCT(0:0))
      call avCT(2526, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_13961])

      allocate(vertices(2527)%branchCT(0:0))
      call avCT(2527, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_9643])

      allocate(vertices(2528)%branchCT(0:0))
      call avCT(2528, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_9643])

      allocate(vertices(2529)%branchCT(0:0))
      call avCT(2529, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14184])

      allocate(vertices(1569)%branchCT(0:0))
      call avCT(1569, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_9636])

      allocate(vertices(1570)%branchCT(0:1))
      call avCT(1570, 0, 85, 1, 0, SFaF1, 0, [0, 3], [nGC_14500, nGC_14499])

      call avCT(1570, 1, 85, 1, 0, SFaF1, 0, [2, 1], [nGC_14502, nGC_14501])

      allocate(vertices(2534)%branchCT(0:0))
      call avCT(2534, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14184])

      allocate(vertices(2535)%branchCT(0:0))
      call avCT(2535, 0, 1, 1, 0, VFaF0, 0, [0, 3], [nGC_16392, nGC_16393])

      allocate(vertices(2538)%branchCT(0:0))
      call avCT(2538, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_15232, nGC_15233,     &
      nGC_15232])

      allocate(vertices(2539)%branchCT(0:0))
      call avCT(2539, 0, 1, 1, 0, FaFS2, 0, [0, 3], [nGC_15994])

      allocate(vertices(2540)%branchCT(0:0))
      call avCT(2540, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14137])

      allocate(vertices(704)%branchCT(0:0))
      call avCT(704, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_13961])

      allocate(vertices(2543)%branchCT(0:0))
      call avCT(2543, 0, 1, 1, 0, UaVU0, 0, [0, 3], [nGC_16152])

      allocate(vertices(2544)%branchCT(0:0))
      call avCT(2544, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_14020])

      allocate(vertices(724)%branchCT(0:0))
      call avCT(724, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_14256])

      allocate(vertices(2547)%branchCT(0:0))
      call avCT(2547, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_14619])

      allocate(vertices(3607)%branchCT(0:0))
      call avCT(3607, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_14053])

      allocate(vertices(2554)%branchCT(0:0))
      call avCT(2554, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_13973])

      allocate(vertices(2555)%branchCT(0:0))
      call avCT(2555, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_14032])

      allocate(vertices(2557)%branchCT(0:0))
      call avCT(2557, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_14032])

      allocate(vertices(2558)%branchCT(0:0))
      call avCT(2558, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14663])

      allocate(vertices(792)%branchCT(0:0))
      call avCT(792, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14280])

      allocate(vertices(2563)%branchCT(0:0))
      call avCT(2563, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_14063])

      allocate(vertices(2564)%branchCT(0:0))
      call avCT(2564, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_9641])

      allocate(vertices(3887)%branchCT(0:0))
      call avCT(3887, 0, 13, 1, 0, VS0, 0, [0, 2], [nGC_19153])

      allocate(vertices(3089)%branchCT(0:0))
      call avCT(3089, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_9636])

      allocate(vertices(2568)%branchCT(0:0))
      call avCT(2568, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_9641])

      allocate(vertices(2569)%branchCT(0:0))
      call avCT(2569, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_14130])

      allocate(vertices(2570)%branchCT(0:0))
      call avCT(2570, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_9641])

      allocate(vertices(3235)%branchCT(0:0))
      call avCT(3235, 0, 1, 1, 0, FaSF1, 0, [0, 3], [nGC_15994])

      allocate(vertices(2572)%branchCT(0:0))
      call avCT(2572, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14210])

      allocate(vertices(3112)%branchCT(0:0))
      call avCT(3112, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_14053])

      allocate(vertices(2315)%branchCT(0:0))
      call avCT(2315, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_9635])

      allocate(vertices(2575)%branchCT(0:0))
      call avCT(2575, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14036])

      allocate(vertices(3804)%branchCT(0:0))
      call avCT(3804, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_18144])

      allocate(vertices(2576)%branchCT(0:0))
      call avCT(2576, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_13994])

      allocate(vertices(2578)%branchCT(0:0))
      call avCT(2578, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_13976])

      allocate(vertices(2579)%branchCT(0:0))
      call avCT(2579, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_9633])

      allocate(vertices(2580)%branchCT(0:0))
      call avCT(2580, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_14130])

      allocate(vertices(2581)%branchCT(0:1))
      call avCT(2581, 0, 86, 1, 0, FSFa0, 0, [0, 3], [nGC_15263, nGC_15262])

      call avCT(2581, 1, 86, 1, 0, FSFa0, 0, [2, 1], [nGC_15265, nGC_15264])

      allocate(vertices(2583)%branchCT(0:0))
      call avCT(2583, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_14023])

      allocate(vertices(2584)%branchCT(0:0))
      call avCT(2584, 0, 1, 1, 0, FaFS2, 0, [0, 3], [nGC_14988])

      allocate(vertices(2587)%branchCT(0:0))
      call avCT(2587, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14522])

      allocate(vertices(377)%branchCT(0:0))
      call avCT(377, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_13961])

      allocate(vertices(2590)%branchCT(0:0))
      call avCT(2590, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_14017])

      allocate(vertices(2038)%branchCT(0:0))
      call avCT(2038, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_14053])

      allocate(vertices(830)%branchCT(0:0))
      call avCT(830, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_14058])

      allocate(vertices(2594)%branchCT(0:0))
      call avCT(2594, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_14058])

      allocate(vertices(2047)%branchCT(0:0))
      call avCT(2047, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_14017])

      allocate(vertices(2598)%branchCT(0:0))
      call avCT(2598, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_14063])

      allocate(vertices(2599)%branchCT(0:0))
      call avCT(2599, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_14017])

      allocate(vertices(2600)%branchCT(0:0))
      call avCT(2600, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_9634])

      allocate(vertices(2601)%branchCT(0:0))
      call avCT(2601, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_14020])

      allocate(vertices(2602)%branchCT(0:0))
      call avCT(2602, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_9641])

      allocate(vertices(381)%branchCT(0:0))
      call avCT(381, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_14032])

      allocate(vertices(2611)%branchCT(0:0))
      call avCT(2611, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_13957])

      allocate(vertices(3422)%branchCT(0:0))
      call avCT(3422, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_14053])

      allocate(vertices(2614)%branchCT(0:0))
      call avCT(2614, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14063])

      allocate(vertices(2615)%branchCT(0:0))
      call avCT(2615, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_13987])

      allocate(vertices(2618)%branchCT(0:0))
      call avCT(2618, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_9641])

      allocate(vertices(1129)%branchCT(0:0))
      call avCT(1129, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_14032])

      allocate(vertices(2625)%branchCT(0:0))
      call avCT(2625, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_14063])

      allocate(vertices(2626)%branchCT(0:0))
      call avCT(2626, 0, 1, 1, 0, VVV1, 0, [0, 3], [nGC_15201])

      allocate(vertices(1245)%branchCT(0:0))
      call avCT(1245, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_9634])

      allocate(vertices(3200)%branchCT(0:0))
      call avCT(3200, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_15913])

      allocate(vertices(3404)%branchCT(0:0))
      call avCT(3404, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14280])

      allocate(vertices(1049)%branchCT(0:0))
      call avCT(1049, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_14053])

      allocate(vertices(3164)%branchCT(0:0))
      call avCT(3164, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14137])

      allocate(vertices(2637)%branchCT(0:1))
      call avCT(2637, 0, 83, 1, 0, FaFS1, 0, [0, 3], [nGC_15309, nGC_15309])

      call avCT(2637, 1, 83, 1, 0, FaFS1, 0, [2, 1], [nGC_15310, nGC_15310])

      allocate(vertices(2638)%branchCT(0:0))
      call avCT(2638, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_14418, nGC_14419,     &
      nGC_14419])

      allocate(vertices(2639)%branchCT(0:0))
      call avCT(2639, 0, 1, 1, 0, USUa0, 0, [0, 3], [nGC_9646])

      allocate(vertices(779)%branchCT(0:0))
      call avCT(779, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_13961])

      allocate(vertices(2375)%branchCT(0:0))
      call avCT(2375, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_15241])

      allocate(vertices(2645)%branchCT(0:0))
      call avCT(2645, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_14165, nGC_14166])

      allocate(vertices(1326)%branchCT(0:0))
      call avCT(1326, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_14017])

      allocate(vertices(2647)%branchCT(0:0))
      call avCT(2647, 0, 1, 1, 0, FaVF1, 0, [0, 3], [nGC_16148])

      allocate(vertices(2649)%branchCT(0:0))
      call avCT(2649, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_9641])

      allocate(vertices(2650)%branchCT(0:1))
      call avCT(2650, 0, 83, 1, 0, FaFV0, 0, [0, 3], [nGC_14328])

      call avCT(2650, 1, 83, 1, 0, FaFV0, 0, [2, 1], [nGC_14327])

      allocate(vertices(2651)%branchCT(0:0))
      call avCT(2651, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_14058])

      allocate(vertices(2653)%branchCT(0:0))
      call avCT(2653, 0, 1, 1, 0, FaFV0, 0, [0, 3], [nGC_17259])

      allocate(vertices(2654)%branchCT(0:0))
      call avCT(2654, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_14256])

      allocate(vertices(1364)%branchCT(0:0))
      call avCT(1364, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_14053])

      allocate(vertices(2656)%branchCT(0:0))
      call avCT(2656, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_9643])

      allocate(vertices(3486)%branchCT(0:0))
      call avCT(3486, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_14032])

      allocate(vertices(2209)%branchCT(0:0))
      call avCT(2209, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_13994])

      allocate(vertices(2659)%branchCT(0:0))
      call avCT(2659, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14663])

      allocate(vertices(2661)%branchCT(0:3))
      call avCT(2661, 0, 94, 6, 0, VFFa1, 0, [1, 2], [nGC_14296, nGC_14298])

      call avCT(2661, 1, 94, 6, 0, VFFa1, 0, [3, 0], [nGC_14300, nGC_14301])

      call avCT(2661, 2, 95, 7, 0, VFFa1, 0, [1, 2], [nGC_14296, nGC_14298])

      call avCT(2661, 3, 95, 7, 0, VFFa1, 0, [3, 0], [nGC_14300, nGC_14301])

      allocate(vertices(1407)%branchCT(0:0))
      call avCT(1407, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_14053])

      allocate(vertices(3625)%branchCT(0:0))
      call avCT(3625, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_14032])

      allocate(vertices(3888)%branchCT(0:0))
      call avCT(3888, 0, 13, 1, 0, SV0, 0, [0, 2], [nGC_19153])

      allocate(vertices(2665)%branchCT(0:1))
      call avCT(2665, 0, 87, 1, 0, FaVF0, 0, [0, 3], [nGC_14047, nGC_14048])

      call avCT(2665, 1, 87, 1, 0, FaVF0, 0, [2, 1], [nGC_14043, nGC_14046])

      allocate(vertices(2667)%branchCT(0:0))
      call avCT(2667, 0, 1, 1, 0, UUaV1, 0, [0, 3], [nGC_13990])

      allocate(vertices(2668)%branchCT(0:1))
      call avCT(2668, 0, 87, 1, 0, FaVF0, 0, [0, 3], [nGC_14890, nGC_14891])

      call avCT(2668, 1, 87, 1, 0, FaVF0, 0, [2, 1], [nGC_14888, nGC_14885])

      allocate(vertices(3793)%branchCT(0:0))
      call avCT(3793, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14130])

      allocate(vertices(2674)%branchCT(0:0))
      call avCT(2674, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_9632])

      allocate(vertices(3889)%branchCT(0:0))
      call avCT(3889, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14308])

      allocate(vertices(2670)%branchCT(0:0))
      call avCT(2670, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_13961])

      allocate(vertices(2677)%branchCT(0:0))
      call avCT(2677, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_13987])

      allocate(vertices(2679)%branchCT(0:0))
      call avCT(2679, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_13987])

      allocate(vertices(2680)%branchCT(0:0))
      call avCT(2680, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_9643])

      allocate(vertices(1492)%branchCT(0:0))
      call avCT(1492, 0, 1, 1, 0, FSFa1, 0, [0, 3], [nGC_14399])

      allocate(vertices(2684)%branchCT(0:0))
      call avCT(2684, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14036])

      allocate(vertices(3890)%branchCT(0:0))
      call avCT(3890, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_14308])

      allocate(vertices(2236)%branchCT(0:0))
      call avCT(2236, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_14017])

      allocate(vertices(2688)%branchCT(0:0))
      call avCT(2688, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_13994])

      allocate(vertices(2690)%branchCT(0:0))
      call avCT(2690, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_14017])

      allocate(vertices(2691)%branchCT(0:0))
      call avCT(2691, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14036])

      allocate(vertices(2692)%branchCT(0:0))
      call avCT(2692, 0, 1, 1, 0, UUaS0, 0, [0, 3], [nGC_9646])

      allocate(vertices(2696)%branchCT(0:0))
      call avCT(2696, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_14020])

      allocate(vertices(2216)%branchCT(0:0))
      call avCT(2216, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14032])

      allocate(vertices(1585)%branchCT(0:0))
      call avCT(1585, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14210])

      allocate(vertices(3202)%branchCT(0:1))
      call avCT(3202, 0, 87, 1, 0, FaVF1, 0, [0, 3], [nGC_14644])

      call avCT(3202, 1, 87, 1, 0, FaVF1, 0, [2, 1], [nGC_14643])

      allocate(vertices(2701)%branchCT(0:0))
      call avCT(2701, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_14020])

      allocate(vertices(1605)%branchCT(0:0))
      call avCT(1605, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_14017])

      allocate(vertices(2705)%branchCT(0:0))
      call avCT(2705, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_9644])

      allocate(vertices(2707)%branchCT(0:0))
      call avCT(2707, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_14017])

      allocate(vertices(2708)%branchCT(0:0))
      call avCT(2708, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_13976])

      allocate(vertices(2709)%branchCT(0:3))
      call avCT(2709, 0, 94, 6, 0, VFFa1, 0, [1, 2], [nGC_15629, nGC_15631])

      call avCT(2709, 1, 94, 6, 0, VFFa1, 0, [3, 0], [nGC_15633, nGC_15634])

      call avCT(2709, 2, 95, 7, 0, VFFa1, 0, [1, 2], [nGC_15629, nGC_15631])

      call avCT(2709, 3, 95, 7, 0, VFFa1, 0, [3, 0], [nGC_15633, nGC_15634])

      allocate(vertices(3452)%branchCT(0:0))
      call avCT(3452, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_13987])

      allocate(vertices(3395)%branchCT(0:0))
      call avCT(3395, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_14063])

      allocate(vertices(2714)%branchCT(0:0))
      call avCT(2714, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_13968])

      allocate(vertices(3477)%branchCT(0:0))
      call avCT(3477, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14152])

      allocate(vertices(2717)%branchCT(0:0))
      call avCT(2717, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14663])

      allocate(vertices(2904)%branchCT(0:0))
      call avCT(2904, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_14130])

      allocate(vertices(2721)%branchCT(0:0))
      call avCT(2721, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_14256])

      allocate(vertices(3310)%branchCT(0:0))
      call avCT(3310, 0, 1, 1, 0, UUaV1, 0, [0, 3], [nGC_15334])

      allocate(vertices(2727)%branchCT(0:0))
      call avCT(2727, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14152])

      allocate(vertices(2728)%branchCT(0:0))
      call avCT(2728, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_15232, nGC_15233,     &
      nGC_15232])

      allocate(vertices(2732)%branchCT(0:0))
      call avCT(2732, 0, 1, 1, 0, FaFS1, 0, [0, 3], [nGC_14757, nGC_14757])

      allocate(vertices(2742)%branchCT(0:0))
      call avCT(2742, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_9633])

      allocate(vertices(3891)%branchCT(0:0))
      call avCT(3891, 0, 13, 1, 0, FFa1, 0, [0, 2], [nGC_13969])

      allocate(vertices(1810)%branchCT(0:0))
      call avCT(1810, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_9644])

      allocate(vertices(1061)%branchCT(0:1))
      call avCT(1061, 0, 84, 1, 0, VFFa1, 0, [0, 3], [nGC_16284, nGC_16285])

      call avCT(1061, 1, 84, 1, 0, VFFa1, 0, [2, 1], [nGC_16280, nGC_16283])

      allocate(vertices(2749)%branchCT(0:0))
      call avCT(2749, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_9634])

      allocate(vertices(2751)%branchCT(0:0))
      call avCT(2751, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_9641])

      allocate(vertices(2754)%branchCT(0:0))
      call avCT(2754, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_9633])

      allocate(vertices(3574)%branchCT(0:0))
      call avCT(3574, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_13968])

      allocate(vertices(2755)%branchCT(0:0))
      call avCT(2755, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_13976])

      allocate(vertices(2757)%branchCT(0:0))
      call avCT(2757, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_13961])

      allocate(vertices(2759)%branchCT(0:0))
      call avCT(2759, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_13987])

      allocate(vertices(2760)%branchCT(0:0))
      call avCT(2760, 0, 1, 1, 0, USUa0, 0, [0, 3], [nGC_15069])

      allocate(vertices(2762)%branchCT(0:0))
      call avCT(2762, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_14053])

      allocate(vertices(2227)%branchCT(0:0))
      call avCT(2227, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_14794])

      allocate(vertices(2556)%branchCT(0:1))
      call avCT(2556, 0, 83, 1, 0, FaFS1, 0, [0, 3], [nGC_14385, nGC_14385])

      call avCT(2556, 1, 83, 1, 0, FaFS1, 0, [2, 1], [nGC_14384, nGC_14384])

      allocate(vertices(398)%branchCT(0:0))
      call avCT(398, 0, 1, 1, 0, FFaV0, 0, [0, 3], [nGC_14402])

      allocate(vertices(2769)%branchCT(0:1))
      call avCT(2769, 0, 86, 1, 0, FVFa0, 0, [0, 3], [nGC_16688, nGC_16689])

      call avCT(2769, 1, 86, 1, 0, FVFa0, 0, [2, 1], [nGC_16686, nGC_16683])

      allocate(vertices(2773)%branchCT(0:0))
      call avCT(2773, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14137])

      allocate(vertices(894)%branchCT(0:0))
      call avCT(894, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_15337])

    end subroutine fill_vertices_mdl7
end module vertices_info7
